(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    672985,      14194]
NotebookOptionsPosition[    587643,      12595]
NotebookOutlinePosition[    637630,      13637]
CellTagsIndexPosition[    635639,      13583]
WindowTitle->Designing Responsive and Fast Interfaces I
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztXQfYHUXVhhAIndAOVbj00DuEIiQQurQA0jFAIIiEkoA0hY+qQGjSUSBS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    "], {{0, 100}, {450, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{268.015625, Automatic},
  ImageSizeRaw->{450, 100},
  PlotRange->{{0, 450}, {0, 100}}]], "WolframULogo",ExpressionUUID->"059f49ae-\
49fc-4f44-80e6-ab700841b96e"],

Cell[CellGroupData[{

Cell["Creating Custom User Interfaces in the Wolfram Language", "Title",
 CellChangeTimes->{{3.720193284509671*^9, 3.720193288595942*^9}, {
   3.726941915180914*^9, 3.726941915962871*^9}, 3.72805557420755*^9, {
   3.730591596400971*^9, 3.7305915992067432`*^9}, {3.80907318078056*^9, 
   3.8090731898991756`*^9}, {3.814690069698453*^9, 3.814690091817543*^9}, 
   3.829527754411336*^9},
 CellTags->
  "TOCTag-Title1",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76"],

Cell["Designing responsive and fast interfaces I", "Subtitle",
 CellChangeTimes->{{3.7201933391803827`*^9, 3.720193342066636*^9}, {
   3.726941908757318*^9, 3.7269419228992167`*^9}, {3.727530497787223*^9, 
   3.72753049862645*^9}, 3.728055577046837*^9, {3.730591604782598*^9, 
   3.73059161531714*^9}, {3.8090732187961254`*^9, 3.80907322186788*^9}, {
   3.8146901092356324`*^9, 3.814690110586872*^9}, {3.814760148033428*^9, 
   3.814760150928732*^9}, {3.814760384743004*^9, 3.814760387072768*^9}, {
   3.815480659900916*^9, 3.815480663457412*^9}, {3.8295277727633767`*^9, 
   3.8295277737709503`*^9}, {3.8338709244789457`*^9, 
   3.833870929095774*^9}},ExpressionUUID->"abd2714b-c40b-491d-9b98-\
1f3d249655e3"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"3607ed0f-4d8f-45bb-b2a5-ffd7ec7e9099"],

Cell[CellGroupData[{

Cell["Learning Objectives", "Section",
 CellChangeTimes->{{3.8088114338663692`*^9, 3.8088114368553333`*^9}},
 CellTags->
  "TOCTag-Section1",ExpressionUUID->"2b580683-0ed4-4955-bf49-2e2d45ff0df4"],

Cell[CellGroupData[{

Cell["Delayed and stepped loading of an interface", "ItemNumbered",
 CellChangeTimes->{{3.8278344192177963`*^9, 
  3.8278344257413373`*^9}},ExpressionUUID->"2015097b-4004-4f17-a997-\
6af390ab4b18"],

Cell["Reasons for a Dynamic being slow", "ItemNumbered",
 CellChangeTimes->{{3.8278344192177963`*^9, 
  3.827834447218034*^9}},ExpressionUUID->"74ae2478-eef9-4ecd-bd7a-\
70fc02a045f3"],

Cell["Avoiding unnecessary dynamics", "ItemNumbered",
 CellChangeTimes->{{3.8278344192177963`*^9, 3.8278344943189507`*^9}, {
  3.8290374544254*^9, 
  3.8290374699374313`*^9}},ExpressionUUID->"2171448b-3116-43b2-a852-\
eca788cc7504"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Table of Contents", "Subsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.833870845569333*^9, 3.8338708477207727`*^9}, {
  3.838355456764765*^9, 3.8383554573418694`*^9}},
 CellTags->
  "TOCTag-Subsection1",ExpressionUUID->"62ad7fb5-591b-44a3-97e0-c8a24e2c7cdf"],

Cell[BoxData[
 DynamicModuleBox[{CreateNotebookTOC`Private`secCount$$ = 25, 
  CreateNotebookTOC`Private`ssecCount$$ = 0, 
  CreateNotebookTOC`Private`sssecCount$$ = 0, 
  CreateNotebookTOC`Private`skippedSecs$$ = 0, 
  CreateNotebookTOC`Private`styleSec$$, 
  CreateNotebookTOC`Private`styleSubsec$$, 
  CreateNotebookTOC`Private`styleSubsubsec$$, 
  CreateNotebookTOC`Private`columnSpacings$$ = 1.2, 
  CreateNotebookTOC`Private`includedStyles$$ = {
  "Section", "Subsection", "Subsubsection"}}, 
  TagBox[GridBox[{
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Learning Objectives\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Learning Objectives\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section1"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Table of Contents\"", FontSize -> 20, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Table of Contents\"", FontSize -> 20, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection1"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "2", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Dealing with Slow Interfaces\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Dealing with Slow Interfaces\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section2"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "3", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Delayed Loading in View Objects\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Delayed Loading in View Objects\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section3"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "3", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 1: TabView\"", FontSize -> 20, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 1: TabView\"", FontSize -> 20, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection2"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "4", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Delayed Loading in View Objects (contd.)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Delayed Loading in View Objects (contd.)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section4"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "4", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 2: PaneSelector\"", FontSize -> 20, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 2: PaneSelector\"", FontSize -> 20, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection3"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "5", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Delayed Loading in View Objects (contd.)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Delayed Loading in View Objects (contd.)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section5"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "5", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Application Example\"", FontSize -> 20, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Application Example\"", FontSize -> 20, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection4"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "6", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Loading Interface in Steps\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Loading Interface in Steps\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section6"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "6", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Method 1: Using DynamicModule\"", FontSize -> 20, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Method 1: Using DynamicModule\"", FontSize -> 20, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection5"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "7", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Loading Interface in Steps (contd.)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Loading Interface in Steps (contd.)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section7"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "8", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Loading Interface in Steps (Optional)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Loading Interface in Steps (Optional)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section8"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "8", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Method 2: Using Button\"", FontSize -> 20, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Method 2: Using Button\"", FontSize -> 20, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection6"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "9", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Interactivity: Preemptive Evaluations\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Interactivity: Preemptive Evaluations\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section9"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "10", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Interactivity: Queued Evaluations\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Interactivity: Queued Evaluations\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section10"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "11", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Queued Button in a Separate Kernel (Optional)\"", FontSize -> 
               20, FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Queued Button in a Separate Kernel (Optional)\"", FontSize -> 
               20, FontFamily -> "Cambria", Bold, "HyperlinkActive", 
               StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section11"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "12", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Queued Button in a Separate Kernel (contd.) (Optional)\"", 
               FontSize -> 20, FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Queued Button in a Separate Kernel (contd.) (Optional)\"", 
               FontSize -> 20, FontFamily -> "Cambria", Bold, 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section12"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "13", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Queued Button in a Separate Kernel (contd.) (Optional)\"", 
               FontSize -> 20, FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Queued Button in a Separate Kernel (contd.) (Optional)\"", 
               FontSize -> 20, FontFamily -> "Cambria", Bold, 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section13"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "14", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Application Example (Optional)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Application Example (Optional)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section14"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "15", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"When Is a Dynamic Slow? (Recap)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"When Is a Dynamic Slow? (Recap)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section15"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "16", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Optimizing Kernel Computations\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Optimizing Kernel Computations\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section16"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "17", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Computation in the Background\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Computation in the Background\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section17"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "17", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Asynchronous Button\"", FontSize -> 18, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Asynchronous Button\"", FontSize -> 18, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection1"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "17", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "2", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Computation in a separate Kernel\"", FontSize -> 18, 
               FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Computation in a separate Kernel\"", FontSize -> 18, 
               FontFamily -> "Cambria", "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection2"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "18", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Avoiding Unnecessary Dynamics\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Avoiding Unnecessary Dynamics\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section18"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "18", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 1\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 1\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection3"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "18", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "2", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 2\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 2\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection4"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "18", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "3", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 3\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 3\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection5"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "19", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Managing Multiple Variables (Optional)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Managing Multiple Variables (Optional)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section19"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "19", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Updating 50 Random Disks\"", FontSize -> 20, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Updating 50 Random Disks\"", FontSize -> 20, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection7"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "20", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Managing Multiple Variables (Optional) (contd.)\"", FontSize -> 
               20, FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Managing Multiple Variables (Optional) (contd.)\"", FontSize -> 
               20, FontFamily -> "Cambria", Bold, "HyperlinkActive", 
               StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section20"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "21", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Using Print Statements\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Using Print Statements\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section21"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "21", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Update not visible\"", FontSize -> 18, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Update not visible\"", FontSize -> 18, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection6"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "21", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "2", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Print reveals the update\"", FontSize -> 18, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Print reveals the update\"", FontSize -> 18, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection7"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "22", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Concluding Remarks\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Concluding Remarks\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section22"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "23", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Exercises\"", FontSize -> 20, FontFamily -> "Cambria", Bold, 
               
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Exercises\"", FontSize -> 20, FontFamily -> "Cambria", Bold, 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section23"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "23", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Exercise 1\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Exercise 1\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection8"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "23", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "2", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Exercise 2\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Exercise 2\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection9"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "23", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "3", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Exercise 3\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Exercise 3\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection10"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "24", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Feedback\"", FontSize -> 20, FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Feedback\"", FontSize -> 20, FontFamily -> "Cambria", Bold, 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section24"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "25", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Initializations\"", FontSize -> 20, FontFamily -> "Cambria", 
               Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Initializations\"", FontSize -> 20, FontFamily -> "Cambria", 
               Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section25"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]}
    },
    DefaultBaseStyle->"Column",
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{1.2}}}],
   "Column"],
  DynamicModuleValues:>{{
    DownValues[CreateNotebookTOC`Private`styleSec$$] = {HoldPattern[
         CreateNotebookTOC`Private`styleSec$$[
          Pattern[CreateNotebookTOC`Private`s, 
           Blank[]]]] :> 
       Style[CreateNotebookTOC`Private`s, Bold, FontSize -> 
         CreateNotebookTOC`Private`fontSizeSec, FontFamily -> 
         CreateNotebookTOC`Private`fontFamily]}}, {
    DownValues[CreateNotebookTOC`Private`styleSubsec$$] = {HoldPattern[
         CreateNotebookTOC`Private`styleSubsec$$[
          Pattern[CreateNotebookTOC`Private`s, 
           Blank[]]]] :> 
       Style[CreateNotebookTOC`Private`s, Bold, FontSize -> 
         CreateNotebookTOC`Private`fontSizeSubsec, FontFamily -> 
         CreateNotebookTOC`Private`fontFamily]}}, {
    DownValues[CreateNotebookTOC`Private`styleSubsubsec$$] = {HoldPattern[
         CreateNotebookTOC`Private`styleSubsubsec$$[
          Pattern[CreateNotebookTOC`Private`s, 
           Blank[]]]] :> 
       Style[CreateNotebookTOC`Private`s, FontSize -> 
         CreateNotebookTOC`Private`fontSizeSubsubsec, FontFamily -> 
         CreateNotebookTOC`Private`fontFamily]}}},
  Initialization:>(Cells[
     EvaluationNotebook[], 
     CellStyle -> {
      "Title", "Chapter", "Section", "Subsection", "Subsubsection"}]; 
   Null)]], "Output",
 Deployed->True,
 GeneratedCell->False,
 ShowCellLabel->False,
 CellChangeTimes->{
  3.8396507901463137`*^9},ExpressionUUID->"154e247c-7396-4438-b8bc-\
65f397435713"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"08e821b1-b4d4-4dd2-a5d7-d0f9607469bb"],

Cell[CellGroupData[{

Cell["Dealing with Slow Interfaces", "Section",
 CellChangeTimes->{{3.8075742251418376`*^9, 3.807574233623749*^9}, {
  3.8075871779257107`*^9, 3.8075871808920326`*^9}, {3.8093486029609575`*^9, 
  3.8093486086427603`*^9}, {3.818733441642296*^9, 3.818733447846361*^9}, {
  3.837877058883265*^9, 3.8378770619617853`*^9}},
 CellTags->
  "TOCTag-Section2",ExpressionUUID->"4c726470-071d-4dbd-bf93-84a66cd5d85f"],

Cell["\<\
Slow components in an interface lead to the degradation of the quality of the \
user experience.\
\>", "Text",
 CellChangeTimes->{{3.8243598520433307`*^9, 3.824359889206574*^9}, {
  3.824360208074705*^9, 3.824360214120369*^9}, {3.8263386336219816`*^9, 
  3.826338662403964*^9}, {3.826338743757201*^9, 3.826338750251981*^9}, {
  3.826409775802883*^9, 3.8264097884065633`*^9}, {3.837877566375536*^9, 
  3.8378775672795057`*^9}},ExpressionUUID->"b8f0ae76-451b-434b-8b34-\
8017c92d4d52"],

Cell["An interface with a sluggish slider:", "Text",
 CellChangeTimes->{{3.8243598520433307`*^9, 3.824359889206574*^9}, {
  3.824360208074705*^9, 3.824360214120369*^9}, {3.8263386336219816`*^9, 
  3.826338662403964*^9}, {3.826338743757201*^9, 3.826338750251981*^9}, {
  3.826409775802883*^9, 3.8264097884065633`*^9}, {3.837877566375536*^9, 
  3.837877569642967*^9}},ExpressionUUID->"da58799a-c767-453b-8b03-\
edc722a4572f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"range", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<range \>\"", ",", 
          RowBox[{"Slider", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", "range", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "10", ",", "1"}], "}"}]}], "]"}]}], "}"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sin", "[", "x", "]"}], " ", 
           RowBox[{"Sin", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
          InterpretationBox[
           DynamicModuleBox[{Typeset`open = False}, 
            TemplateBox[{"Expression", 
              StyleBox[
              "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                   TagBox["Sequence", "IconizedItem"]}]}, {
                 RowBox[{
                   TagBox["\"Length: \"", "IconizedLabel"], 
                   "\[InvisibleSpace]", 
                   TagBox["7", "IconizedItem"]}]}, {
                 RowBox[{
                   TagBox["\"Byte count: \"", "IconizedLabel"], 
                   "\[InvisibleSpace]", 
                   TagBox["504", "IconizedItem"]}]}}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
               "Column", 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              Dynamic[Typeset`open]},
             "IconizedObject"]],
           Sequence[
           PlotPoints -> 300, Axes -> True, Ticks -> None, Mesh -> None, 
            Boxed -> False, ImageSize -> Medium, AxesLabel -> Automatic],
           SelectWithContents->True,
           Selectable->False]}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}],
      "]"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]"}]], "Input",\

 CellChangeTimes->{{3.807595754206324*^9, 3.807595756736997*^9}, {
  3.8093439509689503`*^9, 3.809343953604169*^9}, {3.810112101383279*^9, 
  3.810112106225852*^9}, {3.810184484707738*^9, 3.8101845223348694`*^9}, {
  3.824359936151205*^9, 3.82436006472769*^9}, {3.824360168459882*^9, 
  3.8243601718189707`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"0b6dc94e-e89f-47f0-9710-6a9c05a77d44"],

Cell["\t",
 ShowCellBracket->Automatic,
 CellMargins->{{66, 0}, {0, 0}},
 TabFilling->"\[LongDash]\[NegativeThickSpace]",
 TabSpacings->Scaled[0.15],
 FontColor->GrayLevel[
  0.6],ExpressionUUID->"81b46967-3c7e-4a8e-a8de-bce450c7d5ba"],

Cell["\<\
General strategies to deal with slow interfaces:
\
\>", "Text",
 CellChangeTimes->{{3.8187341501479993`*^9, 3.818734178633067*^9}, 
   3.8187362600374885`*^9, 3.8243592178376293`*^9, {3.8243602334276466`*^9, 
   3.824360246565136*^9}, 3.837559471634506*^9, {3.837559550146693*^9, 
   3.8375595511899033`*^9}},ExpressionUUID->"d0cb831f-e499-4fc4-9847-\
bdcb85c05fbd"],

Cell[TextData[Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzs3U+sJdl5GPZCIgfWLnTDFrKx4d5Hvc2iF84qSC9tBBgY5IJOlEY2pCQT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    "], {{0, 380.64}, {771.36, 0}}, {0, 255},
    ColorFunction->RGBColor,
    ImageResolution->{150, 150}],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{692.1785714285717, Automatic},
  ImageSizeRaw->{771.36, 380.64},
  PlotRange->{{0, 771.36}, {
    0, 380.64}}]],ExpressionUUID->"9783fd12-fe58-4d68-b89b-fe2e2a1d4623"]], \
"Text",
 CellFrame->True,
 CellMargins->{{260, 260}, {0, 0}},
 CellFrameColor->RGBColor[1., 0.7, 0.6],
 CellFrameLabels->{{None, None}, {
    TagBox[
     GridBox[{{
        FrameBox[
        "\"\"", BaseStyle -> {
          "Text", FontColor -> GrayLevel[0], ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.4], Automatic}, Background -> 
             RGBColor[0.99, 0.99, 0.99]}}, StripOnInput -> False], 
        FrameBox[
        "\"General strategies\"", 
         BaseStyle -> {
          "Text", FontColor -> 
           RGBColor[
            0.09999999999999998, 0.09999999999999998, 0.09999999999999998], 
           ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.4], Automatic}, Background -> 
             RGBColor[1., 0.7, 0.6]}}, Alignment -> {Center, Center}, 
         StripOnInput -> False], 
        FrameBox[
        "\"\"", BaseStyle -> {
          "Text", FontColor -> GrayLevel[0], ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.4], Automatic}, Background -> 
             RGBColor[0.99, 0.99, 0.99]}}, StripOnInput -> False]}}, 
      AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], None}},
 CellFrameLabelMargins->{{10, 10}, {0, 0}},
 CellChangeTimes->{{3.837559436024768*^9, 3.837559446654371*^9}, {
  3.8383559952301598`*^9, 3.8383560047888193`*^9}},
 TextAlignment->Center,
 Background->RGBColor[
  0.99, 0.99, 0.99],ExpressionUUID->"944106eb-9299-4394-9967-e795813c4729"],

Cell["", "Text",ExpressionUUID->"93dc8940-942e-4c84-a447-7fbb97c00935"],

Cell["In order to manage slow interfaces:", "Text",
 CellChangeTimes->{{3.824360274387206*^9, 3.824360284884727*^9}, {
  3.8243604793087296`*^9, 3.82436048232364*^9}, {3.837559457213086*^9, 
  3.837559460756609*^9}},ExpressionUUID->"2314ede5-578d-476e-a50a-\
84d77f6644cc"],

Cell[CellGroupData[{

Cell["\<\
Use delayed or stepped loading when applicable, in the loading stage.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8243602932108984`*^9, 3.8243603250623035`*^9}, {
  3.826338780860605*^9, 3.826338783820523*^9}, {3.837877590997191*^9, 
  3.837877594109363*^9}},ExpressionUUID->"109364eb-549b-4957-9aac-\
4727a9625f2c"],

Cell["\<\
Try to optimize the kernel computations and avoid unnecessary dynamics, in \
the operational stage.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8243602932108984`*^9, 3.82436032076644*^9}, {
  3.8243603565402927`*^9, 3.824360385424608*^9}, {3.8263387876686063`*^9, 
  3.826338788028409*^9}, {3.8263388336756907`*^9, 3.826338842411765*^9}, {
  3.837877596825117*^9, 
  3.837877602648958*^9}},ExpressionUUID->"28e6a407-c71f-4765-a65f-\
f5dc3fbe8050"],

Cell["\<\
After applying the two abovementioned techniques, use progress indicators for \
the remaining slow components.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8243602932108984`*^9, 3.82436032076644*^9}, {
  3.8243603565402927`*^9, 3.824360454470972*^9}, {3.8243604872755876`*^9, 
  3.8243605208453255`*^9}, {3.837877605411592*^9, 
  3.837877611116585*^9}},ExpressionUUID->"8d64cd5e-db18-4667-9242-\
59519f562bd9"]
}, Open  ]],

Cell["\<\
The techniques will be discussed in detail in the subsequent slides.\
\>", "Text",
 CellChangeTimes->{{3.8243602932108984`*^9, 3.82436032076644*^9}, {
  3.8243603565402927`*^9, 3.824360454470972*^9}, {3.8243604872755876`*^9, 
  3.8243605454650736`*^9}},ExpressionUUID->"4921f3aa-2931-414a-86b8-\
57d769621a8b"],

Cell["\<\
While testing code in the notebook, if you find that an interface is slowing \
down the front end, instead of clearing all the variables (ClearAll[\
\[OpenCurlyDoubleQuote]Global`*\[CloseCurlyDoubleQuote]]) or quitting the \
kernel, you may simply delete the output cell containing the interface.\
\>", "Text",
 CellFrame->True,
 CellFrameColor->RGBColor[0.46, 0.9, 0.36],
 CellFrameLabels->{{None, None}, {None, 
    TagBox[
     GridBox[{{
        FrameBox[
         StyleBox[
         "\"Quick Tip\"", 16, FontWeight -> Medium, StripOnInput -> False], 
         BaseStyle -> {
          "Text", FontColor -> 
           RGBColor[
            0.09999999999999998, 0.09999999999999998, 0.09999999999999998], 
           ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.1], Automatic}, Background -> 
             RGBColor[0.514, 0.91, 0.424]}}, Alignment -> {Center, Center}, 
         StripOnInput -> False], 
        FrameBox[
        "\"\"", BaseStyle -> {
          ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.915], Automatic}, Background -> None}}, 
         Alignment -> {Center, Center}, StripOnInput -> False]}}, AutoDelete -> 
      False, GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"]}},
 CellFrameLabelMargins->{{0, 0}, {0, 0}},
 CellChangeTimes->{{3.8375600632801905`*^9, 3.8375600772189875`*^9}, {
  3.8378776174833612`*^9, 3.8378776268410473`*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"0f24a9e3-ee67-4a06-8d26-1e4aab3fc029"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"b30ee870-a28b-419a-81ed-df43af2be5c3"],

Cell["\<\




Delayed Loading





\
\>", "Chapter",
 CellFrame->{{2, 2}, {2, 8}},
 ShowCellBracket->False,
 CellMargins->{{10, 10}, {10, 10}},
 CellChangeTimes->{
  3.808911010045186*^9, {3.809401297023183*^9, 3.8094012990147753`*^9}, {
   3.8101897440494947`*^9, 3.8101897454268465`*^9}, {3.8243594254220924`*^9, 
   3.8243594276091185`*^9}, {3.8375616614871435`*^9, 3.837561662727824*^9}},
 TextAlignment->Center,
 Background->RGBColor[1, 0.9, 0.8],
 CellTags->
  "TOCTag-Chapter1",ExpressionUUID->"900dbda0-14c0-47a7-87d7-64a4d93a130f"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"40d2c6ac-4dba-46ff-84a3-f0050fbe4a0b"],

Cell[CellGroupData[{

Cell["Delayed Loading in View Objects", "Section",
 CellChangeTimes->{{3.8156410637964487`*^9, 3.8156410700606165`*^9}, {
  3.8161473342567143`*^9, 3.816147340191409*^9}, {3.837877069486122*^9, 
  3.837877076405761*^9}},
 CellTags->
  "TOCTag-Section3",ExpressionUUID->"2ff195e1-0d8e-485e-bbe3-97d646146eb7"],

Cell[TextData[{
 "By default, view objects, e.g. ",
 StyleBox[ButtonBox["TabView",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/TabView"],
  FontWeight->"Bold"],
 ", ",
 StyleBox[ButtonBox["MenuView",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/MenuView"],
  FontWeight->"Bold"],
 " and ",
 StyleBox[ButtonBox["PaneSelector",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/PaneSelector"],
  FontWeight->"Bold"],
 ", evaluate all the components first and load the interface. By using ",
 StyleBox[ButtonBox["Dynamic",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dynamic"],
  FontWeight->"Bold"],
 " and ",
 StyleBox[ButtonBox["ImageSize",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ImageSize"],
  FontWeight->"Bold"],
 ", you can have computations for each section done when that particular \
section is displayed."
}], "Text",
 CellChangeTimes->{{3.8161464737367496`*^9, 3.81614651193491*^9}, {
   3.816146627518776*^9, 3.816146627862596*^9}, {3.8161473444875503`*^9, 
   3.8161473954789295`*^9}, {3.824360717690028*^9, 3.82436071873615*^9}, {
   3.824360773160816*^9, 3.8243607775504327`*^9}, {3.8263390997556853`*^9, 
   3.826339116812731*^9}, {3.8263410090677557`*^9, 3.826341011664124*^9}, 
   3.837645512359887*^9, {3.837877640408791*^9, 3.8378777109975233`*^9}, {
   3.838111298690372*^9, 
   3.838111303618832*^9}},ExpressionUUID->"95da91f1-e0af-44f5-8533-\
8422d299ccf1"],

Cell[CellGroupData[{

Cell["Example 1: TabView", "Subsection",
 CellChangeTimes->{{3.816147402437235*^9, 3.816147406584516*^9}, {
  3.837877080208632*^9, 3.8378770808607063`*^9}},
 CellTags->
  "TOCTag-Subsection2",ExpressionUUID->"4b214518-b936-4811-9638-0dc7035b4d40"],

Cell[TextData[{
 "Create contents for tabs (",
 Cell[BoxData[
 "Pause"], "Input",ExpressionUUID->"4b57de9a-26f5-4eec-9b26-5a9dc8e739bf"],
 " simulates a long computation):"
}], "Text",
 CellChangeTimes->{{3.816146633816808*^9, 3.8161466389835987`*^9}, {
   3.826341042795164*^9, 3.8263410502922215`*^9}, 3.826409868537726*^9, {
   3.8378777174429197`*^9, 3.837877722004945*^9}, 
   3.8381113166281757`*^9},ExpressionUUID->"8c382c45-e21a-4d3b-86d2-\
2ec3e82a6595"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"tab1", ",", "tab2", ",", "tab3"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "stylize", " ", "is", " ", "used", " ", "to", " ", "style", " ", "the", 
     " ", "string"}], " ", "-", " ", 
    RowBox[{
    "definition", " ", "in", " ", "the", " ", "end", " ", "of", " ", "the", 
     " ", "Notebook"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tab1", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"stylize", "[", "\"\<Tab 1\>\"", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tab2", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"stylize", "[", "\"\<Tab 2\>\"", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tab3", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"stylize", "[", "\"\<Tab 3\>\"", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.816147458282216*^9, 3.816147524409033*^9}, {
  3.817008426775289*^9, 3.817008443412037*^9}, {3.826368218715765*^9, 
  3.826368222418212*^9}, {3.826368718165149*^9, 3.8263687960404806`*^9}, {
  3.826409934842626*^9, 3.826409936334736*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"458e556a-c953-4eb2-86cb-4448b5dac03d"],

Cell["\<\
It takes about 6 (3\[Times]2) seconds to load, after computing all three tab \
contents:\
\>", "Text",
 CellChangeTimes->{{3.8161466414958467`*^9, 3.816146674376152*^9}, 
   3.8161474171035943`*^9, {3.837877728165873*^9, 
   3.837877754229765*^9}},ExpressionUUID->"0009db29-cc01-4477-baa7-\
c3f4648d9912"],

Cell[BoxData[
 RowBox[{"TabView", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"tab1", "[", "]"}], ",", 
    RowBox[{"tab2", "[", "]"}], ",", 
    RowBox[{"tab3", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.816146342942746*^9, 3.8161463537391477`*^9}, {
  3.8161463965208306`*^9, 3.8161464007362676`*^9}, {3.8161475816066194`*^9, 
  3.8161476046011133`*^9}, {3.826368231731246*^9, 3.82636823555014*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"73e0e2dd-5c4d-4456-907b-cc759d9ca405"],

Cell["\<\
In order to compute the tab contents at the time when those are first \
clicked:
i. use Dynamic in TabView
ii. set ImageSize->Automatic\
\>", "Text",
 CellChangeTimes->{{3.8161465289092727`*^9, 3.8161465793867702`*^9}, {
  3.816146711926855*^9, 3.816146712312098*^9}, {3.816147425937885*^9, 
  3.8161474379031463`*^9}, {3.8170084769823256`*^9, 3.8170084833245907`*^9}, {
  3.8243607841894917`*^9, 3.824360786673264*^9}, {3.8263410664431567`*^9, 
  3.8263410717069263`*^9}, {3.8378777617655373`*^9, 3.8378777810241203`*^9}, {
  3.839431122716489*^9, 
  3.839431131372478*^9}},ExpressionUUID->"943df768-c966-45b3-a903-\
5b4632f6b8c4"],

Cell[TextData[{
 "It takes only about two seconds to load; contents for ",
 Cell[BoxData[
 "tab2"], "Input",ExpressionUUID->"45afc6ce-72d0-403b-b604-84edb51fe0d1"],
 " and ",
 Cell[BoxData[
 "tab3"], "Input",ExpressionUUID->"34067836-5bde-4c46-94dc-aed212bef8a4"],
 " are computed when those are clicked (for the first time):"
}], "Text",
 CellChangeTimes->{{3.816146716480996*^9, 3.8161467455826497`*^9}, {
  3.8264100133121066`*^9, 3.826410013921401*^9}, {3.837877787457793*^9, 
  3.837877802653305*^9}},ExpressionUUID->"d637f921-df80-42e5-bc29-\
8b7719c3c98d"],

Cell[BoxData[
 RowBox[{"TabView", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Dynamic", "[", 
      RowBox[{"tab1", "[", "]"}], "]"}], ",", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"tab2", "[", "]"}], "]"}], ",", 
     RowBox[{"Dynamic", "[", 
      RowBox[{"tab3", "[", "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "Automatic"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.816146587376522*^9, 3.816146606902274*^9}, {
   3.8161474447840405`*^9, 3.816147447845755*^9}, {3.8263682395077033`*^9, 
   3.8263682441311874`*^9}, 
   3.835685804112343*^9},ExpressionUUID->"20d9c14f-f905-42a9-84b6-\
a4e7dac69fc7"],

Cell[TextData[{
 "The tradeoff here of course is that you have to wait for two seconds after \
clicking either ",
 Cell[BoxData[
 "tab2"], "Input",ExpressionUUID->"28e0e7fa-8328-49a3-b4ad-e1466d11c465"],
 " or ",
 Cell[BoxData[
 "tab3"], "Input",ExpressionUUID->"9de19627-4a2d-416b-9ecb-1426ceeab7d3"],
 " (for the first time). However, there are situations in which that does not \
pose a problem (see ",
 ButtonBox["Slide 7",
  BaseStyle->"Hyperlink",
  ButtonData->"DelayedLoadingApplicationEx"],
 " for an example)."
}], "Text",
 CellChangeTimes->{{3.826410038686577*^9, 3.8264100899509754`*^9}, {
   3.8264102453021946`*^9, 3.8264102745497503`*^9}, 3.8376455155700746`*^9, {
   3.837877811075416*^9, 
   3.837877826160605*^9}},ExpressionUUID->"52e06ec0-8042-49ca-8b3d-\
85331410babf"],

Cell[TextData[{
 "The presence of Dynamic ensures that the contents are evaluated only during \
the display, and ImageSize->Automatic ensures that the pane size is flexible. \
For further information on how this technique works, please consult the ",
 ButtonBox["documentation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://reference.wolfram.com/language/tutorial/Views.html#\
1638752264"], None},
  ButtonNote->
   "https://reference.wolfram.com/language/tutorial/Views.html#1638752264"],
 "."
}], "Text",
 CellChangeTimes->{{3.8243609164631734`*^9, 3.8243609419695463`*^9}, {
  3.8375603939578047`*^9, 3.837560474867324*^9}, {3.8378778346525927`*^9, 
  3.837877869940589*^9}},ExpressionUUID->"223e62bb-b24c-4b7a-95cd-\
091a3e2121da"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"d3fedf25-a003-4723-b578-beed9797253f"],

Cell[CellGroupData[{

Cell["Delayed Loading in View Objects (contd.)", "Section",
 CellChangeTimes->{{3.8156410637964487`*^9, 3.8156410700606165`*^9}, {
  3.8161473342567143`*^9, 3.816147340191409*^9}, {3.8161489343421707`*^9, 
  3.816148940536151*^9}, {3.837877091781905*^9, 3.837877100747088*^9}, {
  3.837877891374464*^9, 3.837877892252482*^9}},
 CellTags->
  "TOCTag-Section4",ExpressionUUID->"0b7a5f43-ff2d-4a2c-87b8-4bba06ed290d"],

Cell[CellGroupData[{

Cell["Example 2: PaneSelector", "Subsection",
 CellChangeTimes->{{3.816147402437235*^9, 3.816147406584516*^9}, {
  3.816148290704576*^9, 3.8161482955101576`*^9}, {3.8378771043768253`*^9, 
  3.837877108643962*^9}},
 CellTags->
  "TOCTag-Subsection3",ExpressionUUID->"da5ba8c8-6df9-42de-9748-0d7ef29bffeb"],

Cell["Create two panes:", "Text",
 CellChangeTimes->{{3.8161487910886173`*^9, 
  3.8161487938481116`*^9}},ExpressionUUID->"b168d2da-76b2-4647-9fdc-\
e4fcdd334102"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"disk", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Lighter", "[", 
         RowBox[{"Green", ",", "0.5"}], "]"}], ",", 
        RowBox[{"Disk", "[", "]"}]}], "}"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"square", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Lighter", "[", 
         RowBox[{"Red", ",", "0.5"}], "]"}], ",", 
        RowBox[{"Rectangle", "[", "]"}]}], "}"}], "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8161485584604087`*^9, 3.816148629929928*^9}, 
   3.8170085019139977`*^9, {3.826410321576936*^9, 3.8264103364212875`*^9}, 
   3.8301651497880745`*^9},
 CellLabel->"In[31]:=",ExpressionUUID->"0d3dec27-ea49-40bc-a5e2-80afc387f958"],

Cell["\<\
It takes about four seconds to load (owing to two Pause[2] statements):\
\>", "Text",
 CellChangeTimes->{{3.816148800400011*^9, 3.816148815695258*^9}, 
   3.8243609619659066`*^9, {3.837877900114751*^9, 3.837877900983203*^9}, {
   3.8381113749637203`*^9, 
   3.838111376555179*^9}},ExpressionUUID->"3dfda0b4-c1d6-4291-bbb5-\
524a2d36f9c7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", "select", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"SetterBar", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "select", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<disk\>\"", "\[Rule]", "\"\<Disk\>\""}], ",", 
            RowBox[{"\"\<square\>\"", "\[Rule]", "\"\<Square\>\""}]}], 
           "}"}]}], "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"\"\<disk\>\"", "\[Rule]", 
             RowBox[{"disk", "[", "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"\"\<square\>\"", "\[Rule]", 
             RowBox[{"square", "[", "]"}]}]}], "\[IndentingNewLine]", "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "select", "]"}]}], "]"}]}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.816148634907748*^9, 3.816148768343421*^9}, {
  3.816148872025334*^9, 3.8161488798838587`*^9}, {3.8169962177046175`*^9, 
  3.81699621999575*^9}, {3.8170085243776855`*^9, 3.8170085258772044`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"d161a5ef-00bd-453a-a86f-987c911aadb2"],

Cell["\<\
When Dynamic and ImageSize->Automatic are used, the interface loads in about \
two seconds:\
\>", "Text",
 CellChangeTimes->{{3.816148825328081*^9, 3.816148833057006*^9}, {
  3.82436097185467*^9, 3.8243609896255407`*^9}, {3.826341133612124*^9, 
  3.8263411441171618`*^9}, {3.837877912451817*^9, 
  3.837877920207718*^9}},ExpressionUUID->"caa66cb4-c108-4311-9277-\
e8c582992b24"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", "select", "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"SetterBar", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Dynamic", "[", "select", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<disk\>\"", "\[Rule]", "\"\<Disk\>\""}], ",", 
            RowBox[{"\"\<square\>\"", "\[Rule]", "\"\<Square\>\""}]}], 
           "}"}]}], "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"\"\<disk\>\"", "\[Rule]", 
             StyleBox[
              RowBox[{"Dynamic", "[", 
               RowBox[{"disk", "[", "]"}], "]"}],
              Background->RGBColor[1, 0.9, 0.8]]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"\"\<square\>\"", "\[Rule]", 
             StyleBox[
              RowBox[{"Dynamic", "[", 
               RowBox[{"square", "[", "]"}], "]"}],
              Background->RGBColor[1, 0.9, 0.8]]}]}], "\[IndentingNewLine]", 
           "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "select", "]"}], "\[IndentingNewLine]", ",",
           "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"ImageSize", "\[Rule]", "Automatic"}],
           Background->RGBColor[1, 0.9, 0.8]], ",", "\[IndentingNewLine]", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.816148634907748*^9, 3.816148768343421*^9}, {
   3.816148840067705*^9, 3.816148892651472*^9}, {3.8169962347079597`*^9, 
   3.81699623622736*^9}, {3.8170085477147303`*^9, 3.8170085697528296`*^9}, 
   3.8245174021379232`*^9},ExpressionUUID->"1140bb55-6996-4488-b7f5-\
739b1e941649"],

Cell["\<\
2
For implementing delayed loading, either Dynamic or ImageSize->Automatic is \
required.
True
Incorrect. Both are required.
False
Correct. Both are required.\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.8383561026932154`*^9, 3.838356127612038*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"e413a1b4-0695-426e-a5f7-20d73d86db1f"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = False, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{
          StyleBox[
          "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
           StripOnInput -> False], 
          TemplateBox[{12}, "Spacer1"], 
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{
           StyleBox[
           "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
            StripOnInput -> False], 
           TemplateBox[{12}, "Spacer1"], 
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "For implementing delayed loading, either Dynamic or \
ImageSize->Automatic is required.", {{
                  "True", "Incorrect. Both are required."}, {
                  "False", "Correct. Both are required."}}, 2}}]]), Method -> 
          "Preemptive", PassEventsDown -> Automatic, PassEventsUp -> True}]]},
        Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "True", 1 -> Column[{
                  Style[
                   TextCell["True", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Incorrect. Both are required.", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "True"}, {
              0 -> "False", 1 -> "False", 2 -> Column[{
                  Style[
                   TextCell["False", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell[
                   "Correct. Both are required.", TextAlignment -> Left], 
                   "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"For implementing delayed loading, either Dynamic or \
ImageSize->Automatic is required.\"\>"},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}], 
                   TemplateBox[{10}, "Spacer1"], 
                   PaneSelectorBox[{0 -> "\"True\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["True", TextAlignment -> Left], 
                    TextCell["True", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Incorrect. Both are required.", TextAlignment -> Left], 
                    TextCell[
                    "Incorrect. Both are required.", TextAlignment -> Left]], 
                    "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"True\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}], 
                   TemplateBox[{10}, "Spacer1"], 
                   
                   PaneSelectorBox[{
                    0 -> "\"False\"", 1 -> "\"False\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["False", TextAlignment -> Left], 
                    TextCell["False", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Correct. Both are required.", TextAlignment -> Left], 
                    TextCell[
                    "Correct. Both are required.", TextAlignment -> Left]], 
                    "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 Deployed->True,
 CellTags->"answer",ExpressionUUID->"d711a127-b783-4e3d-8df1-bb4fd1991d8e"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"3e809f48-794a-44ee-8ab1-895c11def9ff"],

Cell[CellGroupData[{

Cell["Delayed Loading in View Objects (contd.)", "Section",
 CellChangeTimes->{{3.8156410637964487`*^9, 3.8156410700606165`*^9}, {
  3.8161473342567143`*^9, 3.816147340191409*^9}, {3.8161489343421707`*^9, 
  3.816148940536151*^9}, {3.837877116966711*^9, 3.8378771234073277`*^9}},
 CellTags->{
  "DelayedLoadingApplicationEx", 
   "TOCTag-Section5"},ExpressionUUID->"9babb9b7-a001-4472-8622-178a3fd7b1e0"],

Cell[CellGroupData[{

Cell["Application Example", "Subsection",
 CellChangeTimes->{{3.826342929719716*^9, 3.8263429329699817`*^9}},
 CellTags->
  "TOCTag-Subsection4",ExpressionUUID->"f625dd98-7ea6-4f61-a881-63b63f439422"],

Cell["\<\
The following interface comprises a MenuView that shows a GDP plot for \
countries. It takes a long time (about 20 seconds) to load, since all the \
data is downloaded before the the MenuView is rendered:\
\>", "Text",
 CellChangeTimes->{{3.8263429965625086`*^9, 3.8263429982541456`*^9}, {
  3.8263430292584977`*^9, 3.8263432312199855`*^9}, {3.8263433197562494`*^9, 
  3.8263433327543964`*^9}, {3.837878056316987*^9, 3.837878071840267*^9}, {
  3.8381114200360727`*^9, 
  3.838111422004403*^9}},ExpressionUUID->"2329c702-0483-4c91-aa98-\
a5cfb51fbc3e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MenuView", "[", "\[IndentingNewLine]", 
   RowBox[{"Map", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "\[Rule]", 
       RowBox[{"DateListPlot", "[", 
        RowBox[{"CountryData", "[", 
         RowBox[{"#", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", "\"\<GDP\>\"", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1970", ",", "2005"}], "}"}]}], "}"}]}], "]"}], "]"}]}], 
      "&"}], ",", 
     RowBox[{"CountryData", "[", "]"}]}], "\[IndentingNewLine]", "]"}], 
   "\[IndentingNewLine]", "]"}], "//", "Quiet"}]], "Input",
 CellChangeTimes->{{3.8263413949742703`*^9, 3.826341394976267*^9}, {
   3.826342879812256*^9, 3.8263428812366323`*^9}, {3.8263429362068825`*^9, 
   3.826342946856903*^9}, 3.8263432498373313`*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"cf0f4a00-c73a-4a6e-8da6-fd64fe3877d3"],

Cell["\<\
If you make the assumption that the user of the interface will not look at \
the plots for all the countries, you wasted time unnecessarily in downloading \
the full range of data.\
\>", "Text",
 CellChangeTimes->{{3.826343235554096*^9, 3.826343282145671*^9}, {
   3.82634335133039*^9, 3.826343380562324*^9}, {3.8263434110819745`*^9, 
   3.826343498793635*^9}, 3.8301653337308283`*^9, 3.8376455271822815`*^9, 
   3.837645867695529*^9, {3.837878077098773*^9, 
   3.837878078185577*^9}},ExpressionUUID->"cd0186fa-a973-4385-94d7-\
4a917fc9fd8e"],

Cell["\<\
In the following interface, Dynamic and ImageSize->Automatic are used, and it \
loads almost instantly. When a particular country is selected, the data \
corresponding to that is downloaded; however, you do not see a significant \
waiting time during the download:\
\>", "Text",
 CellChangeTimes->{{3.826343235554096*^9, 3.826343282145671*^9}, {
   3.82634335133039*^9, 3.826343380562324*^9}, {3.8263434110819745`*^9, 
   3.826343498793635*^9}, 3.8301653345431356`*^9, {3.8376455364764495`*^9, 
   3.837645552501108*^9}, {3.837878083678371*^9, 
   3.837878119672309*^9}},ExpressionUUID->"331aa733-87f7-4023-885e-\
5356a0d2a217"],

Cell[BoxData[
 RowBox[{"MenuView", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Map", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "\[Rule]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"DateListPlot", "[", 
         RowBox[{"CountryData", "[", 
          RowBox[{"#", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", "\"\<GDP\>\"", "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1970", ",", "2005"}], "}"}]}], "}"}]}], "]"}], "]"}], 
        "]"}]}], "&"}], ",", 
     RowBox[{"CountryData", "[", "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "Automatic"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.8263428502979326`*^9, 3.8263428586214523`*^9}, {
  3.8263429547065015`*^9, 3.8263429713615723`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"462d9a2d-9b15-44d2-b45e-6747d1882b34"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"714fe374-b2c5-406a-94bd-62b65e47d0f3"],

Cell["\<\




Stepped Loading





\
\>", "Chapter",
 CellFrame->{{2, 2}, {2, 8}},
 ShowCellBracket->False,
 CellMargins->{{10, 10}, {10, 10}},
 CellChangeTimes->{
  3.808911010045186*^9, {3.809401297023183*^9, 3.8094012990147753`*^9}, {
   3.8101897440494947`*^9, 3.8101897454268465`*^9}, {3.824359456233278*^9, 
   3.8243594584354753`*^9}, {3.837561669086968*^9, 3.837561669927723*^9}},
 TextAlignment->Center,
 Background->RGBColor[1, 0.9, 0.8],
 CellTags->
  "TOCTag-Chapter2",ExpressionUUID->"b939213e-35d0-4cef-a038-8ce5030c6c8b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"a5b2ab10-4e81-4c27-8477-c85e3dae6ca9"],

Cell[CellGroupData[{

Cell["Loading Interface in Steps", "Section",
 CellChangeTimes->{{3.8161561399587145`*^9, 3.816156149372202*^9}, {
  3.837877129882737*^9, 3.837877134606463*^9}},
 CellTags->
  "TOCTag-Section6",ExpressionUUID->"314d8115-54b9-41cd-b886-3b3a411d6376"],

Cell["\<\
It is possible to reduce the interface loading time by loading only a part of \
the interface with which the user can interact, and completing the loading of \
the rest in the background. Two methods will be discussed.\
\>", "Text",
 CellChangeTimes->{{3.816164245609152*^9, 3.8161643192644596`*^9}, {
  3.8161652986663723`*^9, 3.81616534419448*^9}, {3.824517419021678*^9, 
  3.824517419262023*^9}, {3.837878128033452*^9, 
  3.837878151928405*^9}},ExpressionUUID->"1a97fa9a-9111-43cb-b937-\
6a87aea8d1d0"],

Cell[CellGroupData[{

Cell["Method 1: Using DynamicModule", "Subsection",
 CellChangeTimes->{{3.816165354913376*^9, 3.8161653607280207`*^9}, {
  3.8378771372195272`*^9, 3.837877142054467*^9}},
 CellTags->
  "TOCTag-Subsection5",ExpressionUUID->"b1b658b1-c31d-4dfe-a056-f8ab11f6ac24"],

Cell[TextData[{
 "Create some panes: ",
 Cell[BoxData[
 "pane1"], "Input",ExpressionUUID->"2cd175c7-dbda-47aa-94d6-8ffd543932fe"],
 " and ",
 Cell[BoxData[
 "pane2"], "Input",ExpressionUUID->"1ea013b3-1936-4c80-bc21-f90cfda45264"],
 " are supposed to load immediately, and ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"1fec84f2-bbee-4927-aa36-98ea1b65805e"],
 " and ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"3b3c0a9e-91a4-47e4-bcd4-41074c380a1a"],
 " will be loaded at a later time:"
}], "Text",
 CellChangeTimes->{{3.816164333632885*^9, 3.816164381848798*^9}, {
   3.817008967992417*^9, 3.8170089770531974`*^9}, {3.8245174423683786`*^9, 
   3.8245174451692343`*^9}, 3.826343563028041*^9, {3.837878177539714*^9, 
   3.837878209628957*^9}},ExpressionUUID->"ae98276c-4c49-4b57-b798-\
edcd02d130bd"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "pane", ",", "sel", ",", "selMain", ",", "pane1", ",", "pane2", ",", 
    "pane3", ",", "pane4"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"styling", " ", "of", " ", "the", " ", "panes"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"frameOptions", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Background", "\[Rule]", "LightOrange"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"300", ",", "300"}], "}"}]}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"panes", " ", "1", " ", "and", " ", "2"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pane1", "[", "]"}], ":=", 
   RowBox[{"Framed", "[", 
    RowBox[{
     RowBox[{"stylize2", "[", "1", "]"}], ",", "frameOptions"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pane2", "[", "]"}], ":=", 
   RowBox[{"Framed", "[", 
    RowBox[{
     RowBox[{"stylize2", "[", "2", "]"}], ",", "frameOptions"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.812356023801202*^9, 3.812356167564286*^9}, {
   3.8123562434683275`*^9, 3.8123562482015867`*^9}, 3.8123566331726985`*^9, 
   3.8123566990322237`*^9, {3.812356800836425*^9, 3.812356803976313*^9}, {
   3.812356909857676*^9, 3.812356921542451*^9}, {3.816156461030908*^9, 
   3.8161565088746147`*^9}, 3.816164345757039*^9, {3.816165393187225*^9, 
   3.816165434363534*^9}, {3.8161655833395844`*^9, 3.816165586722093*^9}, {
   3.817008940459999*^9, 3.8170089519243608`*^9}, {3.817008982545519*^9, 
   3.8170090160818853`*^9}, 3.8245174753440557`*^9, {3.826343538130664*^9, 
   3.8263435384506016`*^9}, 3.826368298251415*^9, 3.826368347477114*^9, {
   3.8263688740027037`*^9, 3.8263688743619986`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"f89e40cc-bf00-4a98-bf75-c7f9e52f20fc"],

Cell[TextData[{
 "You need to create proxy contents for ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"06b6beb7-9227-453a-8980-4331ada50d51"],
 " and ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"e9c1aeae-2c13-45aa-a8e3-3b8b4b9c923a"],
 ", which will be displayed until the real contents are loaded:"
}], "Text",
 CellChangeTimes->{{3.8245174813099556`*^9, 3.8245175176900625`*^9}, 
   3.8376455582558155`*^9, {3.8378781687716017`*^9, 
   3.83787817116936*^9}},ExpressionUUID->"ab3db75f-62a7-476d-95c4-\
60b9990f87de"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"panes", " ", "3", " ", "and", " ", "4"}], " ", "-", " ", 
    RowBox[{"proxy", " ", "contents"}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pane3Proxy", "[", "]"}], ":=", "\"\<Loading...\>\""}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pane4Proxy", "[", "]"}], ":=", "\"\<Loading...\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"panes", " ", "3", " ", "and", " ", "4"}], " ", "-", " ", 
     RowBox[{"real", " ", "contents"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pane3Real", "[", "]"}], ":=", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Pause", "[", "4", "]"}], ";", 
       RowBox[{"Framed", "[", 
        RowBox[{
         RowBox[{"stylize2", "[", "3", "]"}], ",", "frameOptions"}], "]"}]}], 
      ")"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"pane4Real", "[", "]"}], ":=", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Pause", "[", "4", "]"}], ";", 
       RowBox[{"Framed", "[", 
        RowBox[{
         RowBox[{"stylize2", "[", "4", "]"}], ",", "frameOptions"}], "]"}]}], 
      ")"}]}], ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.812356023801202*^9, 3.812356167564286*^9}, {
   3.8123562434683275`*^9, 3.8123562482015867`*^9}, 3.8123566331726985`*^9, 
   3.8123566990322237`*^9, {3.812356800836425*^9, 3.812356803976313*^9}, {
   3.812356909857676*^9, 3.812356921542451*^9}, {3.816156461030908*^9, 
   3.8161565088746147`*^9}, 3.816164345757039*^9, {3.816165393187225*^9, 
   3.816165434363534*^9}, {3.8161655833395844`*^9, 3.816165586722093*^9}, {
   3.817008940459999*^9, 3.8170089519243608`*^9}, {3.817008982545519*^9, 
   3.8170090160818853`*^9}, 3.8245174753440557`*^9, 3.826368382716386*^9, {
   3.8263684198880653`*^9, 3.8263684431679645`*^9}, 3.8263684775759373`*^9},
 CellLabel->"In[38]:=",ExpressionUUID->"468b73ad-c668-49aa-8146-96949b644248"],

Cell["Check how the panes look:", "Text",
 CellChangeTimes->{{3.8161654680660477`*^9, 3.816165471977561*^9}, {
  3.824361046718274*^9, 
  3.8243610476622343`*^9}},ExpressionUUID->"18cac8ca-3fac-4604-9f91-\
5a51ea1537b2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"pane1", "[", "]"}], ",", 
   RowBox[{"pane2", "[", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.8161654387387514`*^9, 3.816165483130855*^9}, {
   3.816996365246083*^9, 3.816996366447692*^9}, 3.826368299782796*^9, 
   3.8263683485398207`*^9},
 CellLabel->"In[42]:=",ExpressionUUID->"dd8a3d49-4b85-4e98-874e-5116d7adba29"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pane3Real", "[", "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"pane4Real", "[", "]"}], " ", "looks", " ", "similar"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.8169963909140935`*^9, 3.816996428613325*^9}, {
   3.817009025276312*^9, 3.817009027737769*^9}, {3.8263435753963118`*^9, 
   3.826343576034523*^9}, 3.826368444432845*^9, 
   3.826368478419503*^9},ExpressionUUID->"e35ab37b-ad86-428a-95e2-\
227061dad89d"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"52829e99-31d1-43d5-9f39-c86a22f74ae5"],

Cell[CellGroupData[{

Cell["Loading Interface in Steps (contd.)", "Section",
 CellChangeTimes->{{3.8161561399587145`*^9, 3.816156149372202*^9}, {
  3.8170090512090034`*^9, 3.8170090562096386`*^9}, {3.837877148457141*^9, 
  3.837877152211651*^9}},
 CellTags->
  "TOCTag-Section7",ExpressionUUID->"42993e8d-aaa7-4515-ba6e-b99a07ab2059"],

Cell[TextData[{
 "In the following, ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"86384c55-c2b1-4301-8884-2b4a9cadfe0b"],
 " and ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"8e3234ce-6dbf-4646-bf85-b61a6e819a85"],
 " are set to their proxy versions first. The real contents are loaded \
through the ",
 StyleBox[ButtonBox["Initialization",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Initialization"],
  FontWeight->"Bold"],
 " with ",
 StyleBox[ButtonBox["SynchronousInitialization",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SynchronousInitialization"],
  FontWeight->"Bold"],
 "->False."
}], "Text",
 CellChangeTimes->{{3.8161656237058277`*^9, 3.8161657276179376`*^9}, {
  3.817009081002375*^9, 3.8170090890409317`*^9}, {3.8245175342633657`*^9, 
  3.8245175342633657`*^9}, {3.826343631210452*^9, 3.826343637391635*^9}, {
  3.8376455694693713`*^9, 3.837645572105567*^9}, {3.83787821885308*^9, 
  3.837878257460082*^9}},ExpressionUUID->"876de233-0727-4029-9d27-\
d4755b243d75"],

Cell[TextData[{
 "After evaluating the cell, quickly go to the other panes using the buttons. \
The real ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"22356c99-df79-45a5-9a76-71e5299b99b2"],
 " will be loaded after four seconds, whereas the real ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"a46b95ac-bb4f-4082-b226-888327e28187"],
 " will be loaded after eight seconds."
}], "Text",
 CellChangeTimes->{{3.816165748354895*^9, 3.8161657957945447`*^9}, {
   3.8170090944324827`*^9, 3.8170090946828146`*^9}, {3.8243610684626565`*^9, 
   3.824361068773986*^9}, {3.8263436417223253`*^9, 3.826343643018282*^9}, {
   3.82641049375712*^9, 3.826410537037232*^9}, 3.8290294501254525`*^9, 
   3.830165346274745*^9, {3.837878262537408*^9, 
   3.837878289892123*^9}},ExpressionUUID->"30ed077a-6292-4deb-92d8-\
5dfbd562a9b7"],

Cell[TextData[{
 "The highlighted cell bracket on the right indicates that a queued \
evaluation is being used for loading ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"17f37dd8-a9f3-4a43-b468-c54e7d8b45f6"],
 " or ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"700501b2-fb0b-454e-a24c-7010f4d5ddc1"],
 ":"
}], "Text",
 CellChangeTimes->{{3.816165748354895*^9, 3.8161657957945447`*^9}, {
   3.8170090944324827`*^9, 3.8170090946828146`*^9}, {3.8243610684626565`*^9, 
   3.824361068773986*^9}, {3.8263436417223253`*^9, 3.826343643018282*^9}, {
   3.82641049375712*^9, 3.826410537037232*^9}, 3.8290294501254525`*^9, {
   3.8301653470401917`*^9, 3.83016535036803*^9}, {3.83733858928096*^9, 
   3.8373385988069744`*^9}, {3.8378782960063477`*^9, 
   3.837878307837304*^9}},ExpressionUUID->"12b2f350-baa7-41d4-b50d-\
220bdff7e434"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pane3", ",", "pane4", ",", 
     RowBox[{"sel", "=", "1"}]}], "}"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pane3", "=", 
     RowBox[{"pane3Proxy", "[", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pane4", "=", 
     RowBox[{"pane4Proxy", "[", "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"SetterBar", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "sel", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "\[Rule]", "\"\<Pane 1\>\""}], ",", 
            RowBox[{"2", "\[Rule]", "\"\<Pane 2\>\""}], ",", 
            RowBox[{"3", "\[Rule]", "\"\<Pane 3\>\""}], ",", 
            RowBox[{"4", "\[Rule]", "\"\<Pane 4\>\""}]}], "}"}]}], "]"}], ",",
         "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"1", "\[Rule]", 
             RowBox[{"pane1", "[", "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"2", "\[Rule]", 
             RowBox[{"pane2", "[", "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"3", "\[Rule]", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"callKernel", ";", "pane3"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"4", "\[Rule]", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"callKernel", ";", "pane4"}], "]"}]}]}], 
           "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "sel", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"pane3", "=", 
       RowBox[{"pane3Real", "[", "]"}]}], ";", 
      RowBox[{"pane4", "=", 
       RowBox[{"pane4Real", "[", "]"}]}]}], ")"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.816164946993786*^9, 3.816164993051448*^9}, {
   3.816165124105258*^9, 3.816165138141348*^9}, {3.8161655228740263`*^9, 
   3.8161655515816927`*^9}, {3.816165600745903*^9, 3.8161656030724096`*^9}, 
   3.8161656539370656`*^9, {3.8169963447506876`*^9, 3.8169963465878763`*^9}, {
   3.8169964687865744`*^9, 3.816996471727358*^9}, {3.817017161070323*^9, 
   3.8170171659762807`*^9}, 3.826368301047838*^9, 3.8263683494926653`*^9, 
   3.826368389965215*^9, {3.8263684227773504`*^9, 3.826368445558178*^9}, 
   3.826368479872284*^9},
 CellLabel->"In[44]:=",ExpressionUUID->"c0a58950-8e86-4627-b1e6-2f96818230e2"],

Cell[TextData[{
 "The SynchronousInitialization->False allows the ",
 StyleBox[ButtonBox["DynamicModule",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/DynamicModule"],
  FontWeight->"Bold"],
 " to display the contents even when the initialization is not entirely \
complete. Thus you start with the proxy versions of ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"d9b6e17d-1a0e-45f0-a59e-8703a9ed11fa"],
 " and ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"032e0ece-d140-477c-ace7-62aedd11798d"],
 " that load immediately, and the long computations are carried out in the \
Initialization."
}], "Text",
 CellChangeTimes->{{3.826343695824421*^9, 3.826343810811217*^9}, {
   3.826410690717575*^9, 3.8264107682008524`*^9}, 3.830165358131325*^9, 
   3.8376455826821203`*^9, {3.837878315880148*^9, 3.837878344660078*^9}, 
   3.838111511781542*^9},ExpressionUUID->"0eb511cd-1ed9-4b6b-bc37-\
5ebe987ab7e6"],

Cell[TextData[{
 "For a review of synchronous vs. asynchronous evaluations, please consult ",
 ButtonBox["Session 4: Dynamic Fundamentals II",
  BaseStyle->"Hyperlink",
  ButtonData->{"Session 4 - Dynamic fundamentals II.nb", None}],
 "."
}], "Text",
 CellChangeTimes->{{3.826343695824421*^9, 3.826343810811217*^9}, {
   3.826410690717575*^9, 3.8264107682008524`*^9}, 3.8301653588811493`*^9, {
   3.8381115289411707`*^9, 3.838111573348283*^9}, {3.8383564817183037`*^9, 
   3.838356485243041*^9}},ExpressionUUID->"d93f176b-ae84-4c00-a349-\
5fc205b29972"],

Cell["\<\
1
Setting SynchronousInitialization\[Rule]False ensures that the Main Link is \
being used for the initialization.
True
Correct
False
Incorrect\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.8383561817202673`*^9, 3.838356200772168*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"13ea98d2-57df-491f-be64-876aec8b09d6"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = False, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{
          StyleBox[
          "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
           StripOnInput -> False], 
          TemplateBox[{12}, "Spacer1"], 
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{
           StyleBox[
           "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
            StripOnInput -> False], 
           TemplateBox[{12}, "Spacer1"], 
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Setting SynchronousInitialization\[Rule]False ensures that \
the Main Link is being used for the initialization.", {{"True", "Correct"}, {
                  "False", "Incorrect"}}, 1}}]]), Method -> "Preemptive", 
          PassEventsDown -> Automatic, PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "True", 1 -> Column[{
                  Style[
                   TextCell["True", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 2 -> "True"}, {
              0 -> "False", 1 -> "False", 2 -> Column[{
                  Style[
                   TextCell["False", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Incorrect", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"Setting SynchronousInitialization\[Rule]False ensures \
that the Main Link is being used for the initialization.\"\>"},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}], 
                   TemplateBox[{10}, "Spacer1"], 
                   PaneSelectorBox[{0 -> "\"True\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["True", TextAlignment -> Left], 
                    TextCell["True", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"True\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}], 
                   TemplateBox[{10}, "Spacer1"], 
                   
                   PaneSelectorBox[{
                    0 -> "\"False\"", 1 -> "\"False\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["False", TextAlignment -> Left], 
                    TextCell["False", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Incorrect", TextAlignment -> Left], 
                    TextCell["Incorrect", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 Deployed->True,
 CellTags->"answer",ExpressionUUID->"57dfebb9-ec6a-4b44-b193-2b15983f685e"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"10aab35b-7f7e-4ba9-a6b9-ce12290c163b"],

Cell[CellGroupData[{

Cell["Loading Interface in Steps (Optional)", "Section",
 CellChangeTimes->{{3.8161561399587145`*^9, 3.816156149372202*^9}, {
  3.816165837455748*^9, 3.8161658396579647`*^9}, {3.8161658718670373`*^9, 
  3.8161658863789396`*^9}, {3.819630528898701*^9, 3.8196305298262634`*^9}, {
  3.837878370396799*^9, 3.837878374013773*^9}},
 CellTags->
  "TOCTag-Section8",ExpressionUUID->"d9850623-48e9-4bd6-adee-544410307180"],

Cell[CellGroupData[{

Cell["Method 2: Using Button", "Subsection",
 CellChangeTimes->{{3.816165354913376*^9, 3.8161653607280207`*^9}, {
  3.8161666877222614`*^9, 3.816166691778013*^9}, {3.816166873268238*^9, 
  3.8161668737695017`*^9}, {3.837877175483259*^9, 3.8378771799113607`*^9}},
 CellTags->
  "TOCTag-Subsection6",ExpressionUUID->"42de47ba-dc10-4888-a8ec-cea6b6caec98"],

Cell["\<\
Instead of using asynchronous initialization, you can use other asynchronous \
methods, e.g. queued buttons, for stepped loading of an interface.\
\>", "Text",
 CellChangeTimes->{{3.8161668845867*^9, 3.816166932890972*^9}, 
   3.8376455865361524`*^9, 
   3.837878473527755*^9},ExpressionUUID->"55b338dd-440b-4c49-8b62-\
c7bc35916b59"],

Cell[TextData[{
 "In the following example, the pane selector with the proxy versions of ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"9ef8ee1f-4346-41de-9f08-cd49e292e073"],
 " and ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"bb7fdff1-0a4a-44df-ab8c-d62e3dd3bd55"],
 " is created. Note that ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"ed7ce9dc-e874-48ce-8745-be77ffbe7563"],
 " and ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"a6f44703-1e4f-40c6-a2bb-35ff29a4be12"],
 " are wrapped with Dynamic\[LongDash]those variables will be reset to ",
 Cell[BoxData[
 "pane3Real"], "Input",ExpressionUUID->"26f5d113-9b43-4e0a-b712-050d17090fd6"],
 " and ",
 Cell[BoxData[
 "pane4Real"], "Input",ExpressionUUID->"abd88706-f7df-4e1f-a793-f86361fbaa26"],
 ":"
}], "Text",
 CellChangeTimes->{{3.816164492226719*^9, 3.8161645083625402`*^9}, {
  3.816164722440114*^9, 3.8161647518902855`*^9}, {3.8243610945261974`*^9, 
  3.8243610994989047`*^9}, {3.837645600188839*^9, 3.8376456365500216`*^9}, {
  3.8378784785627203`*^9, 3.837878522141507*^9}, {3.8381116123981247`*^9, 
  3.838111612477003*^9}},ExpressionUUID->"950f8136-5d17-48dd-9272-\
9b3792117476"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pane3", "=", 
   RowBox[{"pane3Proxy", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pane4", "=", 
    RowBox[{"pane4Proxy", "[", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"innerAllPanes", ":=", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"SetterBar", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "sel", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "\[Rule]", "\"\<Pane 1\>\""}], ",", 
           RowBox[{"2", "\[Rule]", "\"\<Pane 2\>\""}], ",", 
           RowBox[{"3", "\[Rule]", "\"\<Pane 3\>\""}], ",", 
           RowBox[{"4", "\[Rule]", "\"\<Pane 4\>\""}]}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"1", "\[Rule]", 
            RowBox[{"pane1", "[", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"2", "\[Rule]", 
            RowBox[{"pane2", "[", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"3", "\[Rule]", 
            StyleBox[
             RowBox[{"Dynamic", "[", "pane3", "]"}],
             Background->RGBColor[1, 0.9, 0.8]]}], ",", "\[IndentingNewLine]", 
           RowBox[{"4", "\[Rule]", 
            StyleBox[
             RowBox[{"Dynamic", "[", "pane4", "]"}],
             Background->RGBColor[1, 0.9, 0.8]]}]}], "\[IndentingNewLine]", 
          "}"}], ",", 
         RowBox[{"Dynamic", "[", "sel", "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8123561852163935`*^9, 3.8123562354077187`*^9}, {
   3.8123562692122936`*^9, 3.8123562696809125`*^9}, {3.8123563123583827`*^9, 
   3.8123563643296394`*^9}, {3.8123565034063435`*^9, 
   3.8123565446934967`*^9}, {3.8123566765375104`*^9, 
   3.8123566871912546`*^9}, {3.8161565980567207`*^9, 3.81615663953533*^9}, {
   3.816156670744569*^9, 3.816156707115079*^9}, {3.816164475905648*^9, 
   3.8161644837223883`*^9}, {3.816164640074691*^9, 3.8161646416025944`*^9}, {
   3.8161648002841063`*^9, 3.8161648016908054`*^9}, {3.8166751027046137`*^9, 
   3.816675104897412*^9}, {3.816996601038458*^9, 3.8169966039683256`*^9}, {
   3.8169967412248907`*^9, 3.8169967539770527`*^9}, {3.817009170258855*^9, 
   3.817009170836276*^9}, {3.8170168621475964`*^9, 3.817016865962778*^9}, 
   3.8170171011125703`*^9, 3.826368302547312*^9, 3.8263683504609704`*^9, 
   3.8263683916517625`*^9, 3.8263684235591035`*^9},
 CellLabel->"In[45]:=",ExpressionUUID->"4c21a691-5128-41d7-9f7b-88065e7b6c16"],

Cell[BoxData["innerAllPanes"], "Input",
 CellChangeTimes->{{3.8123561852163935`*^9, 3.8123562354077187`*^9}, {
   3.8123562692122936`*^9, 3.8123562696809125`*^9}, {3.8123563123583827`*^9, 
   3.8123563643296394`*^9}, {3.8123565034063435`*^9, 
   3.8123565446934967`*^9}, {3.8123566765375104`*^9, 
   3.8123566871912546`*^9}, {3.8161565980567207`*^9, 3.81615663953533*^9}, {
   3.816156670744569*^9, 3.816156707115079*^9}, {3.816164475905648*^9, 
   3.8161644837223883`*^9}, {3.816164640074691*^9, 3.8161646416025944`*^9}, {
   3.8161648002841063`*^9, 3.8161648016908054`*^9}, {3.8166751027046137`*^9, 
   3.816675104897412*^9}, {3.816996601038458*^9, 3.8169966039683256`*^9}, {
   3.8169967412248907`*^9, 3.8169967539770527`*^9}, {3.817009170258855*^9, 
   3.817009170836276*^9}, {3.8170168621475964`*^9, 3.817016865962778*^9}, 
   3.8170171011125703`*^9},
 CellLabel->"In[48]:=",ExpressionUUID->"6860674d-e931-47d3-8f53-4d183de3aa77"],

Cell[TextData[{
 "The main pane selector contains a button that allows you to enter the ",
 Cell[BoxData[
 "innerAllPanes"], "Input",ExpressionUUID->
  "36bc4464-e5bc-4004-9cda-2b9a90ad9f48"],
 ". When the button is clicked, the outer ",
 StyleBox[ButtonBox["PaneSelector",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/PaneSelector"],
  FontWeight->"Bold"],
 " switches the current pane to ",
 Cell[BoxData[
 "innerAllPanes"], "Input",ExpressionUUID->
  "fa9c1c5f-7d3a-4879-8465-ce7976f109f2"],
 ", and ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"4add0a12-8155-48cf-83ba-8b29dacac180"],
 " and ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"06a490e1-68a1-4e65-9c32-e485ffedbd52"],
 " are assigned ",
 Cell[BoxData[
 "pane3Real"], "Input",ExpressionUUID->"601e9dbd-aec6-4654-b982-c50652a4ea66"],
 " and ",
 Cell[BoxData[
 "pane4Real"], "Input",ExpressionUUID->"b265224e-ea6c-4d80-a1f2-9c4d86be5f8d"],
 ", which are computed in the background:"
}], "Text",
 CellChangeTimes->{{3.8161646734554834`*^9, 3.81616471751956*^9}, {
  3.8161647675603294`*^9, 3.8161648562978516`*^9}, {3.8263438591711073`*^9, 
  3.8263438772653136`*^9}, {3.8263439407373896`*^9, 3.826343942866185*^9}, {
  3.837645882536846*^9, 3.837645888411322*^9}, {3.837878527784053*^9, 
  3.837878593667389*^9}},ExpressionUUID->"c4d21a88-4a80-4195-abdd-\
1342ae18b9c8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"selMain", "=", "\"\<button\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sel", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\"\<button\>\"", "\[Rule]", "\[IndentingNewLine]", 
      RowBox[{"Framed", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Button", "[", 
         RowBox[{"\"\<Click to enter\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"selMain", "=", "\"\<dynamic\>\""}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"sel", "=", "1"}], ";", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"pane3", "=", 
             RowBox[{"pane3Real", "[", "]"}]}],
            Background->RGBColor[1, 0.9, 0.8]], 
           StyleBox[";",
            Background->RGBColor[1, 0.9, 0.8]], 
           StyleBox[
            RowBox[{"pane4", "=", 
             RowBox[{"pane4Real", "[", "]"}]}],
            Background->RGBColor[1, 0.9, 0.8]]}], ",", "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}],
           Background->RGBColor[1, 0.9, 0.8]], ",", "\[IndentingNewLine]", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"200", ",", "50"}], "}"}]}]}], "\[IndentingNewLine]", 
         "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Alignment", "\[Rule]", "Center"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"300", ",", "300"}], "}"}]}]}], "\[IndentingNewLine]", 
       "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"\"\<dynamic\>\"", "\[Rule]", "innerAllPanes"}]}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", "selMain", "]"}]}], "\[IndentingNewLine]", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.81235658860505*^9, 3.812356589948485*^9}, {
   3.8123567486299467`*^9, 3.8123567773107033`*^9}, {3.8123568436388674`*^9, 
   3.8123568438419514`*^9}, {3.8161648584560337`*^9, 
   3.8161648898918524`*^9}, {3.816996638112933*^9, 3.8169966649366446`*^9}, {
   3.8170092042669635`*^9, 3.8170092948508244`*^9}, 3.8263684498693776`*^9, 
   3.8263684838244543`*^9},
 CellLabel->"In[49]:=",ExpressionUUID->"42de42b4-32eb-47cb-a486-53931453c17b"],

Cell[TextData[{
 "Note that the ",
 StyleBox[ButtonBox["Method",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Method"],
  FontWeight->"Bold"],
 " for the ",
 StyleBox[ButtonBox["Button",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Button"],
  FontWeight->"Bold"],
 " must be Queued, similar to SynchronousInitialization->False in the \
previous example."
}], "Text",
 CellChangeTimes->{{3.826343982753767*^9, 3.826344013621634*^9}, {
  3.826344127442611*^9, 3.8263441451061287`*^9}, {3.8264106602625027`*^9, 
  3.8264106618494797`*^9}, {3.837878599937498*^9, 3.837878602674398*^9}, {
  3.838111670407979*^9, 
  3.838111673734569*^9}},ExpressionUUID->"9b813360-2f52-4391-a3fc-\
4fbd72606ff1"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"c352af99-14ec-4332-a7d2-51892b2da17c"],

Cell[CellGroupData[{

Cell["Interactivity: Preemptive Evaluations", "Section",
 CellChangeTimes->{{3.8161561399587145`*^9, 3.816156149372202*^9}, {
   3.816165837455748*^9, 3.8161658396579647`*^9}, {3.8161658718670373`*^9, 
   3.8161658863789396`*^9}, {3.8163467274365234`*^9, 3.816346731972206*^9}, {
   3.8263442813380527`*^9, 3.8263443100580535`*^9}, 3.8290294274086623`*^9, {
   3.837256971797826*^9, 3.837256972931472*^9}, {3.837877250344516*^9, 
   3.837877251359181*^9}},
 CellTags->
  "TOCTag-Section9",ExpressionUUID->"cb59f656-8919-4a75-8b5c-5e6dbc6bdbab"],

Cell["\<\
While a part of the interface is being loaded, any interactivity that uses \
preemptive evaluations will work fine. \
\>", "Text",
 CellChangeTimes->{{3.8161659323869596`*^9, 3.8161659837545033`*^9}, {
  3.816346745932855*^9, 3.8163467535324516`*^9}, {3.816346792532485*^9, 
  3.816346804195902*^9}, {3.8264107938067493`*^9, 3.8264107945103254`*^9}, {
  3.829029476074704*^9, 3.8290294969614077`*^9}, {3.829029569213434*^9, 
  3.829029593028365*^9}, {3.8290297415152884`*^9, 
  3.829029774337291*^9}},ExpressionUUID->"13eb1ef9-4cb1-4cb1-99ac-\
237377120973"],

Cell[TextData[{
 "The Wolfram Language supports two types of evaluations: ",
 StyleBox["queued evaluation",
  FontWeight->"Bold"],
 " (synonym: asynchronous evaluation) and ",
 StyleBox["preemptive evaluation",
  FontWeight->"Bold"],
 " (synonym: synchronous evaluation). \n",
 StyleBox[" ",
  FontSize->10],
 "\nQueued evaluation is typically used for regular evaluations, whereas \
preemptive evaluation is typically used for high-priority information \
transfer in a short duration of time.\n",
 StyleBox[" ",
  FontSize->10],
 "\nFor a thorough discussion on queued and preemptive evaluations, please \
refer to ",
 ButtonBox["Session 4: Dynamic Fundamentals II",
  BaseStyle->"Hyperlink",
  ButtonData->{"Session 4 - Dynamic fundamentals II.nb", None}],
 "."
}], "Text",
 CellFrame->True,
 CellFrameColor->RGBColor[0.8, 0.8, 1.],
 CellFrameLabels->{{None, None}, {None, 
    TagBox[
     GridBox[{{
        FrameBox[
        "\"Recap\"", 
         BaseStyle -> {
          "Text", FontColor -> 
           RGBColor[
            0.09999999999999998, 0.09999999999999998, 0.09999999999999998], 
           ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.1], Automatic}, Background -> 
             RGBColor[0.7, 0.7, 1.]}}, Alignment -> {Center, Center}, 
         StripOnInput -> False], 
        FrameBox[
        "\"\"", BaseStyle -> {
          "Text", FontColor -> GrayLevel[0], ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.915], Automatic}, Background -> GrayLevel[1]}}, 
         StripOnInput -> False]}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"]}},
 CellFrameLabelMargins->{{0, 0}, {0, 0}},
 CellChangeTimes->{{3.8372573609373245`*^9, 3.837257396170321*^9}, {
  3.8373380833668933`*^9, 3.8373381130896525`*^9}, {3.837878648945348*^9, 
  3.8378786708843613`*^9}, {3.838111699246232*^9, 3.838111699758671*^9}},
 LineSpacing->{1, 0},
 ParagraphSpacing->0,
 Background->GrayLevel[
  1],ExpressionUUID->"2eb8167a-1086-40ee-bdc7-792313483d74"],

Cell["Use sliders in the first two panes:", "Text",
 CellChangeTimes->{{3.8161659948899174`*^9, 3.8161660003869767`*^9}, {
  3.826410804207835*^9, 
  3.826410807462734*^9}},ExpressionUUID->"4e8339a6-0d78-4d5b-b2d6-\
18eec8a7390a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{
   "paneCore", ",", "pane1", ",", "pane2", ",", "pane3Proxy", ",", " ", 
    "pane4Proxy", ",", "pane3Real", ",", "pane4Real"}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Utility", " ", "function", " ", "for", " ", "making", " ", "the", " ", 
    "panes"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"paneCore", "[", "s_String", "]"}], ":=", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", "x", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Framed", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Column", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Row", "[", 
             RowBox[{"{", 
              RowBox[{"s", ",", 
               RowBox[{"Spacer", "[", "10", "]"}], ",", 
               RowBox[{"Slider", "[", 
                RowBox[{"Dynamic", "[", "x", "]"}], "]"}]}], "}"}], "]"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Dynamic", "[", "x", "]"}]}], "\[IndentingNewLine]", 
           "}"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", ",", "frameOptions"}], "]"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Panes", " ", "1", " ", "and", " ", "2"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pane1", "[", "]"}], ":=", 
   RowBox[{"paneCore", "[", "\"\<x1\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"pane2", "[", "]"}], ":=", 
    RowBox[{"paneCore", "[", "\"\<x2\>\"", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Panes", " ", "3", " ", "and", " ", "4"}], " ", "-", " ", 
    RowBox[{"proxy", " ", "contents"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pane3Proxy", "[", "]"}], ":=", "\"\<Loading...\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"pane4Proxy", "[", "]"}], ":=", "\"\<Loading...\>\""}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Panes", " ", "3", " ", "and", " ", "4"}], " ", "-", " ", 
    RowBox[{"real", " ", "contents"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pane3Real", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "5", "]"}], ";", 
     RowBox[{"paneCore", "[", "\"\<x3\>\"", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pane4Real", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "5", "]"}], ";", 
     RowBox[{"paneCore", "[", "\"\<x4\>\"", "]"}]}], ")"}]}], 
  ";"}], "\n"}], "Input",
 CellChangeTimes->{{3.8161662827877207`*^9, 3.816166302045945*^9}, {
   3.8161665169873996`*^9, 3.8161665485002623`*^9}, 3.8166715980888677`*^9, {
   3.8170093322060213`*^9, 3.817009337794053*^9}, {3.8170160590874104`*^9, 
   3.8170160953275385`*^9}, {3.8170161330494785`*^9, 
   3.8170161633485765`*^9}, {3.817016879455736*^9, 3.8170169201699677`*^9}, {
   3.817016986410042*^9, 3.8170169887916703`*^9}, 3.82636830792163*^9, 
   3.826368354788339*^9, 3.8263683980102477`*^9, {3.826368428401685*^9, 
   3.8263684551653175`*^9}, 3.8263684885111227`*^9},
 CellLabel->"In[52]:=",ExpressionUUID->"4a7af360-a3d2-4f49-b3b2-a211ac3adece"],

Cell[TextData[{
 "Interaction is possible in ",
 Cell[BoxData[
 "pane1"], "Input",ExpressionUUID->"cc29cc9d-28f0-4f4c-91d1-04517e8635b7"],
 " and ",
 Cell[BoxData[
 "pane2"], "Input",ExpressionUUID->"e59b6e9b-9cff-4dfe-a203-98ff6f93980a"],
 " while ",
 Cell[BoxData[
 "pane3"], "Input",ExpressionUUID->"17545f9a-c3c6-49f0-8c0d-dab2bd863069"],
 " and ",
 Cell[BoxData[
 "pane4"], "Input",ExpressionUUID->"bbda5700-0b17-4c79-8455-19b019c3c47a"],
 " are loading; check by moving the sliders:"
}], "Text",
 CellChangeTimes->{{3.816166608447953*^9, 3.8161666228739233`*^9}, {
   3.8263442338162813`*^9, 3.8263442585700793`*^9}, 3.8264108192151194`*^9, {
   3.837878679274128*^9, 3.837878689562591*^9}, 
   3.8394313059792223`*^9},ExpressionUUID->"7c602021-aa7c-4c01-aec8-\
64934042581e"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pane3", ",", "pane4", ",", 
     RowBox[{"sel", "=", "1"}]}], "}"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pane3", "=", 
     RowBox[{"pane3Proxy", "[", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pane4", "=", 
     RowBox[{"pane4Proxy", "[", "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"SetterBar", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "sel", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "\[Rule]", "\"\<Pane 1\>\""}], ",", 
            RowBox[{"2", "\[Rule]", "\"\<Pane 2\>\""}], ",", 
            RowBox[{"3", "\[Rule]", "\"\<Pane 3\>\""}], ",", 
            RowBox[{"4", "\[Rule]", "\"\<Pane 4\>\""}]}], "}"}]}], "]"}], ",",
         "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"1", "\[Rule]", 
             RowBox[{"pane1", "[", "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"2", "\[Rule]", 
             RowBox[{"pane2", "[", "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"3", "\[Rule]", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"callKernel", ";", "pane3"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"4", "\[Rule]", 
             RowBox[{"Dynamic", "[", 
              RowBox[{"callKernel", ";", "pane4"}], "]"}]}]}], 
           "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "sel", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"pane3", "=", 
       RowBox[{"pane3Real", "[", "]"}]}], ";", 
      RowBox[{"pane4", "=", 
       RowBox[{"pane4Real", "[", "]"}]}]}], ")"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.816164946993786*^9, 3.816164993051448*^9}, {
   3.816165124105258*^9, 3.816165138141348*^9}, {3.8161655228740263`*^9, 
   3.8161655515816927`*^9}, {3.816165600745903*^9, 3.8161656030724096`*^9}, 
   3.8161656539370656`*^9, {3.816166460857662*^9, 3.816166482313542*^9}, {
   3.8169968824436593`*^9, 3.816996903632488*^9}, {3.8170169346799335`*^9, 
   3.817016951677865*^9}, {3.8170172039909396`*^9, 3.81701720822961*^9}, {
   3.826368311717625*^9, 3.8263683252922*^9}, 3.8263683583806515`*^9, {
   3.8263684008683643`*^9, 3.8263684563681355`*^9}, 3.8263684896983423`*^9},
 CellLabel->"In[60]:=",ExpressionUUID->"bba42541-ae3a-4503-b92f-bf1e50563c9a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"b607490c-8af1-4e44-b012-f7d19e16dd29"],

Cell[CellGroupData[{

Cell["Interactivity: Queued Evaluations", "Section",
 CellChangeTimes->{{3.8161561399587145`*^9, 3.816156149372202*^9}, {
   3.816165837455748*^9, 3.8161658396579647`*^9}, {3.8161658718670373`*^9, 
   3.8161658863789396`*^9}, {3.8163467274365234`*^9, 3.816346731972206*^9}, {
   3.8165968858754373`*^9, 3.816596896294953*^9}, {3.8263443146910515`*^9, 
   3.8263443174500856`*^9}, 3.8290294512431827`*^9, {3.8372577569177237`*^9, 
   3.837257759545801*^9}, {3.8378772581764193`*^9, 3.8378772588441143`*^9}},
 CellTags->
  "TOCTag-Section10",ExpressionUUID->"47a21fe8-9c22-4930-a350-4b7bdd6a4f63"],

Cell["\<\
While a part of the interface is being loaded, an interactivity that uses \
queued evaluations will not work. This is because a queued evaluation is also \
used for loading the interface, and it remains blocked until the loading is \
complete. \
\>", "Text",
 CellChangeTimes->{{3.8161659323869596`*^9, 3.8161659837545033`*^9}, {
  3.816346745932855*^9, 3.8163467535324516`*^9}, {3.816346792532485*^9, 
  3.816346804195902*^9}, {3.8263443605220337`*^9, 3.826344383954265*^9}, {
  3.8263444340249667`*^9, 3.8263445009550076`*^9}, {3.8290294523219895`*^9, 
  3.8290294528796043`*^9}, {3.8372577653239484`*^9, 3.837257770183114*^9}, {
  3.837338158711765*^9, 
  3.8373381658305635`*^9}},ExpressionUUID->"03740712-ed6a-4e78-b454-\
85941bc4cd29"],

Cell["\<\
Evaluate the following two cells. While the Pause computation is in progress, \
try to click the button\[LongDash]it should not work:\
\>", "Text",
 CellChangeTimes->{{3.8263445446419845`*^9, 3.8263445782980204`*^9}, {
  3.82641086350233*^9, 3.8264108649266043`*^9}, {3.8381095050866413`*^9, 
  3.838109523774466*^9}},ExpressionUUID->"a84d72d8-b49a-4f01-930b-\
de350ddcd09a"],

Cell[BoxData[
 RowBox[{"Button", "[", 
  RowBox[{"\"\<Click to print\>\"", ",", 
   RowBox[{"Print", "[", "\"\<Hi\>\"", "]"}], ",", 
   RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8165962892368217`*^9, 3.8165963130753455`*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"b3b93c11-4c64-488f-a5a9-d45be2f3bf7a"],

Cell[BoxData[
 RowBox[{"Pause", "[", "20", "]"}]], "Input",
 CellChangeTimes->{{3.816596319323879*^9, 3.8165963229638243`*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"73f56b83-ec55-4d2a-8a93-2ee0bf0f143e"],

Cell[TextData[{
 "If your purpose for using the queued evaluation is to do a time-consuming \
computation, you can still use a preemptive evaluation with a larger ",
 StyleBox[ButtonBox["DynamicEvaluationTimeout",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/DynamicEvaluationTimeout"],
  FontWeight->"Bold"],
 ": "
}], "Text",
 CellChangeTimes->{{3.81659634706736*^9, 3.8165964001012793`*^9}, {
   3.824361158109688*^9, 3.824361164407495*^9}, {3.826410942854251*^9, 
   3.826410948398967*^9}, {3.829029430634663*^9, 3.8290294535869074`*^9}, {
   3.837338181695582*^9, 3.8373381943917694`*^9}, 3.8376456441549225`*^9, 
   3.8376459064121327`*^9, {3.838109535742244*^9, 
   3.838109561663597*^9}},ExpressionUUID->"89c1de33-b485-4c02-b278-\
a69c384d996e"],

Cell["\<\
Evaluate the following two cells. While the Pause computation is in progress, \
try to click the button\[LongDash]it should work (prints after eight seconds):\
\>", "Text",
 CellChangeTimes->{{3.8263445446419845`*^9, 3.8263445782980204`*^9}, {
  3.826344615289049*^9, 3.8263446158495293`*^9}, {3.8264109585268764`*^9, 
  3.8264109608862524`*^9}, {3.8264109929898796`*^9, 3.8264109985325255`*^9}, {
  3.838109565814973*^9, 
  3.838109585092753*^9}},ExpressionUUID->"d009454a-c285-4c54-af13-\
bcc160837116"],

Cell[BoxData[
 RowBox[{"Style", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Button", "[", 
    RowBox[{"\"\<Click to print\>\"", ",", 
     RowBox[{
      RowBox[{"Pause", "[", "8", "]"}], ";", 
      RowBox[{"Print", "[", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Hi\>\"", ",", "30"}], "]"}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"DynamicEvaluationTimeout", "\[Rule]", "20"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.8165964108336277`*^9, 3.8165964956730766`*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"b7ac8153-8e40-459e-98e3-4043bcd79b8f"],

Cell[BoxData[
 RowBox[{"Pause", "[", "20", "]"}]], "Input",
 CellChangeTimes->{{3.8165964279697413`*^9, 3.816596430078614*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"13b5c031-db2e-426f-bdee-ef96a6f01874"],

Cell["\<\
However, ramping of the DynamicEvaluationTimeout should be done cautiously, \
as it may have undesirable consequences. During an ongoing preemptive \
evaluation:\
\>", "Text",
 CellChangeTimes->{{3.816596505280201*^9, 3.816596581028115*^9}, {
   3.8165966402964487`*^9, 3.8165966448577285`*^9}, {3.8243611725658245`*^9, 
   3.8243611728291416`*^9}, {3.8263446268416967`*^9, 3.826344637362953*^9}, {
   3.826344677810993*^9, 3.82634469894549*^9}, 3.8290294317656374`*^9, {
   3.837338231312476*^9, 3.837338237720488*^9}, 
   3.838109589782248*^9},ExpressionUUID->"2ce83093-4cd8-4f0e-8cc5-\
f6c7d412c400"],

Cell[CellGroupData[{

Cell["\<\
The front end will remain locked up (it will have a frozen appearance).\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8165965886667757`*^9, 3.8165965924626303`*^9}, {
   3.8263446419219527`*^9, 3.826344650848936*^9}, {3.8263447028090725`*^9, 
   3.826344722697925*^9}, {3.838109595389283*^9, 3.8381096000223837`*^9}, 
   3.838111736206236*^9},ExpressionUUID->"fcd510a6-c882-4270-a8fa-\
983e54270347"],

Cell["An ongoing queued evaluation will be paused.", "ItemNumbered",
 CellChangeTimes->{{3.8165965886667757`*^9, 3.8165966190826845`*^9}, 
   3.829029454188431*^9, {3.8373382540352554`*^9, 3.837338271286152*^9}, 
   3.838109601294065*^9},ExpressionUUID->"950c9b15-cd30-481e-8156-\
035bf6ff3d8b"]
}, Open  ]],

Cell[TextData[{
 "Additionally, certain functions are not even supported with preemptive \
evaluation, and queued evaluation is absolutely necessary in such cases. ",
 StyleBox[ButtonBox["SystemDialogInput",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SystemDialogInput"],
  FontWeight->"Bold"],
 " is one such function:"
}], "Text",
 CellChangeTimes->{{3.816596660306896*^9, 3.816596724511037*^9}, {
   3.8263447296906834`*^9, 3.826344821673394*^9}, 3.8290294325074368`*^9, {
   3.837338280880458*^9, 3.837338297947199*^9}, {3.8381096063020067`*^9, 
   3.838109617451872*^9}},ExpressionUUID->"2ab84407-82fd-496f-b8af-\
d7971fdfe04c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Button", "[", 
   RowBox[{"\"\<Open\>\"", ",", 
    RowBox[{"file", "=", 
     RowBox[{"SystemDialogInput", "[", "\"\<FileOpen\>\"", "]"}]}]}], "]"}], 
  " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "clicking", " ", "on", " ", "the", " ", "button", " ", "results", " ", 
    "in", " ", "an", " ", "error"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.8165967259950676`*^9, 3.816596754206735*^9}, {
  3.8263448240764203`*^9, 
  3.8263448356569147`*^9}},ExpressionUUID->"928a5198-2264-46d1-b1dd-\
6ed2be1c333d"],

Cell["\<\
If you need to do a queued evaluation while a part of the interface is being \
loaded, you can do it in a different kernel. The procedure is discussed in \
the subsequent slides.\
\>", "Text",
 CellChangeTimes->{{3.8165968032849765`*^9, 3.8165968614281344`*^9}, {
  3.8243611853261003`*^9, 3.824361186667802*^9}, {3.826344842032466*^9, 
  3.8263449684095354`*^9}, {3.826411026287091*^9, 3.8264110284383307`*^9}, {
  3.8290294548011713`*^9, 3.829029455466293*^9}, {3.8373383070587873`*^9, 
  3.837338335389887*^9}, {3.837645647991022*^9, 3.837645649352874*^9}, {
  3.8381096238866167`*^9, 3.838109624270051*^9}, {3.838111753903488*^9, 
  3.838111754006078*^9}},ExpressionUUID->"cdd9c162-889b-413e-9867-\
b0c4ee998b66"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"f3c1bbd6-c5b5-4bf5-b08b-f50a616c5206"],

Cell[CellGroupData[{

Cell["Queued Button in a Separate Kernel (Optional)", "Section",
 CellChangeTimes->{{3.8161561399587145`*^9, 3.816156149372202*^9}, {
  3.816165837455748*^9, 3.8161658396579647`*^9}, {3.8161658718670373`*^9, 
  3.8161658863789396`*^9}, {3.8163467274365234`*^9, 3.816346731972206*^9}, {
  3.8163468268984756`*^9, 3.8163468336361303`*^9}, {3.8165968691137543`*^9, 
  3.8165968757216215`*^9}, {3.816596945658295*^9, 3.816596945892393*^9}, {
  3.824361201116025*^9, 3.824361203668311*^9}, {3.837877263511385*^9, 
  3.837877267617674*^9}},
 CellTags->
  "TOCTag-Section11",ExpressionUUID->"d2cd4f31-5614-4804-97dc-741200e246a1"],

Cell[TextData[{
 "Workflow for performing a queued evaluation while the interface is being \
loaded (for more information on the WSTP link, please consult the \
documentation for the ",
 StyleBox[ButtonBox["WSTP API",
  BaseStyle->"Link",
  ButtonData->"paclet:guide/WSTPAPI"],
  FontWeight->"Bold"],
 "):\n"
}], "Text",
 CellChangeTimes->{{3.816521889694588*^9, 3.816521912143471*^9}, {
   3.816596980337618*^9, 3.816596998770789*^9}, {3.8165970312162867`*^9, 
   3.816597070050926*^9}, {3.816597193834655*^9, 3.816597238651123*^9}, {
   3.8165972710658765`*^9, 3.8165972714877825`*^9}, 3.816597663408577*^9, 
   3.8166666667598867`*^9, {3.826345050745822*^9, 3.826345119513788*^9}, {
   3.826346109792267*^9, 3.8263461161691275`*^9}, 3.8290294563623447`*^9, {
   3.8373383606859016`*^9, 3.8373383626954155`*^9}, {3.838109662549959*^9, 
   3.838109716220772*^9}, 
   3.8394313542860537`*^9},ExpressionUUID->"ee89797b-e45f-4bbb-9a6f-\
56efded82193"],

Cell[TextData[{
 Cell[BoxData[
  GraphicsBox[
   TagBox[RasterBox[CompressedData["
1:eJzt3U+O7Mx6J+aCPemZvQWPvYEe3h4deNqNXkA3rG71RAbUBgzP7rTuDrQC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     "], {{0, 280.875}, {275.25, 0}}, {0, 255},
     ColorFunction->RGBColor,
     ImageResolution->192.],
    BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
    Selectable->False],
   DefaultBaseStyle->"ImageGraphics",
   ImageSize->{343.2857142857143, Automatic},
   ImageSizeRaw->{275.25, 280.875},
   PlotRange->{{0, 275.25}, {0, 280.875}}]],
  CellChangeTimes->{{3.8165975121776843`*^9, 3.8165975171608953`*^9}, 
    3.816597582286254*^9, {3.8165976281035757`*^9, 3.8165976554409046`*^9}},
  ExpressionUUID->"148adcbc-8af5-4de3-92a1-d61012533b58"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.816521889694588*^9, 3.816521912143471*^9}, {
  3.816596980337618*^9, 3.816596998770789*^9}, {3.8165970312162867`*^9, 
  3.816597070050926*^9}, {3.816597193834655*^9, 3.816597238651123*^9}, {
  3.8165972710658765`*^9, 3.8165972714877825`*^9}, {3.816597667017103*^9, 
  3.8165976925736017`*^9}, {3.816666662182358*^9, 3.816666662182358*^9}, {
  3.8383565940412693`*^9, 3.8383565954647675`*^9}},
 TextAlignment->Center,ExpressionUUID->"acdb4258-4caa-4714-afa1-c6a04b2b4c3a"],

Cell["Check if a specific kernel already exists:", "Text",
 CellChangeTimes->{{3.8165977489046173`*^9, 3.816597762135998*^9}, {
  3.8263461287374525`*^9, 3.8263461334414787`*^9}, {3.8381097553170424`*^9, 
  3.838109755933041*^9}},ExpressionUUID->"93f56027-f51b-4990-944b-\
332ea4246257"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"name", " ", "of", " ", "the", " ", "kernel"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"newKernel", "=", "\"\<Kernel2\>\""}], ";"}]}]], "Input",
 CellChangeTimes->{{3.816522821727843*^9, 3.816522828249013*^9}, {
  3.8263461419044228`*^9, 3.8263461479775133`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"8f950bb1-2cee-4ea8-9f5e-f4d986122ead"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "returns", " ", "True", " ", "if", " ", "the", " ", "kernel", " ", 
     "exists"}], ",", " ", 
    RowBox[{"False", " ", "otherwise"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"kernelExistsQ", "[", "kernel_", "]"}], ":=", 
   RowBox[{"MemberQ", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Options", "[", 
       RowBox[{
        RowBox[{"EvaluationNotebook", "[", "]"}], ",", "EvaluatorNames"}], 
       "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "2", ",", "All", ",", "1"}], "]"}], "]"}], ",", 
     "kernel"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.816522767802245*^9, 3.816522773017696*^9}, {
  3.8165228771396675`*^9, 3.816522901810302*^9}, {3.8165979240813236`*^9, 
  3.8165979718515315`*^9}, {3.8263461497207336`*^9, 3.826346164536003*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"546a8449-0b37-4b88-bf87-dc428ac9db25"],

Cell[BoxData[
 RowBox[{"kernelExistsQ", "[", "newKernel", "]"}]], "Input",
 CellChangeTimes->{{3.816523065224848*^9, 3.816523068202498*^9}, {
  3.8165979547456827`*^9, 3.8165979778033514`*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"33e24aa1-d165-49e3-8b06-241a7190ee82"],

Cell[TextData[{
 "Add the kernel if it does not already exist, using the option ",
 StyleBox[ButtonBox["EvaluatorNames",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/EvaluatorNames"],
  FontWeight->"Bold"],
 ":"
}], "Text",
 CellChangeTimes->{{3.816597886575238*^9, 3.8165978957918205`*^9}, {
   3.826346193313429*^9, 3.8263462067189217`*^9}, 3.826411067231084*^9, {
   3.83810976281352*^9, 
   3.838109778386438*^9}},ExpressionUUID->"7788fe14-0d23-4c3b-aff4-\
9570fb85a688"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"newKernelFull", "=", 
   RowBox[{"(", 
    RowBox[{"newKernel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<AutoStartOnLaunch\>\"", "\[Rule]", "False"}], "}"}]}], 
    ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"!", 
     RowBox[{"kernelExistsQ", "[", "newKernel", "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"SetOptions", "[", 
     RowBox[{
      RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
      RowBox[{"EvaluatorNames", "\[Rule]", 
       RowBox[{"{", "newKernelFull", "}"}]}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.8165979609010596`*^9, 3.8165979833800774`*^9}, {
  3.816598187444749*^9, 3.8165981881482086`*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"6346635d-1f2d-4368-ba31-46a0da5823b4"],

Cell[BoxData[
 RowBox[{"kernelExistsQ", "[", "newKernel", "]"}]], "Input",
 CellChangeTimes->{{3.8165979657430973`*^9, 3.816597994767527*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"7072235c-1d01-4ca9-8c0c-f252a8b1a392"],

Cell["\<\
New kernels can be removed using the same option (please do not run for the \
present experiment):\
\>", "Text",
 CellChangeTimes->{{3.8165980237143507`*^9, 3.816598082778695*^9}, {
  3.816952931629613*^9, 3.8169529325870447`*^9}, {3.8263462391860676`*^9, 
  3.826346242242401*^9}, {3.8381097820538263`*^9, 
  3.838109783533082*^9}},ExpressionUUID->"5a6ca08e-2d98-4eee-9d94-\
d7ac71370996"],

Cell[BoxData[
 RowBox[{"(*", "\[IndentingNewLine]", 
  RowBox[{"SetOptions", "[", 
   RowBox[{
    RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
    RowBox[{"EvaluatorNames", "\[Rule]", 
     RowBox[{"{", "}"}]}]}], "]"}], "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.816597776788191*^9, 3.816597794612519*^9}, {
  3.8263462150884447`*^9, 
  3.8263462189598575`*^9}},ExpressionUUID->"5020fc9f-a66b-4e1b-b0d3-\
995e9576e738"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"48660ff3-cc94-497b-ace1-dbd77e9c1d54"],

Cell[CellGroupData[{

Cell["Queued Button in a Separate Kernel (contd.) (Optional)", "Section",
 CellChangeTimes->{{3.8161561399587145`*^9, 3.816156149372202*^9}, {
  3.816165837455748*^9, 3.8161658396579647`*^9}, {3.8161658718670373`*^9, 
  3.8161658863789396`*^9}, {3.8163467274365234`*^9, 3.816346731972206*^9}, {
  3.8163468268984756`*^9, 3.8163468336361303`*^9}, {3.8165968691137543`*^9, 
  3.8165968757216215`*^9}, {3.816596945658295*^9, 3.816596945892393*^9}, {
  3.816598107116134*^9, 3.816598109944093*^9}, {3.819630565739277*^9, 
  3.819630568145807*^9}, {3.8263691485752316`*^9, 3.82636914982493*^9}, {
  3.826369392253166*^9, 3.826369392487486*^9}, {3.837877273067605*^9, 
  3.837877276480485*^9}},
 CellTags->
  "TOCTag-Section12",ExpressionUUID->"9de94ab2-f7d1-4dd6-95f3-4ffaf5e4c394"],

Cell[TextData[{
 "For the illustration, a queued button in Kernel2 gets a new random color in \
the ",
 StyleBox["colKernel2",
  FontSlant->"Italic"],
 " variable and writes it to the WSTP Link named ",
 Cell[BoxData[
 "\"\<Share\>\""], "Input",ExpressionUUID->
  "262e68a1-1e2e-410a-80ab-12d1fcefe1bc"],
 ". The ",
 StyleBox[ButtonBox["Evaluator",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Evaluator"],
  FontWeight->"Bold"],
 " option allows you to specify the kernel that the button should use."
}], "Text",
 CellChangeTimes->{{3.816598251429719*^9, 3.816598263786725*^9}, {
   3.816598532692944*^9, 3.8165985592493544`*^9}, {3.8263462542744565`*^9, 
   3.8263462842183533`*^9}, {3.8263463148573947`*^9, 
   3.8263463428541574`*^9}, {3.8263693879571285`*^9, 3.826369395189975*^9}, {
   3.8264110964548917`*^9, 3.8264111714072886`*^9}, 3.8373383732710447`*^9, {
   3.8376458967327867`*^9, 3.8376459155209703`*^9}, {3.838109797953273*^9, 
   3.8381098176739063`*^9}, {3.838111807984741*^9, 
   3.838111809797613*^9}},ExpressionUUID->"5cc8fd52-ef40-461e-b93e-\
dc83758a8241"],

Cell[TextData[{
 "Please do not click the buttons now as that may contaminate the experiment \
by attempting to use the link ",
 Cell[BoxData[
 "\"\<Share\>\""], "Input",ExpressionUUID->
  "42e3e18f-991e-460d-8e65-a8d776c3e754"],
 ":"
}], "Text",
 CellChangeTimes->{{3.816598251429719*^9, 3.816598263786725*^9}, {
   3.816598532692944*^9, 3.8165985592493544`*^9}, {3.8263462542744565`*^9, 
   3.8263462842183533`*^9}, {3.8263463148573947`*^9, 
   3.8263463428541574`*^9}, {3.8263693879571285`*^9, 3.826369395189975*^9}, {
   3.8264110964548917`*^9, 3.8264111714072886`*^9}, 3.837338373889801*^9, {
   3.838109822180728*^9, 
   3.838109832964767*^9}},ExpressionUUID->"5c92b168-b39f-41c5-a75c-\
88266cfdf834"],

Cell[BoxData[
 RowBox[{"buttonNewKernel", "=", "\[IndentingNewLine]", 
  RowBox[{"Button", "[", 
   RowBox[{
   "\"\<Kernel2 Queued\>\"", ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"colKernel2", "=", 
      RowBox[{"RandomColor", "[", "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     StyleBox[
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"!", 
         RowBox[{"TrueQ", "[", 
          RowBox[{"init", "\[Equal]", "1"}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"linkKernel2", "=", 
          RowBox[{"LinkConnect", "[", "\"\<Share\>\"", "]"}]}], ";", 
         RowBox[{"init", "=", "1"}]}]}], "]"}],
      Background->RGBColor[1, 0.9, 0.8]], 
     StyleBox[";",
      Background->RGBColor[1, 0.9, 0.8]], 
     StyleBox["\[IndentingNewLine]",
      Background->RGBColor[1, 0.9, 0.8]], 
     StyleBox[
      RowBox[{"LinkWrite", "[", 
       RowBox[{"linkKernel2", ",", "colKernel2"}], "]"}],
      Background->RGBColor[1, 0.9, 0.8]]}], 
    StyleBox[",",
     Background->RGBColor[1, 0.9, 0.8]], 
    StyleBox["\[IndentingNewLine]",
     Background->RGBColor[1, 0.9, 0.8]], 
    StyleBox["\[IndentingNewLine]",
     Background->RGBColor[1, 0.9, 0.8]], 
    StyleBox[
     RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}],
     Background->RGBColor[1, 0.9, 0.8]], 
    StyleBox[",",
     Background->RGBColor[1, 0.9, 0.8]], 
    StyleBox["\[IndentingNewLine]",
     Background->RGBColor[1, 0.9, 0.8]], 
    StyleBox[
     RowBox[{"Evaluator", "\[Rule]", "\"\<Kernel2\>\""}],
     Background->RGBColor[1, 0.9, 0.8]], 
    StyleBox[",",
     Background->RGBColor[1, 0.9, 0.8]], "\[IndentingNewLine]", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"160", ",", "40"}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.816521872377267*^9, 3.816521875167508*^9}, {
   3.8165222027690516`*^9, 3.8165222702189517`*^9}, {3.816522365649789*^9, 
   3.816522367161743*^9}, {3.81652246677345*^9, 3.8165224703623304`*^9}, {
   3.816522553528366*^9, 3.8165225550334263`*^9}, {3.816522605773116*^9, 
   3.8165226115413933`*^9}, {3.8165232304744043`*^9, 3.816523237075451*^9}, {
   3.8165233905139213`*^9, 3.8165233926427565`*^9}, {3.816523501170531*^9, 
   3.8165235035071154`*^9}, {3.8165982277321577`*^9, 3.816598235964605*^9}, {
   3.816598950438093*^9, 3.8165989526563344`*^9}, {3.816603382414076*^9, 
   3.816603406906541*^9}, 3.816603617307141*^9},
 CellLabel->"In[71]:=",ExpressionUUID->"80b51084-a156-4b23-b6c0-e82eaa1df1c6"],

Cell["Preemptive and queued buttons in the local kernel: ", "Text",
 CellChangeTimes->{{3.8165985816970572`*^9, 3.816598613986247*^9}, {
  3.838109837868795*^9, 
  3.838109843044642*^9}},ExpressionUUID->"17b43f12-6c88-40d6-9313-\
11fe32fecc49"],

Cell[BoxData[
 RowBox[{"buttonLocalPreempt", "=", "\[IndentingNewLine]", 
  RowBox[{"Button", "[", 
   RowBox[{"\"\<Local Preemptive\>\"", ",", "\[IndentingNewLine]", 
    RowBox[{"col", "=", 
     RowBox[{"RandomColor", "[", "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"180", ",", "40"}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8165232628014507`*^9, 3.816523311281329*^9}, {
  3.816523395568708*^9, 3.816523400864038*^9}, {3.8165986299352274`*^9, 
  3.816598638261897*^9}, {3.816598958421141*^9, 3.8165989692934685`*^9}, {
  3.8166033433218136`*^9, 3.816603378213378*^9}, {3.8166034095066156`*^9, 
  3.8166034242567005`*^9}, {3.81660362008372*^9, 3.8166036278123627`*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"6c80cfe6-d848-428d-b818-2e6e92171bfd"],

Cell[BoxData[
 RowBox[{"buttonLocalQueued", "=", "\[IndentingNewLine]", 
  RowBox[{"Button", "[", 
   RowBox[{"\"\<Local Queued\>\"", ",", "\[IndentingNewLine]", 
    RowBox[{"col", "=", 
     RowBox[{"RandomColor", "[", "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"160", ",", "40"}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8165232628014507`*^9, 3.816523311281329*^9}, {
  3.816523395568708*^9, 3.816523400864038*^9}, {3.8165986299352274`*^9, 
  3.816598638261897*^9}, {3.816598958421141*^9, 3.8165989692934685`*^9}, {
  3.8166033433218136`*^9, 3.816603378213378*^9}, {3.8166034095066156`*^9, 
  3.8166034242567005`*^9}, {3.81660362008372*^9, 3.816603633782913*^9}, {
  3.8170173173130894`*^9, 3.8170173191423683`*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"ef216e58-9503-4b6d-8ce6-ceb292975180"],

Cell[TextData[{
 "The main panel picks up as soon as the color value is written to the ",
 Cell[BoxData[
 "\"\<Share\>\""], "Input",ExpressionUUID->
  "05b08caf-05ea-466b-8c42-33ce3ef82af7"],
 " link by Kernel2:"
}], "Text",
 CellChangeTimes->{{3.816598664568281*^9, 3.816598742486909*^9}, {
  3.8263463722733955`*^9, 3.8263463724573755`*^9}, {3.8263694284160433`*^9, 
  3.8263694309940596`*^9}, {3.8381098485456247`*^9, 3.8381098521913548`*^9}, {
  3.83811181755942*^9, 
  3.838111819806302*^9}},ExpressionUUID->"46ca9a28-669a-4d3e-a159-\
44462d2f3cc9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"mainPanel", "=", "\[IndentingNewLine]", 
   RowBox[{
   "DynamicWrapper", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Dynamic", "[", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"col", ",", 
          RowBox[{"Disk", "[", "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Refresh", "[", "\[IndentingNewLine]", 
      RowBox[{
       StyleBox[
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"TrueQ", "[", 
           RowBox[{"Quiet", "[", 
            RowBox[{"LinkReadyQ", "[", "linkLocal", "]"}], "]"}], "]"}], ",", 
          RowBox[{"col", "=", 
           RowBox[{"LinkRead", "[", "linkLocal", "]"}]}], ",", "col"}], "]"}],
        Background->RGBColor[1, 0.9, 0.8]], ",", "\[IndentingNewLine]", 
       RowBox[{"UpdateInterval", "\[Rule]", "0"}]}], "\[IndentingNewLine]", 
      "]"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.816523244210724*^9, 3.8165232555580416`*^9}, {
  3.8165987530937915`*^9, 3.8165987580618725`*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"a2506b9f-4b99-434a-a38b-bdb7f8d9767b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"f4fb3970-c96b-4782-95a6-34221436a914"],

Cell[CellGroupData[{

Cell["Queued Button in a Separate Kernel (contd.) (Optional)", "Section",
 CellChangeTimes->{{3.8161561399587145`*^9, 3.816156149372202*^9}, {
  3.816165837455748*^9, 3.8161658396579647`*^9}, {3.8161658718670373`*^9, 
  3.8161658863789396`*^9}, {3.8163467274365234`*^9, 3.816346731972206*^9}, {
  3.8163468268984756`*^9, 3.8163468336361303`*^9}, {3.8165968691137543`*^9, 
  3.8165968757216215`*^9}, {3.816596945658295*^9, 3.816596945892393*^9}, {
  3.816598107116134*^9, 3.816598109944093*^9}, {3.819630570259158*^9, 
  3.819630572778428*^9}, {3.826346596840329*^9, 3.826346597721287*^9}, {
  3.8263690335705123`*^9, 3.826369033992331*^9}, {3.837877282499669*^9, 
  3.837877286216724*^9}},
 CellTags->
  "TOCTag-Section13",ExpressionUUID->"5c799f1d-863a-4e41-a4a9-f9e2e8ab3535"],

Cell["Initiate the link and assemble the interface:", "Text",
 CellChangeTimes->{{3.816598781681334*^9, 3.8165988127829323`*^9}, {
  3.8263694429595146`*^9, 
  3.8263694434444437`*^9}},ExpressionUUID->"492a09aa-5f95-46dc-aaa8-\
e91feb2ce9b2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"linkLocal", "=", 
   RowBox[{"LinkCreate", "[", "\"\<Share\>\"", "]"}]}], ";"}]], "Input",
 CellLabel->"In[75]:=",ExpressionUUID->"37495c4c-f43e-454b-ab8d-c7a5d523f749"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"col", "=", "Green"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Column", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Style", "[", 
      RowBox[{
      "\"\<Update the color of the disk\>\"", ",", "Bold", ",", "20", ",", 
       RowBox[{"FontColor", "\[Rule]", "Blue"}]}], "]"}], ",", 
     RowBox[{"Spacer", "[", "5", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"buttonLocalPreempt", ",", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        "buttonLocalQueued", ",", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        "buttonNewKernel", ",", 
        RowBox[{"Spacer", "[", "5", "]"}]}], "\[IndentingNewLine]", "}"}], 
      "]"}], ",", 
     RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
     "mainPanel"}], "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
   RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.816523321031499*^9, 3.816523351865124*^9}, {
  3.8165234402107544`*^9, 3.8165234597940717`*^9}, {3.816523522963306*^9, 
  3.816523524062108*^9}, {3.8165235637086487`*^9, 3.816523571860434*^9}, {
  3.816598827170799*^9, 3.8165988317947273`*^9}, {3.8165988986064825`*^9, 
  3.8165989302709184`*^9}, {3.816598983086805*^9, 3.8165989958492603`*^9}, {
  3.8166034393500204`*^9, 3.816603482327119*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"9cc9fe6e-83c4-472d-9beb-73929990c167"],

Cell[TextData[{
 "Clicking any of the three buttons should update the color of the disk. In \
order to test the utility of the button in Kernel2 (",
 Cell[BoxData[
 "\"\<Kernel2 Queued\>\""], "Input",ExpressionUUID->
  "87d382c8-88df-4047-9ca2-1b6b8bf6ce3d"],
 "), initiate a queued evaluation in the local kernel first by evaluating ",
 Cell[BoxData[
  RowBox[{"Pause", "[", "200", "]"}]], "Input",ExpressionUUID->
  "81f944a3-a4f3-44cf-b947-eb1b4da016df"],
 " in the input. "
}], "Text",
 CellChangeTimes->{{3.8264112278695498`*^9, 3.8264113329980073`*^9}, {
   3.8264113807758284`*^9, 3.826411457110618*^9}, {3.8264114999883986`*^9, 
   3.8264115206208754`*^9}, {3.8290294338904905`*^9, 3.829029458012182*^9}, 
   3.8342313557399063`*^9, {3.8373384070523787`*^9, 3.8373384145557036`*^9}, {
   3.8381099041515083`*^9, 3.838109938413768*^9}, {3.838110001208002*^9, 
   3.838110001359228*^9}, {3.8381118460167017`*^9, 
   3.8381118473506107`*^9}},ExpressionUUID->"2c876e95-522f-4bf6-910c-\
79507fa4dd54"],

Cell["\<\
At this time, the button Local Preemptive should work since it uses \
preemptive evaluation. The Local Queued button should not work since a queued \
evaluation in the local kernel is underway. Kernel2 Queued should work since \
it uses a queued evaluation in Kernel2:\
\>", "Text",
 CellChangeTimes->{{3.8264112278695498`*^9, 3.8264113329980073`*^9}, {
   3.8264113807758284`*^9, 3.826411457110618*^9}, {3.8264114999883986`*^9, 
   3.8264115206208754`*^9}, {3.8290294338904905`*^9, 3.829029458012182*^9}, 
   3.834231356630375*^9, {3.837338431333273*^9, 3.837338472150756*^9}, {
   3.838109950462682*^9, 3.838109975038352*^9}, {3.838111858670574*^9, 
   3.838111876142909*^9}, {3.8394313983855343`*^9, 
   3.839431399202613*^9}},ExpressionUUID->"e650b663-8876-4ec4-a56c-\
59a7bd3dae45"],

Cell[BoxData[
 RowBox[{"Pause", "[", "200", "]"}]], "Input",
 CellChangeTimes->{{3.8165233591802425`*^9, 3.816523362060354*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"2b14686c-c5ab-4fb2-ad4e-1b5e22a045ce"],

Cell["Press Alt+. to abort the Pause statement.", "Text",
 CellChangeTimes->{
  3.8264115236859913`*^9, {3.83811001520113*^9, 3.838110029318633*^9}, {
   3.8383578153729267`*^9, 3.838357819413889*^9}, 
   3.839430774317259*^9},ExpressionUUID->"66033267-6728-4b97-a6e6-\
c2e157d6c374"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"1d42a8f2-8d68-4c58-b649-cefde2960795"],

Cell[CellGroupData[{

Cell["Application Example (Optional)", "Section",
 CellChangeTimes->{{3.80934385894615*^9, 3.809343872003569*^9}, {
   3.8093440895294027`*^9, 3.8093440917621965`*^9}, {3.8093447143457813`*^9, 
   3.8093447488660975`*^9}, {3.8093448544975133`*^9, 3.809344857130219*^9}, {
   3.8093484932254534`*^9, 3.809348496767938*^9}, {3.8093987791588674`*^9, 
   3.809398783430841*^9}, {3.8101847604524045`*^9, 3.810184761538968*^9}, 
   3.8139932121301804`*^9, {3.8166618779745812`*^9, 3.8166618824428024`*^9}, {
   3.819630576818633*^9, 3.819630580339222*^9}, {3.837877291697846*^9, 
   3.837877292299683*^9}},
 CellTags->
  "TOCTag-Section14",ExpressionUUID->"5c2235da-b513-4e16-9d72-5b21326b9fbf"],

Cell["\<\
In the demonstration following, a button with the Queued method will be used \
for loading some data, while a part of the interface is being loaded.\
\>", "Text",
 CellChangeTimes->{{3.824518094113958*^9, 3.824518132740756*^9}, {
  3.826369530236353*^9, 3.826369530564399*^9}, {3.837645651296603*^9, 
  3.837645671197688*^9}, {3.838110039118545*^9, 
  3.838110040294648*^9}},ExpressionUUID->"a41e0e56-b607-4474-b0a7-\
57834cf20f36"],

Cell["Load the package:", "ItemNumbered",
 CellChangeTimes->{{3.816677274759559*^9, 
  3.816677277392474*^9}},ExpressionUUID->"27414144-c1eb-4b06-a9e2-\
55a9a8fd73aa"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<DemoSteppedLoading`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Get", "[", 
  RowBox[{"FileNameJoin", "[", 
   RowBox[{"{", 
    RowBox[{"filesDir", ",", "\"\<DemoSteppedLoading.wl\>\""}], "}"}], "]"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.8166753688559413`*^9, 3.816675373861639*^9}, {
  3.816675811463069*^9, 3.81667582109729*^9}, {3.8245176760563765`*^9, 
  3.8245177313843307`*^9}, {3.834231528060048*^9, 3.8342315287474117`*^9}},
 CellLabel->"In[90]:=",ExpressionUUID->"2a68c6fd-3c5b-4ed1-9c1a-2b13dd24eb26"],

Cell["\<\
Load the interface by evaluating the following cell and click the button to \
enter the main panes:\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8166772898960557`*^9, 3.816677292792362*^9}, {
  3.816677354895916*^9, 3.8166773559291816`*^9}, {3.824518140044488*^9, 
  3.824518160509122*^9}, {3.8245182871308823`*^9, 3.824518320845046*^9}, {
  3.8263695600101147`*^9, 3.8263695628068204`*^9}, {3.8263696006886153`*^9, 
  3.826369601922132*^9}, {3.8264116017087398`*^9, 3.8264116275184383`*^9}, {
  3.838110057055447*^9, 
  3.838110066110862*^9}},ExpressionUUID->"b4c180be-ee37-4cb1-bc91-\
30f09608bf6b"],

Cell[BoxData[
 RowBox[{"DemoInterface", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8166764927329555`*^9, 3.816676495073742*^9}, 
   3.816952416143036*^9, 
   3.838111898959861*^9},ExpressionUUID->"5cd2690b-c536-47bd-b37c-\
3c8d57e7216f"],

Cell[CellGroupData[{

Cell["\<\
Pane 1 and Pane 2 should appear immediately. Pane 3 and Pane 4 should display \
\[OpenCurlyDoubleQuote]Loading...\[CloseCurlyDoubleQuote] at \
first\[LongDash]it will take 10 and 30 seconds for the real contents to load \
in panes 3 and 4, respectively.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8166772898960557`*^9, 3.816677292792362*^9}, {
  3.816677354895916*^9, 3.8166773559291816`*^9}, {3.824518140044488*^9, 
  3.824518160509122*^9}, {3.8245182871308823`*^9, 3.824518370158323*^9}, {
  3.824518408077999*^9, 3.8245184473806295`*^9}, {3.824518709666797*^9, 
  3.8245187475730195`*^9}, {3.8264115880384426`*^9, 3.8264115969970565`*^9}, {
  3.8381100739679403`*^9, 
  3.838110077812694*^9}},ExpressionUUID->"641d08b1-31e2-479e-8d3f-\
ca93ac802841"],

Cell["\<\
While panes 3 and 4 are being loaded, one can still interact with the slider \
in Pane 2.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8166772898960557`*^9, 3.816677292792362*^9}, {
  3.816677354895916*^9, 3.8166773559291816`*^9}, {3.824518140044488*^9, 
  3.824518160509122*^9}, {3.8245182871308823`*^9, 3.824518370158323*^9}, {
  3.824518408077999*^9, 3.8245184473806295`*^9}, {3.824518709666797*^9, 
  3.8245187449498262`*^9}, {3.8245188071546135`*^9, 
  3.8245188531056347`*^9}},ExpressionUUID->"084a5b80-7a07-4a6b-abf7-\
c660170a2027"],

Cell["\<\
The Button labeled \[OpenCurlyDoubleQuote]Get points\[CloseCurlyDoubleQuote] \
in Pane 1 uses Method->\[OpenCurlyDoubleQuote]Queued\[CloseCurlyDoubleQuote] \
(the button calls SystemDialogInput, which is not supported with preemptive \
evaluation). Click it and select one of the three .mx files (green.mx, red.mx \
and magenta.mx) in the default directory.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8166772898960557`*^9, 3.816677292792362*^9}, {
   3.816677354895916*^9, 3.8166773559291816`*^9}, {3.824518140044488*^9, 
   3.824518160509122*^9}, {3.8245182871308823`*^9, 3.824518370158323*^9}, {
   3.824518408077999*^9, 3.8245184473806295`*^9}, {3.824518709666797*^9, 
   3.8245187449498262`*^9}, {3.8245188071546135`*^9, 
   3.8245190685094194`*^9}, {3.8245193598111763`*^9, 3.824519359991604*^9}, {
   3.8245194102483635`*^9, 3.824519410548384*^9}, 3.824520607482126*^9, 
   3.829029434740985*^9, {3.834227907200797*^9, 3.8342279234968147`*^9}, {
   3.8373384915291634`*^9, 3.837338494335061*^9}, {3.8381101227754374`*^9, 
   3.8381101549685183`*^9}, {3.838111916544445*^9, 
   3.838111920304022*^9}},ExpressionUUID->"a0cb6e72-6024-428c-8b45-\
a50081bf3d44"],

Cell["\<\
Observe the points updating. Click it again and load another .mx file to see \
the update.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8166772898960557`*^9, 3.816677292792362*^9}, {
   3.816677354895916*^9, 3.8166773559291816`*^9}, {3.824518140044488*^9, 
   3.824518160509122*^9}, {3.8245182871308823`*^9, 3.824518370158323*^9}, {
   3.824518408077999*^9, 3.8245184473806295`*^9}, {3.824518709666797*^9, 
   3.8245187449498262`*^9}, {3.8245188071546135`*^9, 3.824518996642694*^9}, {
   3.8245191369100466`*^9, 3.8245191740006437`*^9}, 3.8264115798153763`*^9, {
   3.8381101615685253`*^9, 
   3.838110168855981*^9}},ExpressionUUID->"cdab4d03-5a08-4390-ae74-\
68c0b990ce85"],

Cell["\<\
The button uses Kernel2 for the computation. In this way, a Queued button can \
be used even while loading a part of the interface.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8166772898960557`*^9, 3.816677292792362*^9}, {
   3.816677354895916*^9, 3.8166773559291816`*^9}, {3.824518140044488*^9, 
   3.824518160509122*^9}, {3.8245182871308823`*^9, 3.824518370158323*^9}, {
   3.824518408077999*^9, 3.8245184473806295`*^9}, {3.824518709666797*^9, 
   3.8245187449498262`*^9}, {3.8245188071546135`*^9, 3.824518996642694*^9}, {
   3.8245191369100466`*^9, 3.8245192281318493`*^9}, {3.824519259242859*^9, 
   3.8245192892948055`*^9}, {3.8245194310491257`*^9, 3.824519469041847*^9}, 
   3.8290294491774473`*^9, {3.8373385218158317`*^9, 
   3.8373385222148533`*^9}},ExpressionUUID->"4c2536b4-4cc4-4118-a0a2-\
65c44b057990"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"57ed3a3a-bd83-40fd-9026-1e851df42a22"],

Cell["\<\




Managing Slow Interfaces in the Operational Stage





\
\>", "Chapter",
 CellFrame->{{2, 2}, {2, 8}},
 ShowCellBracket->False,
 CellMargins->{{10, 10}, {10, 10}},
 CellChangeTimes->{
  3.808911010045186*^9, {3.809401297023183*^9, 3.8094012990147753`*^9}, {
   3.8101897440494947`*^9, 3.8101897454268465`*^9}, {3.824359488959507*^9, 
   3.8243594917875676`*^9}, {3.8245195110788603`*^9, 
   3.8245195176702895`*^9}, {3.8375616788079596`*^9, 3.837561679935942*^9}},
 TextAlignment->Center,
 Background->RGBColor[1, 0.9, 0.8],
 CellTags->
  "TOCTag-Chapter3",ExpressionUUID->"9d11a144-748d-446d-8900-b89a808ba9ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"2f54b733-754f-4fdd-aba0-aab0a540f5e2"],

Cell[CellGroupData[{

Cell["When Is a Dynamic Slow? (Recap)", "Section",
 CellChangeTimes->{{3.809348522296675*^9, 3.809348527385104*^9}, {
  3.8094024259669795`*^9, 3.8094024286911287`*^9}, {3.8094033440777645`*^9, 
  3.8094033443956213`*^9}, {3.8166616054738083`*^9, 3.816661607801405*^9}, {
  3.837877298657998*^9, 3.83787730785713*^9}},
 CellTags->
  "TOCTag-Section15",ExpressionUUID->"c8d8301d-f8b9-450d-83a9-962f608f955e"],

Cell["\<\
A Dynamic update will be slow if the contents are slow to compute:\
\>", "Text",
 CellChangeTimes->{{3.809401877477564*^9, 3.8094018976503143`*^9}, {
   3.814844588951436*^9, 3.8148445947685804`*^9}, {3.8263466092750883`*^9, 
   3.8263466118326993`*^9}, 3.838110199530176*^9, {3.83811193998451*^9, 
   3.838111941880602*^9}},ExpressionUUID->"701cbe52-5990-4464-bc93-\
a177b731f47f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"x", "=", "20"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Try", " ", "changing", " ", "the", " ", "value", " ", "and", " ", "watch",
     " ", "the", " ", "Dynamic", " ", "below", " ", "updating"}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.814843843824294*^9, 3.8148438482656255`*^9}, {
  3.814843885270197*^9, 3.814843898735027*^9}, {3.814843943411792*^9, 
  3.8148440034220343`*^9}, {3.814844126430294*^9, 3.8148441754364777`*^9}, {
  3.8148444786690865`*^9, 3.81484448490512*^9}, {3.8148446171802654`*^9, 
  3.8148446375133944`*^9}, {3.8263466189957824`*^9, 3.826346619803681*^9}},
 CellLabel->"In[82]:=",ExpressionUUID->"91f90e38-dfc8-4001-803e-df4a352dd51f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Dynamic", "[", 
   RowBox[{
    RowBox[{"Pause", "[", "1.5", "]"}], ";", 
    RowBox[{"x", "^", "2"}]}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Pause", " ", "represents", " ", "a", " ", "time"}], "-", 
    RowBox[{"consuming", " ", "computation"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.814844467715062*^9, 3.8148445084308634`*^9}},
 CellLabel->"In[83]:=",ExpressionUUID->"0714f0e2-188a-4e3c-8b7b-c5ab0841e029"],

Cell[TextData[{
 "A more \[OpenCurlyDoubleQuote]real\[CloseCurlyDoubleQuote] example\
\[LongDash]the ",
 StyleBox[ButtonBox["Nest",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Nest"],
  FontWeight->"Bold"],
 " expression is time consuming by itself:"
}], "Text",
 CellChangeTimes->{{3.8148446514156504`*^9, 3.8148446565368233`*^9}, {
   3.8148452310650587`*^9, 3.8148452470343*^9}, 3.824519980259053*^9, {
   3.8381102068096867`*^9, 
   3.8381102222404137`*^9}},ExpressionUUID->"43947f03-dcb6-426b-a6f3-\
91d16eb70b50"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"#", "+", 
        RowBox[{"Sin", "[", 
         RowBox[{"5", "#"}], "]"}]}], "]"}], "&"}], ",", "10.0", ",", 
     RowBox[{"10", "^", "7"}]}], "]"}], ";"}], "//", "Timing"}]], "Input",
 CellChangeTimes->{{3.814945941857297*^9, 3.8149459521982303`*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"fc3a252a-f58b-4299-93a9-cf4f049eded4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "=", "20"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "try", " ", "changing", " ", "the", " ", "value", " ", "and", " ", "watch",
     " ", "the", " ", "Dynamic", " ", "updating"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.8148451605563793`*^9, 3.8148451774758015`*^9}, {
  3.814845218802703*^9, 3.8148452618231196`*^9}, {3.826411734082547*^9, 
  3.826411743110621*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"bcf93906-e8c3-4803-947d-011140f5a5a8"],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"Nest", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"#", "+", 
       RowBox[{"Sin", "[", 
        RowBox[{"k", "#"}], "]"}]}], "]"}], "&"}], ",", "10.0", ",", 
    RowBox[{"10", "^", "7"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.814845043884164*^9, 3.8148451719710283`*^9}, {
  3.814845203385356*^9, 3.8148452089921017`*^9}},
 CellLabel->"In[86]:=",ExpressionUUID->"b31665d3-f141-40b6-aed2-a4909fb362a2"],

Cell["\<\
There is no magic formula to speed up a Dynamic if the underlying kernel \
computation is expensive. You can, however:\
\>", "Text",
 CellChangeTimes->{{3.8094031881994996`*^9, 3.8094032309264307`*^9}, {
   3.810183376056035*^9, 3.8101833916618366`*^9}, {3.818736230325691*^9, 
   3.818736251227053*^9}, {3.8245200301162004`*^9, 3.8245200470410795`*^9}, {
   3.824520710109747*^9, 3.8245207401157556`*^9}, {3.8263466550892773`*^9, 
   3.8263466804965954`*^9}, {3.826411774316818*^9, 3.82641177654109*^9}, 
   3.835686129995352*^9, 3.837645680423263*^9, 
   3.8381102301213093`*^9},ExpressionUUID->"0bf84c6e-ae7e-4cae-9924-\
50ee5c733339"],

Cell[CellGroupData[{

Cell["Try to optimize the kernel computations.", "ItemNumbered",
 CellChangeTimes->{{3.8094031881994996`*^9, 3.8094032309264307`*^9}, {
  3.810183376056035*^9, 3.8101833916618366`*^9}, {3.818736230325691*^9, 
  3.818736251227053*^9}, {3.8245200301162004`*^9, 3.8245200470410795`*^9}, {
  3.824520710109747*^9, 3.8245207401157556`*^9}, {3.8263466550892773`*^9, 
  3.8263466804965954`*^9}, {3.826411774316818*^9, 3.82641177654109*^9}, {
  3.8356861311769314`*^9, 3.8356861341930943`*^9}, {3.8381102347991657`*^9, 
  3.838110255409423*^9}},ExpressionUUID->"7c9f1185-09e2-4824-a63f-\
e434f9d034cd"],

Cell["\<\
Avoid unnecessary updates/dynamics (thus reducing the burden and making the \
interface more responsive).\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8094031881994996`*^9, 3.8094032309264307`*^9}, {
  3.810183376056035*^9, 3.8101833916618366`*^9}, {3.818736230325691*^9, 
  3.818736251227053*^9}, {3.8245200301162004`*^9, 3.8245200470410795`*^9}, {
  3.824520710109747*^9, 3.8245207401157556`*^9}, {3.8263466550892773`*^9, 
  3.8263466804965954`*^9}, {3.826411774316818*^9, 3.82641177654109*^9}, {
  3.8356861311769314`*^9, 3.835686151748905*^9}, {3.838110237569112*^9, 
  3.838110256032666*^9}},ExpressionUUID->"5da7d1c1-cf18-409c-a0dd-\
b0d2613950cf"],

Cell["Gracefully deal with slow dynamics, by using progress panes.", \
"ItemNumbered",
 CellChangeTimes->{{3.8094031881994996`*^9, 3.8094032309264307`*^9}, {
  3.810183376056035*^9, 3.8101833916618366`*^9}, {3.818736230325691*^9, 
  3.818736251227053*^9}, {3.8245200301162004`*^9, 3.8245200470410795`*^9}, {
  3.824520710109747*^9, 3.8245207401157556`*^9}, {3.8263466550892773`*^9, 
  3.8263466804965954`*^9}, {3.826411774316818*^9, 3.82641177654109*^9}, {
  3.8356861311769314`*^9, 3.8356861526782455`*^9}, {3.838110241873048*^9, 
  3.838110256879784*^9}},ExpressionUUID->"a2d7535d-db7b-438e-919f-\
6f6826d08ecd"]
}, Open  ]],

Cell["\<\
2
In Dynamic[Pause[1.5]; 10], it is possible to use Dynamic to speed up the \
kernel computation.
True
Incorrect
False
Correct\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.8383579287806444`*^9, 3.838357943928235*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"995a0697-111d-4c7c-9972-38a35d711999"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = False, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{
          StyleBox[
          "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
           StripOnInput -> False], 
          TemplateBox[{12}, "Spacer1"], 
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{
           StyleBox[
           "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
            StripOnInput -> False], 
           TemplateBox[{12}, "Spacer1"], 
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "In Dynamic[Pause[1.5]; 10], it is possible to use Dynamic to \
speed up the kernel computation.", {{"True", "Incorrect"}, {
                  "False", "Correct"}}, 2}}]]), Method -> "Preemptive", 
          PassEventsDown -> Automatic, PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "True", 1 -> Column[{
                  Style[
                   TextCell["True", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Incorrect", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "True"}, {
              0 -> "False", 1 -> "False", 2 -> Column[{
                  Style[
                   TextCell["False", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"In Dynamic[Pause[1.5]; 10], it is possible to use \
Dynamic to speed up the kernel computation.\"\>"},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}], 
                   TemplateBox[{10}, "Spacer1"], 
                   PaneSelectorBox[{0 -> "\"True\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["True", TextAlignment -> Left], 
                    TextCell["True", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Incorrect", TextAlignment -> Left], 
                    TextCell["Incorrect", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"True\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}], 
                   TemplateBox[{10}, "Spacer1"], 
                   
                   PaneSelectorBox[{
                    0 -> "\"False\"", 1 -> "\"False\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["False", TextAlignment -> Left], 
                    TextCell["False", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 Deployed->True,
 CellTags->"answer",ExpressionUUID->"cdc54ff3-c5e6-422d-80ba-6a316ecbffae"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"832f0422-5dbb-4e49-9dc8-6b1e1fb3141c"],

Cell[CellGroupData[{

Cell["Optimizing Kernel Computations", "Section",
 CellChangeTimes->{{3.8075742251418376`*^9, 3.807574233623749*^9}, {
  3.8075871779257107`*^9, 3.8075871808920326`*^9}, {3.8093486029609575`*^9, 
  3.8093486086427603`*^9}, {3.818733441642296*^9, 3.818733447846361*^9}, {
  3.8187342106795115`*^9, 3.8187342215585194`*^9}, {3.837877314902062*^9, 
  3.837877319215331*^9}},
 CellTags->
  "TOCTag-Section16",ExpressionUUID->"93f18aad-957a-4db6-9624-fee6c2fba57f"],

Cell["\<\
Computations in the Wolfram Language can be speeded up using various \
techniques, e.g. parallelization and compilation.\
\>", "Text",
 CellChangeTimes->{{3.8187345756158657`*^9, 3.8187346851822677`*^9}, {
   3.8187356071283646`*^9, 3.818735651165454*^9}, {3.824520772577372*^9, 
   3.824520778731476*^9}, 3.824549312099977*^9, {3.8263467030965424`*^9, 
   3.82634670579243*^9}, 3.8342279484748325`*^9, {3.8360149694640107`*^9, 
   3.8360149916953955`*^9}, 
   3.838110276889673*^9},ExpressionUUID->"573c777a-80ba-4f7b-9aa8-\
db1a43063048"],

Cell["Please refer to the following for detailed discussions: ", "Text",
 CellChangeTimes->{{3.8187345756158657`*^9, 3.8187346851822677`*^9}, {
   3.8187356071283646`*^9, 3.818735651165454*^9}, {3.824520772577372*^9, 
   3.824520778731476*^9}, 3.824549312099977*^9, {3.8263467030965424`*^9, 
   3.82634670579243*^9}, 3.834227949131423*^9, {3.837645692710041*^9, 
   3.8376456959741755`*^9}},ExpressionUUID->"62278e60-2ae2-4aa4-991d-\
d57e2cc729c7"],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  TagBox[
   ButtonBox[
    PaneSelectorBox[{False->
     StyleBox["\<\"Tips and Tricks for Efficient Programming\"\>",
      StripOnInput->False,
      FontFamily->"Source Sans Pro",
      FontSize->22,
      FontColor->RGBColor[0.27, 0.31, 0.6]], True->
     StyleBox["\<\"Tips and Tricks for Efficient Programming\"\>", 
      "HyperlinkActive",
      StripOnInput->False,
      FontFamily->"Source Sans Pro",
      FontSize->22]}, Dynamic[
      CurrentValue["MouseOver"]],
     FrameMargins->0,
     ImageSize->Automatic],
    Appearance->None,
    ButtonFunction:>SystemOpen[
      FileNameJoin[{
        NotebookDirectory[], "Supporting Files", "Session 11", 
        "Module 7_Programming.nb"}]],
    Evaluator->Automatic,
    Method->"Preemptive"],
   MouseAppearanceTag["LinkHand"]]],
  CellChangeTimes->{3.8383580751064396`*^9},ExpressionUUID->
  "741e521d-eb16-4c1d-9959-6b048ca8d106"],
 " from the Webinar Series on ",
 ButtonBox["Programming in the Wolfram Language\[LongDash]Concepts to \
Applications",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://www.wolfram.com/wolfram-u/special-event/programming-concepts-\
to-applications/"], None},
  ButtonNote->
   "https://www.wolfram.com/wolfram-u/special-event/programming-concepts-to-\
applications/"],
 ", Module 7."
}], "ItemNumbered",
 CellChangeTimes->{{3.8187346948245134`*^9, 3.818734716663398*^9}, {
   3.818735473918858*^9, 3.8187355144875035`*^9}, 3.8187356442764454`*^9, {
   3.824521805609994*^9, 3.824521805614979*^9}, 3.8245491778251915`*^9, {
   3.8245492523757615`*^9, 3.8245492523807726`*^9}, 3.8342279427574267`*^9, {
   3.834231659734126*^9, 3.834231674564398*^9}, {3.8381102878032513`*^9, 
   3.838110317562538*^9}, {3.838110416267544*^9, 3.8381104308347*^9}, {
   3.838358085802337*^9, 
   3.8383580878360467`*^9}},ExpressionUUID->"47e4f7fe-9a53-41af-b18b-\
9e43b66fde67"],

Cell[TextData[ButtonBox["10 Tips for Writing Fast Mathematica Code",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["https://blog.wolfram.com/2011/12/07/10-tips-for-writing-fast-\
mathematica-code/"], None},
 ButtonNote->
  "https://blog.wolfram.com/2011/12/07/10-tips-for-writing-fast-mathematica-\
code/"]], "ItemNumbered",
 CellChangeTimes->{{3.8187356263426247`*^9, 3.8187356361689587`*^9}, {
  3.8245217468498106`*^9, 3.824521746854797*^9}, {3.8381104363319893`*^9, 
  3.838110452971298*^9}},ExpressionUUID->"b871abbc-b26e-49c4-92dc-\
1f169c914a3a"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"d9157a3c-df1d-4e02-9773-1c3a3cace98d"],

Cell[CellGroupData[{

Cell["Computation in the Background", "Section",
 CellChangeTimes->{{3.8075742251418376`*^9, 3.807574233623749*^9}, {
  3.8075871779257107`*^9, 3.8075871808920326`*^9}, {3.8093486029609575`*^9, 
  3.8093486086427603`*^9}, {3.818733441642296*^9, 3.818733447846361*^9}, {
  3.8187342106795115`*^9, 3.8187342215585194`*^9}, {3.837558044770137*^9, 
  3.8375580484686356`*^9}, {3.837559070743413*^9, 3.837559072228428*^9}, {
  3.8378773245234747`*^9, 3.837877325494677*^9}},
 CellTags->
  "TOCTag-Section17",ExpressionUUID->"e889eeb2-e9de-402e-8580-60ed4ad84070"],

Cell[TextData[{
 "If the interface has to do a time-consuming computation, you can either use \
an asynchronous Button or do the computation in a different kernel using ",
 StyleBox[ButtonBox["LocalSubmit",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/LocalSubmit"],
  FontWeight->"Bold"],
 ".  "
}], "Text",
 CellChangeTimes->{{3.837558054309054*^9, 3.837558110512658*^9}, 
   3.8375585622884903`*^9, 3.837645707889587*^9, {3.8381105945001907`*^9, 
   3.8381106135097227`*^9}},ExpressionUUID->"ce0ac9e4-2b27-436e-9b99-\
f987df51a3f1"],

Cell[CellGroupData[{

Cell["Asynchronous Button", "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.8375581736679287`*^9, 3.837558177991407*^9}, {
  3.837558277803298*^9, 3.8375582799405346`*^9}},
 CellTags->
  "TOCTag-Subsubsection1",ExpressionUUID->"f8c23c1c-1e07-4ef1-8dbd-\
7b447af2dcb3"],

Cell[CellGroupData[{

Cell["Code", "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.8375581807729197`*^9, 3.8375581815987167`*^9}, 
   3.837559096566784*^9},ExpressionUUID->"eb0c8afc-c122-45ea-88cc-\
1d0740f1de02"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DemoQueuedButton", "[", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"x", "=", "\"\<<mystery number>\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"data", "=", "\"\<<data>\>\""}], ";", "\[IndentingNewLine]", 
     RowBox[{"Column", "[", "\[IndentingNewLine]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Button", "[", 
         RowBox[{"\"\<Mystery number\>\"", ",", 
          RowBox[{
           RowBox[{"x", "=", "\"\<Computing...\>\""}], ";", 
           RowBox[{"Pause", "[", "10", "]"}], ";", 
           RowBox[{"x", "=", 
            RowBox[{"RandomInteger", "[", 
             RowBox[{"{", 
              RowBox[{"1", ",", "100"}], "}"}], "]"}]}]}], ",", 
          StyleBox[
           RowBox[{"Method", "->", "\"\<Queued\>\""}],
           Background->RGBColor[1, 0.9, 0.8]]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"callKernel", ";", "x"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Slider", "[", 
         RowBox[{"Dynamic", "[", "y", "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"callKernel", ";", "y"}], "]"}]}], "\[IndentingNewLine]", 
       "}"}], "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.8375581491181316`*^9, 3.837558168611455*^9}, 
   3.837559096568778*^9},
 CellLabel->"In[41]:=",ExpressionUUID->"275000f3-1ee3-445d-b495-b94f200be0c1"]
}, Closed]],

Cell[TextData[{
 "An expensive computation can be done using an asynchronous button. The ",
 StyleBox[ButtonBox["Slider",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Slider"],
  FontWeight->"Bold"],
 " can be used after clicking the button:"
}], "Text",
 CellChangeTimes->{{3.837558250463395*^9, 3.8375582755453014`*^9}, {
  3.837558320208826*^9, 3.8375583312901793`*^9}, {3.838110620789461*^9, 
  3.838110633656117*^9}},ExpressionUUID->"aeb0b2d8-fce2-45ae-b2bd-\
04220df9c21e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DemoQueuedButton", "[", "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.837558236265421*^9, 3.8375582425196767`*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"6bfbaf94-113c-4e0b-9790-11e07d7c2c47"],

Cell["\<\
The Slider uses preemptive evaluation and thus remains operable during the \
background computation. However, if you include another asynchronous Button, \
the button will not remain operable when the first button is clicked. \
\>", "Text",
 CellChangeTimes->{{3.8375583022877693`*^9, 3.837558412740282*^9}, 
   3.837645712242772*^9, {3.838110638820611*^9, 3.8381106562608347`*^9}, {
   3.8383581486487164`*^9, 3.838358149413657*^9}, {3.839430837918397*^9, 
   3.839430842543762*^9}},ExpressionUUID->"bc27b09e-44e5-4614-8f30-\
15ddbd95b1e2"],

Cell["\<\
After clicking the \[OpenCurlyDoubleQuote]Mystery number\
\[CloseCurlyDoubleQuote] button for doing background computation, you will \
not be able to use the \[OpenCurlyDoubleQuote]Import\[CloseCurlyDoubleQuote] \
button:\
\>", "Text",
 CellChangeTimes->{{3.8375584817878494`*^9, 3.837558507264697*^9}, 
   3.8376457140798206`*^9, {3.8381107008527*^9, 3.838110701667499*^9}, {
   3.838112052864458*^9, 
   3.838112066515855*^9}},ExpressionUUID->"4e2537ed-01e5-4bb8-b1aa-\
7c00bc08785d"],

Cell[CellGroupData[{

Cell["Code", "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.8375581807729197`*^9, 3.8375581815987167`*^9}, 
   3.8375588094707146`*^9},ExpressionUUID->"91190dec-0ad4-4d00-9547-\
0d7f660bebb1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{"FileNameJoin", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"NotebookDirectory", "[", "]"}], ",", 
       "\"\<Supporting Files\>\"", ",", "\"\<Session 11\>\"", ",", 
       "\"\<data.txt\>\""}], "}"}], "]"}], ",", 
    RowBox[{"Factorial", "[", "10", "]"}]}], "]"}], ";"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{
  3.8375588094716682`*^9, {3.837558859080555*^9, 3.8375588672915955`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"7cef92ec-5668-47d1-9e2c-7a3ec99dd5a9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DemoTwoQueuedButtons", "[", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"x", "=", "\"\<<mystery number>\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"data", "=", "\"\<<data>\>\""}], ";", "\[IndentingNewLine]", 
     RowBox[{"Column", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        StyleBox[
         RowBox[{"Button", "[", 
          RowBox[{"\"\<Mystery number\>\"", ",", 
           RowBox[{
            RowBox[{"x", "=", "\"\<Computing...\>\""}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Pause", "[", "10", "]"}], ";", 
            RowBox[{"x", "=", 
             RowBox[{"RandomInteger", "[", 
              RowBox[{"{", 
               RowBox[{"1", ",", "100"}], "}"}], "]"}]}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Method", "->", "\"\<Queued\>\""}]}], 
          "\[IndentingNewLine]", "]"}],
         Background->RGBColor[1, 0.9, 0.8]], 
        StyleBox[",",
         Background->RGBColor[1, 0.9, 0.8]], "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"callKernel", ";", "x"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Slider", "[", 
         RowBox[{"Dynamic", "[", "y", "]"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", 
         RowBox[{"callKernel", ";", "y"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"Button", "[", 
          RowBox[{"\"\<Import\>\"", ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"file", "=", 
             RowBox[{"SystemDialogInput", "[", 
              RowBox[{"\"\<FileOpen\>\"", ",", 
               RowBox[{"FileNameJoin", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"NotebookDirectory", "[", "]"}], ",", 
                  "\"\<Supporting Files\>\"", ",", "\"\<Session 11\>\"", ",", 
                  "\"\<.txt\>\""}], "}"}], "]"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"file", "=!=", "$Canceled"}], ",", 
              RowBox[{"data", "=", 
               RowBox[{"Import", "[", "file", "]"}]}]}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], 
          "\[IndentingNewLine]", "]"}],
         Background->RGBColor[1, 0.9, 0.8]], ",", "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "[", "data", "]"}]}], "\[IndentingNewLine]", "}"}],
       "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.8375581491181316`*^9, 3.837558168611455*^9}, {
   3.837558449804035*^9, 3.8375584597079563`*^9}, {3.837558730607712*^9, 
   3.8375587364064016`*^9}, 3.8375588094726725`*^9, 3.837559039529248*^9},
 CellLabel->"In[43]:=",ExpressionUUID->"5b8defc2-7a4e-438e-9fc4-bdd424f56c76"]
}, Closed]],

Cell[BoxData[
 RowBox[{"DemoTwoQueuedButtons", "[", "]"}]], "Input",
 CellChangeTimes->{{3.837558465097498*^9, 3.837558470670623*^9}, 
   3.838112040310835*^9},ExpressionUUID->"596ee2f2-3f2c-476f-a4bc-\
714c0f45d0b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Computation in a separate Kernel", "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.8375585273809085`*^9, 3.837558547223835*^9}, {
  3.838358174078885*^9, 3.8383581743973675`*^9}},
 CellTags->
  "TOCTag-Subsubsection2",ExpressionUUID->"5c2a5582-557d-4fc7-a54f-\
6401d9881f33"],

Cell["\<\
You can use LocalSubmit to do the background computation in a separate kernel.\
\>", "Text",
 CellChangeTimes->{{3.837558552448827*^9, 3.83755855698971*^9}, {
   3.8375585968476343`*^9, 3.837558608350564*^9}, 3.8376457188708053`*^9, {
   3.838110719933429*^9, 
   3.838110726861586*^9}},ExpressionUUID->"40f0dc14-803d-492c-bc70-\
44f7c8bf38a1"],

Cell[CellGroupData[{

Cell["Code", "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.8375581807729197`*^9, 3.8375581815987167`*^9}, 
   3.8375589536036263`*^9},ExpressionUUID->"0273c818-ac82-4290-9a4c-\
b7b8fdfa5ad8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"<|", 
    RowBox[{"\"\<res\>\"", "->", "\"\<<mystery number>\>\""}], "|>"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", "\"\<<imported data>\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DemoLocalSubmit", "[", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", "y", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Button", "[", 
        RowBox[{"\"\<Mystery number\>\"", ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"x", "=", 
            RowBox[{"<|", 
             RowBox[{"\"\<res\>\"", "->", "\"\<Computing...\>\""}], "|>"}]}], 
           ";"}], ";", "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"LocalSubmit", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Pause", "[", "10", "]"}], ";", 
              RowBox[{"RandomInteger", "[", 
               RowBox[{"{", 
                RowBox[{"1", ",", "100"}], "}"}], "]"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"HandlerFunctions", "\[Rule]", 
              RowBox[{"<|", 
               RowBox[{"\"\<TaskFinished\>\"", ":>", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"x", "=", "#"}], ")"}], "&"}], ")"}]}], "|>"}]}], 
             ",", " ", "\[IndentingNewLine]", 
             RowBox[{"HandlerFunctionsKeys", "\[Rule]", 
              RowBox[{"{", "\"\<EvaluationResult\>\"", "}"}]}]}], 
            "\[IndentingNewLine]", "]"}],
           Background->RGBColor[1, 0.9, 0.8]]}]}], "\[IndentingNewLine]", 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"callKernel", ";", 
         RowBox[{
          RowBox[{"Values", "[", "x", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Slider", "[", 
        RowBox[{"Dynamic", "[", "y", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{
         RowBox[{"callKernel", ";", "y"}], ",", 
         RowBox[{"SynchronousUpdating", "\[Rule]", "True"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Button", "[", 
        RowBox[{"\"\<Import\>\"", ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"file", "=", 
           RowBox[{"SystemDialogInput", "[", 
            RowBox[{"\"\<FileOpen\>\"", ",", 
             RowBox[{"FileNameJoin", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"NotebookDirectory", "[", "]"}], ",", 
                "\"\<Supporting Files\>\"", ",", "\"\<Session 11\>\"", ",", 
                "\"\<.txt\>\""}], "}"}], "]"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"file", "=!=", "$Canceled"}], ",", 
            RowBox[{"data", "=", 
             RowBox[{"Import", "[", "file", "]"}]}]}], "]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}]}], 
        "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "data", "]"}]}], "\[IndentingNewLine]", "}"}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]}]}], "Input",\

 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.8375581491181316`*^9, 3.837558168611455*^9}, {
  3.837558449804035*^9, 3.8375584597079563`*^9}, {3.83755862320125*^9, 
  3.837558624917684*^9}, {3.8375586949211693`*^9, 3.837558702270471*^9}, {
  3.8375588991750593`*^9, 3.8375589536046596`*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"30e7b271-19d3-4b22-a504-468a40f1d0f7"]
}, Closed]],

Cell[BoxData[
 RowBox[{"DemoLocalSubmit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8375589309632325`*^9, 3.837558932887045*^9}, 
   3.837558966965909*^9, 
   3.838112074324072*^9},ExpressionUUID->"c3b0085e-62c7-4fc4-8625-\
1e4f3a6cae85"],

Cell["\<\
While the background computation is underway, one can use both the preemptive \
(Slider) and the queued \
(\[OpenCurlyDoubleQuote]Import\[CloseCurlyDoubleQuote] button) evaluations.\
\>", "Text",
 CellChangeTimes->{{3.8375589708394337`*^9, 3.837559014893081*^9}, {
  3.8376457260783596`*^9, 
  3.8376457263098774`*^9}},ExpressionUUID->"8b2d2ed7-78df-4177-b322-\
ec47d38e6e38"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"1a0615cc-0ded-45ba-a1b3-1315f3c14eec"],

Cell[CellGroupData[{

Cell["Avoiding Unnecessary Dynamics", "Section",
 CellChangeTimes->{{3.8075742251418376`*^9, 3.807574233623749*^9}, {
  3.8075871779257107`*^9, 3.8075871808920326`*^9}, {3.8093486029609575`*^9, 
  3.8093486086427603`*^9}, {3.8264118053828387`*^9, 3.8264118073348875`*^9}, {
  3.8378774471799994`*^9, 3.8378774511366787`*^9}},
 CellTags->
  "TOCTag-Section18",ExpressionUUID->"b029b186-9297-4ff6-97d7-dd961e943438"],

Cell["\<\
An interface can be made robust by avoiding unnecessary dynamic updates of \
elements that are to remain static:\
\>", "Text",
 CellChangeTimes->{{3.807582160847015*^9, 3.8075822533635626`*^9}, {
  3.8187356810647264`*^9, 3.8187356833293147`*^9}, {3.8381120968626947`*^9, 
  3.838112114165406*^9}},ExpressionUUID->"79d2d485-8a51-469e-acc2-\
099dcb1a7687"],

Cell[CellGroupData[{

Cell["Example 1", "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.8187357645291004`*^9, 3.818735767231593*^9}},
 CellTags->
  "TOCTag-Subsubsection3",ExpressionUUID->"4591a182-9c9d-4f01-aba5-\
4452be3e8b3b"],

Cell[TextData[{
 "The first element does not update anyway, so when you change ",
 Cell[BoxData[
 "x1"], "Input",ExpressionUUID->"6b717504-ab4b-4f76-af66-b3b43b13c3f8"],
 ", you have to unnecessarily wait for the Dynamic to update:"
}], "Text",
 CellChangeTimes->{{3.8187358800321093`*^9, 3.8187359457511353`*^9}, {
  3.837645738844118*^9, 3.8376457401442585`*^9}, {3.838110751413492*^9, 
  3.838110756330605*^9}},ExpressionUUID->"88fa9363-df58-4b88-b3d4-\
2135c75188e1"],

Cell[BoxData[
 RowBox[{"Clear", "[", "x1", "]"}]], "Input",
 CellChangeTimes->{{3.8187357732302384`*^9, 3.81873577882265*^9}, 
   3.8187358624117365`*^9},
 CellLabel->"In[66]:=",ExpressionUUID->"88465323-4e7d-43e9-b28d-2b5743f91733"],

Cell[BoxData[
 RowBox[{
  RowBox[{"x1", "=", "15"}], ";"}]], "Input",
 CellChangeTimes->{{3.8187357796349454`*^9, 3.818735782447279*^9}, {
  3.8187358315746827`*^9, 3.8187358640983324`*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"46d65ce0-3c3c-4a6d-a895-eb80c28b42b2"],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", "10"}], ",", "x1"}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.818735784102651*^9, 3.8187357961003494`*^9}, 
   3.8187358674569244`*^9},
 CellLabel->"In[68]:=",ExpressionUUID->"553bc41f-a47c-400d-904d-1985252467d3"],

Cell[TextData[{
 "You can wrap Dynamic only around ",
 Cell[BoxData[
 "x1"], "Input",ExpressionUUID->"a765fd75-65a0-44eb-b60c-9617ebc80d8e"],
 " to avoid this:"
}], "Text",
 CellChangeTimes->{{3.81873595287506*^9, 3.818735962294654*^9}, 
   3.8376457457554874`*^9, 
   3.838110762271061*^9},ExpressionUUID->"484a482e-472b-41f8-8197-\
e55b1213d72c"],

Cell[BoxData[
 RowBox[{"Clear", "[", "x2", "]"}]], "Input",
 CellChangeTimes->{{3.8187359685114393`*^9, 3.8187359706208444`*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"624cc83a-bd02-4bb0-8bb1-11e1754f5ea7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"x2", "=", "20"}], ";"}]], "Input",
 CellChangeTimes->{{3.8187359719017763`*^9, 3.8187359955988708`*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"a4574b4c-ddf9-4f8f-ab10-b438a3dbfd30"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"Pause", "[", "2", "]"}], ";", "10"}], ",", 
   RowBox[{"Dynamic", "[", "x2", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.8187359762908764`*^9, 3.8187359905063033`*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"020359ad-6f80-4749-a103-da81df4356bd"]
}, Closed]],

Cell[CellGroupData[{

Cell["Example 2", "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.8075743550336623`*^9, 3.8075743566741056`*^9}, 
   3.8101842164045115`*^9, 3.816661642542763*^9, {3.818736002379032*^9, 
   3.8187360025348935`*^9}},
 CellTags->
  "TOCTag-Subsubsection4",ExpressionUUID->"50a20fd7-ba76-4394-83f4-\
33b1a0a59c89"],

Cell[TextData[{
 "Here Dynamic is wrapped around {",
 StyleBox[ButtonBox["Plot3D",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Plot3D"],
  FontWeight->"Bold"],
 "[__], ",
 StyleBox[ButtonBox["Plot",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Plot"],
  FontWeight->"Bold"],
 "[__]}, so every time the range (for the 2D plot) updates, the 3D plot is \
recomputed, making it slow:"
}], "Text",
 CellChangeTimes->{{3.8075823222180996`*^9, 3.8075823632123013`*^9}, {
  3.807582432727806*^9, 3.8075824332134056`*^9}, {3.8075869585416985`*^9, 
  3.8075869631478686`*^9}, {3.8101836956738157`*^9, 3.8101837184605713`*^9}, {
  3.8263467591222343`*^9, 3.826346785936826*^9}, {3.83811077143829*^9, 
  3.838110797000038*^9}},ExpressionUUID->"d00abd97-5baa-4052-a9db-\
5b47d5595bec"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"range", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<range(2D): \>\"", ",", 
           RowBox[{"Slider", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "range", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "10"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
          RowBox[{"Row", "[", "\[IndentingNewLine]", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Plot3D", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Sin", "[", "x", "]"}], " ", 
                RowBox[{"Sin", "[", "y", "]"}]}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", 
                 RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
               RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"Sin", "[", "x1", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x1", ",", "0", ",", "range"}], "}"}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", "]"}], "]"}],
         
         Background->RGBColor[1, 0.9, 0.8]]}], 
       StyleBox["\[IndentingNewLine]",
        Background->RGBColor[1, 0.9, 0.8]], "}"}], ",", 
      InterpretationBox[
       DynamicModuleBox[{Typeset`open = False}, 
        TemplateBox[{"Expression", 
          StyleBox[
          "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
          GridBox[{{
             RowBox[{
               TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
               TagBox["Sequence", "IconizedItem"]}]}, {
             RowBox[{
               TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
               TagBox["1", "IconizedItem"]}]}, {
             RowBox[{
               TagBox["\"Byte count: \"", "IconizedLabel"], 
               "\[InvisibleSpace]", 
               TagBox["104", "IconizedItem"]}]}}, 
           GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
           "Column", 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
          Dynamic[Typeset`open]},
         "IconizedObject"]],
       Sequence[Alignment -> Center],
       SelectWithContents->True,
       Selectable->False]}], "]"}]}], "]"}], "\[IndentingNewLine]"}]], "Input",\

 CellChangeTimes->{{3.807586679676325*^9, 3.807586776719307*^9}, {
   3.807586852429513*^9, 3.8075869298349524`*^9}, 3.807587056461888*^9, {
   3.8101834734687724`*^9, 3.810183512985827*^9}, 3.8101835588027773`*^9, {
   3.8101837397842383`*^9, 3.810183759290865*^9}, {3.8101838661266923`*^9, 
   3.8101838855274963`*^9}, {3.810183975630351*^9, 3.810183985478015*^9}, {
   3.81038500144237*^9, 3.8103850612860427`*^9}, {3.816663108854436*^9, 
   3.8166631268659*^9}, {3.836015389110382*^9, 3.836015395811928*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"715c1961-da75-496b-babc-4bee93c2ee1f"],

Cell["You can wrap Dynamic only around Plot:", "Text",
 CellChangeTimes->{{3.807574306810145*^9, 3.8075743138402367`*^9}, {
   3.8075869881391087`*^9, 3.8075869886580772`*^9}, 
   3.837645747218554*^9},ExpressionUUID->"f395c817-2920-44ff-a48c-\
6c75693803fb"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"range", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<range(2D): \>\"", ",", 
           RowBox[{"Slider", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "range", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "10"}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Row", "[", "\[IndentingNewLine]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Plot3D", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Sin", "[", "x", "]"}], " ", 
              RowBox[{"Sin", "[", "y", "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
             RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"Dynamic", "[", 
             RowBox[{"Plot", "[", 
              RowBox[{
               RowBox[{"Sin", "[", "x1", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"x1", ",", "0", ",", "range"}], "}"}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}], "]"}],
            Background->RGBColor[1, 0.9, 0.8]]}], 
          StyleBox["\[IndentingNewLine]",
           Background->RGBColor[1, 0.9, 0.8]], "}"}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      InterpretationBox[
       DynamicModuleBox[{Typeset`open = False}, 
        TemplateBox[{"Expression", 
          StyleBox[
          "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
          GridBox[{{
             RowBox[{
               TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
               TagBox["Sequence", "IconizedItem"]}]}, {
             RowBox[{
               TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
               TagBox["1", "IconizedItem"]}]}, {
             RowBox[{
               TagBox["\"Byte count: \"", "IconizedLabel"], 
               "\[InvisibleSpace]", 
               TagBox["104", "IconizedItem"]}]}}, 
           GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
           "Column", 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
          Dynamic[Typeset`open]},
         "IconizedObject"]],
       Sequence[Alignment -> Center],
       SelectWithContents->True,
       Selectable->False]}], "]"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8075743196821604`*^9, 3.807574329102344*^9}, {
   3.8075869837233944`*^9, 3.8075870096159077`*^9}, {3.807587074543622*^9, 
   3.8075870768824224`*^9}, {3.8101835360484934`*^9, 3.8101835560124025`*^9}, 
   3.8101837737652407`*^9, 3.810183843163316*^9, {3.8166631378481655`*^9, 
   3.8166631484233212`*^9}, {3.836015411073913*^9, 3.836015418287756*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"ff5d7007-aa62-4044-91f6-a7299cee0902"]
}, Closed]],

Cell[CellGroupData[{

Cell["Example 3", "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.8075743726076574`*^9, 3.807574374248005*^9}, 
   3.810184215091951*^9, 3.8166631794634457`*^9, {3.818736005675136*^9, 
   3.818736005846878*^9}},
 CellTags->
  "TOCTag-Subsubsection5",ExpressionUUID->"ea3be717-5d6b-4745-923e-\
9e3c08c10b57"],

Cell["\<\
Every time the slider is moved to change the size of the image, the entire \
Plot3D is recomputed, making it slow:\
\>", "Text",
 CellChangeTimes->{{3.8075824166531487`*^9, 3.80758247555247*^9}, {
  3.8263468075299964`*^9, 3.826346807825243*^9}, {3.838110811981186*^9, 
  3.8381108134620123`*^9}},ExpressionUUID->"bbfb06d7-acf1-4823-b5db-\
06d537d78356"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"imSize", "=", "150"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<size \>\"", ",", 
           RowBox[{"Slider", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "imSize", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"150", ",", "400", ",", "1"}], "}"}]}], "]"}]}], "}"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         StyleBox["Dynamic",
          Background->RGBColor[1, 0.9, 0.8]], 
         StyleBox["[",
          Background->RGBColor[1, 0.9, 0.8]], 
         StyleBox[
          RowBox[{"Plot3D", "[", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"x", "+", 
              RowBox[{"y", "^", "2"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
            RowBox[{"PlotPoints", "\[Rule]", "150"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "imSize"}]}], "]"}],
          Background->RGBColor[1, 0.9, 0.8]], "]"}]}], "\[IndentingNewLine]", 
       "}"}], ",", "\[IndentingNewLine]", 
      InterpretationBox[
       DynamicModuleBox[{Typeset`open = False}, 
        TemplateBox[{"Expression", 
          StyleBox[
          "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
          GridBox[{{
             RowBox[{
               TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
               TagBox["Sequence", "IconizedItem"]}]}, {
             RowBox[{
               TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
               TagBox["1", "IconizedItem"]}]}, {
             RowBox[{
               TagBox["\"Byte count: \"", "IconizedLabel"], 
               "\[InvisibleSpace]", 
               TagBox["104", "IconizedItem"]}]}}, 
           GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
           "Column", 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
          Dynamic[Typeset`open]},
         "IconizedObject"]],
       Sequence[Alignment -> Center],
       SelectWithContents->True,
       Selectable->False]}], "]"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.807581298947703*^9, 3.8075813083326087`*^9}, {
   3.8075813787223635`*^9, 3.807581378837802*^9}, {3.807581436312147*^9, 
   3.8075814364291453`*^9}, {3.8101839138628225`*^9, 3.810183923229579*^9}, {
   3.81018395706905*^9, 3.81018396021284*^9}, 3.8101840607480965`*^9, {
   3.8101840940808735`*^9, 3.8101841333822207`*^9}, {3.8166631596863823`*^9, 
   3.8166631613423758`*^9}},ExpressionUUID->"8e3212ed-b25f-46c3-ab05-\
d75c4406f9ef"],

Cell[TextData[{
 "You can wrap Dynamic only around ",
 Cell[BoxData[
 "imSize"], "Input",ExpressionUUID->"9e537c81-8b09-4cdd-9b8a-d6fcd1e40202"],
 " so that most of the work can be limited to the front end only:"
}], "Text",
 CellChangeTimes->{{3.8075824885724974`*^9, 3.8075825122828074`*^9}, {
   3.837342953258636*^9, 3.8373429591606874`*^9}, 3.837645748263307*^9, {
   3.838110820384005*^9, 
   3.838110832805567*^9}},ExpressionUUID->"92c90074-c437-4f3d-bf2d-\
4f926f2da348"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"imSize", "=", "150"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<size \>\"", ",", 
           RowBox[{"Slider", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "imSize", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"150", ",", "400", ",", "1"}], "}"}]}], "]"}]}], "}"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"x", "+", 
            RowBox[{"y", "^", "2"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
          RowBox[{"PlotPoints", "\[Rule]", "150"}], ",", 
          StyleBox[
           RowBox[{"ImageSize", "\[Rule]", 
            RowBox[{"Dynamic", "[", "imSize", "]"}]}],
           Background->RGBColor[1, 0.9, 0.8]]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.807581335958969*^9, 3.8075813590870504`*^9}, {
  3.807581399627387*^9, 3.8075813997572947`*^9}, {3.8101840218060665`*^9, 
  3.8101840514816327`*^9}, {3.810184142424452*^9, 3.8101841697658143`*^9}, {
  3.816663168262452*^9, 
  3.8166631692783237`*^9}},ExpressionUUID->"8a7aaa0c-901b-45d1-8ff3-\
f8879d05ad9b"],

Cell["", "Text",
 FontSize->1,
 FontWeight->"Plain",
 CellTags->
  "TOCTag-Subsubsection4",ExpressionUUID->"fb402076-1b1c-407c-a4e0-\
0f63843f9a0c"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"0d6681a0-75bc-49d9-a89d-54d983031f48"],

Cell[CellGroupData[{

Cell["Managing Multiple Variables (Optional)", "Section",
 CellChangeTimes->{{3.826586672264118*^9, 3.8265866807764735`*^9}, {
  3.83787746078596*^9, 3.837877464407772*^9}},
 CellTags->
  "TOCTag-Section19",ExpressionUUID->"c46d27cb-94b6-4fde-9414-fea282b63650"],

Cell["\<\
In a dynamic interface, one should keep separate variables for updating \
different components independent of one another. That way the updates are \
compartmentalized and hence fast, instead of being collective and slow.\
\>", "Text",
 CellChangeTimes->{{3.8196865699363256`*^9, 3.8196865732792463`*^9}, {
   3.8196866413252554`*^9, 3.819686798132517*^9}, {3.8196868324523935`*^9, 
   3.8196868355768375`*^9}, {3.8265870000857677`*^9, 3.8265870418796806`*^9}, 
   3.835686187829516*^9, {3.838110842910141*^9, 
   3.8381108429574537`*^9}},ExpressionUUID->"fb612311-5d34-4f60-8a11-\
f98d6de23bf0"],

Cell["\<\
When the number of such variables is large, one has to generate and \
manipulate the variables programmatically. An example concerned with the \
management of multiple variables in such a scenario is discussed next.\
\>", "Text",
 CellChangeTimes->{{3.8196865699363256`*^9, 3.8196865732792463`*^9}, {
   3.8196866413252554`*^9, 3.819686798132517*^9}, {3.8196868324523935`*^9, 
   3.8196868355768375`*^9}, {3.8265870000857677`*^9, 3.8265870418796806`*^9}, 
   3.8356861884488454`*^9, {3.8376457641099014`*^9, 3.8376457703179636`*^9}, {
   3.838110854150773*^9, 
   3.838110854445848*^9}},ExpressionUUID->"b08fcfb8-cbaa-4fb3-861d-\
f6d4d39f9d90"],

Cell[CellGroupData[{

Cell["Updating 50 Random Disks", "Subsection",
 CellChangeTimes->{{3.8196868472930255`*^9, 3.819686851526207*^9}, {
  3.8378774727230053`*^9, 3.837877475872676*^9}},
 CellTags->
  "TOCTag-Subsection7",ExpressionUUID->"5ec47c0d-a749-484e-89f6-220fe849760d"],

Cell["\<\
Create 50 variables for storing the color of individual disks. Keep held \
copies of the unassigned variables, so that those can be cleared later when \
required:\
\>", "Text",
 CellChangeTimes->{{3.819686867726658*^9, 3.8196869267709713`*^9}, {
  3.83811086787085*^9, 
  3.838110879686874*^9}},ExpressionUUID->"62ef054c-63b9-4f81-8704-\
8f9e20090aea"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"variables", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Symbol", "[", 
      RowBox[{"\"\<col\>\"", "<>", 
       RowBox[{"ToString", "[", "i", "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "50"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"variables", "//", "Short"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"heldVariables", "=", 
   RowBox[{"Hold", "/@", "variables"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"heldVariables", "//", "Short"}]}], "Input",
 CellChangeTimes->{{3.8196869381276536`*^9, 3.819686947234897*^9}, {
  3.8196869776496105`*^9, 3.8196869878347607`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"4ee87748-30f0-4352-ba7c-d926250aec66"],

Cell["A function for creating a single disk:", "Text",
 CellChangeTimes->{{3.8196870103605213`*^9, 
  3.8196870182810345`*^9}},ExpressionUUID->"191c66b1-fdab-4c2d-8b18-\
d0f675cef836"],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", "disk", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"disk", "[", "var_", "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"(", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"var", "=", 
      RowBox[{"RandomColor", "[", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Dynamic", "[", "var", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"EventHandler", "[", 
        RowBox[{
         RowBox[{"Disk", "[", 
          RowBox[{
           RowBox[{"RandomReal", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "100"}], ",", "100"}], "}"}], ",", "2"}], "]"}], 
           ",", "5"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\"\<MouseEntered\>\"", "\[RuleDelayed]", 
           RowBox[{"(", 
            RowBox[{"var", "=", "Green"}], ")"}]}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", ")"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.819687022263977*^9, 3.819687041181401*^9}, {
  3.819687142533084*^9, 3.8196871518741302`*^9}, {3.8196872280557766`*^9, 
  3.8196872282437024`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"26ec85e0-3bfd-40b5-9da3-8aef19859b4f"],

Cell["Test the function:", "Text",
 CellChangeTimes->{{3.8196870568964543`*^9, 
  3.8196870595210524`*^9}},ExpressionUUID->"7f543722-26a1-4638-96a5-\
a4ec92299d66"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "colRandom", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Graphics", "[", 
  RowBox[{"{", 
   RowBox[{"disk", "[", "colRandom", "]"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8196870638796854`*^9, 3.819687076283124*^9}, {
  3.819687235570091*^9, 3.8196872359601393`*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"85d57227-4922-4ec2-b1c2-efe0c8eab2b7"],

Cell["The disk turns green when hovered over.", "Text",
 CellChangeTimes->{{3.819687098168507*^9, 3.819687108010002*^9}, 
   3.819687254628113*^9},ExpressionUUID->"8ec667b3-0c46-4ce7-a074-\
25df1c208e50"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"0d5eb348-4c93-402e-96c2-d97fcf9d5496"],

Cell[CellGroupData[{

Cell["Managing Multiple Variables (Optional) (contd.)", "Section",
 CellChangeTimes->{{3.8265867747355337`*^9, 3.8265867861359177`*^9}, {
  3.837877479579043*^9, 3.837877485096118*^9}},
 CellTags->
  "TOCTag-Section20",ExpressionUUID->"d22d8061-1b0b-4c78-a92d-8d80c77863b4"],

Cell["\<\
Make a graphic composed of 50 such disks; use the variables that were created \
earlier:\
\>", "Text",
 CellChangeTimes->{{3.8196873604626217`*^9, 3.8196873800210915`*^9}, {
  3.8265868518181314`*^9, 3.8265868522643366`*^9}, {3.8376457803502164`*^9, 
  3.8376457836342154`*^9}, {3.838110890021991*^9, 
  3.838110891358768*^9}},ExpressionUUID->"1acc8a05-e10e-4e56-abbc-\
352e1a65e34a"],

Cell[BoxData[
 RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"disk", "[", "col", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"col", ",", "variables"}], "}"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "100"}], ",", "100"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "100"}], ",", "100"}], "}"}]}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.8196871960168886`*^9, 3.819687196391361*^9}, {
   3.81968805385903*^9, 3.8196880611385636`*^9}, 
   3.826587454259945*^9},ExpressionUUID->"22b4fa91-6692-4b35-b622-\
f2862294979b"],

Cell["\<\
Test by hovering over the disks. Note that when hovered over, only the \
particular disk updates instead of the entire graphic being updated.\
\>", "Text",
 CellChangeTimes->{{3.8196881399325504`*^9, 3.8196881456655807`*^9}, {
  3.8196882644189143`*^9, 3.819688347336918*^9}, {3.8196883868901215`*^9, 
  3.8196884107907543`*^9}, {3.8381108953662252`*^9, 
  3.838110895638872*^9}},ExpressionUUID->"745e9e14-2048-45c7-ab3d-\
3eb77803d31d"],

Cell["Clear the variables:", "Text",
 CellChangeTimes->{{3.819688445720039*^9, 
  3.819688449187978*^9}},ExpressionUUID->"dc4de87b-94c9-4771-a572-\
5d0fce0983c3"],

Cell[BoxData[
 RowBox[{"ClearHeld", "/@", "heldVariables"}]], "Input",
 CellChangeTimes->{{3.8196880669492445`*^9, 3.8196880736356316`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"3c82b8bc-a5b9-4c7f-ba12-f022f20bc4c8"],

Cell["\<\
The function ClearHeld can be used to programmatically clear variables being \
held. Clear/@heldVariables would not have worked.\
\>", "Text",
 CellChangeTimes->{{3.81968854633711*^9, 3.819688585859455*^9}, {
  3.8381109140710287`*^9, 
  3.838110915687179*^9}},ExpressionUUID->"dd95df23-953b-456d-a8a6-\
92d04d637535"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"03b77343-10fd-4c39-8d05-9eaafccfa544"],

Cell[CellGroupData[{

Cell["Using Print Statements", "Section",
 CellChangeTimes->{{3.8075742251418376`*^9, 3.807574233623749*^9}, {
  3.8075871779257107`*^9, 3.8075871808920326`*^9}, {3.8093486029609575`*^9, 
  3.8093486086427603`*^9}, {3.81660657987806*^9, 3.8166066159793797`*^9}, {
  3.816661696589163*^9, 3.8166617048221064`*^9}, {3.837877489179289*^9, 
  3.837877489749967*^9}},
 CellTags->
  "TOCTag-Section21",ExpressionUUID->"a380202d-e794-4274-9aa7-87e97b724cce"],

Cell[TextData[{
 "There can be instances where a dynamic update is not clearly visible. ",
 StyleBox[ButtonBox["Print",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Print"],
  FontWeight->"Bold"],
 " statements can be used to check whether a Dynamic is being updated."
}], "Text",
 CellChangeTimes->{{3.8166066340360374`*^9, 3.8166066379657283`*^9}, {
   3.8166578284216456`*^9, 3.8166578491355534`*^9}, {3.8166587810815096`*^9, 
   3.8166587937817783`*^9}, 
   3.838110990866102*^9},ExpressionUUID->"288037fc-55a2-4444-8b40-\
2ff34bf6f681"],

Cell[CellGroupData[{

Cell["Update not visible", "Subsubsection",
 CellChangeTimes->{{3.8289571261117916`*^9, 3.828957134984736*^9}, 
   3.830046335350116*^9},
 CellTags->
  "TOCTag-Subsubsection6",ExpressionUUID->"14af149d-d18d-4e22-bc16-\
aa049b5d7e15"],

Cell[TextData[{
 "The ",
 StyleBox[ButtonBox["Do",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Do"],
  FontWeight->"Bold"],
 " loop makes the contents inside Dynamic reevaluate every time ",
 Cell[BoxData[
 "i"], "Input",ExpressionUUID->"34f406ba-63ee-42fd-8d31-924e4a60b090"],
 " changes, but it is not visible."
}], "Text",
 CellChangeTimes->{{3.816661186108147*^9, 3.8166612288792467`*^9}, {
  3.8289571795822134`*^9, 3.8289572007649317`*^9}, {3.83811099650489*^9, 
  3.838111010128474*^9}},ExpressionUUID->"cd200fdb-401c-4a85-a810-\
c565eed1d6b9"],

Cell[TextData[{
 Cell[BoxData[
 "var"], "Input",ExpressionUUID->"352cecd4-dfe1-4f91-b7f2-b25b7c4fb828"],
 " is initialized to zero:"
}], "Text",
 CellChangeTimes->{{3.8289573866094456`*^9, 3.8289573912646065`*^9}, {
   3.828957421622908*^9, 3.8289574250908394`*^9}, 
   3.83811101528769*^9},ExpressionUUID->"943e55c5-13ad-48bf-a2d6-\
b5be3a8f8073"],

Cell[BoxData[
 RowBox[{"var", "=", "0"}]], "Input",
 CellChangeTimes->{{3.8289573206089425`*^9, 3.8289573521483297`*^9}, {
  3.828957393185712*^9, 3.828957426996134*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"ad9b6c55-4705-46d3-ad98-e0424818779a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"i", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{"var", "=", 
    RowBox[{"i", "^", "2"}]}], ";", "\"\<Displayed\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8166587554151707`*^9, 3.8166587619765897`*^9}, 
   3.8289570950878725`*^9, {3.8289571916892076`*^9, 3.828957192329682*^9}, {
   3.8289572697358913`*^9, 3.8289572779688225`*^9}, {3.8289573190623884`*^9, 
   3.828957319547055*^9}, {3.8289573951855497`*^9, 3.828957396981497*^9}, {
   3.8289574306988907`*^9, 3.828957430901491*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"3362a5cf-90a9-4d05-9386-ee108b3a13a8"],

Cell[BoxData["var"], "Input",
 CellChangeTimes->{{3.833528994196257*^9, 3.833528994462988*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"0b42cc43-c138-45ab-a7eb-3c7e8797c27c"],

Cell["Run for some time and abort using Alt+.:", "Text",
 CellChangeTimes->{{3.828957209981924*^9, 3.828957223509323*^9}, {
   3.83811102167913*^9, 3.838111031672278*^9}, {3.838357826217988*^9, 
   3.838357830408259*^9}, 
   3.839430954518373*^9},ExpressionUUID->"995a2cf1-a5f4-4744-bf8b-\
c7d0935b7be6"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"i", "=", 
     RowBox[{"i", "+", "1"}]}], ";", 
    RowBox[{"Pause", "[", "0.2", "]"}]}], ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.8166578524785194`*^9, 3.816657875535633*^9}, 
   3.816658763553854*^9, {3.828957440727272*^9, 3.8289574408678637`*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"07785d6e-d567-4700-afac-2ae58d1fab47"],

Cell[TextData[{
 "Every update in the value of ",
 Cell[BoxData[
 "i"], "Input",ExpressionUUID->"43163ceb-e7b1-452e-bb7d-1145077db36e"],
 " was triggering an update of the previous Dynamic output. The value of ",
 Cell[BoxData[
 "var"], "Input",ExpressionUUID->"906374f7-cb83-4b56-8914-395305527572"],
 " has changed:"
}], "Text",
 CellChangeTimes->{{3.8289572423051453`*^9, 3.828957246429467*^9}, {
   3.828957288398244*^9, 3.8289572887414136`*^9}, 3.828957341635825*^9, {
   3.8289574494913282`*^9, 3.8289574497256517`*^9}, {3.8335220500016556`*^9, 
   3.8335221068159266`*^9}, {3.8381110359383163`*^9, 
   3.8381110399773493`*^9}},ExpressionUUID->"b32852b4-b86e-4a3e-bba4-\
b0e918b2ac66"],

Cell[BoxData["var"], "Input",
 CellChangeTimes->{{3.828957289976001*^9, 3.828957290444175*^9}, {
  3.8289573343088245`*^9, 3.8289573592566137`*^9}, {3.828957451490857*^9, 
  3.8289574517403417`*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"df705028-aac8-467a-9afc-e70ef23c14b9"],

Cell[TextData[{
 "The update of ",
 Cell[BoxData[
 "var"], "Input",ExpressionUUID->"09b67d12-b628-42ba-9933-3aa2c1759b79"],
 " was silent and not obvious."
}], "Text",
 CellChangeTimes->{{3.8335221140427384`*^9, 3.833522131830532*^9}, 
   3.8381110438163424`*^9},ExpressionUUID->"9fc00d0e-ddd4-4a3f-9f82-\
65f860358ff0"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Print reveals the update", "Subsubsection",
 CellChangeTimes->{{3.8289571261117916`*^9, 3.828957134984736*^9}, {
   3.828957472392174*^9, 3.82895749046553*^9}, 3.8300463391942053`*^9},
 CellTags->
  "TOCTag-Subsubsection7",ExpressionUUID->"6a60c51b-7b93-4abb-ada2-\
d1abf77dc64b"],

Cell[TextData[{
 "Use Print statements to see whether the expression is being updated; ",
 Cell[BoxData[
 "i1"], "Input",ExpressionUUID->"b4d97fe8-23ae-4925-a659-0b31e2dddeb2"],
 " is printed in the message window:"
}], "Text",
 CellChangeTimes->{{3.8166587188304296`*^9, 3.8166587482454057`*^9}, 
   3.8289574953862715`*^9, {3.8289576135932283`*^9, 3.8289576375094643`*^9}, {
   3.8367399233611403`*^9, 3.8367399240484724`*^9}, {3.8381110473133097`*^9, 
   3.838111059147942*^9}},ExpressionUUID->"b250c4e6-1940-4ea1-a66d-\
d6dc2f0ade42"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var1", "=", "0"}], ";", 
  RowBox[{"i1", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{"var1", "=", 
    RowBox[{"i1", "^", "2"}]}], ";", 
   RowBox[{"Print", "[", "i1", "]"}], ";", "\"\<Displayed\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.8166587554151707`*^9, 3.8166587619765897`*^9}, 
   3.8289570950878725`*^9, {3.8289571916892076`*^9, 3.828957192329682*^9}, {
   3.8289572697358913`*^9, 3.8289572779688225`*^9}, {3.8289573190623884`*^9, 
   3.828957319547055*^9}, {3.8289573951855497`*^9, 3.828957396981497*^9}, {
   3.8289574306988907`*^9, 3.828957430901491*^9}, {3.8289575166161175`*^9, 
   3.8289575483737793`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"14201084-dfbd-4f9c-b203-112fd7c85ba9"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"i1", "=", 
     RowBox[{"i1", "+", "1"}]}], ";", 
    RowBox[{"Pause", "[", "0.5", "]"}]}], ",", "50"}], "]"}]], "Input",
 CellChangeTimes->{{3.8166578524785194`*^9, 3.816657875535633*^9}, 
   3.816658763553854*^9, {3.8289575563718576`*^9, 3.828957557747033*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"1bfbf55e-199b-403b-b97d-908b4a018fae"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"9b39debc-ced7-417d-9c63-deed295dcdf3"],

Cell[CellGroupData[{

Cell["Concluding Remarks", "Section",
 CellChangeTimes->{{3.8088114338663692`*^9, 3.8088114368553333`*^9}, {
  3.808811819416668*^9, 3.808811821759427*^9}, {3.809188306421482*^9, 
  3.809188307408337*^9}},
 CellTags->
  "TOCTag-Section22",ExpressionUUID->"b1a7f9fa-b934-432a-95c4-ca6b83a37d1c"],

Cell[CellGroupData[{

Cell[TextData[{
 "Two techniques for managing slow loading time were discussed:",
 StyleBox["\[LineSeparator]Delayed loading",
  FontWeight->"Bold"],
 ": loading components on as-needed basis\n",
 StyleBox["Stepped loading",
  FontWeight->"Bold"],
 ": loading a part of the interface and presenting it to the user, while \
loading the rest in the background"
}], "ItemNumbered",
 CellChangeTimes->{{3.82783452882479*^9, 3.8278345311841755`*^9}, {
  3.8278345616660795`*^9, 
  3.8278346215425825`*^9}},ExpressionUUID->"aee1151a-b75f-466b-ab0c-\
ef7455340ff1"],

Cell["\<\
A Dynamic will be slow if the underlying kernel computation is expensive.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.82783452882479*^9, 3.8278345311841755`*^9}, {
   3.8278345616660795`*^9, 3.827834594695334*^9}, {3.827834642618266*^9, 
   3.827834658334529*^9}, {3.8278350610960455`*^9, 3.827835061097004*^9}, 
   3.837645821093755*^9},ExpressionUUID->"9c636b68-4a3c-4533-be32-\
51c93e609c50"],

Cell["\<\
The process of speeding up an interface by using Dynamic only where it is \
required was discussed.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.82783452882479*^9, 3.8278345311841755`*^9}, {
  3.8278345616660795`*^9, 3.827834594695334*^9}, {3.827834642618266*^9, 
  3.827834658334529*^9}, {3.8278351137969027`*^9, 3.827835302374543*^9}, {
  3.8290374972725754`*^9, 3.8290375669202337`*^9}, {3.8376458028066845`*^9, 
  3.837645819277599*^9}},ExpressionUUID->"fb5f547c-b692-486b-bb8e-\
65fa7fd268a9"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"0f7d8fca-8a64-4fc0-9069-ada1f588551a"],

Cell[CellGroupData[{

Cell["Exercises", "Section",
 CellChangeTimes->{{3.833854839814747*^9, 3.8338548419671783`*^9}},
 CellTags->
  "TOCTag-Section23",ExpressionUUID->"506eb5a5-8f08-4e62-89a7-a418bee322e7"],

Cell["\<\
For some of the problems, you may have to consult the documentation to obtain \
information on the syntax of certain constructs that are not directly covered \
in this training module.\
\>", "Text",
 CellChangeTimes->{{3.8338578562134104`*^9, 3.8338579262444544`*^9}, {
  3.838111081056759*^9, 
  3.838111091616693*^9}},ExpressionUUID->"4f6496af-108b-4673-a36b-\
ae3521afe8b8"],

Cell[CellGroupData[{

Cell["Exercise 1", "Subsubsection",
 CellChangeTimes->{{3.833856998555041*^9, 3.8338570004452314`*^9}, {
  3.8341414080127444`*^9, 3.8341414097937*^9}},
 CellTags->
  "TOCTag-Subsubsection8",ExpressionUUID->"bfe356db-2160-4e27-852c-\
6f6540712ae5"],

Cell["\<\
Please suggest how one can reduce the loading time of the following menu view:\
\>", "Text",
 CellChangeTimes->{{3.835957696130698*^9, 3.8359577089537544`*^9}, 
   3.8376458410715046`*^9},ExpressionUUID->"04fd6ce5-cdc4-4d12-a2e8-\
45aab192c8a3"],

Cell[BoxData[
 RowBox[{"MenuView", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Last", "[", "#", "]"}], "\[Rule]", 
      RowBox[{"ExampleData", "[", "#", "]"}]}], ")"}], "&"}], "/@", 
   RowBox[{"Take", "[", 
    RowBox[{
     RowBox[{"ExampleData", "[", "\"\<AerialImage\>\"", "]"}], ",", "10"}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8359576802608185`*^9, 3.835957685950568*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"e7113ff3-e43d-4510-95b6-deec22e9b027"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Supporting Files", "Session 11", 
      "SolutionsToExercises", "Solution-session11q1.nb"}]],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 CellChangeTimes->{3.834141912758901*^9},
 TextAlignment->Right,ExpressionUUID->"a34d2271-02b8-4cb4-bd1d-eee050e5112c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 2", "Subsubsection",
 CellChangeTimes->{{3.833857658377606*^9, 3.833857661736499*^9}, {
  3.834141413399518*^9, 3.834141414823301*^9}},
 CellTags->
  "TOCTag-Subsubsection9",ExpressionUUID->"a9659de3-0ba5-4a27-a211-\
b5810c117d2e"],

Cell[TextData[{
 "The following Dynamic takes about 3 seconds to update when the value of ",
 Cell[BoxData[
 "x"], "Input",ExpressionUUID->"4686faea-8243-44b6-8016-7551b5a19b60"],
 " is changed:"
}], "Text",
 CellChangeTimes->{{3.8359580036504498`*^9, 3.835958018865505*^9}, 
   3.838111101104865*^9},ExpressionUUID->"77b43a39-d9be-4c52-82fb-\
3257f6a6a987"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", "200"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dynamic", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Pause", "[", "1", "]"}], ";", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Pause", "[", "1", "]"}], ";", "2"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Pause", "[", "1", "]"}], ";", "3"}], ",", "x"}], "}"}]}], 
     "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.835957963311533*^9, 3.8359579973206587`*^9}, {
  3.8359581210499396`*^9, 3.835958121330079*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"4f9a79dc-e2ae-425b-9a68-3ccf3ef8cdbf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "=", "100"}], ";"}]], "Input",
 CellChangeTimes->{{3.8359581107249937`*^9, 3.835958113140785*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"d8e0fb4a-5035-474f-960a-15e44577e02a"],

Cell["Propose a method for speeding up the dynamic update.", "Text",
 CellChangeTimes->{{3.835958047570465*^9, 3.835958063031176*^9}, 
   3.835959765358079*^9},ExpressionUUID->"5104da5f-6c77-4661-a9a0-\
109d4254a52d"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Supporting Files", "Session 11", 
      "SolutionsToExercises", "Solution-session11q2.nb"}]],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 TextAlignment->Right,ExpressionUUID->"46ff6724-762f-48cf-b559-3881d529448a"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 3", "Subsubsection",
 CellChangeTimes->{{3.83385776243046*^9, 3.833857764539317*^9}, {
  3.834141418525101*^9, 3.834141419900443*^9}},
 CellTags->
  "TOCTag-Subsubsection10",ExpressionUUID->"593fbc57-0286-4a34-aee8-\
7d0173df782a"],

Cell["\<\
In the following interface, when the button is clicked, one directly sees the \
value 5, without the intermediate values: \
\>", "Text",
 CellChangeTimes->{{3.8359596673017793`*^9, 3.835959723216683*^9}, {
   3.837645848774789*^9, 3.837645850429722*^9}, 
   3.8381111083054943`*^9},ExpressionUUID->"313d2b77-6ae8-48eb-8ae2-\
bb0cea5b4738"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "=", "0"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<Click\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", "=", "1"}], ";", 
         RowBox[{"Pause", "[", "1", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"x", "=", "2"}], ";", 
         RowBox[{"Pause", "[", "1", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"x", "=", "3"}], ";", 
         RowBox[{"Pause", "[", "1", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"x", "=", "4"}], ";", 
         RowBox[{"Pause", "[", "1", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"x", "=", "5"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Dynamic", "[", "x", "]"}]}], "\[IndentingNewLine]", "}"}], 
    "]"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.8359589412523317`*^9, 3.8359589696784363`*^9}, {
   3.8359590185433197`*^9, 3.835959029483018*^9}, 3.8359591694969654`*^9, {
   3.835959631404951*^9, 3.8359596533783464`*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"a1b7eab6-eeea-4e9f-84f1-9ab91edc7cfb"],

Cell[TextData[{
 "How can you ensure that all the intermediate values of ",
 Cell[BoxData[
 "x"], "Input",ExpressionUUID->"26ab4aa4-93fc-4fe9-a748-71808e787392"],
 " are shown?"
}], "Text",
 CellChangeTimes->{{3.8359597324930058`*^9, 3.8359597435150976`*^9}, 
   3.8376458606324077`*^9, 
   3.838111117122841*^9},ExpressionUUID->"e62dc0d1-db9b-4795-ab06-\
debe9adab292"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Supporting Files", "Session 11", 
      "SolutionsToExercises", "Solution-session11q3.nb"}]],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 TextAlignment->Right,ExpressionUUID->"532b12c1-a2da-4763-9a12-c4f004c51412"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"064dab25-15d6-4d7a-9c7f-4967a658bf02"],

Cell[CellGroupData[{

Cell["Feedback", "Section",
 CellChangeTimes->{{3.8375617528336954`*^9, 3.8375617540564237`*^9}},
 TextAlignment->Center,
 CellTags->
  "TOCTag-Section24",ExpressionUUID->"3246ae59-dc70-4543-8415-5b8b51c9105c"],

Cell["", "Text",ExpressionUUID->"79081bec-6f13-4cc6-b51d-5b2f7690c328"],

Cell[BoxData[
 DynamicModuleBox[{WritingUtilities`Private`description$$ = "", 
  WritingUtilities`Private`ratingButton$$, WritingUtilities`Private`rating$$, 
  WritingUtilities`Private`message$$ = Style[
  "Dummy", 24, FontColor -> 
   RGBColor[0.9568627450980393, 0.9372549019607843, 0.9254901960784314], 
   FontFamily -> "Felipa"], WritingUtilities`Private`styleFont$$, 
  WritingUtilities`Private`outerframe$$, 
  WritingUtilities`Private`successMessage$$ = Style[
  "Successfully submitted the feedback, thank you.", 
   RGBColor[0.6549019607843137, 0.9725490196078431, 0.6862745098039216], 
   Bold], WritingUtilities`Private`failMessage$$ = Style[
  "Failed to submit the feedback, try again!", 
   RGBColor[0.9882352941176471, 0.7372549019607844, 0.7372549019607844]], 
  WritingUtilities`Private`colors$$ = {
   RGBColor[0.5, 1., 0.5], 
   RGBColor[0.625, 0.875, 0.5], 
   RGBColor[0.75, 0.75, 0.5], 
   RGBColor[0.875, 0.625, 0.5], 
   RGBColor[1., 0.5, 0.5]}, WritingUtilities`Private`submitFlag$$}, 
  TagBox[
   FrameBox[
    PaneBox[
     TagBox[GridBox[{
        {
         TemplateBox[{10},
          "Spacer1"]},
        {
         PaneBox[
          StyleBox["\<\"We value your feedback\"\>",
           StripOnInput->False,
           
           LineColor->RGBColor[
            0.9215686274509803, 0.3411764705882353, 0.01568627450980392],
           
           FrontFaceColor->RGBColor[
            0.9215686274509803, 0.3411764705882353, 0.01568627450980392],
           
           BackFaceColor->RGBColor[
            0.9215686274509803, 0.3411764705882353, 0.01568627450980392],
           
           GraphicsColor->RGBColor[
            0.9215686274509803, 0.3411764705882353, 0.01568627450980392],
           FontSize->38,
           
           FontColor->RGBColor[
            0.9215686274509803, 0.3411764705882353, 0.01568627450980392]],
          Alignment->{Center, Top},
          ImageSize->{
            Scaled[1], 
            Scaled[0.8]}]},
        {
         TemplateBox[{10, 20},
          "Spacer2"]},
        {
         PaneBox[
          StyleBox["\<\"How satisfied are you with the contents?\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0., 0., 0.],
           FrontFaceColor->RGBColor[0., 0., 0.],
           BackFaceColor->RGBColor[0., 0., 0.],
           GraphicsColor->RGBColor[0., 0., 0.],
           FontFamily->"Roboto",
           FontSize->21,
           FontColor->RGBColor[0., 0., 0.]],
          Alignment->{Center, Top},
          ImageSize->{
            Scaled[1], 
            Scaled[0.05]}]},
        {
         TemplateBox[{10, 10},
          "Spacer2"]},
        {
         PaneBox[
          TagBox[GridBox[{
             {
              TemplateBox[{
                TagBox[
                 ButtonBox[
                  GraphicsBox[{
                    RGBColor[0.5, 1., 0.5], 
                    RectangleBox[{-0.5, -0.5}], 
                    DynamicBox[
                    Typeset`ToBoxes[
                    If[WritingUtilities`Private`rating$$ === "Very satisfied", 
                    Darker[Cyan, 0.5], 
                    RGBColor["#FFFFFF"]], StandardForm, Graphics], 
                    ImageSizeCache -> {{
                    4.503599627370496*^15, -4.503599627370496*^15}, {
                    4.503599627370496*^15, -4.503599627370496*^15}}], 
                    DiskBox[{0, 0}, 0.15]}, ImageSize -> {75, 75}], 
                  Alignment -> {Center, Center}, Appearance -> None, 
                  Background -> RGBColor[0.5, 1., 0.5], 
                  ButtonFunction :> (WritingUtilities`Private`rating$$ = 
                   "Very satisfied"), Evaluator -> Automatic, 
                  ImageSize -> {70, 70}, Method -> "Preemptive"], 
                 MouseAppearanceTag["LinkHand"]], 
                StyleBox[
                 FrameBox[
                  StyleBox["\"Very satisfied\"", 16, StripOnInput -> False], 
                  FrameStyle -> None, StripOnInput -> False], FontFamily -> 
                 "Roboto", StripOnInput -> False]},
               "Labeled",
               DisplayFunction->(GridBox[{{
                   ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
                   TagBox[
                    ItemBox[
                    PaneBox[
                    TagBox[#, "SkipImageSizeLevel"], 
                    Alignment -> {Center, Baseline}, BaselinePosition -> 
                    Baseline], DefaultBaseStyle -> "Labeled"], 
                    "SkipImageSizeLevel"]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {2, 1}]& ),
               InterpretationFunction->(RowBox[{"Labeled", "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", #2, "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"Top", ",", "Center"}], "}"}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]& )], 
              TemplateBox[{
                TagBox[
                 ButtonBox[
                  GraphicsBox[{
                    RGBColor[0.625, 0.875, 0.5], 
                    RectangleBox[{-0.5, -0.5}], 
                    DynamicBox[
                    Typeset`ToBoxes[
                    If[WritingUtilities`Private`rating$$ === "Satisfied", 
                    Darker[Cyan, 0.5], 
                    RGBColor["#FFFFFF"]], StandardForm, Graphics], 
                    ImageSizeCache -> {{
                    4.503599627370496*^15, -4.503599627370496*^15}, {
                    4.503599627370496*^15, -4.503599627370496*^15}}], 
                    DiskBox[{0, 0}, 0.15]}, ImageSize -> {75, 75}], 
                  Alignment -> {Center, Center}, Appearance -> None, 
                  Background -> RGBColor[0.625, 0.875, 0.5], 
                  ButtonFunction :> (WritingUtilities`Private`rating$$ = 
                   "Satisfied"), Evaluator -> Automatic, 
                  ImageSize -> {70, 70}, Method -> "Preemptive"], 
                 MouseAppearanceTag["LinkHand"]], 
                StyleBox[
                 FrameBox[
                  StyleBox["\"Satisfied\"", 16, StripOnInput -> False], 
                  FrameStyle -> None, StripOnInput -> False], FontFamily -> 
                 "Roboto", StripOnInput -> False]},
               "Labeled",
               DisplayFunction->(GridBox[{{
                   ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
                   TagBox[
                    ItemBox[
                    PaneBox[
                    TagBox[#, "SkipImageSizeLevel"], 
                    Alignment -> {Center, Baseline}, BaselinePosition -> 
                    Baseline], DefaultBaseStyle -> "Labeled"], 
                    "SkipImageSizeLevel"]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {2, 1}]& ),
               InterpretationFunction->(RowBox[{"Labeled", "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", #2, "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"Top", ",", "Center"}], "}"}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]& )], 
              TemplateBox[{
                TagBox[
                 ButtonBox[
                  GraphicsBox[{
                    RGBColor[0.75, 0.75, 0.5], 
                    RectangleBox[{-0.5, -0.5}], 
                    DynamicBox[
                    Typeset`ToBoxes[
                    If[WritingUtilities`Private`rating$$ === "Neutral", 
                    Darker[Cyan, 0.5], 
                    RGBColor["#FFFFFF"]], StandardForm, Graphics], 
                    ImageSizeCache -> {{
                    4.503599627370496*^15, -4.503599627370496*^15}, {
                    4.503599627370496*^15, -4.503599627370496*^15}}], 
                    DiskBox[{0, 0}, 0.15]}, ImageSize -> {75, 75}], 
                  Alignment -> {Center, Center}, Appearance -> None, 
                  Background -> RGBColor[0.75, 0.75, 0.5], 
                  ButtonFunction :> (WritingUtilities`Private`rating$$ = 
                   "Neutral"), Evaluator -> Automatic, ImageSize -> {70, 70}, 
                  Method -> "Preemptive"], 
                 MouseAppearanceTag["LinkHand"]], 
                StyleBox[
                 FrameBox[
                  StyleBox["\"Neutral\"", 16, StripOnInput -> False], 
                  FrameStyle -> None, StripOnInput -> False], FontFamily -> 
                 "Roboto", StripOnInput -> False]},
               "Labeled",
               DisplayFunction->(GridBox[{{
                   ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
                   TagBox[
                    ItemBox[
                    PaneBox[
                    TagBox[#, "SkipImageSizeLevel"], 
                    Alignment -> {Center, Baseline}, BaselinePosition -> 
                    Baseline], DefaultBaseStyle -> "Labeled"], 
                    "SkipImageSizeLevel"]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {2, 1}]& ),
               InterpretationFunction->(RowBox[{"Labeled", "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", #2, "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"Top", ",", "Center"}], "}"}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]& )], 
              TemplateBox[{
                TagBox[
                 ButtonBox[
                  GraphicsBox[{
                    RGBColor[0.875, 0.625, 0.5], 
                    RectangleBox[{-0.5, -0.5}], 
                    DynamicBox[
                    Typeset`ToBoxes[
                    If[WritingUtilities`Private`rating$$ === "Dissatisfied", 
                    Darker[Cyan, 0.5], 
                    RGBColor["#FFFFFF"]], StandardForm, Graphics], 
                    ImageSizeCache -> {{
                    4.503599627370496*^15, -4.503599627370496*^15}, {
                    4.503599627370496*^15, -4.503599627370496*^15}}], 
                    DiskBox[{0, 0}, 0.15]}, ImageSize -> {75, 75}], 
                  Alignment -> {Center, Center}, Appearance -> None, 
                  Background -> RGBColor[0.875, 0.625, 0.5], 
                  ButtonFunction :> (WritingUtilities`Private`rating$$ = 
                   "Dissatisfied"), Evaluator -> Automatic, 
                  ImageSize -> {70, 70}, Method -> "Preemptive"], 
                 MouseAppearanceTag["LinkHand"]], 
                StyleBox[
                 FrameBox[
                  StyleBox["\"Dissatisfied\"", 16, StripOnInput -> False], 
                  FrameStyle -> None, StripOnInput -> False], FontFamily -> 
                 "Roboto", StripOnInput -> False]},
               "Labeled",
               DisplayFunction->(GridBox[{{
                   ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
                   TagBox[
                    ItemBox[
                    PaneBox[
                    TagBox[#, "SkipImageSizeLevel"], 
                    Alignment -> {Center, Baseline}, BaselinePosition -> 
                    Baseline], DefaultBaseStyle -> "Labeled"], 
                    "SkipImageSizeLevel"]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {2, 1}]& ),
               InterpretationFunction->(RowBox[{"Labeled", "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", #2, "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"Top", ",", "Center"}], "}"}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]& )], 
              TemplateBox[{
                TagBox[
                 ButtonBox[
                  GraphicsBox[{
                    RGBColor[1., 0.5, 0.5], 
                    RectangleBox[{-0.5, -0.5}], 
                    DynamicBox[
                    Typeset`ToBoxes[
                    If[WritingUtilities`Private`rating$$ === 
                    "Very dissatisfied", 
                    Darker[Cyan, 0.5], 
                    RGBColor["#FFFFFF"]], StandardForm, Graphics], 
                    ImageSizeCache -> {{
                    4.503599627370496*^15, -4.503599627370496*^15}, {
                    4.503599627370496*^15, -4.503599627370496*^15}}], 
                    DiskBox[{0, 0}, 0.15]}, ImageSize -> {75, 75}], 
                  Alignment -> {Center, Center}, Appearance -> None, 
                  Background -> RGBColor[1., 0.5, 0.5], 
                  ButtonFunction :> (WritingUtilities`Private`rating$$ = 
                   "Very dissatisfied"), Evaluator -> Automatic, 
                  ImageSize -> {70, 70}, Method -> "Preemptive"], 
                 MouseAppearanceTag["LinkHand"]], 
                StyleBox[
                 FrameBox[
                  StyleBox[
                  "\"Very dissatisfied\"", 16, StripOnInput -> False], 
                  FrameStyle -> None, StripOnInput -> False], FontFamily -> 
                 "Roboto", StripOnInput -> False]},
               "Labeled",
               DisplayFunction->(GridBox[{{
                   ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
                   TagBox[
                    ItemBox[
                    PaneBox[
                    TagBox[#, "SkipImageSizeLevel"], 
                    Alignment -> {Center, Baseline}, BaselinePosition -> 
                    Baseline], DefaultBaseStyle -> "Labeled"], 
                    "SkipImageSizeLevel"]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Center}}, "Rows" -> {{Center}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 BaselinePosition -> {2, 1}]& ),
               InterpretationFunction->(RowBox[{"Labeled", "[", 
                  RowBox[{#, ",", 
                    RowBox[{"{", #2, "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"Top", ",", "Center"}], "}"}], "}"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]& )]}
            },
            AutoDelete->False,
            GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
            
            GridBoxItemSize->{"Columns" -> {{
                 Scaled[0.18]}}}],
           "Grid"],
          Alignment->{Center, Center},
          ImageSize->{
            Scaled[0.95], 
            Scaled[0.25]}]},
        {
         TemplateBox[{10, 20},
          "Spacer2"]},
        {
         PaneBox[
          StyleBox["\<\"Tell us how we can improve\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0., 0., 0.],
           FrontFaceColor->RGBColor[0., 0., 0.],
           BackFaceColor->RGBColor[0., 0., 0.],
           GraphicsColor->RGBColor[0., 0., 0.],
           FontFamily->"Roboto",
           FontSize->21,
           FontColor->RGBColor[0., 0., 0.]],
          Alignment->{Center, Center},
          ImageSize->{
            Scaled[1], 
            Scaled[0.05]}]},
        {
         TemplateBox[{10},
          "Spacer1"]},
        {
         StyleBox[
          PaneBox[
           FrameBox[
            PaneBox[
             TagBox[
              
              InputFieldBox[Dynamic[WritingUtilities`Private`description$$], 
               String,
               Appearance->"Frameless",
               ContinuousAction->True,
               FieldSize->{35, {9, 
                  DirectedInfinity[1]}}],
              EventHandlerTag[{"ReturnKeyDown" :> FrontEndExecute[{
                   NotebookWrite[
                    InputNotebook[], "\n", After]}], Method -> "Preemptive", 
                PassEventsDown -> Automatic, PassEventsUp -> True}]],
             AppearanceElements->None,
             ImageSize->{400, 260},
             Scrollbars->{False, Automatic}],
            Background->RGBColor[1., 1., 1.],
            FrameStyle->None,
            RoundingRadius->5,
            StripOnInput->False],
           Alignment->{Center, Top},
           ImageSize->{
             Scaled[1], 
             Scaled[1]}],
          Deployed->False,
          StripOnInput->False]},
        {
         TemplateBox[{10},
          "Spacer1"]},
        {
         PaneBox[
          TagBox[
           ButtonBox[
            StyleBox["\<\"Submit\"\>",
             StripOnInput->False,
             FontSize->26,
             FontColor->GrayLevel[1]],
            Appearance->"Frameless",
            Background->GrayLevel[0.6],
            
            ButtonFunction:>(WritingUtilities`Private`submitFlag$$ = 1; 
             Module[{WritingUtilities`Private`bin$ = Databin["XE7PozaA"], 
                WritingUtilities`Private`res$}, 
               WritingUtilities`Private`res$ = Quiet[
                  DatabinAdd[WritingUtilities`Private`bin$, 
                   Association[
                   "User" -> $CloudUserID, "Rating" -> 
                    WritingUtilities`Private`rating$$, "Feedback" -> 
                    InputForm[WritingUtilities`Private`description$$]]]]; If[
                 Quiet[
                  FailureQ[WritingUtilities`Private`res$]], 
                 WritingUtilities`Private`submitFlag$$ = 2; 
                 WritingUtilities`Private`message$$ = 
                  Style["Failed to submit. Please check your internet \
connection and try again.", Red], WritingUtilities`Private`submitFlag$$ = 2; 
                 WritingUtilities`Private`message$$ = 
                  Style["Thank You!", 24, 
                    Blend[{Green, Orange}, 0.6], Bold, FontFamily -> 
                    "Felipa"]; WritingUtilities`Private`description$$ = ""; 
                 WritingUtilities`Private`rating$$ = ""]]),
            Evaluator->Automatic,
            ImageSize->{160, 45},
            Method->"Queued"],
           MouseAppearanceTag["LinkHand"]],
          Alignment->{Center, Top},
          ImageSize->{
            Scaled[1], 
            Scaled[0.1]}]},
        {
         TemplateBox[{10},
          "Spacer1"]},
        {
         PaneBox[
          StyleBox[
           DynamicBox[ToBoxes[
             If[WritingUtilities`Private`submitFlag$$ === 1, 
              Style["...", 25], WritingUtilities`Private`message$$], 
             StandardForm],
            ImageSizeCache->{69.96000000000001, {6., 18.}}],
           StripOnInput->False,
           DynamicEvaluationTimeout->20],
          Alignment->{Center, Center},
          ImageSize->{
            Scaled[1], 
            Scaled[0.05]}]},
        {
         TemplateBox[{10},
          "Spacer1"]}
       },
       DefaultBaseStyle->"Column",
       GridBoxAlignment->{"Columns" -> {{Center}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Column"],
     Alignment->Center,
     ImageSize->{
       Scaled[0.9], 
       Scaled[2]}],
    Alignment->{Center, Center},
    Background->RGBColor[
     0.9568627450980393, 0.9372549019607843, 0.9254901960784314],
    BaseStyle->{FontFamily -> "Roboto"},
    FrameMargins->1,
    FrameStyle->None,
    RoundingRadius->30,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  DynamicModuleValues:>{{
    DownValues[WritingUtilities`Private`ratingButton$$] = {HoldPattern[
         WritingUtilities`Private`ratingButton$$[
          Pattern[WritingUtilities`Private`ratingText$, 
           Blank[]], 
          Pattern[WritingUtilities`Private`color$, 
           Blank[]]]] :> Labeled[
         MouseAppearance[
          Button[
           Graphics[{WritingUtilities`Private`color$, 
             Rectangle[{-0.5, -0.5}, {0.5, 0.5}], 
             Dynamic[
              If[
              WritingUtilities`Private`rating$$ === 
               WritingUtilities`Private`ratingText$, 
               Darker[Cyan, 0.5], 
               RGBColor["#FFFFFF"]]], 
             Disk[{0, 0}, 0.15]}, ImageSize -> {75, 75}], 
           WritingUtilities`Private`rating$$ = 
           WritingUtilities`Private`ratingText$, ImageSize -> {70, 70}, 
           Background -> WritingUtilities`Private`color$, Appearance -> None, 
           Alignment -> {Center, Center}], "LinkHand"], {
          Style[
           Framed[
            Style[WritingUtilities`Private`ratingText$, 16], FrameStyle -> 
            None], FontFamily -> "Roboto"]}, {{Top, Center}}]}}, {
    DownValues[WritingUtilities`Private`outerframe$$] = {HoldPattern[
         WritingUtilities`Private`outerframe$$[
          Pattern[WritingUtilities`Private`content, 
           Blank[]]]] :> Framed[
         Pane[WritingUtilities`Private`content, ImageSize -> {
            Scaled[0.9], 
            Scaled[2]}, Alignment -> Center], Background -> 
         RGBColor["#F4EFEC"], RoundingRadius -> 30, FrameStyle -> None, 
         FrameMargins -> 1, Alignment -> {Center, Center}, 
         BaseStyle -> {FontFamily -> "Roboto"}]}}},
  Initialization:>(WritingUtilities`Private`message$$ = 
   Style["Dummy", 24, FontColor -> RGBColor["#F4EFEC"], FontFamily -> 
     "Felipa"])]], "Output",
 ShowCellBracket->False,
 CellEditDuplicate->False,
 Evaluatable->False,
 GeneratedCell->False,
 ShowCellLabel->False,
 CellChangeTimes->{3.837561796217092*^9},
 TextAlignment->Center,ExpressionUUID->"e479d53b-71df-4865-a671-9acfe585bd92"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"a3603c97-4d45-4a13-b404-2df9aae48966"],

Cell[CellGroupData[{

Cell["Initializations", "Section",
 CellChangeTimes->{{3.8088126006967993`*^9, 3.808812602798172*^9}, 
   3.8088127474888926`*^9},
 CellTags->
  "TOCTag-Section25",ExpressionUUID->"59fc67fa-9a81-4ec9-b791-5a28ae2d2ee9"],

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{
   RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
   RowBox[{"InitializationCellEvaluation", "->", "Automatic"}], ",", 
   RowBox[{"InitializationCellWarning", "->", "False"}], ",", 
   RowBox[{"CellContext", "->", "Notebook"}]}], "]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.8385301706200457`*^9, 3.8385301706200457`*^9}, {
  3.839650799704587*^9, 3.8396508005637555`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"0c68e25f-dd1f-415f-ba76-667937366f7d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetOptions", "[", 
    RowBox[{
     RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
     RowBox[{
     "WindowTitle", "\[Rule]", 
      "\"\<Designing Responsive and Fast Interfaces I\>\""}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"filesDir", "=", 
    RowBox[{"FileNameJoin", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"NotebookDirectory", "[", "]"}], ",", 
       "\"\<Supporting Files\>\"", ",", "\"\<Session 11\>\""}], "}"}], 
     "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"styling", " ", "functions"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"stylize", "[", "s_", "]"}], ":=", 
   RowBox[{"Style", "[", 
    RowBox[{"s", ",", "50", ",", "Blue", ",", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Cambria\>\""}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"stylize2", "[", "n_", "]"}], ":=", 
   RowBox[{"Style", "[", 
    RowBox[{"n", ",", "Blue", ",", "40"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"space", "=", 
    RowBox[{"Spacer", "[", "10", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Package", " ", "for", " ", "DisplayWithProgress"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Get", "[", 
    RowBox[{"FileNameJoin", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"NotebookDirectory", "[", "]"}], ",", 
       "\"\<Supporting Files\>\"", ",", "\"\<Session 11\>\"", ",", 
       "\"\<DynamicUtilities.wl\>\""}], "}"}], "]"}], "]"}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Demo", " ", "for", " ", "ContinuousAction"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataListPlot3D", "=", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", 
        RowBox[{"Clip", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"100", "*", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"x", "^", "2"}]}], "-", 
              RowBox[{"y", "^", "2"}]}], "]"}]}], "+", 
           RowBox[{"100", "*", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"x", "-", "7"}], ")"}], "^", "2"}]}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "-", "5"}], ")"}], "^", "2"}]}], "]"}]}], "+", 
           RowBox[{"100", "*", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"x", "-", "1"}], ")"}], "^", "2"}]}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "+", "5"}], ")"}], "^", "2"}]}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "100"}], "}"}]}], "]"}]}], "}"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "10"}], ",", "10", ",", "0.1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "10"}], ",", "10", ",", "0.1"}], "}"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"optionsListPlot3D", "=", " ", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"DataRange", "->", "All"}], ",", 
      RowBox[{"PlotRange", "->", "All"}], ",", 
      RowBox[{"ColorFunction", "->", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"ColorData", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<BrightBands\>\"", ",", "\"\<Reverse\>\""}], "}"}], 
           "]"}], "[", "#3", "]"}], "&"}], ")"}]}], ",", 
      RowBox[{"Mesh", "->", "None"}], ",", 
      RowBox[{"Boxed", "->", " ", "False"}], ",", 
      RowBox[{"Axes", "->", "False"}], ",", 
      RowBox[{"ImageSize", "->", "400"}], ",", 
      RowBox[{"PlotRange", "->", "All"}], ",", 
      RowBox[{"AxesLabel", "->", 
       RowBox[{"{", 
        RowBox[{"\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}], 
      ",", 
      RowBox[{"BoxRatios", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "0.5"}], "}"}]}]}], "\[IndentingNewLine]",
      "}"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ClearHeld", " ", "function"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ClearHeld", "[", 
     RowBox[{"Hold", "[", "s_Symbol", "]"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "var", "}"}], ",", 
      RowBox[{"ReleaseHold", "[", 
       RowBox[{"ReplaceHeld", "[", 
        RowBox[{
         RowBox[{"Hold", "[", 
          RowBox[{"Clear", "[", "var", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"Hold", "[", "var", "]"}], "\[Rule]", 
          RowBox[{"Hold", "[", "s", "]"}]}]}], "]"}], "]"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"ReplaceHeld", "[", 
      RowBox[{
       RowBox[{"Hold", "[", "expr1__", "]"}], ",", " ", 
       RowBox[{
        RowBox[{"Hold", "[", "expr2__", "]"}], " ", "->", " ", 
        RowBox[{"Hold", "[", "expr3__", "]"}]}]}], "]"}], " ", ":=", "\n", 
     "    ", 
     RowBox[{"Module", "[", " ", 
      RowBox[{
       RowBox[{"{", "temp1", "}"}], ",", "\n", "        ", "\n", "        ", 
       RowBox[{
        RowBox[{"temp1", " ", "=", " ", 
         RowBox[{
          RowBox[{"Hold", "[", "expr1", "]"}], "/.", 
          RowBox[{
           RowBox[{"HoldPattern", "[", "expr2", "]"}], " ", ":>", " ", 
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"eval", " ", "=", " ", 
               RowBox[{"Hold", "[", "expr3", "]"}]}], "}"}], ",", " ", 
             RowBox[{"eval", "/;", "True"}]}], "]"}]}]}]}], ";", "\n", 
        "        ", "\n", "        ", 
        RowBox[{"Replace", "[", 
         RowBox[{"temp1", ",", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"Hold", "[", "s_", "]"}], "/;", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Hold", "[", "s", "]"}], "==", 
              RowBox[{"Hold", "[", "expr3", "]"}]}], ")"}]}], " ", ":>", " ", 
           "s"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"2", ",", " ", "Infinity"}], "}"}]}], "]"}]}]}], "\n", 
      "    ", "]"}]}], ";"}],
   FontFamily->"Consolas",
   FontWeight->"Bold"], "\n"}], "\n", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"ReplaceHeld", "[", 
      RowBox[{
       RowBox[{"Hold", "[", "expr1__", "]"}], ",", " ", 
       RowBox[{"l", ":", 
        RowBox[{"{", 
         RowBox[{"Repeated", "[", 
          RowBox[{
           RowBox[{"Hold", "[", "__", "]"}], " ", "->", " ", 
           RowBox[{"Hold", "[", "__", "]"}]}], "]"}], "}"}]}]}], "]"}], " ", ":=",
      "\n", "    ", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "}"}], ",", " ", 
       RowBox[{"Fold", "[", 
        RowBox[{"ReplaceHeld", ",", " ", 
         RowBox[{"Hold", "[", "expr1", "]"}], ",", " ", "l"}], "]"}]}], 
      "]"}]}], ";"}],
   FontFamily->"Consolas",
   FontWeight->"Bold"], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Palette", " ", "for", " ", "deleting", " ", "output", " ", "cells"}], " ",
    "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<Supporting Files\>\"", ",", "\"\<OutputDeleteUtility.wl\>\""}], 
     "}"}], "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DeleteOutputPalette", "[", "]"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQbX4uL3Br/htHmd6wZBDtlHTcchuQVrjz2hZEbz46
xRVEs2jn+4PodUk5ISB6mdL1JBB9aH7+VBAt8PvKdBDNY9w5B0SzTZg8D0Q7
qXxdC6Lzm/M2gGiGzav9tEvfOH5zfwemN8mniFg0vXHkT3CWANFq+/gMQfQu
7T9gusmcw9wHSFvwzQTThjvqShcB6c6KQ9Ug+lSv4yMQ7ZMWBKZPuTk7srS+
cZQqYXYF0Zc0OKb5t79x3LHJE0wrrL7u1j4BaF9FjDuInsKz39t84hvHjWx6
wSD68aTwEhAd0BFVCqIXnPqWJDbzjWMS275kEA0Ac42Usg==
  "],
 CellLabel->"In[1]:=",ExpressionUUID->"84ae9805-c96c-4483-bdcf-1b5488d38281"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Setup Tools\>\"", 
      ",", "\"\<WritingUtilities.wl\>\""}], "}"}], "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WritingUtilitiesPalette", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.824360128108447*^9, 3.8243601526031513`*^9}, {
   3.8263391597455883`*^9, 3.8263391602637787`*^9}, 3.834227812611862*^9},
 CellLabel->
  "In[184]:=",ExpressionUUID->"b1c52cbf-3f1e-40f7-b8ba-8e9696d3baf7"]
}, Open  ]]
}, Open  ]]
},
EvaluatorNames->{"Kernel2" -> {"AutoStartOnLaunch" -> False}},
Saveable->True,
InitializationCellEvaluation->Automatic,
InitializationCellWarning->False,
WindowSize->{960., 478.5},
WindowMargins->{{Automatic, -4.875}, {-4.875, Automatic}},
WindowTitle->"Designing Responsive and Fast Interfaces I",
Visible->True,
TaggingRules->{
 "WolframUNotebook" -> True, "TryRealOnly" -> False, 
  "SlideshowSettings" -> {"Toolbar" -> True}},
CellContext->Notebook,
ButtonBoxOptions->{BaseStyle->None},
FrontEndVersion->"12.3 for Microsoft Windows (64-bit) (July 9, 2021)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WolframULogo"], CellGroupingRules -> "GraphicsGrouping", 
          PageBreakWithin -> False, GeneratedCell -> True, CellAutoOverwrite -> 
          True, ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, LanguageCategory -> "NaturalLanguage", 
          FormatType -> StandardForm, ShowStringCharacters -> False, 
          FrontFaceColor -> GrayLevel[0], FrontFaceOpacity -> 1, 
          GraphicsColor -> GrayLevel[0], PointSize -> Absolute[3], Thickness -> 
          Medium, Opacity -> 1, DrawEdges -> False, StyleMenuListing -> None, 
          FontFamily -> "Arial", FontSize -> 10, FontWeight -> "Plain", 
          FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`BackFaceColor -> 
          GrayLevel[0], $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["WolframULogo", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
            0.5, 0.12 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Working", StyleDefinitions -> 
           StyleData["WolframULogo", "SlideShow"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]], 
          CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Title", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], FontFamily -> "Source Sans Pro", FontSize -> 
             81, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[
              0.09019607843137255, 0.1607843137254902, 0.25882352941176473`]], 
            Cell[
             StyleData["Title", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.11 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 81], 
            Cell[
             StyleData[
             "Title", "Slideshow Working", StyleDefinitions -> 
              StyleData["Title", "SlideShow"]]], 
            Cell[
             StyleData[
             "Title", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Title", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], FontFamily -> "Source Sans Pro", FontSize -> 
             40, FontWeight -> "Regular", FontSlant -> "Plain", 
             FontVariations -> {"CapsType" -> "AllCaps"}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subtitle", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {50, 12}}, 
             LineSpacing -> {1, 2}, FontSize -> 48], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subtitle", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subtitle", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]]}, Closed]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell["Section", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, FontFamily -> 
             "Source Sans Pro", FontSize -> 50, FontWeight -> "Plain", 
             FontSlant -> "Plain", FontTracking -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Section", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               26, 0.06 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 50], 
            Cell[
             StyleData[
             "Section", "Slideshow Working", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Open]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], ShowGroupOpener -> "Inline", FontFamily -> 
             "Source Sans Pro", FontSize -> 32, FontWeight -> "Regular", 
             FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
            Cell[
             StyleData["Subsection", "SlideShow"], ShowGroupOpener -> 
             "Inline", 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 32], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]]}, Open]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], FontFamily -> "Source Sans Pro", 
             FontSize -> 28, FontWeight -> "Plain", FontSlant -> "Plain", 
             FontTracking -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subsubsection", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 28], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsubsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]]}, Open]]}, 
        Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Body Content", "Section", 
       CellChangeTimes -> {{3.727532504641029*^9, 3.727532505736285*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], LineSpacing -> {1, 3}, TabSpacings -> {2.5}, 
          CounterIncrements -> "Text", MenuSortingValue -> 1400, 
          MenuCommandKey :> "7", FontFamily -> "Source Sans Pro", FontSize -> 
          22, FontWeight -> "Plain", FontSlant -> "Plain", FontTracking -> 
          "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}, 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["Text", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 22, FontWeight -> 
          "Normal"], 
         Cell[
          StyleData[
          "Text", "Slideshow Working", StyleDefinitions -> 
           StyleData["Text", "SlideShow"]], FontFamily -> "Times New Roman", 
          FontSize -> 22, FontWeight -> "Normal"], 
         Cell[
          StyleData[
          "Text", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]], FontFamily -> 
          "Times New Roman", FontSize -> 22, FontWeight -> "Normal"], 
         Cell[
          StyleData[
          "Text", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]], FontFamily -> 
          "Times New Roman", FontSize -> 22, FontWeight -> "Normal"]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
          "Note", MenuSortingValue -> 8, FontFamily -> "Source Sans Pro", 
          FontSize -> 12, FontSlant -> "Italic", Background -> 
          GrayLevel[0.85]], 
         Cell[
          StyleData["Note", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> False, 
          HyphenationOptions -> {"HyphenationCharacter" -> "-"}, 
          ParagraphSpacing -> {0, 6}, ParagraphIndent -> -10, 
          StyleMenuListing -> None, FontSize -> 18], 
         Cell[
          StyleData[
          "Note", "Slideshow Working", StyleDefinitions -> 
           StyleData["Note"]]], 
         Cell[
          StyleData[
          "Note", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Note", "SlideShow"]]], 
         Cell[
          StyleData[
          "Note", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Note", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox[
           "\[FilledSmallCircle]", Alignment -> Baseline, FontSize -> 22, 
            RGBColor[1., 0.42745098039215684`, 0.]], MenuCommandKey :> "I", 
          FontFamily -> "Source Sans Pro", FontSize -> 22], 
         Cell[
          StyleData["Item", "SlideShow"], CellDingbat -> 
          StyleBox[
           "\[FilledSmallCircle]", Alignment -> Baseline, FontSize -> 22, 
            RGBColor[1., 0.42745098039215684`, 0.]], 
          CellMargins -> {{
            0.175 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontFamily -> "Source Sans Pro", 
          FontSize -> 22], 
         Cell[
          StyleData[
          "Item", "Slideshow Working", StyleDefinitions -> 
           StyleData["Item", "SlideShow"]]], 
         Cell[
          StyleData[
          "Item", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Item", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          DefaultNewCellStyle -> "Item", MenuSortingValue -> 1600, FontFamily -> 
          Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 14, 
          FontColor -> Dynamic[
            FrontEnd`CurrentValue[{StyleHints, "ColorSet", "Text1"}], 
            None], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemParagraph", "SlideShow"], ShowGroupOpener -> False, 
          CellMargins -> {{
            0.18 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{65, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subitem"], CellDingbat -> 
          StyleBox["\[FilledSmallCircle]", Alignment -> Baseline, 
            RGBColor[1., 0.592156862745098, 0.10196078431372549`]]], 
         Cell[
          StyleData["Subitem", "SlideShow"], 
          CellMargins -> {{
            0.185 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontSize -> 22], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Working", StyleDefinitions -> 
           StyleData["Subitem", "SlideShow"]]], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Subitem", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemParagraph"], CellMargins -> {{105, 12}, {4, 1}}, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemParagraph", "Backspace" -> 
            "ItemParagraph", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subitem", 
          MenuSortingValue -> 1610, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 13.5,
           FontColor -> Dynamic[
            
            CurrentValue[{
             StyleHints, "ColorSet", 
              "Text1"}]], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemParagraph", "SlideShow"], 
          CellMargins -> {{
            0.2 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemParagraph", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, 0.1 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{91, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, 
          MenuCommandKey :> "N", FontFamily -> "Source Sans Pro", FontSize -> 
          22, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.18 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 22], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{120, 12}, {4, 4}}, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemNumbered", "Backspace" -> 
            "ItemNumbered", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "SubitemNumbered", 
          CounterAssignments -> {{"SubsubitemNumbered", 0}}, MenuSortingValue -> 
          1640, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 
          19, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.215 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 20], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemNumbered", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubitem"], FontFamily -> "Source Sans Pro", FontSize -> 
          20, FontWeight -> "Plain", FontSlant -> "Plain", FontTracking -> 
          "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Working"], FontFamily -> "Source Sans Pro",
           FontSize -> 20, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Slideshow"], FontFamily -> 
          "Source Sans Pro", FontSize -> 20, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Slideshow Working"], FontFamily -> 
          "Source Sans Pro", FontSize -> 20, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Slideshow Presentation"], FontFamily -> 
          "Source Sans Pro", FontSize -> 20, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Scrolling Presentation"], FontFamily -> 
          "Source Sans Pro", FontSize -> 20, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> False}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics"], CellMargins -> {{27, Inherited}, {15, 15}}, 
          CellGroupingRules -> "GraphicsGrouping", PageBreakWithin -> False, 
          GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
          False, DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Graphics"], 
          AutoStyleOptions -> {"HighlightMisspelledWords" -> False}, 
          LanguageCategory -> "NaturalLanguage", FormatType -> StandardForm, 
          ShowStringCharacters -> False, NumberMarks -> False, 
          CounterIncrements -> "Graphics", 
          ImageMargins -> {{43, Inherited}, {Inherited, 0}}, Arrowheads -> 
          0.04, Dashing -> None, CapForm -> "Square", 
          JoinForm -> {"Miter", 3.25}, LineColor -> GrayLevel[0], LineOpacity -> 
          1, EdgeColor -> GrayLevel[0], EdgeOpacity -> 1, EdgeThickness -> 
          Medium, EdgeDashing -> None, EdgeCapForm -> "Square", 
          EdgeJoinForm -> {"Miter", 3.25}, FrontFaceColor -> GrayLevel[0], 
          FrontFaceOpacity -> 1, GraphicsColor -> GrayLevel[0], PointSize -> 
          Absolute[3], Thickness -> Medium, Opacity -> 1, DrawEdges -> False, 
          StyleMenuListing -> None, FontFamily -> "Arial", FontSize -> 10, 
          FontWeight -> "Plain", FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`BackFaceColor -> 
          GrayLevel[0], $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["Graphics", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {12, 12}}], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Working", StyleDefinitions -> 
           StyleData["Graphics", "SlideShow"]]], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Graphics", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]]}, Open]], 
      Cell[
       StyleData["Hyperlink"], FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["KeyEvent"], CellFrame -> {{1, 1}, {1, 1}}, 
          CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> 
          GrayLevel[0.8], FontFamily -> "Source Sans Pro", FontColor -> 
          GrayLevel[0.360784], Background -> GrayLevel[0.964706]], 
         Cell[
          StyleData["KeyEvent", "SlideShow"]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Working", StyleDefinitions -> 
           StyleData["KeyEvent", "SlideShow"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]]}, Closed]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          FontFamily -> "Times New Roman", FontSize -> 18, FontWeight -> 
          "Bold", FontSlant -> "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Input", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 18, 
          FontWeight -> "Bold"], 
         Cell[
          StyleData[
          "Input", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]], FontSize -> 18, FontWeight -> 
          "Normal"], 
         Cell[
          StyleData[
          "Input", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]], FontSize -> 18, 
          FontWeight -> "Normal"], 
         Cell[
          StyleData[
          "Input", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]], FontSize -> 18]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExperimentalInput", StyleDefinitions -> StyleData["Input"]], 
          CellFrame -> True, CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          CellFrameColor -> 
          RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               InterpretationBox[
                Cell[
                 BoxData[
                  RotationBox[
                  "Experimental", BoxRotation -> 1.5707963267948966`]], 
                 "Text", LineColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FrontFaceColor -> 
                 RGBColor[
                  1., 0.592156862745098, 
                   0.10196078431372549`], $CellContext`BackFaceColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 GraphicsColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FontSize -> 10, FontColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
                TextCell[
                 Rotate["Experimental", 90 Degree], "Text", 10, 
                 $CellContext`RGBColorRGBColor[
                 1., 0.592156862745098, 0.10196078431372549`]]]]], None}, {
            None, None}}, FontSize -> 13], 
         Cell[
          StyleData["ExperimentalInput", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{66, 10}, {7, 8}}, FontSize -> 
          13], 
         Cell[
          StyleData["InputOnly", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Working", StyleDefinitions -> 
           StyleData["InputOnly", "SlideShow"]]], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "InputOnly", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"]], 
         Cell[
          StyleData["Code", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Code", "Slideshow Working", StyleDefinitions -> 
           StyleData["Code", "SlideShow"]]], 
         Cell[
          StyleData[
          "Code", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Code", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{66, 10}, {12, 5}}, FontFamily -> 
          "Times New Roman", FontSize -> 18, FontWeight -> "Normal", 
          FontSlant -> "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Output", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {15, 8}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 18], 
         Cell[
          StyleData[
          "Output", "Slideshow Working", StyleDefinitions -> 
           StyleData["Output", "SlideShow"]]], 
         Cell[
          StyleData[
          "Output", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Output", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]]}, Open]], 
      Cell[
       StyleData["Program"], FontSize -> 20], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Custom 1"], CellFrame -> {{3, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {7, 8}}, CellFrameColor -> 
          RGBColor[0.593454, 0.888609, 0.918547], 
          CellFrameLabelMargins -> {{0, 10}, {0, 0}}, MenuCommandKey :> "C", 
          Background -> GrayLevel[0.95]], 
         Cell[
          StyleData["Custom 1", "SlideShow"], CellFrame -> {{3, 0}, {0, 0}}, 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameColor -> RGBColor[0.593454, 0.888609, 0.918547], 
          CellFrameLabelMargins -> {{0, 10}, {0, 0}}, Background -> 
          GrayLevel[0.95]], 
         Cell[
          StyleData["Custom 1", "Slideshow Working"]], 
         Cell[
          StyleData["Custom 1", "Slideshow Presentation"]], 
         Cell[
          StyleData["Custom 1", "Scrolling Presentation"]]}, Open]]}, Open]]},
   Visible -> False, FrontEndVersion -> 
  "12.3 for Microsoft Windows (64-bit) (July 9, 2021)", StyleDefinitions -> 
  Notebook[{
     Cell[
      StyleData["Text", "SlideShow"]]}, Visible -> False, FrontEndVersion -> 
    "12.3 for Microsoft Windows (64-bit) (July 9, 2021)", StyleDefinitions -> 
    "Default.nb"]],
ExpressionUUID->"22a6ecbe-d1fe-4975-8ec0-a62c6c2c291a"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[636, 23, 136, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
   CellTags->"SlideShowHeader"],
  Cell[17002, 306, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"3607ed0f-4d8f-45bb-b2a5-ffd7ec7e9099",
   CellTags->"SlideShowHeader"],
  Cell[259725, 5196, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"08e821b1-b4d4-4dd2-a5d7-d0f9607469bb",
   CellTags->"SlideShowHeader"],
  Cell[330563, 6441, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"b30ee870-a28b-419a-81ed-df43af2be5c3",
   CellTags->"SlideShowHeader"],
  Cell[331265, 6473, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"40d2c6ac-4dba-46ff-84a3-f0050fbe4a0b",
   CellTags->"SlideShowHeader"],
  Cell[339780, 6702, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"d3fedf25-a003-4723-b578-beed9797253f",
   CellTags->"SlideShowHeader"],
  Cell[357325, 7132, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"3e809f48-794a-44ee-8ab1-895c11def9ff",
   CellTags->"SlideShowHeader"],
  Cell[361791, 7243, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"714fe374-b2c5-406a-94bd-62b65e47d0f3",
   CellTags->"SlideShowHeader"],
  Cell[362489, 7275, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"a5b2ab10-4e81-4c27-8477-c85e3dae6ca9",
   CellTags->"SlideShowHeader"],
  Cell[370307, 7475, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"52829e99-31d1-43d5-9f39-c86a22f74ae5",
   CellTags->"SlideShowHeader"],
  Cell[388339, 7906, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"10aab35b-7f7e-4ba9-a6b9-ce12290c163b",
   CellTags->"SlideShowHeader"],
  Cell[399311, 8156, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"c352af99-14ec-4332-a7d2-51892b2da17c",
   CellTags->"SlideShowHeader"],
  Cell[410833, 8437, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"b607490c-8af1-4e44-b012-f7d19e16dd29",
   CellTags->"SlideShowHeader"],
  Cell[418710, 8619, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"f3c1bbd6-c5b5-4bf5-b08b-f50a616c5206",
   CellTags->"SlideShowHeader"],
  Cell[450761, 9206, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"48660ff3-cc94-497b-ace1-dbd77e9c1d54",
   CellTags->"SlideShowHeader"],
  Cell[460025, 9422, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"f4fb3970-c96b-4782-95a6-34221436a914",
   CellTags->"SlideShowHeader"],
  Cell[465371, 9538, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"1d42a8f2-8d68-4c58-b649-cefde2960795",
   CellTags->"SlideShowHeader"],
  Cell[472363, 9688, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"57ed3a3a-bd83-40fd-9026-1e851df42a22",
   CellTags->"SlideShowHeader"],
  Cell[473151, 9721, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"2f54b733-754f-4fdd-aba0-aab0a540f5e2",
   CellTags->"SlideShowHeader"],
  Cell[489997, 10126, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"832f0422-5dbb-4e49-9dc8-6b1e1fb3141c",
   CellTags->"SlideShowHeader"],
  Cell[494149, 10231, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"d9157a3c-df1d-4e02-9773-1c3a3cace98d",
   CellTags->"SlideShowHeader"],
  Cell[510498, 10630, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"1a0615cc-0ded-45ba-a1b3-1315f3c14eec",
   CellTags->"SlideShowHeader"],
  Cell[529006, 11099, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0d6681a0-75bc-49d9-a89d-54d983031f48",
   CellTags->"SlideShowHeader"],
  Cell[534467, 11239, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0d5eb348-4c93-402e-96c2-d97fcf9d5496",
   CellTags->"SlideShowHeader"],
  Cell[537355, 11319, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"03b77343-10fd-4c39-8d05-9eaafccfa544",
   CellTags->"SlideShowHeader"],
  Cell[544902, 11513, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"9b39debc-ced7-417d-9c63-deed295dcdf3",
   CellTags->"SlideShowHeader"],
  Cell[546905, 11568, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0f7d8fca-8a64-4fc0-9069-ada1f588551a",
   CellTags->"SlideShowHeader"],
  Cell[554630, 11786, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"064dab25-15d6-4d7a-9c7f-4967a658bf02",
   CellTags->"SlideShowHeader"],
  Cell[577306, 12312, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"a3603c97-4d45-4a13-b404-2df9aae48966",
   CellTags->"SlideShowHeader"]},
 "TOCTag-Title1"->{
  Cell[15770, 281, 470, 7, 357, "Title",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76",
   CellTags->"TOCTag-Title1"]},
 "TOCTag-Section1"->{
  Cell[17149, 312, 196, 3, 90, "Section",ExpressionUUID->"2b580683-0ed4-4955-bf49-2e2d45ff0df4",
   CellTags->"TOCTag-Section1"]},
 "TOCTag-Subsection1"->{
  Cell[18026, 338, 308, 6, 69, "Subsection",ExpressionUUID->"62ad7fb5-591b-44a3-97e0-c8a24e2c7cdf",
   CellTags->"TOCTag-Subsection1"]},
 "TOCTag-Section2"->{
  Cell[259872, 5202, 406, 6, 90, "Section",ExpressionUUID->"4c726470-071d-4dbd-bf93-84a66cd5d85f",
   CellTags->"TOCTag-Section2"]},
 "TOCTag-Chapter1"->{
  Cell[330688, 6445, 540, 23, 570, "Chapter",ExpressionUUID->"900dbda0-14c0-47a7-87d7-64a4d93a130f",
   CellTags->"TOCTag-Chapter1"]},
 "TOCTag-Section3"->{
  Cell[331412, 6479, 308, 5, 90, "Section",ExpressionUUID->"2ff195e1-0d8e-485e-bbe3-97d646146eb7",
   CellTags->"TOCTag-Section3"]},
 "TOCTag-Subsection2"->{
  Cell[333139, 6527, 248, 4, 69, "Subsection",ExpressionUUID->"4b214518-b936-4811-9638-0dc7035b4d40",
   CellTags->"TOCTag-Subsection2"]},
 "TOCTag-Section4"->{
  Cell[339927, 6708, 414, 6, 90, "Section",ExpressionUUID->"0b7a5f43-ff2d-4a2c-87b8-4bba06ed290d",
   CellTags->"TOCTag-Section4"]},
 "TOCTag-Subsection3"->{
  Cell[340366, 6718, 304, 5, 69, "Subsection",ExpressionUUID->"da5ba8c8-6df9-42de-9748-0d7ef29bffeb",
   CellTags->"TOCTag-Subsection3"]},
 "CYUHiddenCell"->{
  Cell[346776, 6871, 379, 13, 19, "Text",ExpressionUUID->"e413a1b4-0695-426e-a5f7-20d73d86db1f",
   CellOpen->False,
   CellTags->"CYUHiddenCell"],
  Cell[378161, 7658, 364, 13, 19, "Text",ExpressionUUID->"13ea98d2-57df-491f-be64-876aec8b09d6",
   CellOpen->False,
   CellTags->"CYUHiddenCell"],
  Cell[479869, 9878, 347, 13, 19, "Text",ExpressionUUID->"995a0697-111d-4c7c-9972-38a35d711999",
   CellOpen->False,
   CellTags->"CYUHiddenCell"]},
 "answer"->{
  Cell[347158, 6886, 10106, 239, 103, "Text",ExpressionUUID->"d711a127-b783-4e3d-8df1-bb4fd1991d8e",
   CellTags->"answer"],
  Cell[378528, 7673, 9762, 227, 103, "Text",ExpressionUUID->"57dfebb9-ec6a-4b44-b193-2b15983f685e",
   CellTags->"answer"],
  Cell[480219, 9893, 9729, 227, 103, "Text",ExpressionUUID->"cdc54ff3-c5e6-422d-80ba-6a316ecbffae",
   CellTags->"answer"]},
 "DelayedLoadingApplicationEx"->{
  Cell[357472, 7138, 404, 6, 90, "Section",ExpressionUUID->"9babb9b7-a001-4472-8622-178a3fd7b1e0",
   CellTags->{"DelayedLoadingApplicationEx", "TOCTag-Section5"}]},
 "TOCTag-Section5"->{
  Cell[357472, 7138, 404, 6, 90, "Section",ExpressionUUID->"9babb9b7-a001-4472-8622-178a3fd7b1e0",
   CellTags->{"DelayedLoadingApplicationEx", "TOCTag-Section5"}]},
 "TOCTag-Subsection4"->{
  Cell[357901, 7148, 200, 3, 69, "Subsection",ExpressionUUID->"f625dd98-7ea6-4f61-a881-63b63f439422",
   CellTags->"TOCTag-Subsection4"]},
 "TOCTag-Chapter2"->{
  Cell[361916, 7247, 536, 23, 570, "Chapter",ExpressionUUID->"b939213e-35d0-4cef-a038-8ce5030c6c8b",
   CellTags->"TOCTag-Chapter2"]},
 "TOCTag-Section6"->{
  Cell[362636, 7281, 250, 4, 90, "Section",ExpressionUUID->"314d8115-54b9-41cd-b886-3b3a411d6376",
   CellTags->"TOCTag-Section6"]},
 "TOCTag-Subsection5"->{
  Cell[363429, 7300, 261, 4, 69, "Subsection",ExpressionUUID->"b1b658b1-c31d-4dfe-a056-f8ab11f6ac24",
   CellTags->"TOCTag-Subsection5"]},
 "TOCTag-Section7"->{
  Cell[370454, 7481, 312, 5, 90, "Section",ExpressionUUID->"42993e8d-aaa7-4515-ba6e-b99a07ab2059",
   CellTags->"TOCTag-Section7"]},
 "TOCTag-Section8"->{
  Cell[388486, 7912, 413, 6, 90, "Section",ExpressionUUID->"d9850623-48e9-4bd6-adee-544410307180",
   CellTags->"TOCTag-Section8"]},
 "TOCTag-Subsection6"->{
  Cell[388924, 7922, 353, 5, 69, "Subsection",ExpressionUUID->"42de47ba-dc10-4888-a8ec-cea6b6caec98",
   CellTags->"TOCTag-Subsection6"]},
 "TOCTag-Section9"->{
  Cell[399458, 8162, 544, 8, 90, "Section",ExpressionUUID->"cb59f656-8919-4a75-8b5c-5e6dbc6bdbab",
   CellTags->"TOCTag-Section9"]},
 "TOCTag-Section10"->{
  Cell[410980, 8443, 595, 8, 90, "Section",ExpressionUUID->"47a21fe8-9c22-4930-a350-4b7bdd6a4f63",
   CellTags->"TOCTag-Section10"]},
 "TOCTag-Section11"->{
  Cell[418857, 8625, 623, 9, 156, "Section",ExpressionUUID->"d2cd4f31-5614-4804-97dc-741200e246a1",
   CellTags->"TOCTag-Section11"]},
 "TOCTag-Section12"->{
  Cell[450908, 9212, 777, 11, 156, "Section",ExpressionUUID->"9de94ab2-f7d1-4dd6-95f3-4ffaf5e4c394",
   CellTags->"TOCTag-Section12"]},
 "TOCTag-Section13"->{
  Cell[460172, 9428, 778, 11, 156, "Section",ExpressionUUID->"5c799f1d-863a-4e41-a4a9-f9e2e8ab3535",
   CellTags->"TOCTag-Section13"]},
 "TOCTag-Section14"->{
  Cell[465518, 9544, 689, 10, 90, "Section",ExpressionUUID->"5c2235da-b513-4e16-9d72-5b21326b9fbf",
   CellTags->"TOCTag-Section14"]},
 "TOCTag-Chapter3"->{
  Cell[472488, 9692, 626, 24, 570, "Chapter",ExpressionUUID->"9d11a144-748d-446d-8900-b89a808ba9ab",
   CellTags->"TOCTag-Chapter3"]},
 "TOCTag-Section15"->{
  Cell[473298, 9727, 407, 6, 90, "Section",ExpressionUUID->"c8d8301d-f8b9-450d-83a9-962f608f955e",
   CellTags->"TOCTag-Section15"]},
 "TOCTag-Section16"->{
  Cell[490144, 10132, 460, 7, 90, "Section",ExpressionUUID->"93f18aad-957a-4db6-9624-fee6c2fba57f",
   CellTags->"TOCTag-Section16"]},
 "TOCTag-Section17"->{
  Cell[494296, 10237, 558, 8, 90, "Section",ExpressionUUID->"e889eeb2-e9de-402e-8580-60ed4ad84070",
   CellTags->"TOCTag-Section17"]},
 "TOCTag-Subsubsection1"->{
  Cell[495419, 10263, 318, 7, 56, "Subsubsection",ExpressionUUID->"f8c23c1c-1e07-4ef1-8dbd-7b447af2dcb3",
   CellTags->"TOCTag-Subsubsection1"]},
 "TOCTag-Subsubsection2"->{
  Cell[504539, 10483, 331, 7, 56, "Subsubsection",ExpressionUUID->"5c2a5582-557d-4fc7-a54f-6401d9881f33",
   CellTags->"TOCTag-Subsubsection2"]},
 "TOCTag-Section18"->{
  Cell[510645, 10636, 414, 6, 90, "Section",ExpressionUUID->"b029b186-9297-4ff6-97d7-dd961e943438",
   CellTags->"TOCTag-Section18"]},
 "TOCTag-Subsubsection3"->{
  Cell[511452, 10655, 257, 6, 56, "Subsubsection",ExpressionUUID->"4591a182-9c9d-4f01-aba5-4452be3e8b3b",
   CellTags->"TOCTag-Subsubsection3"]},
 "TOCTag-Subsubsection4"->{
  Cell[514180, 10732, 361, 8, 48, "Subsubsection",ExpressionUUID->"50a20fd7-ba76-4394-83f4-33b1a0a59c89",
   CellTags->"TOCTag-Subsubsection4"],
  Cell[528797, 11087, 148, 5, 31, "Text",ExpressionUUID->"fb402076-1b1c-407c-a4e0-0f63843f9a0c",
   CellTags->"TOCTag-Subsubsection4"]},
 "TOCTag-Subsubsection5"->{
  Cell[522719, 10937, 357, 8, 48, "Subsubsection",ExpressionUUID->"ea3be717-5d6b-4745-923e-9e3c08c10b57",
   CellTags->"TOCTag-Subsubsection5"]},
 "TOCTag-Section19"->{
  Cell[529153, 11105, 262, 4, 90, "Section",ExpressionUUID->"c46d27cb-94b6-4fde-9414-fea282b63650",
   CellTags->"TOCTag-Section19"]},
 "TOCTag-Subsection7"->{
  Cell[530706, 11138, 256, 4, 69, "Subsection",ExpressionUUID->"5ec47c0d-a749-484e-89f6-220fe849760d",
   CellTags->"TOCTag-Subsection7"]},
 "TOCTag-Section20"->{
  Cell[534614, 11245, 274, 4, 156, "Section",ExpressionUUID->"d22d8061-1b0b-4c78-a92d-8d80c77863b4",
   CellTags->"TOCTag-Section20"]},
 "TOCTag-Section21"->{
  Cell[537502, 11325, 451, 7, 90, "Section",ExpressionUUID->"a380202d-e794-4274-9aa7-87e97b724cce",
   CellTags->"TOCTag-Section21"]},
 "TOCTag-Subsubsection6"->{
  Cell[538524, 11350, 233, 5, 56, "Subsubsection",ExpressionUUID->"14af149d-d18d-4e22-bc16-aa049b5d7e15",
   CellTags->"TOCTag-Subsubsection6"]},
 "TOCTag-Subsubsection7"->{
  Cell[542804, 11460, 286, 5, 56, "Subsubsection",ExpressionUUID->"6a60c51b-7b93-4abb-ada2-d1abf77dc64b",
   CellTags->"TOCTag-Subsubsection7"]},
 "TOCTag-Section22"->{
  Cell[545049, 11519, 294, 5, 90, "Section",ExpressionUUID->"b1a7f9fa-b934-432a-95c4-ca6b83a37d1c",
   CellTags->"TOCTag-Section22"]},
 "TOCTag-Section23"->{
  Cell[547052, 11574, 185, 3, 90, "Section",ExpressionUUID->"506eb5a5-8f08-4e62-89a7-a418bee322e7",
   CellTags->"TOCTag-Section23"]},
 "TOCTag-Subsubsection8"->{
  Cell[547652, 11591, 248, 5, 56, "Subsubsection",ExpressionUUID->"bfe356db-2160-4e27-852c-6f6540712ae5",
   CellTags->"TOCTag-Subsubsection8"]},
 "TOCTag-Subsubsection9"->{
  Cell[549348, 11641, 246, 5, 56, "Subsubsection",ExpressionUUID->"a9659de3-0ba5-4a27-a211-b5810c117d2e",
   CellTags->"TOCTag-Subsubsection9"]},
 "TOCTag-Subsubsection10"->{
  Cell[551715, 11710, 246, 5, 56, "Subsubsection",ExpressionUUID->"593fbc57-0286-4a34-aee8-7d0173df782a",
   CellTags->"TOCTag-Subsubsection10"]},
 "TOCTag-Section24"->{
  Cell[554777, 11792, 210, 4, 90, "Section",ExpressionUUID->"3246ae59-dc70-4543-8415-5b8b51c9105c",
   CellTags->"TOCTag-Section24"]},
 "TOCTag-Section25"->{
  Cell[577453, 12318, 219, 4, 90, "Section",ExpressionUUID->"59fc67fa-9a81-4ec9-b791-5a28ae2d2ee9",
   CellTags->"TOCTag-Section25"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 622698, 13361},
 {"TOCTag-Title1", 626985, 13420},
 {"TOCTag-Section1", 627135, 13423},
 {"TOCTag-Subsection1", 627291, 13426},
 {"TOCTag-Section2", 627450, 13429},
 {"TOCTag-Chapter1", 627605, 13432},
 {"TOCTag-Section3", 627762, 13435},
 {"TOCTag-Subsection2", 627920, 13438},
 {"TOCTag-Section4", 628081, 13441},
 {"TOCTag-Subsection3", 628239, 13444},
 {"CYUHiddenCell", 628398, 13447},
 {"answer", 628856, 13457},
 {"DelayedLoadingApplicationEx", 629264, 13464},
 {"TOCTag-Section5", 629452, 13467},
 {"TOCTag-Subsection4", 629643, 13470},
 {"TOCTag-Chapter2", 629804, 13473},
 {"TOCTag-Section6", 629961, 13476},
 {"TOCTag-Subsection5", 630119, 13479},
 {"TOCTag-Section7", 630280, 13482},
 {"TOCTag-Section8", 630435, 13485},
 {"TOCTag-Subsection6", 630593, 13488},
 {"TOCTag-Section9", 630754, 13491},
 {"TOCTag-Section10", 630910, 13494},
 {"TOCTag-Section11", 631067, 13497},
 {"TOCTag-Section12", 631225, 13500},
 {"TOCTag-Section13", 631384, 13503},
 {"TOCTag-Section14", 631543, 13506},
 {"TOCTag-Chapter3", 631700, 13509},
 {"TOCTag-Section15", 631858, 13512},
 {"TOCTag-Section16", 632015, 13515},
 {"TOCTag-Section17", 632173, 13518},
 {"TOCTag-Subsubsection1", 632336, 13521},
 {"TOCTag-Subsubsection2", 632510, 13524},
 {"TOCTag-Section18", 632679, 13527},
 {"TOCTag-Subsubsection3", 632842, 13530},
 {"TOCTag-Subsubsection4", 633016, 13533},
 {"TOCTag-Subsubsection5", 633326, 13538},
 {"TOCTag-Section19", 633495, 13541},
 {"TOCTag-Subsection7", 633655, 13544},
 {"TOCTag-Section20", 633818, 13547},
 {"TOCTag-Section21", 633977, 13550},
 {"TOCTag-Subsubsection6", 634140, 13553},
 {"TOCTag-Subsubsection7", 634314, 13556},
 {"TOCTag-Section22", 634483, 13559},
 {"TOCTag-Section23", 634641, 13562},
 {"TOCTag-Subsubsection8", 634804, 13565},
 {"TOCTag-Subsubsection9", 634978, 13568},
 {"TOCTag-Subsubsection10", 635153, 13571},
 {"TOCTag-Section24", 635323, 13574},
 {"TOCTag-Section25", 635481, 13577}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[636, 23, 136, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
 CellTags->"SlideShowHeader"],
Cell[775, 27, 14970, 250, 67, "WolframULogo",ExpressionUUID->"059f49ae-49fc-4f44-80e6-ab700841b96e"],
Cell[CellGroupData[{
Cell[15770, 281, 470, 7, 357, "Title",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76",
 CellTags->"TOCTag-Title1"],
Cell[16243, 290, 710, 10, 73, "Subtitle",ExpressionUUID->"abd2714b-c40b-491d-9b98-1f3d249655e3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17002, 306, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"3607ed0f-4d8f-45bb-b2a5-ffd7ec7e9099",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[17149, 312, 196, 3, 90, "Section",ExpressionUUID->"2b580683-0ed4-4955-bf49-2e2d45ff0df4",
 CellTags->"TOCTag-Section1"],
Cell[CellGroupData[{
Cell[17370, 319, 197, 3, 41, "ItemNumbered",ExpressionUUID->"2015097b-4004-4f17-a997-6af390ab4b18"],
Cell[17570, 324, 184, 3, 41, "ItemNumbered",ExpressionUUID->"74ae2478-eef9-4ecd-bd7a-70fc02a045f3"],
Cell[17757, 329, 232, 4, 41, "ItemNumbered",ExpressionUUID->"2171448b-3116-43b2-a852-eca788cc7504"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18026, 338, 308, 6, 69, "Subsection",ExpressionUUID->"62ad7fb5-591b-44a3-97e0-c8a24e2c7cdf",
 CellTags->"TOCTag-Subsection1"],
Cell[18337, 346, 241327, 4843, 1934, "Output",ExpressionUUID->"154e247c-7396-4438-b8bc-65f397435713"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[259725, 5196, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"08e821b1-b4d4-4dd2-a5d7-d0f9607469bb",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[259872, 5202, 406, 6, 90, "Section",ExpressionUUID->"4c726470-071d-4dbd-bf93-84a66cd5d85f",
 CellTags->"TOCTag-Section2"],
Cell[260281, 5210, 493, 9, 76, "Text",ExpressionUUID->"b8f0ae76-451b-434b-8b34-8017c92d4d52"],
Cell[260777, 5221, 423, 6, 44, "Text",ExpressionUUID->"da58799a-c767-453b-8b03-edc722a4572f"],
Cell[261203, 5229, 2877, 65, 221, "Input",ExpressionUUID->"0b6dc94e-e89f-47f0-9710-6a9c05a77d44"],
Cell[264083, 5296, 235, 6, 14, InheritFromParent,ExpressionUUID->"81b46967-3c7e-4a8e-a8de-bce450c7d5ba"],
Cell[264321, 5304, 376, 8, 76, "Text",ExpressionUUID->"d0cb831f-e499-4fc4-9847-bdcb85c05fbd"],
Cell[264700, 5314, 62191, 1035, 431, "Text",ExpressionUUID->"944106eb-9299-4394-9967-e795813c4729"],
Cell[326894, 6351, 71, 0, 44, "Text",ExpressionUUID->"93dc8940-942e-4c84-a447-7fbb97c00935"],
Cell[326968, 6353, 273, 4, 44, "Text",ExpressionUUID->"2314ede5-578d-476e-a50a-84d77f6644cc"],
Cell[CellGroupData[{
Cell[327266, 6361, 326, 6, 41, "ItemNumbered",ExpressionUUID->"109364eb-549b-4957-9aac-4727a9625f2c"],
Cell[327595, 6369, 457, 9, 71, "ItemNumbered",ExpressionUUID->"28e6a407-c71f-4765-a65f-f5dc3fbe8050"],
Cell[328055, 6380, 419, 8, 71, "ItemNumbered",ExpressionUUID->"8d64cd5e-db18-4667-9242-59519f562bd9"]
}, Open  ]],
Cell[328489, 6391, 320, 6, 44, "Text",ExpressionUUID->"4921f3aa-2931-414a-86b8-57d769621a8b"],
Cell[328812, 6399, 1702, 36, 162, "Text",ExpressionUUID->"0f24a9e3-ee67-4a06-8d26-1e4aab3fc029"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[330563, 6441, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"b30ee870-a28b-419a-81ed-df43af2be5c3",
 CellTags->"SlideShowHeader"],
Cell[330688, 6445, 540, 23, 570, "Chapter",ExpressionUUID->"900dbda0-14c0-47a7-87d7-64a4d93a130f",
 CellTags->"TOCTag-Chapter1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[331265, 6473, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"40d2c6ac-4dba-46ff-84a3-f0050fbe4a0b",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[331412, 6479, 308, 5, 90, "Section",ExpressionUUID->"2ff195e1-0d8e-485e-bbe3-97d646146eb7",
 CellTags->"TOCTag-Section3"],
Cell[331723, 6486, 1391, 37, 108, "Text",ExpressionUUID->"95da91f1-e0af-44f5-8533-8422d299ccf1"],
Cell[CellGroupData[{
Cell[333139, 6527, 248, 4, 69, "Subsection",ExpressionUUID->"4b214518-b936-4811-9638-0dc7035b4d40",
 CellTags->"TOCTag-Subsection2"],
Cell[333390, 6533, 463, 10, 44, "Text",ExpressionUUID->"8c382c45-e21a-4d3b-86d2-2ec3e82a6595"],
Cell[333856, 6545, 1519, 41, 241, "Input",ExpressionUUID->"458e556a-c953-4eb2-86cb-4448b5dac03d"],
Cell[335378, 6588, 315, 7, 44, "Text",ExpressionUUID->"0009db29-cc01-4477-baa7-c3f4648d9912"],
Cell[335696, 6597, 499, 10, 37, "Input",ExpressionUUID->"73e0e2dd-5c4d-4456-907b-cc759d9ca405"],
Cell[336198, 6609, 642, 13, 108, "Text",ExpressionUUID->"943df768-c966-45b3-a903-5b4632f6b8c4"],
Cell[336843, 6624, 563, 12, 76, "Text",ExpressionUUID->"d637f921-df80-42e5-bc29-8b7719c3c98d"],
Cell[337409, 6638, 766, 18, 183, "Input",ExpressionUUID->"20d9c14f-f905-42a9-84b6-a4e7dac69fc7"],
Cell[338178, 6658, 789, 19, 108, "Text",ExpressionUUID->"52e06ec0-8042-49ca-8b3d-85331410babf"],
Cell[338970, 6679, 749, 16, 108, "Text",ExpressionUUID->"223e62bb-b24c-4b7a-95cd-091a3e2121da"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[339780, 6702, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"d3fedf25-a003-4723-b578-beed9797253f",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[339927, 6708, 414, 6, 90, "Section",ExpressionUUID->"0b7a5f43-ff2d-4a2c-87b8-4bba06ed290d",
 CellTags->"TOCTag-Section4"],
Cell[CellGroupData[{
Cell[340366, 6718, 304, 5, 69, "Subsection",ExpressionUUID->"da5ba8c8-6df9-42de-9748-0d7ef29bffeb",
 CellTags->"TOCTag-Subsection3"],
Cell[340673, 6725, 163, 3, 44, "Text",ExpressionUUID->"b168d2da-76b2-4647-9fdc-e4fcdd334102"],
Cell[340839, 6730, 1048, 30, 125, "Input",ExpressionUUID->"0d3dec27-ea49-40bc-a5e2-80afc387f958"],
Cell[341890, 6762, 348, 7, 44, "Text",ExpressionUUID->"3dfda0b4-c1d6-4291-bbb5-524a2d36f9c7"],
Cell[342241, 6771, 1777, 36, 560, "Input",ExpressionUUID->"d161a5ef-00bd-453a-a86f-987c911aadb2"],
Cell[344021, 6809, 388, 8, 76, "Text",ExpressionUUID->"caa66cb4-c108-4311-9277-e8c582992b24"],
Cell[344412, 6819, 2361, 50, 705, "Input",ExpressionUUID->"1140bb55-6996-4488-b7f5-739b1e941649"],
Cell[346776, 6871, 379, 13, 19, "Text",ExpressionUUID->"e413a1b4-0695-426e-a5f7-20d73d86db1f",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[347158, 6886, 10106, 239, 103, "Text",ExpressionUUID->"d711a127-b783-4e3d-8df1-bb4fd1991d8e",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[357325, 7132, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"3e809f48-794a-44ee-8ab1-895c11def9ff",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[357472, 7138, 404, 6, 90, "Section",ExpressionUUID->"9babb9b7-a001-4472-8622-178a3fd7b1e0",
 CellTags->{"DelayedLoadingApplicationEx", "TOCTag-Section5"}],
Cell[CellGroupData[{
Cell[357901, 7148, 200, 3, 69, "Subsection",ExpressionUUID->"f625dd98-7ea6-4f61-a881-63b63f439422",
 CellTags->"TOCTag-Subsection4"],
Cell[358104, 7153, 561, 10, 108, "Text",ExpressionUUID->"2329c702-0483-4c91-aa98-a5cfb51fbc3e"],
Cell[358668, 7165, 910, 21, 183, "Input",ExpressionUUID->"cf0f4a00-c73a-4a6e-8da6-fd64fe3877d3"],
Cell[359581, 7188, 552, 10, 76, "Text",ExpressionUUID->"cd0186fa-a973-4385-94d7-4a917fc9fd8e"],
Cell[360136, 7200, 638, 11, 108, "Text",ExpressionUUID->"331aa733-87f7-4023-885e-5356a0d2a217"],
Cell[360777, 7213, 953, 23, 212, "Input",ExpressionUUID->"462d9a2d-9b15-44d2-b45e-6747d1882b34"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[361791, 7243, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"714fe374-b2c5-406a-94bd-62b65e47d0f3",
 CellTags->"SlideShowHeader"],
Cell[361916, 7247, 536, 23, 570, "Chapter",ExpressionUUID->"b939213e-35d0-4cef-a038-8ce5030c6c8b",
 CellTags->"TOCTag-Chapter2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[362489, 7275, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"a5b2ab10-4e81-4c27-8477-c85e3dae6ca9",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[362636, 7281, 250, 4, 90, "Section",ExpressionUUID->"314d8115-54b9-41cd-b886-3b3a411d6376",
 CellTags->"TOCTag-Section6"],
Cell[362889, 7287, 515, 9, 108, "Text",ExpressionUUID->"1a97fa9a-9111-43cb-b937-6a87aea8d1d0"],
Cell[CellGroupData[{
Cell[363429, 7300, 261, 4, 69, "Subsection",ExpressionUUID->"b1b658b1-c31d-4dfe-a056-f8ab11f6ac24",
 CellTags->"TOCTag-Subsection5"],
Cell[363693, 7306, 816, 19, 76, "Text",ExpressionUUID->"ae98276c-4c49-4b57-b798-edcd02d130bd"],
Cell[364512, 7327, 2043, 48, 270, "Input",ExpressionUUID->"f89e40cc-bf00-4a98-bf75-c7f9e52f20fc"],
Cell[366558, 7377, 533, 12, 76, "Text",ExpressionUUID->"ab3db75f-62a7-476d-95c4-60b9990f87de"],
Cell[367094, 7391, 2077, 48, 241, "Input",ExpressionUUID->"468b73ad-c668-49aa-8146-96949b644248"],
Cell[369174, 7441, 220, 4, 44, "Text",ExpressionUUID->"18cac8ca-3fac-4604-9f91-5a51ea1537b2"],
Cell[369397, 7447, 375, 8, 37, "Input",ExpressionUUID->"dd8a3d49-4b85-4e98-874e-5116d7adba29"],
Cell[369775, 7457, 471, 11, 37, "Input",ExpressionUUID->"e35ab37b-ad86-428a-95e2-227061dad89d"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[370307, 7475, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"52829e99-31d1-43d5-9f39-c86a22f74ae5",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[370454, 7481, 312, 5, 90, "Section",ExpressionUUID->"42993e8d-aaa7-4515-ba6e-b99a07ab2059",
 CellTags->"TOCTag-Section7"],
Cell[370769, 7488, 1003, 25, 76, "Text",ExpressionUUID->"876de233-0727-4029-9d27-d4755b243d75"],
Cell[371775, 7515, 827, 16, 108, "Text",ExpressionUUID->"30ed077a-6292-4deb-92d8-5dfbd562a9b7"],
Cell[372605, 7533, 839, 17, 76, "Text",ExpressionUUID->"12b2f350-baa7-41d4-b50d-220bdff7e434"],
Cell[373447, 7552, 3236, 69, 792, "Input",ExpressionUUID->"c0a58950-8e86-4627-b1e6-2f96818230e2"],
Cell[376686, 7623, 916, 20, 140, "Text",ExpressionUUID->"0eb511cd-1ed9-4b6b-bc37-5ebe987ab7e6"],
Cell[377605, 7645, 553, 11, 76, "Text",ExpressionUUID->"d93f176b-ae84-4c00-a349-5fc205b29972"],
Cell[378161, 7658, 364, 13, 19, "Text",ExpressionUUID->"13ea98d2-57df-491f-be64-876aec8b09d6",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[378528, 7673, 9762, 227, 103, "Text",ExpressionUUID->"57dfebb9-ec6a-4b44-b193-2b15983f685e",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[388339, 7906, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"10aab35b-7f7e-4ba9-a6b9-ce12290c163b",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[388486, 7912, 413, 6, 90, "Section",ExpressionUUID->"d9850623-48e9-4bd6-adee-544410307180",
 CellTags->"TOCTag-Section8"],
Cell[CellGroupData[{
Cell[388924, 7922, 353, 5, 69, "Subsection",ExpressionUUID->"42de47ba-dc10-4888-a8ec-cea6b6caec98",
 CellTags->"TOCTag-Subsection6"],
Cell[389280, 7929, 344, 7, 76, "Text",ExpressionUUID->"55b338dd-440b-4c49-8b62-c7bc35916b59"],
Cell[389627, 7938, 1173, 26, 108, "Text",ExpressionUUID->"950f8136-5d17-48dd-9272-9b3792117476"],
Cell[390803, 7966, 2978, 60, 531, "Input",ExpressionUUID->"4c21a691-5128-41d7-9f7b-88065e7b6c16"],
Cell[393784, 8028, 935, 13, 37, "Input",ExpressionUUID->"6860674d-e931-47d3-8f53-4d183de3aa77"],
Cell[394722, 8043, 1349, 33, 140, "Text",ExpressionUUID->"c4d21a88-4a80-4195-abdd-1342ae18b9c8"],
Cell[396074, 8078, 2477, 50, 676, "Input",ExpressionUUID->"42de42b4-32eb-47cb-a486-53931453c17b"],
Cell[398554, 8130, 696, 19, 76, "Text",ExpressionUUID->"9b813360-2f52-4391-a3fc-4fbd72606ff1"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[399311, 8156, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"c352af99-14ec-4332-a7d2-51892b2da17c",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[399458, 8162, 544, 8, 90, "Section",ExpressionUUID->"cb59f656-8919-4a75-8b5c-5e6dbc6bdbab",
 CellTags->"TOCTag-Section9"],
Cell[400005, 8172, 568, 10, 76, "Text",ExpressionUUID->"13eb1ef9-4cb1-4cb1-99ac-237377120973"],
Cell[400576, 8184, 2225, 54, 335, "Text",ExpressionUUID->"2eb8167a-1086-40ee-bdc7-792313483d74"],
Cell[402804, 8240, 230, 4, 44, "Text",ExpressionUUID->"4e8339a6-0d78-4d5b-b2d6-18eec8a7390a"],
Cell[403037, 8246, 3676, 93, 763, "Input",ExpressionUUID->"4a7af360-a3d2-4f49-b3b2-a211ac3adece"],
Cell[406716, 8341, 782, 19, 76, "Text",ExpressionUUID->"7c602021-aa7c-4c01-aec8-64934042581e"],
Cell[407501, 8362, 3283, 69, 792, "Input",ExpressionUUID->"bba42541-ae3a-4503-b92f-bf1e50563c9a"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[410833, 8437, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"b607490c-8af1-4e44-b012-f7d19e16dd29",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[410980, 8443, 595, 8, 90, "Section",ExpressionUUID->"47a21fe8-9c22-4930-a350-4b7bdd6a4f63",
 CellTags->"TOCTag-Section10"],
Cell[411578, 8453, 751, 13, 108, "Text",ExpressionUUID->"03740712-ed6a-4e78-b454-85941bc4cd29"],
Cell[412332, 8468, 385, 7, 76, "Text",ExpressionUUID->"a84d72d8-b49a-4f01-930b-de350ddcd09a"],
Cell[412720, 8477, 352, 6, 37, "Input",ExpressionUUID->"b3b93c11-4c64-488f-a5a9-d45be2f3bf7a"],
Cell[413075, 8485, 206, 3, 37, "Input",ExpressionUUID->"73f56b83-ec55-4d2a-8a93-2ee0bf0f143e"],
Cell[413284, 8490, 755, 15, 76, "Text",ExpressionUUID->"89c1de33-b485-4c02-b278-a69c384d996e"],
Cell[414042, 8507, 515, 9, 76, "Text",ExpressionUUID->"d009454a-c285-4c54-af13-bcc160837116"],
Cell[414560, 8518, 614, 14, 125, "Input",ExpressionUUID->"b7ac8153-8e40-459e-98e3-4043bcd79b8f"],
Cell[415177, 8534, 206, 3, 37, "Input",ExpressionUUID->"13b5c031-db2e-426f-bdee-ef96a6f01874"],
Cell[415386, 8539, 613, 11, 76, "Text",ExpressionUUID->"2ce83093-4cd8-4f0e-8cc5-f6c7d412c400"],
Cell[CellGroupData[{
Cell[416024, 8554, 408, 7, 41, "ItemNumbered",ExpressionUUID->"fcd510a6-c882-4270-a8fa-983e54270347"],
Cell[416435, 8563, 295, 4, 41, "ItemNumbered",ExpressionUUID->"950c9b15-cd30-481e-8156-035bf6ff3d8b"]
}, Open  ]],
Cell[416745, 8570, 637, 13, 108, "Text",ExpressionUUID->"2ab84407-82fd-496f-b8af-d7971fdfe04c"],
Cell[417385, 8585, 546, 14, 67, "Input",ExpressionUUID->"928a5198-2264-46d1-b1dd-6ed2be1c333d"],
Cell[417934, 8601, 727, 12, 76, "Text",ExpressionUUID->"cdd9c162-889b-413e-9867-b0c4ee998b66"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[418710, 8619, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"f3c1bbd6-c5b5-4bf5-b08b-f50a616c5206",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[418857, 8625, 623, 9, 156, "Section",ExpressionUUID->"d2cd4f31-5614-4804-97dc-741200e246a1",
 CellTags->"TOCTag-Section11"],
Cell[419483, 8636, 949, 19, 140, "Text",ExpressionUUID->"ee89797b-e45f-4bbb-9a6f-56efded82193"],
Cell[420435, 8657, 25926, 430, 397, "Text",ExpressionUUID->"acdb4258-4caa-4714-afa1-c6a04b2b4c3a"],
Cell[446364, 9089, 287, 4, 44, "Text",ExpressionUUID->"93f56027-f51b-4990-944b-332ea4246257"],
Cell[446654, 9095, 422, 9, 67, "Input",ExpressionUUID->"8f950bb1-2cee-4ea8-9f5e-f4d986122ead"],
Cell[447079, 9106, 946, 23, 125, "Input",ExpressionUUID->"546a8449-0b37-4b88-bf87-dc428ac9db25"],
Cell[448028, 9131, 272, 4, 37, "Input",ExpressionUUID->"33e24aa1-d165-49e3-8b06-241a7190ee82"],
Cell[448303, 9137, 477, 12, 44, "Text",ExpressionUUID->"7788fe14-0d23-4c3b-aff4-9570fb85a688"],
Cell[448783, 9151, 855, 22, 125, "Input",ExpressionUUID->"6346635d-1f2d-4368-ba31-46a0da5823b4"],
Cell[449641, 9175, 221, 3, 37, "Input",ExpressionUUID->"7072235c-1d01-4ca9-8c0c-f252a8b1a392"],
Cell[449865, 9180, 400, 8, 76, "Text",ExpressionUUID->"5a6ca08e-2d98-4eee-9d94-d7ac71370996"],
Cell[450268, 9190, 444, 10, 96, "Input",ExpressionUUID->"5020fc9f-a66b-4e1b-b0d3-995e9576e738"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[450761, 9206, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"48660ff3-cc94-497b-ace1-dbd77e9c1d54",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[450908, 9212, 777, 11, 156, "Section",ExpressionUUID->"9de94ab2-f7d1-4dd6-95f3-4ffaf5e4c394",
 CellTags->"TOCTag-Section12"],
Cell[451688, 9225, 1080, 24, 108, "Text",ExpressionUUID->"5cc8fd52-ef40-461e-b93e-dc83758a8241"],
Cell[452771, 9251, 707, 15, 76, "Text",ExpressionUUID->"5c92b168-b39f-41c5-a75c-88266cfdf834"],
Cell[453481, 9268, 2555, 60, 386, "Input",ExpressionUUID->"80b51084-a156-4b23-b6c0-e82eaa1df1c6"],
Cell[456039, 9330, 244, 4, 44, "Text",ExpressionUUID->"17b43f12-6c88-40d6-9313-11fe32fecc49"],
Cell[456286, 9336, 856, 15, 154, "Input",ExpressionUUID->"6c80cfe6-d848-428d-b818-2e6e92171bfd"],
Cell[457145, 9353, 989, 18, 183, "Input",ExpressionUUID->"ef216e58-9503-4b6d-8ce6-ceb292975180"],
Cell[458137, 9373, 554, 12, 76, "Text",ExpressionUUID->"46ca9a28-669a-4d3e-a159-44462d2f3cc9"],
Cell[458694, 9387, 1282, 29, 328, "Input",ExpressionUUID->"a2506b9f-4b99-434a-a38b-bdb7f8d9767b"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[460025, 9422, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"f4fb3970-c96b-4782-95a6-34221436a914",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[460172, 9428, 778, 11, 156, "Section",ExpressionUUID->"5c799f1d-863a-4e41-a4a9-f9e2e8ab3535",
 CellTags->"TOCTag-Section13"],
Cell[460953, 9441, 242, 4, 44, "Text",ExpressionUUID->"492a09aa-5f95-46dc-aaa8-e91feb2ce9b2"],
Cell[461198, 9447, 204, 4, 37, "Input",ExpressionUUID->"37495c4c-f43e-454b-ab8d-c7a5d523f749"],
Cell[461405, 9453, 1613, 31, 415, "Input",ExpressionUUID->"9cc9fe6e-83c4-472d-9beb-73929990c167"],
Cell[463021, 9486, 1004, 19, 108, "Text",ExpressionUUID->"2c876e95-522f-4bf6-910c-79507fa4dd54"],
Cell[464028, 9507, 797, 13, 140, "Text",ExpressionUUID->"e650b663-8876-4ec4-a56c-59a7bd3dae45"],
Cell[464828, 9522, 207, 3, 37, "Input",ExpressionUUID->"2b14686c-c5ab-4fb2-ad4e-1b5e22a045ce"],
Cell[465038, 9527, 284, 5, 44, "Text",ExpressionUUID->"66033267-6728-4b97-a6e6-c2e157d6c374"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[465371, 9538, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"1d42a8f2-8d68-4c58-b649-cefde2960795",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[465518, 9544, 689, 10, 90, "Section",ExpressionUUID->"5c2235da-b513-4e16-9d72-5b21326b9fbf",
 CellTags->"TOCTag-Section14"],
Cell[466210, 9556, 442, 8, 76, "Text",ExpressionUUID->"a41e0e56-b607-4474-b0a7-57834cf20f36"],
Cell[466655, 9566, 167, 3, 41, "ItemNumbered",ExpressionUUID->"27414144-c1eb-4b06-a9e2-55a9a8fd73aa"],
Cell[466825, 9571, 590, 12, 67, "Input",ExpressionUUID->"2a68c6fd-3c5b-4ed1-9c1a-2b13dd24eb26"],
Cell[467418, 9585, 610, 11, 71, "ItemNumbered",ExpressionUUID->"b4c180be-ee37-4cb1-bc91-30f09608bf6b"],
Cell[468031, 9598, 238, 5, 37, "Input",ExpressionUUID->"5cd2690b-c536-47bd-b37c-3c8d57e7216f"],
Cell[CellGroupData[{
Cell[468294, 9607, 764, 13, 101, "ItemNumbered",ExpressionUUID->"641d08b1-31e2-479e-8d3f-ca93ac802841"],
Cell[469061, 9622, 549, 10, 41, "ItemNumbered",ExpressionUUID->"084a5b80-7a07-4a6b-abf7-c660170a2027"],
Cell[469613, 9634, 1174, 18, 131, "ItemNumbered",ExpressionUUID->"a0cb6e72-6024-428c-8b45-a50081bf3d44"],
Cell[470790, 9654, 683, 12, 71, "ItemNumbered",ExpressionUUID->"cdab4d03-5a08-4390-ae74-68c0b990ce85"],
Cell[471476, 9668, 826, 13, 71, "ItemNumbered",ExpressionUUID->"4c2536b4-4cc4-4118-a0a2-65c44b057990"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[472363, 9688, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"57ed3a3a-bd83-40fd-9026-1e851df42a22",
 CellTags->"SlideShowHeader"],
Cell[472488, 9692, 626, 24, 570, "Chapter",ExpressionUUID->"9d11a144-748d-446d-8900-b89a808ba9ab",
 CellTags->"TOCTag-Chapter3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[473151, 9721, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"2f54b733-754f-4fdd-aba0-aab0a540f5e2",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[473298, 9727, 407, 6, 90, "Section",ExpressionUUID->"c8d8301d-f8b9-450d-83a9-962f608f955e",
 CellTags->"TOCTag-Section15"],
Cell[473708, 9735, 392, 7, 44, "Text",ExpressionUUID->"701cbe52-5990-4464-bc93-a177b731f47f"],
Cell[474103, 9744, 730, 14, 34, "Input",ExpressionUUID->"91f90e38-dfc8-4001-803e-df4a352dd51f"],
Cell[474836, 9760, 478, 11, 61, "Input",ExpressionUUID->"0714f0e2-188a-4e3c-8b7b-c5ab0841e029"],
Cell[475317, 9773, 522, 13, 44, "Text",ExpressionUUID->"43947f03-dcb6-426b-a6f3-91d16eb70b50"],
Cell[475842, 9788, 461, 12, 34, "Input",ExpressionUUID->"fc3a252a-f58b-4299-93a9-cf4f049eded4"],
Cell[476306, 9802, 501, 10, 34, "Input",ExpressionUUID->"bcf93906-e8c3-4803-947d-011140f5a5a8"],
Cell[476810, 9814, 491, 12, 34, "Input",ExpressionUUID->"b31665d3-f141-40b6-aed2-a4909fb362a2"],
Cell[477304, 9828, 648, 11, 76, "Text",ExpressionUUID->"0bf84c6e-ae7e-4cae-9924-50ee5c733339"],
Cell[CellGroupData[{
Cell[477977, 9843, 594, 8, 41, "ItemNumbered",ExpressionUUID->"7c9f1185-09e2-4824-a63f-e434f9d034cd"],
Cell[478574, 9853, 663, 11, 71, "ItemNumbered",ExpressionUUID->"5da7d1c1-cf18-409c-a0dd-b0d2613950cf"],
Cell[479240, 9866, 614, 9, 41, "ItemNumbered",ExpressionUUID->"a2d7535d-db7b-438e-919f-6f6826d08ecd"]
}, Open  ]],
Cell[479869, 9878, 347, 13, 19, "Text",ExpressionUUID->"995a0697-111d-4c7c-9972-38a35d711999",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[480219, 9893, 9729, 227, 103, "Text",ExpressionUUID->"cdc54ff3-c5e6-422d-80ba-6a316ecbffae",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[489997, 10126, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"832f0422-5dbb-4e49-9dc8-6b1e1fb3141c",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[490144, 10132, 460, 7, 90, "Section",ExpressionUUID->"93f18aad-957a-4db6-9624-fee6c2fba57f",
 CellTags->"TOCTag-Section16"],
Cell[490607, 10141, 550, 10, 76, "Text",ExpressionUUID->"573c777a-80ba-4f7b-9aa8-db1a43063048"],
Cell[491160, 10153, 448, 6, 44, "Text",ExpressionUUID->"62278e60-2ae2-4aa4-991d-d57e2cc729c7"],
Cell[CellGroupData[{
Cell[491633, 10163, 1898, 48, 73, "ItemNumbered",ExpressionUUID->"47e4f7fe-9a53-41af-b18b-9e43b66fde67"],
Cell[493534, 10213, 554, 11, 41, "ItemNumbered",ExpressionUUID->"b871abbc-b26e-49c4-92dc-1f169c914a3a"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[494149, 10231, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"d9157a3c-df1d-4e02-9773-1c3a3cace98d",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[494296, 10237, 558, 8, 90, "Section",ExpressionUUID->"e889eeb2-e9de-402e-8580-60ed4ad84070",
 CellTags->"TOCTag-Section17"],
Cell[494857, 10247, 537, 12, 76, "Text",ExpressionUUID->"ce0ac9e4-2b27-436e-9b99-f987df51a3f1"],
Cell[CellGroupData[{
Cell[495419, 10263, 318, 7, 56, "Subsubsection",ExpressionUUID->"f8c23c1c-1e07-4ef1-8dbd-7b447af2dcb3",
 CellTags->"TOCTag-Subsubsection1"],
Cell[CellGroupData[{
Cell[495762, 10274, 287, 6, 44, "Text",ExpressionUUID->"eb0c8afc-c122-45ea-88cc-1d0740f1de02",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[496052, 10282, 1969, 43, 547, "Input",ExpressionUUID->"275000f3-1ee3-445d-b495-b94f200be0c1",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Closed]],
Cell[498036, 10328, 481, 11, 72, "Text",ExpressionUUID->"aeb0b2d8-fce2-45ae-b2bd-04220df9c21e"],
Cell[498520, 10341, 247, 4, 67, "Input",ExpressionUUID->"6bfbaf94-113c-4e0b-9790-11e07d7c2c47"],
Cell[498770, 10347, 551, 9, 108, "Text",ExpressionUUID->"bc27b09e-44e5-4614-8f30-15ddbd95b1e2"],
Cell[499324, 10358, 496, 10, 76, "Text",ExpressionUUID->"4e2537ed-01e5-4bb8-b1aa-7c00bc08785d"],
Cell[CellGroupData[{
Cell[499845, 10372, 289, 6, 44, "Text",ExpressionUUID->"91190dec-0ad4-4d00-9547-0d7f660bebb1",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[500137, 10380, 625, 15, 50, "Input",ExpressionUUID->"7cef92ec-5668-47d1-9e2c-7a3ec99dd5a9",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True],
Cell[500765, 10397, 3505, 74, 710, "Input",ExpressionUUID->"5b8defc2-7a4e-438e-9fc4-bdd424f56c76",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Closed]],
Cell[504285, 10474, 217, 4, 33, "Input",ExpressionUUID->"596ee2f2-3f2c-476f-a4bc-714c0f45d0b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[504539, 10483, 331, 7, 56, "Subsubsection",ExpressionUUID->"5c2a5582-557d-4fc7-a54f-6401d9881f33",
 CellTags->"TOCTag-Subsubsection2"],
Cell[504873, 10492, 354, 7, 44, "Text",ExpressionUUID->"40f0dc14-803d-492c-bc70-44f7c8bf38a1"],
Cell[CellGroupData[{
Cell[505252, 10503, 289, 6, 44, "Text",ExpressionUUID->"0273c818-ac82-4290-9a4c-b7b8fdfa5ad8",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[505544, 10511, 4249, 94, 788, "Input",ExpressionUUID->"30e7b271-19d3-4b22-a504-468a40f1d0f7",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Closed]],
Cell[509808, 10608, 240, 5, 33, "Input",ExpressionUUID->"c3b0085e-62c7-4fc4-8625-1e4f3a6cae85"],
Cell[510051, 10615, 386, 8, 76, "Text",ExpressionUUID->"8b2d2ed7-78df-4177-b322-ec47d38e6e38"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[510498, 10630, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"1a0615cc-0ded-45ba-a1b3-1315f3c14eec",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[510645, 10636, 414, 6, 90, "Section",ExpressionUUID->"b029b186-9297-4ff6-97d7-dd961e943438",
 CellTags->"TOCTag-Section18"],
Cell[511062, 10644, 365, 7, 76, "Text",ExpressionUUID->"79d2d485-8a51-469e-acc2-099dcb1a7687"],
Cell[CellGroupData[{
Cell[511452, 10655, 257, 6, 56, "Subsubsection",ExpressionUUID->"4591a182-9c9d-4f01-aba5-4452be3e8b3b",
 CellTags->"TOCTag-Subsubsection3"],
Cell[511712, 10663, 471, 9, 44, "Text",ExpressionUUID->"88fa9363-df58-4b88-b3d4-2135c75188e1"],
Cell[512186, 10674, 233, 4, 32, "Input",ExpressionUUID->"88465323-4e7d-43e9-b28d-2b5743f91733"],
Cell[512422, 10680, 269, 5, 32, "Input",ExpressionUUID->"46d65ce0-3c3c-4a6d-a895-eb80c28b42b2"],
Cell[512694, 10687, 347, 9, 32, "Input",ExpressionUUID->"553bc41f-a47c-400d-904d-1985252467d3"],
Cell[513044, 10698, 348, 9, 44, "Text",ExpressionUUID->"484a482e-472b-41f8-8197-e55b1213d72c"],
Cell[513395, 10709, 208, 3, 32, "Input",ExpressionUUID->"624cc83a-bd02-4bb0-8bb1-11e1754f5ea7"],
Cell[513606, 10714, 218, 4, 32, "Input",ExpressionUUID->"a4574b4c-ddf9-4f8f-ab10-b438a3dbfd30"],
Cell[513827, 10720, 316, 7, 32, "Input",ExpressionUUID->"020359ad-6f80-4749-a103-da81df4356bd"]
}, Closed]],
Cell[CellGroupData[{
Cell[514180, 10732, 361, 8, 48, "Subsubsection",ExpressionUUID->"50a20fd7-ba76-4394-83f4-33b1a0a59c89",
 CellTags->"TOCTag-Subsubsection4"],
Cell[514544, 10742, 777, 19, 77, "Text",ExpressionUUID->"d00abd97-5baa-4052-a9db-5b47d5595bec"],
Cell[515324, 10763, 3644, 82, 335, "Input",ExpressionUUID->"715c1961-da75-496b-babc-4bee93c2ee1f"],
Cell[518971, 10847, 259, 4, 44, "Text",ExpressionUUID->"f395c817-2920-44ff-a48c-6c75693803fb"],
Cell[519233, 10853, 3449, 79, 312, "Input",ExpressionUUID->"ff5d7007-aa62-4044-91f6-a7299cee0902"]
}, Closed]],
Cell[CellGroupData[{
Cell[522719, 10937, 357, 8, 48, "Subsubsection",ExpressionUUID->"ea3be717-5d6b-4745-923e-9e3c08c10b57",
 CellTags->"TOCTag-Subsubsection5"],
Cell[523079, 10947, 364, 7, 44, "Text",ExpressionUUID->"bbfb06d7-acf1-4823-b5db-06d537d78356"],
Cell[523446, 10956, 3072, 72, 260, "Input",ExpressionUUID->"8e3212ed-b25f-46c3-ab05-d75c4406f9ef"],
Cell[526521, 11030, 479, 10, 44, "Text",ExpressionUUID->"92c90074-c437-4f3d-bf2d-4f926f2da348"],
Cell[527003, 11042, 1791, 43, 245, "Input",ExpressionUUID->"8a7aaa0c-901b-45d1-8ff3-f8879d05ad9b"],
Cell[528797, 11087, 148, 5, 31, "Text",ExpressionUUID->"fb402076-1b1c-407c-a4e0-0f63843f9a0c",
 CellTags->"TOCTag-Subsubsection4"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[529006, 11099, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0d6681a0-75bc-49d9-a89d-54d983031f48",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[529153, 11105, 262, 4, 90, "Section",ExpressionUUID->"c46d27cb-94b6-4fde-9414-fea282b63650",
 CellTags->"TOCTag-Section19"],
Cell[529418, 11111, 606, 10, 108, "Text",ExpressionUUID->"fb612311-5d34-4f60-8a11-f98d6de23bf0"],
Cell[530027, 11123, 654, 11, 108, "Text",ExpressionUUID->"b08fcfb8-cbaa-4fb3-861d-f6d4d39f9d90"],
Cell[CellGroupData[{
Cell[530706, 11138, 256, 4, 69, "Subsection",ExpressionUUID->"5ec47c0d-a749-484e-89f6-220fe849760d",
 CellTags->"TOCTag-Subsection7"],
Cell[530965, 11144, 362, 8, 76, "Text",ExpressionUUID->"62ef054c-63b9-4f81-8704-8f9e20090aea"],
Cell[531330, 11154, 801, 20, 154, "Input",ExpressionUUID->"4ee87748-30f0-4352-ba7c-d926250aec66"],
Cell[532134, 11176, 184, 3, 44, "Text",ExpressionUUID->"191c66b1-fdab-4c2d-8b18-d0f675cef836"],
Cell[532321, 11181, 1299, 31, 299, "Input",ExpressionUUID->"26ec85e0-3bfd-40b5-9da3-8aef19859b4f"],
Cell[533623, 11214, 164, 3, 44, "Text",ExpressionUUID->"7f543722-26a1-4638-96a5-a4ec92299d66"],
Cell[533790, 11219, 409, 8, 67, "Input",ExpressionUUID->"85d57227-4922-4ec2-b1c2-efe0c8eab2b7"],
Cell[534202, 11229, 204, 3, 44, "Text",ExpressionUUID->"8ec667b3-0c46-4ce7-a074-25df1c208e50"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[534467, 11239, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0d5eb348-4c93-402e-96c2-d97fcf9d5496",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[534614, 11245, 274, 4, 156, "Section",ExpressionUUID->"d22d8061-1b0b-4c78-a92d-8d80c77863b4",
 CellTags->"TOCTag-Section20"],
Cell[534891, 11251, 394, 8, 44, "Text",ExpressionUUID->"1acc8a05-e10e-4e56-abbc-352e1a65e34a"],
Cell[535288, 11261, 850, 23, 140, "Input",ExpressionUUID->"22b4fa91-6692-4b35-b622-f2862294979b"],
Cell[536141, 11286, 447, 8, 76, "Text",ExpressionUUID->"745e9e14-2048-45c7-ab3d-3eb77803d31d"],
Cell[536591, 11296, 162, 3, 44, "Text",ExpressionUUID->"dc4de87b-94c9-4771-a572-5d0fce0983c3"],
Cell[536756, 11301, 219, 3, 34, "Input",ExpressionUUID->"3c82b8bc-a5b9-4c7f-ba12-f022f20bc4c8"],
Cell[536978, 11306, 328, 7, 76, "Text",ExpressionUUID->"dd95df23-953b-456d-a8a6-92d04d637535"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[537355, 11319, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"03b77343-10fd-4c39-8d05-9eaafccfa544",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[537502, 11325, 451, 7, 90, "Section",ExpressionUUID->"a380202d-e794-4274-9aa7-87e97b724cce",
 CellTags->"TOCTag-Section21"],
Cell[537956, 11334, 543, 12, 76, "Text",ExpressionUUID->"288037fc-55a2-4444-8b40-2ff34bf6f681"],
Cell[CellGroupData[{
Cell[538524, 11350, 233, 5, 56, "Subsubsection",ExpressionUUID->"14af149d-d18d-4e22-bc16-aa049b5d7e15",
 CellTags->"TOCTag-Subsubsection6"],
Cell[538760, 11357, 554, 14, 76, "Text",ExpressionUUID->"cd200fdb-401c-4a85-a810-c565eed1d6b9"],
Cell[539317, 11373, 348, 8, 44, "Text",ExpressionUUID->"943e55c5-13ad-48bf-a2d6-b5be3a8f8073"],
Cell[539668, 11383, 249, 4, 37, "Input",ExpressionUUID->"ad9b6c55-4705-46d3-ad98-e0424818779a"],
Cell[539920, 11389, 651, 12, 67, "Input",ExpressionUUID->"3362a5cf-90a9-4d05-9386-ee108b3a13a8"],
Cell[540574, 11403, 174, 2, 37, "Input",ExpressionUUID->"0b42cc43-c138-45ab-a7eb-3c7e8797c27c"],
Cell[540751, 11407, 304, 5, 44, "Text",ExpressionUUID->"995a2cf1-a5f4-4744-bf8b-c7d0935b7be6"],
Cell[541058, 11414, 411, 9, 37, "Input",ExpressionUUID->"07785d6e-d567-4700-afac-2ae58d1fab47"],
Cell[541472, 11425, 691, 14, 76, "Text",ExpressionUUID->"b32852b4-b86e-4a3e-bba4-b0e918b2ac66"],
Cell[542166, 11441, 278, 4, 37, "Input",ExpressionUUID->"df705028-aac8-467a-9afc-e70ef23c14b9"],
Cell[542447, 11447, 320, 8, 44, "Text",ExpressionUUID->"9fc00d0e-ddd4-4a3f-9f82-65f860358ff0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[542804, 11460, 286, 5, 56, "Subsubsection",ExpressionUUID->"6a60c51b-7b93-4abb-ada2-d1abf77dc64b",
 CellTags->"TOCTag-Subsubsection7"],
Cell[543093, 11467, 538, 10, 76, "Text",ExpressionUUID->"b250c4e6-1940-4ea1-a66d-d6dc2f0ade42"],
Cell[543634, 11479, 791, 16, 61, "Input",ExpressionUUID->"14201084-dfbd-4f9c-b203-112fd7c85ba9"],
Cell[544428, 11497, 413, 9, 34, "Input",ExpressionUUID->"1bfbf55e-199b-403b-b97d-908b4a018fae"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[544902, 11513, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"9b39debc-ced7-417d-9c63-deed295dcdf3",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[545049, 11519, 294, 5, 90, "Section",ExpressionUUID->"b1a7f9fa-b934-432a-95c4-ca6b83a37d1c",
 CellTags->"TOCTag-Section22"],
Cell[CellGroupData[{
Cell[545368, 11528, 558, 13, 131, "ItemNumbered",ExpressionUUID->"aee1151a-b75f-466b-ab0c-ef7455340ff1"],
Cell[545929, 11543, 405, 7, 41, "ItemNumbered",ExpressionUUID->"9c636b68-4a3c-4533-be32-51c93e609c50"],
Cell[546337, 11552, 507, 9, 71, "ItemNumbered",ExpressionUUID->"fb5f547c-b692-486b-bb8e-65fa7fd268a9"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[546905, 11568, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0f7d8fca-8a64-4fc0-9069-ada1f588551a",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[547052, 11574, 185, 3, 90, "Section",ExpressionUUID->"506eb5a5-8f08-4e62-89a7-a418bee322e7",
 CellTags->"TOCTag-Section23"],
Cell[547240, 11579, 387, 8, 108, "Text",ExpressionUUID->"4f6496af-108b-4673-a36b-ae3521afe8b8"],
Cell[CellGroupData[{
Cell[547652, 11591, 248, 5, 56, "Subsubsection",ExpressionUUID->"bfe356db-2160-4e27-852c-6f6540712ae5",
 CellTags->"TOCTag-Subsubsection8"],
Cell[547903, 11598, 255, 5, 44, "Text",ExpressionUUID->"04fd6ce5-cdc4-4d12-a2e8-45aab192c8a3"],
Cell[548161, 11605, 506, 13, 67, "Input",ExpressionUUID->"e7113ff3-e43d-4510-95b6-deec22e9b027"],
Cell[548670, 11620, 641, 16, 43, "Text",ExpressionUUID->"a34d2271-02b8-4cb4-bd1d-eee050e5112c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[549348, 11641, 246, 5, 56, "Subsubsection",ExpressionUUID->"a9659de3-0ba5-4a27-a211-b5810c117d2e",
 CellTags->"TOCTag-Subsubsection9"],
Cell[549597, 11648, 358, 8, 44, "Text",ExpressionUUID->"77b43a39-d9be-4c52-82fb-3257f6a6a987"],
Cell[549958, 11658, 680, 19, 67, "Input",ExpressionUUID->"4f9a79dc-e2ae-425b-9a68-3ccf3ef8cdbf"],
Cell[550641, 11679, 215, 4, 37, "Input",ExpressionUUID->"d8e0fb4a-5035-474f-960a-15e44577e02a"],
Cell[550859, 11685, 217, 3, 44, "Text",ExpressionUUID->"5104da5f-6c77-4661-a9a0-109d4254a52d"],
Cell[551079, 11690, 599, 15, 43, "Text",ExpressionUUID->"46ff6724-762f-48cf-b559-3881d529448a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[551715, 11710, 246, 5, 56, "Subsubsection",ExpressionUUID->"593fbc57-0286-4a34-aee8-7d0173df782a",
 CellTags->"TOCTag-Subsubsection10"],
Cell[551964, 11717, 349, 7, 76, "Text",ExpressionUUID->"313d2b77-6ae8-48eb-8ae2-bb0cea5b4738"],
Cell[552316, 11726, 1278, 25, 324, "Input",ExpressionUUID->"a1b7eab6-eeea-4e9f-84f1-9ab91edc7cfb"],
Cell[553597, 11753, 370, 9, 44, "Text",ExpressionUUID->"e62dc0d1-db9b-4795-ab06-debe9adab292"],
Cell[553970, 11764, 599, 15, 42, "Text",ExpressionUUID->"532b12c1-a2da-4763-9a12-c4f004c51412"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[554630, 11786, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"064dab25-15d6-4d7a-9c7f-4967a658bf02",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[554777, 11792, 210, 4, 90, "Section",ExpressionUUID->"3246ae59-dc70-4543-8415-5b8b51c9105c",
 CellTags->"TOCTag-Section24"],
Cell[554990, 11798, 71, 0, 44, "Text",ExpressionUUID->"79081bec-6f13-4cc6-b51d-5b2f7690c328"],
Cell[555064, 11800, 22193, 506, 892, "Output",ExpressionUUID->"e479d53b-71df-4865-a671-9acfe585bd92",
 Evaluatable->False]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[577306, 12312, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"a3603c97-4d45-4a13-b404-2df9aae48966",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[577453, 12318, 219, 4, 90, "Section",ExpressionUUID->"59fc67fa-9a81-4ec9-b791-5a28ae2d2ee9",
 CellTags->"TOCTag-Section25"],
Cell[577675, 12324, 528, 10, 77, "Input",ExpressionUUID->"0c68e25f-dd1f-415f-ba76-667937366f7d",
 InitializationCell->True],
Cell[578206, 12336, 8815, 239, 1500, "Input",ExpressionUUID->"84ae9805-c96c-4483-bdcf-1b5488d38281",
 InitializationCell->True],
Cell[587024, 12577, 591, 14, 61, "Input",ExpressionUUID->"b1c52cbf-3f1e-40f7-b8ba-8e9696d3baf7"]
}, Open  ]]
}, Open  ]]
}
]
*)

