(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    551490,      11803]
NotebookOptionsPosition[    473666,      10312]
NotebookOutlinePosition[    521327,      11316]
CellTagsIndexPosition[    519737,      11272]
WindowTitle->Designing responsive and fast interfaces II
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztXQfYHUXVhhAIndAOVbj00DuEIiQQurQA0jFAIIiEkoA0hY+qQGjSUSBS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    "], {{0, 100}, {450, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{268.015625, Automatic},
  ImageSizeRaw->{450, 100},
  PlotRange->{{0, 450}, {0, 100}}]], "WolframULogo",ExpressionUUID->"059f49ae-\
49fc-4f44-80e6-ab700841b96e"],

Cell[CellGroupData[{

Cell["Creating Custom User Interfaces in the Wolfram Language", "Title",
 CellChangeTimes->{{3.720193284509671*^9, 3.720193288595942*^9}, {
   3.726941915180914*^9, 3.726941915962871*^9}, 3.72805557420755*^9, {
   3.730591596400971*^9, 3.7305915992067432`*^9}, {3.80907318078056*^9, 
   3.8090731898991756`*^9}, {3.814690069698453*^9, 3.814690091817543*^9}, 
   3.8295277622591486`*^9},
 CellTags->
  "TOCTag-Title1",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76"],

Cell["designing responsive and fast interfaces II", "Subtitle",
 CellChangeTimes->{{3.7201933391803827`*^9, 3.720193342066636*^9}, {
   3.726941908757318*^9, 3.7269419228992167`*^9}, {3.727530497787223*^9, 
   3.72753049862645*^9}, 3.728055577046837*^9, {3.730591604782598*^9, 
   3.73059161531714*^9}, {3.8090732187961254`*^9, 3.80907322186788*^9}, {
   3.8146901092356324`*^9, 3.814690110586872*^9}, {3.814760148033428*^9, 
   3.814760150928732*^9}, {3.814760384743004*^9, 3.814760387072768*^9}, {
   3.815480659900916*^9, 3.815480663457412*^9}, {3.8295277658909497`*^9, 
   3.8295277663144217`*^9}, {3.8338720127008123`*^9, 
   3.833872017740538*^9}},ExpressionUUID->"abd2714b-c40b-491d-9b98-\
1f3d249655e3"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"3607ed0f-4d8f-45bb-b2a5-ffd7ec7e9099"],

Cell[CellGroupData[{

Cell["Learning Objectives", "Section",
 CellChangeTimes->{{3.8088114338663692`*^9, 3.8088114368553333`*^9}},
 CellTags->
  "TOCTag-Section1",ExpressionUUID->"2b580683-0ed4-4955-bf49-2e2d45ff0df4"],

Cell[CellGroupData[{

Cell["Avoiding unnecessary dynamics", "ItemNumbered",
 CellChangeTimes->{{3.8278355607272463`*^9, 3.827835590480259*^9}, {
  3.829036605924717*^9, 
  3.829036617560707*^9}},ExpressionUUID->"6fd592c5-cdd2-4bd4-a193-\
31913f65466e"],

Cell["Various types of supported progress indicators", "ItemNumbered",
 CellChangeTimes->{{3.8278355607272463`*^9, 
  3.827835590480259*^9}},ExpressionUUID->"1ecc1b7c-0534-4359-a944-\
f6109c0c4c89"],

Cell["Limitations of Monitor", "ItemNumbered",
 CellChangeTimes->{{3.8278355607272463`*^9, 3.827835608882104*^9}, 
   3.8278357207852144`*^9, {3.838114797910366*^9, 
   3.83811479973533*^9}},ExpressionUUID->"70fd1cb1-73ef-4bae-bf3f-\
812add6b7579"],

Cell["A functionality like Monitor suitable for GUI", "ItemNumbered",
 CellChangeTimes->{{3.8278355607272463`*^9, 3.8278356234479446`*^9}, 
   3.8278357231669006`*^9, {3.838114802831582*^9, 
   3.838114819383666*^9}},ExpressionUUID->"c8b400f0-8cee-4be9-93d5-\
6314377c0801"],

Cell["Adding progress panes in a wide range of scenarios", "ItemNumbered",
 CellChangeTimes->{{3.8278355607272463`*^9, 3.8278356231359377`*^9}, {
  3.8278356716879745`*^9, 
  3.827835701415577*^9}},ExpressionUUID->"4266a7aa-1987-466a-ab6b-\
819b8f85e2b1"],

Cell["Using DisplayWithProgress", "ItemNumbered",
 CellChangeTimes->{{3.8278355607272463`*^9, 3.8278356231359377`*^9}, {
  3.8278356716879745`*^9, 3.8278357175917835`*^9}, {3.827835792344364*^9, 
  3.8278357923463573`*^9}, {3.838114827760145*^9, 
  3.8381148334392843`*^9}},ExpressionUUID->"bfdf33e5-ee33-4a1d-819a-\
31106cdf9203"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Table of Contents", "Subsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.833872040769063*^9, 3.8338720451894903`*^9}, {
  3.83836603581558*^9, 3.83836603617098*^9}},
 CellTags->
  "TOCTag-Subsection1",ExpressionUUID->"ea102e6d-15df-4c56-a7e3-44410c0ec51f"],

Cell[BoxData[
 DynamicModuleBox[{CreateNotebookTOC`Private`secCount$$ = 19, 
  CreateNotebookTOC`Private`ssecCount$$ = 0, 
  CreateNotebookTOC`Private`sssecCount$$ = 0, 
  CreateNotebookTOC`Private`skippedSecs$$ = 0, 
  CreateNotebookTOC`Private`styleSec$$, 
  CreateNotebookTOC`Private`styleSubsec$$, 
  CreateNotebookTOC`Private`styleSubsubsec$$, 
  CreateNotebookTOC`Private`columnSpacings$$ = 1.2, 
  CreateNotebookTOC`Private`includedStyles$$ = {
  "Section", "Subsection", "Subsubsection"}}, 
  TagBox[GridBox[{
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Learning Objectives\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Learning Objectives\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section1"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Table of Contents\"", FontSize -> 20, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Table of Contents\"", FontSize -> 20, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection1"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "2", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Dealing with Slow Interfaces\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Dealing with Slow Interfaces\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section2"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "3", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Using ContinuousAction\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Using ContinuousAction\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section3"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "4", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Using ContinuousAction (contd.)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Using ContinuousAction (contd.)\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section4"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "4", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> 
             StyleBox[
              "\"ContinuousAction->True\"", FontSize -> 18, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"ContinuousAction->True\"", FontSize -> 18, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection1"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "4", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "2", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"ContinuousAction->False\"", FontSize -> 18, FontFamily -> 
               "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"ContinuousAction->False\"", FontSize -> 18, FontFamily -> 
               "Cambria", "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection2"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "5", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Using ControlActive\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Using ControlActive\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section5"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "5", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 1\"", FontSize -> 20, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 1\"", FontSize -> 20, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection2"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "5", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "2", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 2\"", FontSize -> 20, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 2\"", FontSize -> 20, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection3"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "5", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "3", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 3\"", FontSize -> 20, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 3\"", FontSize -> 20, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection4"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "6", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Button Technique\"", FontSize -> 20, FontFamily -> "Cambria",
                Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Button Technique\"", FontSize -> 20, FontFamily -> "Cambria",
                Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section6"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "7", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"PaneSelector vs. If\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"PaneSelector vs. If\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section7"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "8", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Pre-computing the Values\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Pre-computing the Values\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section8"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "9", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Making an Update Front End Friendly\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Making an Update Front End Friendly\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section9"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "9", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 1\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 1\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection3"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "9", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "2", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 2\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 2\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection4"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "9", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "3", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox["\"\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection5"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "10", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Displaying a Progress Pane\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Displaying a Progress Pane\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section10"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "11", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Limitations of Monitor\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Limitations of Monitor\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section11"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "12", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Functionality like Monitor for GUI\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Functionality like Monitor for GUI\"", FontSize -> 20, 
               FontFamily -> "Cambria", Bold, "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section12"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "13", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Static Objects\"", FontSize -> 20, FontFamily -> "Cambria", 
               Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Static Objects\"", FontSize -> 20, FontFamily -> "Cambria", 
               Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section13"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "13", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 1: Long Computation Time\"", FontSize -> 20, 
               FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 1: Long Computation Time\"", FontSize -> 20, 
               FontFamily -> "Cambria", "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection5"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "14", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Static Objects (contd.)\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Static Objects (contd.)\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section14"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{60}, "Spacer1"], 
        StyleBox[
        "14", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\".\"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Example 2: Long Rendering Time\"", FontSize -> 20, 
               FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Example 2: Long Rendering Time\"", FontSize -> 20, 
               FontFamily -> "Cambria", "HyperlinkActive", StripOnInput -> 
               False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsection6"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "15", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Dynamic Objects\"", FontSize -> 20, FontFamily -> "Cambria", 
               Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Dynamic Objects\"", FontSize -> 20, FontFamily -> "Cambria", 
               Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section15"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "16", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Additional Examples\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Additional Examples\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section16"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "17", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Concluding Remarks\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Concluding Remarks\"", FontSize -> 20, FontFamily -> 
               "Cambria", Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section17"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "18", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Exercises\"", FontSize -> 20, FontFamily -> "Cambria", Bold, 
               
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Exercises\"", FontSize -> 20, FontFamily -> "Cambria", Bold, 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section18"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "18", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "1", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Exercise 1\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Exercise 1\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection6"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "18", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "2", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Exercise 2\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Exercise 2\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection7"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{90}, "Spacer1"], 
        StyleBox[
        "18", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "0", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        
        StyleBox[
        "\".\"", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "3", FontSize -> 18, FontFamily -> "Cambria", StripOnInput -> False], 
        "\" \"", 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Exercise 3\"", FontSize -> 18, FontFamily -> "Cambria", 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Exercise 3\"", FontSize -> 18, FontFamily -> "Cambria", 
               "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Subsubsection8"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]},
     {
      TemplateBox[{
        TemplateBox[{30}, "Spacer1"], 
        StyleBox[
        "19", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        StyleBox[
        "\". \"", Bold, FontSize -> 20, FontFamily -> "Cambria", StripOnInput -> 
         False], 
        DynamicModuleBox[{
         CreateNotebookTOC`Private`buttonAction$$, 
          CreateNotebookTOC`Private`textCont$$, 
          CreateNotebookTOC`Private`fixStringPattern1$$, 
          CreateNotebookTOC`Private`fixStringPattern2$$, 
          CreateNotebookTOC`Private`fixStringPattern3$$, 
          CreateNotebookTOC`Private`fixStringPattern4$$, 
          CreateNotebookTOC`Private`fixStringNum$$ = 
          Composition[
           CreateNotebookTOC`Private`fixStringPattern1$$, 
            CreateNotebookTOC`Private`fixStringPattern2$$, 
            CreateNotebookTOC`Private`fixStringPattern3$$, 
            CreateNotebookTOC`Private`fixStringPattern4$$]}, 
         TagBox[
          ButtonBox[
           
           PaneSelectorBox[{
            False -> StyleBox[
              "\"Initializations\"", FontSize -> 20, FontFamily -> "Cambria", 
               Bold, 
               GrayLevel[0], StripOnInput -> False], True -> 
             StyleBox[
              "\"Initializations\"", FontSize -> 20, FontFamily -> "Cambria", 
               Bold, "HyperlinkActive", StripOnInput -> False]}, 
            Dynamic[
             CurrentValue["MouseOver"]], ImageSize -> Automatic, FrameMargins -> 
            0], ButtonFunction :> NotebookLocate["TOCTag-Section19"], 
           Appearance -> None, Alignment -> Left, Evaluator -> Automatic, 
           Method -> "Preemptive"], 
          MouseAppearanceTag["LinkHand"]], 
         DynamicModuleValues :> {{
           DownValues[CreateNotebookTOC`Private`buttonAction$$] = {HoldPattern[
                CreateNotebookTOC`Private`buttonAction$$[
                 Pattern[CreateNotebookTOC`Private`cell1, 
                  Blank[]]]] :> NotebookLocate[
                Part[
                 Cases[
                  Flatten[{
                    Part[
                    Options[CreateNotebookTOC`Private`cell1, CellTags], 1, 
                    2]}], 
                  Condition[
                   Pattern[CreateNotebookTOC`Private`s, 
                    Blank[]], 
                   StringContainsQ[CreateNotebookTOC`Private`s, "TOCTag-"]]], 
                 1]]}}, {
           DownValues[CreateNotebookTOC`Private`textCont$$] = {HoldPattern[
                CreateNotebookTOC`Private`textCont$$[
                 Pattern[CreateNotebookTOC`Private`cell1$, 
                  Blank[]]]] :> 
              Module[{CreateNotebookTOC`Private`cont$}, 
                CreateNotebookTOC`Private`cont$ = Part[
                   MathLink`CallFrontEnd[
                    FrontEnd`ExportPacket[
                    NotebookRead[CreateNotebookTOC`Private`cell1$], 
                    "PlainText"]], 1]; If[
                  OptionValue[
                  CreateNotebookTOC`CreateNotebookTOC, {
                   "FontSizeSection" -> 20, "FontSizeSubsection" -> 20, 
                    "FontSizeSubsubsection" -> 18, "ColumnSpacings" -> 1.2}, 
                   "DeleteExistingNumberings"], 
                  CreateNotebookTOC`Private`fixStringNum$$[
                  CreateNotebookTOC`Private`cont$], 
                  CreateNotebookTOC`Private`cont$]]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern1$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern1$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern2$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern2$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern3$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern3$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], " ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}, {
           DownValues[CreateNotebookTOC`Private`fixStringPattern4$$] = {
             HoldPattern[
                CreateNotebookTOC`Private`fixStringPattern4$$[
                 Pattern[CreateNotebookTOC`Private`s, 
                  Blank[]]]] :> 
              StringReplace[CreateNotebookTOC`Private`s, StringExpression[
                  Repeated[DigitCharacter], ".", 
                  Repeated[DigitCharacter], ". ", 
                  Pattern[CreateNotebookTOC`Private`s1, 
                   BlankNullSequence[]]] :> CreateNotebookTOC`Private`s1]}}}]},
       "RowDefault"]}
    },
    DefaultBaseStyle->"Column",
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{1.2}}}],
   "Column"],
  DynamicModuleValues:>{{
    DownValues[CreateNotebookTOC`Private`styleSec$$] = {HoldPattern[
         CreateNotebookTOC`Private`styleSec$$[
          Pattern[CreateNotebookTOC`Private`s, 
           Blank[]]]] :> 
       Style[CreateNotebookTOC`Private`s, Bold, FontSize -> 
         CreateNotebookTOC`Private`fontSizeSec, FontFamily -> 
         CreateNotebookTOC`Private`fontFamily]}}, {
    DownValues[CreateNotebookTOC`Private`styleSubsec$$] = {HoldPattern[
         CreateNotebookTOC`Private`styleSubsec$$[
          Pattern[CreateNotebookTOC`Private`s, 
           Blank[]]]] :> 
       Style[CreateNotebookTOC`Private`s, Bold, FontSize -> 
         CreateNotebookTOC`Private`fontSizeSubsec, FontFamily -> 
         CreateNotebookTOC`Private`fontFamily]}}, {
    DownValues[CreateNotebookTOC`Private`styleSubsubsec$$] = {HoldPattern[
         CreateNotebookTOC`Private`styleSubsubsec$$[
          Pattern[CreateNotebookTOC`Private`s, 
           Blank[]]]] :> 
       Style[CreateNotebookTOC`Private`s, FontSize -> 
         CreateNotebookTOC`Private`fontSizeSubsubsec, FontFamily -> 
         CreateNotebookTOC`Private`fontFamily]}}},
  Initialization:>(Cells[
     EvaluationNotebook[], 
     CellStyle -> {
      "Title", "Chapter", "Section", "Subsection", "Subsubsection"}]; 
   Null)]], "Output",
 Deployed->True,
 GeneratedCell->False,
 ShowCellLabel->False,
 CellChangeTimes->{
  3.839650819184606*^9},ExpressionUUID->"dc0d1153-b550-49df-8084-\
7cab7414609e"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"08e821b1-b4d4-4dd2-a5d7-d0f9607469bb"],

Cell[CellGroupData[{

Cell["Dealing with Slow Interfaces", "Section",
 CellChangeTimes->{{3.8075742251418376`*^9, 3.807574233623749*^9}, {
  3.8075871779257107`*^9, 3.8075871808920326`*^9}, {3.8093486029609575`*^9, 
  3.8093486086427603`*^9}, {3.818733441642296*^9, 3.818733447846361*^9}, {
  3.8381148370638857`*^9, 3.838114840022129*^9}},
 CellTags->
  "TOCTag-Section2",ExpressionUUID->"4c726470-071d-4dbd-bf93-84a66cd5d85f"],

Cell["\<\
Slow components in an interface lead to degradation of the quality of user \
experience. An interface with a sluggish slider:\
\>", "Text",
 CellChangeTimes->{{3.8243598520433307`*^9, 3.824359889206574*^9}, {
  3.824360208074705*^9, 3.824360214120369*^9}, {3.8263386336219816`*^9, 
  3.826338662403964*^9}, {3.826338743757201*^9, 
  3.826338750251981*^9}},ExpressionUUID->"b8f0ae76-451b-434b-8b34-\
8017c92d4d52"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"range", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<range \>\"", ",", 
          RowBox[{"Slider", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", "range", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "10", ",", "1"}], "}"}]}], "]"}]}], "}"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sin", "[", "x", "]"}], " ", 
           RowBox[{"Sin", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
          InterpretationBox[
           DynamicModuleBox[{Typeset`open = False}, 
            TemplateBox[{"Expression", 
              StyleBox[
              "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                   TagBox["Sequence", "IconizedItem"]}]}, {
                 RowBox[{
                   TagBox["\"Length: \"", "IconizedLabel"], 
                   "\[InvisibleSpace]", 
                   TagBox["7", "IconizedItem"]}]}, {
                 RowBox[{
                   TagBox["\"Byte count: \"", "IconizedLabel"], 
                   "\[InvisibleSpace]", 
                   TagBox["504", "IconizedItem"]}]}}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
               "Column", 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              Dynamic[Typeset`open]},
             "IconizedObject"]],
           Sequence[
           PlotPoints -> 300, Axes -> True, Ticks -> None, Mesh -> None, 
            Boxed -> False, ImageSize -> Medium, AxesLabel -> Automatic],
           SelectWithContents->True,
           Selectable->False]}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}],
      "]"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]"}]], "Input",\

 CellChangeTimes->{{3.807595754206324*^9, 3.807595756736997*^9}, {
  3.8093439509689503`*^9, 3.809343953604169*^9}, {3.810112101383279*^9, 
  3.810112106225852*^9}, {3.810184484707738*^9, 3.8101845223348694`*^9}, {
  3.824359936151205*^9, 3.82436006472769*^9}, {3.824360168459882*^9, 
  3.8243601718189707`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"0b6dc94e-e89f-47f0-9710-6a9c05a77d44"],

Cell["\<\
General strategy to deal with slow interfaces:
\
\>", "Text",
 CellChangeTimes->{{3.8187341501479993`*^9, 3.818734178633067*^9}, 
   3.8187362600374885`*^9, 3.8243592178376293`*^9, {3.8243602334276466`*^9, 
   3.824360246565136*^9}, 
   3.8375789842443686`*^9},ExpressionUUID->"d0cb831f-e499-4fc4-9847-\
bdcb85c05fbd"],

Cell[TextData[Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzs3U+sJdl5GPZCIgfWLnTDFrKx4d5Hvc2iF84qSC9tBBgY5IJOlEY2pCQT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    "], {{0, 380.64}, {771.36, 0}}, {0, 255},
    ColorFunction->RGBColor,
    ImageResolution->{150, 150}],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  DefaultBaseStyle->"ImageGraphics",
  ImageSize->{799.6785714285718, Automatic},
  ImageSizeRaw->{771.36, 380.64},
  PlotRange->{{0, 771.36}, {
    0, 380.64}}]],ExpressionUUID->"7088617d-1e05-42b0-9b51-fcc7b8808698"]], \
"Text",
 CellFrame->True,
 CellMargins->{{260, 260}, {0, 0}},
 CellFrameColor->RGBColor[1., 0.7, 0.6],
 CellFrameLabels->{{None, None}, {
    TagBox[
     GridBox[{{
        FrameBox[
        "\"\"", BaseStyle -> {
          "Text", FontColor -> GrayLevel[0], ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.4], Automatic}, Background -> 
             RGBColor[0.99, 0.99, 0.99]}}, StripOnInput -> False], 
        FrameBox[
        "\"General strategies\"", 
         BaseStyle -> {
          "Text", FontColor -> 
           RGBColor[
            0.09999999999999998, 0.09999999999999998, 0.09999999999999998], 
           ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.4], Automatic}, Background -> 
             RGBColor[1., 0.7, 0.6]}}, Alignment -> {Center, Center}, 
         StripOnInput -> False], 
        FrameBox[
        "\"\"", BaseStyle -> {
          "Text", FontColor -> GrayLevel[0], ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.4], Automatic}, Background -> 
             RGBColor[0.99, 0.99, 0.99]}}, StripOnInput -> False]}}, 
      AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], None}},
 CellFrameLabelMargins->{{10, 10}, {0, 0}},
 CellChangeTimes->{{3.837559436024768*^9, 3.837559446654371*^9}, {
  3.8383660801016397`*^9, 3.8383660809251857`*^9}},
 TextAlignment->Center,
 Background->RGBColor[
  0.99, 0.99, 0.99],ExpressionUUID->"98535cf0-d742-459b-8d86-b6ca3f5c81fa"],

Cell["\<\

In order to manage slow interfaces:\
\>", "Text",
 CellChangeTimes->{{3.824360274387206*^9, 3.824360284884727*^9}, {
   3.8243604793087296`*^9, 3.82436048232364*^9}, 
   3.8375789873084693`*^9},ExpressionUUID->"2314ede5-578d-476e-a50a-\
84d77f6644cc"],

Cell[CellGroupData[{

Cell["\<\
Use delayed or stepped loading when applicable, in the loading stage.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8243602932108984`*^9, 3.8243603250623035`*^9}, {
  3.826338780860605*^9, 3.826338783820523*^9}, {3.838115063163245*^9, 
  3.838115072491585*^9}},ExpressionUUID->"109364eb-549b-4957-9aac-\
4727a9625f2c"],

Cell["\<\
Try to optimize the kernel computations and avoid unnecessary dynamics, in \
the operational stage.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8243602932108984`*^9, 3.82436032076644*^9}, {
  3.8243603565402927`*^9, 3.824360385424608*^9}, {3.8263387876686063`*^9, 
  3.826338788028409*^9}, {3.8263388336756907`*^9, 3.826338842411765*^9}, {
  3.838115066580118*^9, 
  3.838115075323532*^9}},ExpressionUUID->"28e6a407-c71f-4765-a65f-\
f5dc3fbe8050"],

Cell["\<\
After applying the two abovementioned techniques, use progress indicators for \
the remaining slow components.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.8243602932108984`*^9, 3.82436032076644*^9}, {
  3.8243603565402927`*^9, 3.824360454470972*^9}, {3.8243604872755876`*^9, 
  3.8243605208453255`*^9}, {3.83811506918822*^9, 
  3.8381150765404463`*^9}},ExpressionUUID->"8d64cd5e-db18-4667-9242-\
59519f562bd9"]
}, Open  ]],

Cell["\<\
The techniques will be discussed in detail in the subsequent slides.\
\>", "Text",
 CellChangeTimes->{{3.8243602932108984`*^9, 3.82436032076644*^9}, {
  3.8243603565402927`*^9, 3.824360454470972*^9}, {3.8243604872755876`*^9, 
  3.8243605454650736`*^9}},ExpressionUUID->"4921f3aa-2931-414a-86b8-\
57d769621a8b"],

Cell["\<\
While testing code in the notebook, if you find that an interface is slowing \
down the front end, instead of clearing all the variables (ClearAll[\
\[OpenCurlyDoubleQuote]Global`*\[CloseCurlyDoubleQuote]]) or quitting the \
kernel, you may simply delete the output cell containing the interface.\
\>", "Text",
 CellFrame->True,
 CellFrameColor->RGBColor[0.46, 0.9, 0.36],
 CellFrameLabels->{{None, None}, {None, 
    TagBox[
     GridBox[{{
        FrameBox[
         StyleBox[
         "\"Quick Tip\"", 16, FontWeight -> Medium, StripOnInput -> False], 
         BaseStyle -> {
          "Text", FontColor -> 
           RGBColor[
            0.09999999999999998, 0.09999999999999998, 0.09999999999999998], 
           ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.1], Automatic}, Background -> 
             RGBColor[0.514, 0.91, 0.424]}}, Alignment -> {Center, Center}, 
         StripOnInput -> False], 
        FrameBox[
        "\"\"", BaseStyle -> {
          ShowStringCharacters -> False, 
           FrameBoxOptions -> {FrameStyle -> None, ImageSize -> {
               Scaled[0.915], Automatic}, Background -> None}}, 
         Alignment -> {Center, Center}, StripOnInput -> False]}}, AutoDelete -> 
      False, GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"]}},
 CellFrameLabelMargins->{{0, 0}, {0, 0}},
 CellChangeTimes->{{3.8375600632801905`*^9, 3.8375600772189875`*^9}, {
  3.838115081243696*^9, 3.8381150890766163`*^9}},
 Background->GrayLevel[
  1],ExpressionUUID->"baabbc8a-7da9-49b9-ae6c-b323a55e44ca"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"1346eba1-b127-4694-83f9-990f9b87b242"],

Cell["\<\




Avoiding Unnecessary Dynamics





\
\>", "Chapter",
 CellFrame->{{2, 2}, {2, 8}},
 ShowCellBracket->False,
 CellMargins->{{10, 10}, {10, 10}},
 CellChangeTimes->{
  3.808911010045186*^9, {3.809401297023183*^9, 3.8094012990147753`*^9}, {
   3.8101897440494947`*^9, 3.8101897454268465`*^9}, {3.82435951640615*^9, 
   3.8243595211243043`*^9}, {3.8290366289946775`*^9, 3.829036637488609*^9}, {
   3.836024003931946*^9, 3.8360240054897804`*^9}},
 TextAlignment->Center,
 Background->RGBColor[1, 0.9, 0.8],
 CellTags->
  "TOCTag-Chapter1",ExpressionUUID->"e7c7e39a-086b-46b9-bc32-a4bcbc938ffb"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"af6e7ecf-d69d-4067-ab52-641bf096314b"],

Cell[CellGroupData[{

Cell["Using ContinuousAction", "Section",
 CellChangeTimes->{{3.8075815763411984`*^9, 3.807581580017336*^9}, {
  3.8195266659375277`*^9, 3.819526666540018*^9}},
 CellTags->
  "TOCTag-Section3",ExpressionUUID->"82353e67-d5c2-414b-ba98-a45fab0791a4"],

Cell[TextData[{
 "For slowly updating ",
 StyleBox[ButtonBox["Dynamic",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dynamic"],
  FontWeight->"Bold"],
 ", you can disable the continuous action of the slider, so that the update \
happens only at the time when the slider is released."
}], "Text",
 CellChangeTimes->{{3.808134363988017*^9, 3.8081343820327635`*^9}, {
   3.8245517509864635`*^9, 3.824551799823922*^9}, {3.8263468293532114`*^9, 
   3.826346846321068*^9}, 3.83764536801131*^9, 
   3.838115097649448*^9},ExpressionUUID->"1b58b0f3-df23-4de3-9bd1-\
a37b2e08a2d1"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{"Pause", "[", "0.3", "]"}]], "Input",ExpressionUUID->
  "3718d82f-e7fd-4c54-9c62-7cebce51ce0e"],
 " simulates a lengthy computation\[LongDash]the slider is sluggish:"
}], "Text",
 CellChangeTimes->{{3.8081344814529552`*^9, 3.8081345240914965`*^9}, 
   3.8161461159990387`*^9, {3.8381151071990213`*^9, 
   3.838115111634892*^9}},ExpressionUUID->"c2df3ee8-9cb7-45af-b673-\
a3a2bd714b26"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", "x", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Slider", "[", 
        RowBox[{"Dynamic", "[", "x", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{
         RowBox[{"Pause", "[", "0.3", "]"}], ";", "x"}], "]"}]}], "}"}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.808134392488842*^9, 3.8081344665727444`*^9}, {
  3.8195266753547926`*^9, 3.8195266766624823`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"eaca7571-d29f-4d0e-8938-de2f26bc8536"],

Cell[TextData[{
 "The slider moves fast with ",
 StyleBox[ButtonBox["ContinuousAction",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ContinuousAction"],
  FontWeight->"Bold"],
 "->False:"
}], "Text",
 CellChangeTimes->{{3.8081345313889837`*^9, 3.808134544867942*^9}, 
   3.810184965043667*^9, 3.8166665252915187`*^9, {3.8381151165745783`*^9, 
   3.838115135764936*^9}},ExpressionUUID->"975cff7f-2030-40d2-96a2-\
508b5d475fae"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", "x", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Slider", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "x", "]"}], ",", 
         StyleBox[
          RowBox[{"ContinuousAction", "\[Rule]", "False"}],
          Background->RGBColor[1, 0.9, 0.8]]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{
         RowBox[{"Pause", "[", "0.3", "]"}], ";", "x"}], "]"}]}], "}"}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.808134392488842*^9, 3.8081344665727444`*^9}, {
  3.808134556045055*^9, 3.8081345589492893`*^9}, {3.8195266940914235`*^9, 
  3.8195266974902334`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"b0d2f35f-c903-45eb-8351-71c2443a2ab9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"0591c14d-75f4-4006-b237-fa0a7f4a61a3"],

Cell[CellGroupData[{

Cell["Using ContinuousAction (contd.)", "Section",
 CellChangeTimes->{{3.8075815763411984`*^9, 3.807581580017336*^9}, {
  3.8195266659375277`*^9, 3.819526666540018*^9}, {3.836027973886907*^9, 
  3.8360279778547177`*^9}},
 CellTags->
  "TOCTag-Section4",ExpressionUUID->"35c98fc4-b07a-4e3b-a001-7731c6420874"],

Cell["\<\
Setting ContinuousAction to False comes with the price that you cannot see \
the variable being updated dynamically, which may not look nice for graphical \
elements:\
\>", "Text",
 CellChangeTimes->{{3.8081345734205914`*^9, 3.808134619558215*^9}, {
   3.808134659020584*^9, 3.8081346640960135`*^9}, {3.809403328004922*^9, 
   3.809403330365179*^9}, {3.8245518172013927`*^9, 3.824551820194293*^9}, {
   3.8360279798409586`*^9, 3.8360279933256936`*^9}, 3.837645372874954*^9, {
   3.838115146925886*^9, 
   3.838115150829215*^9}},ExpressionUUID->"f6756f07-91a3-45a5-b7b7-\
2a7887907289"],

Cell[TextData[StyleBox["ContinuousAction->True", "Input",
 FontFamily->"Source Sans Pro",
 FontSize->22,
 FontWeight->"Plain"]], "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.8081346974468317`*^9, 3.808134704124935*^9}, 
   3.808185480887499*^9, 3.816666426891754*^9, {3.8290384701091557`*^9, 
   3.829038476559333*^9}},
 CellTags->
  "TOCTag-Subsubsection1",ExpressionUUID->"8a90ebc3-e50c-44fa-b568-\
a5a2961bfae1"],

Cell["You can see the graphic updating continuously:", "Text",
 CellChangeTimes->{{3.8264118721505575`*^9, 3.8264118817502103`*^9}, 
   3.83764537889756*^9},ExpressionUUID->"e7f2454d-3d5e-4c45-be0e-\
16d3e59c836f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"zoom", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<Zoom \>\"", ",", 
           RowBox[{"Slider", "[", 
            RowBox[{
             RowBox[{"Dynamic", "[", "zoom", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0.1", ",", "2", ",", "0.1"}], "}"}]}], "]"}], ",", 
           RowBox[{"Spacer", "[", "10", "]"}], ",", 
           RowBox[{"Dynamic", "[", "zoom", "]"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ListPlot3D", "[", 
         RowBox[{"dataListPlot3D", ",", "optionsListPlot3D", ",", 
          RowBox[{"ViewAngle", "\[Rule]", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"0.611", "/", "zoom"}], "]"}]}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.81666589590644*^9, 3.816665902296064*^9}, {
  3.8166659344130945`*^9, 3.816665990806635*^9}, {3.816666029984971*^9, 
  3.816666101561693*^9}, {3.8166661485197725`*^9, 3.816666238061363*^9}, {
  3.816666363235268*^9, 3.8166663688745527`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"13c2a8fc-fcf5-4963-8de5-1ea8e775c55a"],

Cell[TextData[StyleBox["ContinuousAction->False", "Input",
 FontFamily->"Source Sans Pro",
 FontSize->22,
 FontWeight->"Plain"]], "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.8081347121086264`*^9, 3.8081347174762373`*^9}, 
   3.808185496165017*^9},
 CellTags->
  "TOCTag-Subsubsection2",ExpressionUUID->"5a685d5e-d5fe-40e9-aafa-\
87fb84ea5ee4"],

Cell["\<\
Although the slider is smoother, you can no longer see the graphic updating \
continuously:\
\>", "Text",
 CellChangeTimes->{{3.8264118873578677`*^9, 3.8264119057262397`*^9}, 
   3.837645383204589*^9},ExpressionUUID->"98786b76-165d-4205-87a1-\
b76d9e660b4f"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"zoom", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<Zoom \>\"", ",", 
          RowBox[{"Slider", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", "zoom", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0.1", ",", "2", ",", "0.1"}], "}"}], ",", 
            RowBox[{"ContinuousAction", "\[Rule]", "False"}]}], "]"}], ",", 
          RowBox[{"Spacer", "[", "10", "]"}], ",", 
          RowBox[{"Dynamic", "[", "zoom", "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ListPlot3D", "[", 
        RowBox[{"dataListPlot3D", ",", "optionsListPlot3D", ",", 
         RowBox[{"ViewAngle", "\[Rule]", 
          RowBox[{"Dynamic", "[", 
           RowBox[{"0.611", "/", "zoom"}], "]"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
     RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.816666125259127*^9, 3.8166661280714235`*^9}, {
  3.816666245090475*^9, 3.8166662521205797`*^9}, {3.8166663654686356`*^9, 
  3.816666371139149*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"46a36b4d-5947-4e1a-87bc-ea7f232531ba"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"833a1e27-38c7-4828-926e-f54059476015"],

Cell[CellGroupData[{

Cell["Using ControlActive", "Section",
 CellChangeTimes->{{3.808394826655307*^9, 3.8083948318065233`*^9}},
 CellTags->
  "TOCTag-Section5",ExpressionUUID->"fad5ea25-368d-444a-bd9c-4ac08e75ef83"],

Cell[TextData[{
 "Setting ContinuousAction->False disables the dynamic update while a slider \
is moving. During that time, you can display something informative using ",
 StyleBox[ButtonBox["ControlActive",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ControlActive"],
  FontWeight->"Bold"],
 "."
}], "Text",
 CellChangeTimes->{{3.809404666548112*^9, 3.809404694603309*^9}, {
   3.809404818021835*^9, 3.809404867421457*^9}, 3.810357168995895*^9, 
   3.819624801789045*^9, {3.824551859665507*^9, 3.8245519409302855`*^9}, 
   3.837645386002742*^9, {3.838115184057755*^9, 
   3.838115205276349*^9}},ExpressionUUID->"0cb41556-614a-4f4d-82c8-\
5643389ce1e9"],

Cell[CellGroupData[{

Cell["Example 1", "Subsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.819624809029693*^9, 3.8196248107162204`*^9}},
 CellTags->
  "TOCTag-Subsection2",ExpressionUUID->"b1a19d1a-1242-4650-b875-cd637034ed8a"],

Cell["Display something while the slider is moving:", "Text",
 CellChangeTimes->{{3.8196248154216084`*^9, 
  3.8196248218863707`*^9}},ExpressionUUID->"d98f5596-b840-4e52-b847-\
e549726ae6fa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", "x", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Slider", "[", 
        RowBox[{"Dynamic", "[", "x", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"ControlActive", "[", 
         RowBox[{"\"\<Rendering...\>\"", ",", 
          RowBox[{"x", "^", "2"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
      "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.809404869725501*^9, 3.8094049083794565`*^9}, {
   3.810185413817505*^9, 3.810185431288417*^9}, 3.819527014139247*^9, {
   3.8196247389250975`*^9, 3.8196247505729556`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"1b79b628-3723-4c38-9482-e03a33148f51"]
}, Closed]],

Cell[CellGroupData[{

Cell["Example 2", "Subsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.8196248300455604`*^9, 3.8196248316612062`*^9}},
 CellTags->
  "TOCTag-Subsection3",ExpressionUUID->"c73202fd-aa70-4dba-b8fc-a561574c52c0"],

Cell["The slider is sluggish by itself:", "Text",
 CellChangeTimes->{{3.8196248412945127`*^9, 
  3.819624853540762*^9}},ExpressionUUID->"1a773599-9184-4786-be25-\
f82b5d9e0269"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "x", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Slider", "[", 
       RowBox[{"Dynamic", "[", "x", "]"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Dynamic", "[", 
       RowBox[{
        RowBox[{"Pause", "[", "1.5", "]"}], ";", 
        RowBox[{"x", "^", "2"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], 
    "]"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.8196248590529985`*^9, 3.8196248651258*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"0f4f3662-1a0a-4b49-abd9-e46fb9eceea4"],

Cell["\<\
Use ControlActive to show something when the slider is moving:\
\>", "Text",
 CellChangeTimes->{{3.819624885405566*^9, 
  3.819624900011527*^9}},ExpressionUUID->"809e433a-35a9-421d-9f23-\
cb1291f0b5e6"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "x", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Slider", "[", 
       RowBox[{"Dynamic", "[", "x", "]"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Dynamic", "[", 
       RowBox[{"ControlActive", "[", 
        RowBox[{"\"\<Rendering...\>\"", ",", 
         RowBox[{
          RowBox[{"Pause", "[", "1.5", "]"}], ";", 
          RowBox[{"x", "^", "2"}]}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
     "}"}], "]"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.819624906397502*^9, 3.8196249172554502`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"715ab10d-02bb-4eb5-8855-75022b32e467"]
}, Closed]],

Cell[CellGroupData[{

Cell["Example 3", "Subsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.8196249464933395`*^9, 3.819624948629589*^9}},
 CellTags->
  "TOCTag-Subsection4",ExpressionUUID->"531b5cf0-8b2c-4dbf-98ee-0718882ccd44"],

Cell[TextData[{
 "The following interface is sluggish since it has to render a large ",
 StyleBox[ButtonBox["ListContourPlot",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ListContourPlot"],
  FontWeight->"Bold"],
 ":"
}], "Text",
 CellChangeTimes->{{3.809406000283717*^9, 3.8094060187431183`*^9}, {
  3.838115218415181*^9, 
  3.838115229517614*^9}},ExpressionUUID->"324c64f7-44e5-4f35-9c83-\
b9f577efc82f"],

Cell[CellGroupData[{

Cell["Code", "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.829037766415216*^9, 3.8290377694244523`*^9}, 
   3.8383661807609324`*^9},ExpressionUUID->"c1480c47-d21c-4d20-8f61-\
52cc369de679"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DemoNoControlActive", "[", "]"}], ":=", 
  RowBox[{"DynamicModule", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", 
      RowBox[{"plot", "=", "\"\<\>\""}], ",", 
      RowBox[{"state", "=", "0"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Pane", "[", 
     RowBox[{
      RowBox[{"Column", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<a\>\"", ",", "space", ",", 
             RowBox[{"Slider", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "a", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "20"}], "}"}]}], "]"}]}], "}"}], "]"}], ",",
           "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<b\>\"", ",", "space", ",", 
             RowBox[{"Slider", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", "b", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "20"}], "}"}]}], "]"}]}], "}"}], "]"}], ",",
           "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", 
           RowBox[{"ListContourPlot", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               StyleBox[
                RowBox[{
                 RowBox[{"a", "*", 
                  RowBox[{"i", "^", "2"}]}], "-", 
                 RowBox[{"b", "*", 
                  RowBox[{"j", "^", "3"}]}]}],
                Background->RGBColor[1, 0.9, 0.8]], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", 
                 RowBox[{"-", "1.5"}], ",", "1.5", ",", "0.02"}], "}"}], ",", 
               
               RowBox[{"{", 
                RowBox[{"j", ",", 
                 RowBox[{"-", "1.5"}], ",", "1.5", ",", "0.02"}], "}"}]}], 
              "]"}], ",", 
             InterpretationBox[
              DynamicModuleBox[{Typeset`open = False}, 
               TemplateBox[{"Expression", 
                 StyleBox[
                 "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
                 
                 GridBox[{{
                    RowBox[{
                    TagBox["\"Head: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["Sequence", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Length: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["2", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Byte count: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["376", "IconizedItem"]}]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 Dynamic[Typeset`open]},
                "IconizedObject"]],
              Sequence[PlotTheme -> {"Monochrome", 
                 RGBColor[1, 0.5, 0]}, FrameTicks -> None],
              SelectWithContents->True,
              Selectable->False]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
         "}"}], ",", "\[IndentingNewLine]", 
        InterpretationBox[
         DynamicModuleBox[{Typeset`open = False}, 
          TemplateBox[{"Expression", 
            StyleBox[
            "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                 TagBox["Sequence", "IconizedItem"]}]}, {
               RowBox[{
                 TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                 TagBox["1", "IconizedItem"]}]}, {
               RowBox[{
                 TagBox["\"Byte count: \"", "IconizedLabel"], 
                 "\[InvisibleSpace]", 
                 TagBox["104", "IconizedItem"]}]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
             "Column", 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
            Dynamic[Typeset`open]},
           "IconizedObject"]],
         Sequence[Alignment -> Center],
         SelectWithContents->True,
         Selectable->False]}], "]"}], ",", "\[IndentingNewLine]", 
      InterpretationBox[
       DynamicModuleBox[{Typeset`open = False}, 
        TemplateBox[{"Expression", 
          StyleBox[
          "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
          GridBox[{{
             RowBox[{
               TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
               TagBox["Sequence", "IconizedItem"]}]}, {
             RowBox[{
               TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
               TagBox["2", "IconizedItem"]}]}, {
             RowBox[{
               TagBox["\"Byte count: \"", "IconizedLabel"], 
               "\[InvisibleSpace]", 
               TagBox["184", "IconizedItem"]}]}}, 
           GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
           "Column", 
           GridBoxItemSize -> {
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
          Dynamic[Typeset`open]},
         "IconizedObject"]],
       Sequence[Alignment -> Center, ImageSize -> 400],
       SelectWithContents->True,
       Selectable->False]}], "]"}], ",", "\[IndentingNewLine]", 
    InterpretationBox[
     DynamicModuleBox[{Typeset`open = False}, 
      TemplateBox[{"Expression", 
        StyleBox["\"styling\"", "IconizedCustomName", StripOnInput -> False], 
        
        GridBox[{{
           RowBox[{
             TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
             TagBox["Sequence", "IconizedItem"]}]}, {
           RowBox[{
             TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
             TagBox["2", "IconizedItem"]}]}, {
           RowBox[{
             TagBox["\"Byte count: \"", "IconizedLabel"], "\[InvisibleSpace]", 
             TagBox["184", "IconizedItem"]}]}}, 
         GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
         "Column", 
         GridBoxItemSize -> {
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
        Dynamic[Typeset`open]},
       "IconizedObject"]],
     Sequence[Alignment -> Center, ImageSize -> 400],
     SelectWithContents->True,
     Selectable->False]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.8083948395548553`*^9, 3.808394878380983*^9}, {
   3.810185187870864*^9, 3.81018520404499*^9}, {3.8101852723840585`*^9, 
   3.810185312199956*^9}, 3.8101865430290904`*^9, {3.8101867633623495`*^9, 
   3.810186767819177*^9}, {3.826346880754989*^9, 3.8263469004820895`*^9}, {
   3.8290377353182807`*^9, 3.8290377514074955`*^9}, 3.838366180762923*^9},
 CellLabel->"In[48]:=",ExpressionUUID->"3c101ac3-8800-4ea2-ab0f-07a7bf2e165e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"DemoNoControlActive", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8290377542772617`*^9, 3.829037756678924*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"a3cced4d-cb20-4100-9441-e3a821246aae"],

Cell["\<\
The performance can be improved by showing a lower-quality image when the \
slider is moving:\
\>", "Text",
 CellChangeTimes->{{3.8094060243885126`*^9, 3.8094060510116405`*^9}, {
  3.8381152507365627`*^9, 
  3.838115250982725*^9}},ExpressionUUID->"0a6c4bfc-f8b4-444c-819f-\
3989b06bb558"],

Cell[CellGroupData[{

Cell["Code", "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.8290378175271235`*^9, 3.8290378186481123`*^9}, 
   3.8383662112456117`*^9},ExpressionUUID->"a8970802-e152-4828-9dcc-\
cefc392b7f0d"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DemoControlActive", "[", "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"DynamicModule", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", 
       RowBox[{"plot", "=", "\"\<\>\""}], ",", 
       RowBox[{"state", "=", "0"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pane", "[", 
      RowBox[{
       RowBox[{"Column", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<a\>\"", ",", "space", ",", 
              RowBox[{"Slider", "[", 
               RowBox[{
                RowBox[{"Dynamic", "[", "a", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "20"}], "}"}]}], "]"}]}], "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<b\>\"", ",", "space", ",", 
              RowBox[{"Slider", "[", 
               RowBox[{
                RowBox[{"Dynamic", "[", "b", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "20"}], "}"}]}], "]"}]}], "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
            RowBox[{
             StyleBox["ControlActive",
              Background->RGBColor[1, 0.9, 0.8]], "[", "\[IndentingNewLine]", 
             
             RowBox[{
              RowBox[{"ListContourPlot", "[", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  StyleBox[
                   RowBox[{
                    RowBox[{"a", "*", 
                    RowBox[{"i", "^", "2"}]}], "-", 
                    RowBox[{"b", "*", 
                    RowBox[{"j", "^", "3"}]}]}],
                   Background->RGBColor[1, 0.9, 0.8]], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", 
                    RowBox[{"-", "1.5"}], ",", "1.5", ",", 
                    StyleBox["0.2",
                    Background->RGBColor[1, 0.9, 0.8]]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"j", ",", 
                    RowBox[{"-", "1.5"}], ",", "1.5", ",", 
                    StyleBox["0.2",
                    Background->RGBColor[1, 0.9, 0.8]]}], "}"}]}], "]"}], ",", 
                InterpretationBox[
                 DynamicModuleBox[{Typeset`open = False}, 
                  TemplateBox[{"Expression", 
                    StyleBox[
                    "\"styling\"", "IconizedCustomName", StripOnInput -> 
                    False], 
                    GridBox[{{
                    RowBox[{
                    TagBox["\"Head: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["Sequence", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Length: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["2", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Byte count: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["376", "IconizedItem"]}]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    Dynamic[Typeset`open]},
                   "IconizedObject"]],
                 Sequence[PlotTheme -> {"Monochrome", 
                    RGBColor[1, 0.5, 0]}, FrameTicks -> None],
                 SelectWithContents->True,
                 Selectable->False]}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"ListContourPlot", "[", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  StyleBox[
                   RowBox[{
                    RowBox[{"a", "*", 
                    RowBox[{"i", "^", "2"}]}], "-", 
                    RowBox[{"b", "*", 
                    RowBox[{"j", "^", "3"}]}]}],
                   Background->RGBColor[1, 0.9, 0.8]], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", 
                    RowBox[{"-", "1.5"}], ",", "1.5", ",", 
                    StyleBox["0.02",
                    Background->RGBColor[1, 0.9, 0.8]]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"j", ",", 
                    RowBox[{"-", "1.5"}], ",", "1.5", ",", 
                    StyleBox["0.02",
                    Background->RGBColor[1, 0.9, 0.8]]}], "}"}]}], "]"}], ",", 
                InterpretationBox[
                 DynamicModuleBox[{Typeset`open = False}, 
                  TemplateBox[{"Expression", 
                    StyleBox[
                    "\"styling\"", "IconizedCustomName", StripOnInput -> 
                    False], 
                    GridBox[{{
                    RowBox[{
                    TagBox["\"Head: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["Sequence", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Length: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["2", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Byte count: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["376", "IconizedItem"]}]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    Dynamic[Typeset`open]},
                   "IconizedObject"]],
                 Sequence[PlotTheme -> {"Monochrome", 
                    RGBColor[1, 0.5, 0]}, FrameTicks -> None],
                 SelectWithContents->True,
                 Selectable->False]}], "]"}]}], "]"}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
         InterpretationBox[
          DynamicModuleBox[{Typeset`open = False}, 
           TemplateBox[{"Expression", 
             StyleBox[
             "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
             GridBox[{{
                RowBox[{
                  TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                  
                  TagBox["Sequence", "IconizedItem"]}]}, {
                RowBox[{
                  TagBox["\"Length: \"", "IconizedLabel"], 
                  "\[InvisibleSpace]", 
                  TagBox["1", "IconizedItem"]}]}, {
                RowBox[{
                  TagBox["\"Byte count: \"", "IconizedLabel"], 
                  "\[InvisibleSpace]", 
                  TagBox["104", "IconizedItem"]}]}}, 
              GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
              "Column", 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             Dynamic[Typeset`open]},
            "IconizedObject"]],
          Sequence[Alignment -> Center],
          SelectWithContents->True,
          Selectable->False]}], "]"}], ",", "\[IndentingNewLine]", 
       InterpretationBox[
        DynamicModuleBox[{Typeset`open = False}, 
         TemplateBox[{"Expression", 
           StyleBox[
           "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
           GridBox[{{
              RowBox[{
                TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                TagBox["Sequence", "IconizedItem"]}]}, {
              RowBox[{
                TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                
                TagBox["2", "IconizedItem"]}]}, {
              RowBox[{
                TagBox["\"Byte count: \"", "IconizedLabel"], 
                "\[InvisibleSpace]", 
                TagBox["184", "IconizedItem"]}]}}, 
            GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
            "Column", 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
           Dynamic[Typeset`open]},
          "IconizedObject"]],
        Sequence[Alignment -> Center, ImageSize -> 400],
        SelectWithContents->True,
        Selectable->False]}], "]"}], ",", "\[IndentingNewLine]", 
     InterpretationBox[
      DynamicModuleBox[{Typeset`open = False}, 
       TemplateBox[{"Expression", 
         StyleBox["\"styling\"", "IconizedCustomName", StripOnInput -> False], 
         GridBox[{{
            RowBox[{
              TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
              TagBox["Sequence", "IconizedItem"]}]}, {
            RowBox[{
              TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
              TagBox["2", "IconizedItem"]}]}, {
            RowBox[{
              TagBox["\"Byte count: \"", "IconizedLabel"], 
              "\[InvisibleSpace]", 
              TagBox["184", "IconizedItem"]}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
          "Column", 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
         Dynamic[Typeset`open]},
        "IconizedObject"]],
      Sequence[Alignment -> Center, ImageSize -> 400],
      SelectWithContents->True,
      Selectable->False]}], "]"}]}], "\[IndentingNewLine]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.8083842552300625`*^9, 3.808384306753296*^9}, {
   3.808384426869713*^9, 3.8083844336641626`*^9}, {3.8083946724386806`*^9, 
   3.808394718822646*^9}, {3.810185446182804*^9, 3.8101855112328925`*^9}, {
   3.810186533547844*^9, 3.8101865384166985`*^9}, {3.810186793263361*^9, 
   3.8101867939758434`*^9}, {3.8263469093712053`*^9, 
   3.8263469120018764`*^9}, {3.8290377866259785`*^9, 3.829037792857336*^9}, 
   3.838366211248646*^9},
 CellLabel->"In[49]:=",ExpressionUUID->"fc3a8753-91c4-4425-93db-3151a3ff1497"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"DemoControlActive", "[", "]"}]], "Input",
 CellChangeTimes->{{3.829037798637636*^9, 3.8290378023652945`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"aec3f1ec-9745-4aca-a11c-a7a507c7cfbb"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellChangeTimes->{{3.8083618268464813`*^9, 3.808361827973897*^9}},
 CellTags->
  "SlideShowHeader",ExpressionUUID->"64b2a79e-92fc-4b81-8282-d073020bf31f"],

Cell[CellGroupData[{

Cell["Button Technique", "Section",
 CellChangeTimes->{{3.80758161034065*^9, 3.807581620307827*^9}, {
   3.8081853472620583`*^9, 3.808185354119804*^9}, 3.8103576764259357`*^9, {
   3.838114867223702*^9, 3.8381148678727283`*^9}},
 CellTags->
  "TOCTag-Section6",ExpressionUUID->"65409a8f-b567-4833-8930-5a309aafb518"],

Cell["\<\
For time-consuming updates, instead of updating continuously as a slider \
moves, it can be helpful to have a button that triggers the update. \
\>", "Text",
 CellChangeTimes->{{3.8081851675695505`*^9, 3.8081851960940847`*^9}, {
   3.819630010393503*^9, 3.819630023946293*^9}, {3.8196300602582626`*^9, 
   3.8196300948447995`*^9}, 
   3.830165735360694*^9},ExpressionUUID->"da81d663-da56-4011-b923-\
15a8406aa11a"],

Cell[TextData[{
 "The sliders are sluggish since it takes some time to compute the updated ",
 StyleBox[ButtonBox["ListContourPlot",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ListContourPlot"],
  FontWeight->"Bold"],
 ":"
}], "Text",
 CellChangeTimes->{{3.8081851675695505`*^9, 3.8081851960940847`*^9}, {
  3.819630010393503*^9, 3.819630023946293*^9}, {3.8196300602582626`*^9, 
  3.8196300948447995`*^9}, {3.830165736142057*^9, 3.830165758417756*^9}, {
  3.838115270336195*^9, 
  3.838115282338686*^9}},ExpressionUUID->"c13db911-cfa8-43d5-b71b-\
3bc807b876bc"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Code",
 FontWeight->"Plain"]], "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.8290378821702824`*^9, 3.8290378827357664`*^9}, 
   3.8375790447083545`*^9},ExpressionUUID->"bdc3b295-9f4b-4692-ac44-\
bb9b6269f4d6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DemoNoButton", "[", "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"DynamicModule", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", 
       RowBox[{"plot", "=", "\"\<\>\""}], ",", 
       RowBox[{"state", "=", "0"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Pane", "[", 
      RowBox[{
       RowBox[{"Column", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<a\>\"", ",", "space", ",", 
              RowBox[{"Slider", "[", 
               RowBox[{
                RowBox[{"Dynamic", "[", "a", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "20"}], "}"}]}], "]"}]}], "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<b\>\"", ",", "space", ",", 
              RowBox[{"Slider", "[", 
               RowBox[{
                RowBox[{"Dynamic", "[", "b", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "20"}], "}"}]}], "]"}]}], "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"ListContourPlot", "[", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                StyleBox[
                 RowBox[{
                  RowBox[{"a", "*", 
                   RowBox[{"i", "^", "2"}]}], "-", 
                  RowBox[{"b", "*", 
                   RowBox[{"j", "^", "3"}]}]}],
                 Background->RGBColor[1, 0.9, 0.8]], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"-", "1.5"}], ",", "1.5", ",", "0.01"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"j", ",", 
                  RowBox[{"-", "1.5"}], ",", "1.5", ",", "0.01"}], "}"}]}], 
               "]"}], ",", 
              InterpretationBox[
               DynamicModuleBox[{Typeset`open = False}, 
                TemplateBox[{"Expression", 
                  StyleBox[
                  "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
                  GridBox[{{
                    RowBox[{
                    TagBox["\"Head: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["Sequence", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Length: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["2", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Byte count: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["376", "IconizedItem"]}]}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                  Dynamic[Typeset`open]},
                 "IconizedObject"]],
               Sequence[PlotTheme -> {"Monochrome", 
                  RGBColor[1, 0.5, 0]}, FrameTicks -> None],
               SelectWithContents->True,
               Selectable->False]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
          "}"}], ",", "\[IndentingNewLine]", 
         InterpretationBox[
          DynamicModuleBox[{Typeset`open = False}, 
           TemplateBox[{"Expression", 
             StyleBox[
             "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
             GridBox[{{
                RowBox[{
                  TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                  
                  TagBox["Sequence", "IconizedItem"]}]}, {
                RowBox[{
                  TagBox["\"Length: \"", "IconizedLabel"], 
                  "\[InvisibleSpace]", 
                  TagBox["1", "IconizedItem"]}]}, {
                RowBox[{
                  TagBox["\"Byte count: \"", "IconizedLabel"], 
                  "\[InvisibleSpace]", 
                  TagBox["104", "IconizedItem"]}]}}, 
              GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
              "Column", 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             Dynamic[Typeset`open]},
            "IconizedObject"]],
          Sequence[Alignment -> Center],
          SelectWithContents->True,
          Selectable->False]}], "]"}], ",", 
       InterpretationBox[
        DynamicModuleBox[{Typeset`open = False}, 
         TemplateBox[{"Expression", 
           StyleBox[
           "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
           GridBox[{{
              RowBox[{
                TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                TagBox["Sequence", "IconizedItem"]}]}, {
              RowBox[{
                TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                
                TagBox["2", "IconizedItem"]}]}, {
              RowBox[{
                TagBox["\"Byte count: \"", "IconizedLabel"], 
                "\[InvisibleSpace]", 
                TagBox["184", "IconizedItem"]}]}}, 
            GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
            "Column", 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
           Dynamic[Typeset`open]},
          "IconizedObject"]],
        Sequence[Alignment -> Center, ImageSize -> 400],
        SelectWithContents->True,
        Selectable->False]}], "]"}], ",", 
     InterpretationBox[
      DynamicModuleBox[{Typeset`open = False}, 
       TemplateBox[{"Expression", 
         StyleBox["\"styling\"", "IconizedCustomName", StripOnInput -> False], 
         GridBox[{{
            RowBox[{
              TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
              TagBox["Sequence", "IconizedItem"]}]}, {
            RowBox[{
              TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
              TagBox["2", "IconizedItem"]}]}, {
            RowBox[{
              TagBox["\"Byte count: \"", "IconizedLabel"], 
              "\[InvisibleSpace]", 
              TagBox["184", "IconizedItem"]}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
          "Column", 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
         Dynamic[Typeset`open]},
        "IconizedObject"]],
      Sequence[Alignment -> Center, ImageSize -> 400],
      SelectWithContents->True,
      Selectable->False]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.808184834643682*^9, 3.8081848445633545`*^9}, {
   3.808184889786524*^9, 3.8081849160146923`*^9}, {3.8081849530060043`*^9, 
   3.8081849620507455`*^9}, {3.8081850330160723`*^9, 3.808185114418785*^9}, {
   3.810185537637658*^9, 3.810185588207793*^9}, {3.8101867957897005`*^9, 
   3.8101867962899637`*^9}, 3.81963010343084*^9, 3.8290378394272585`*^9, {
   3.8290378700696163`*^9, 3.8290378735668344`*^9}, 3.8375790447133904`*^9},
 CellLabel->"In[50]:=",ExpressionUUID->"9c6c0c5e-a210-45ac-b2f0-af91edd6b55b"]
}, Closed]],

Cell[BoxData[
 RowBox[{"DemoNoButton", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8290379021387277`*^9, 3.829037904710771*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"634b9021-e7b2-4c9d-a743-3c3a2ee3292d"],

Cell["\<\
Instead of updating the plot dynamically during the slider\[CloseCurlyQuote]s \
movements, you can have a button that triggers an update. The sliders move \
smoothly now.\
\>", "Text",
 CellChangeTimes->{{3.8081852035762496`*^9, 3.8081852541898193`*^9}, {
   3.826346940433178*^9, 3.826346940992281*^9}, 3.837645388831192*^9, {
   3.838115293777135*^9, 
   3.8381152973764057`*^9}},ExpressionUUID->"795c30a2-248a-4c38-a1b2-\
6a8e461f15fd"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Code",
 FontWeight->"Plain"]], "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.829037959848098*^9, 3.8290379603598895`*^9}, 
   3.837579050150816*^9},ExpressionUUID->"b1a88274-09f6-44fc-874d-\
b7107b230127"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DemoButton", "[", "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"DynamicModule", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", 
       RowBox[{"plot", "=", "\"\<\>\""}], ",", 
       RowBox[{"state", "=", "0"}]}], "}"}], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Pane", "[", 
      RowBox[{
       RowBox[{"Column", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<a\>\"", ",", "space", ",", 
              RowBox[{"Slider", "[", 
               RowBox[{
                RowBox[{"Dynamic", "[", "a", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "20"}], "}"}]}], "]"}]}], "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<b\>\"", ",", "space", ",", 
              RowBox[{"Slider", "[", 
               RowBox[{
                RowBox[{"Dynamic", "[", "b", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "20"}], "}"}]}], "]"}]}], "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{
            StyleBox["Button",
             Background->RGBColor[1, 0.9, 0.8]], "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{"\"\<Update\>\"", ",", "20"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"plot", "=", "\[IndentingNewLine]", 
              RowBox[{"ListContourPlot", "[", 
               RowBox[{
                RowBox[{"Table", "[", 
                 RowBox[{
                  StyleBox[
                   RowBox[{
                    RowBox[{"a", "*", 
                    RowBox[{"i", "^", "2"}]}], "-", 
                    RowBox[{"b", "*", 
                    RowBox[{"j", "^", "3"}]}]}],
                   Background->RGBColor[1, 0.9, 0.8]], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", 
                    RowBox[{"-", "1.5"}], ",", "1.5", ",", "0.01"}], "}"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{"j", ",", 
                    RowBox[{"-", "1.5"}], ",", "1.5", ",", "0.01"}], "}"}]}], 
                 "]"}], ",", 
                InterpretationBox[
                 DynamicModuleBox[{Typeset`open = False}, 
                  TemplateBox[{"Expression", 
                    StyleBox[
                    "\"styling\"", "IconizedCustomName", StripOnInput -> 
                    False], 
                    GridBox[{{
                    RowBox[{
                    TagBox["\"Head: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["Sequence", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Length: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["2", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Byte count: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["376", "IconizedItem"]}]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    Dynamic[Typeset`open]},
                   "IconizedObject"]],
                 Sequence[PlotTheme -> {"Monochrome", 
                    RGBColor[1, 0.5, 0]}, FrameTicks -> None],
                 SelectWithContents->True,
                 Selectable->False]}], "]"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"Method", "\[Rule]", "\"\<Queued\>\""}], ",", 
             InterpretationBox[
              DynamicModuleBox[{Typeset`open = False}, 
               TemplateBox[{"Expression", 
                 StyleBox[
                 "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
                 
                 GridBox[{{
                    RowBox[{
                    TagBox["\"Head: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["Sequence", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Length: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["2", "IconizedItem"]}]}, {
                    RowBox[{
                    TagBox["\"Byte count: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["368", "IconizedItem"]}]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 Dynamic[Typeset`open]},
                "IconizedObject"]],
              Sequence[
              ImageSize -> {130, 40}, Background -> RGBColor[1, 0.85, 0.85]],
              SelectWithContents->True,
              Selectable->False]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", "plot", "]"}]}], "\[IndentingNewLine]", 
          "}"}], ",", 
         InterpretationBox[
          DynamicModuleBox[{Typeset`open = False}, 
           TemplateBox[{"Expression", 
             StyleBox[
             "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
             GridBox[{{
                RowBox[{
                  TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                  
                  TagBox["Sequence", "IconizedItem"]}]}, {
                RowBox[{
                  TagBox["\"Length: \"", "IconizedLabel"], 
                  "\[InvisibleSpace]", 
                  TagBox["1", "IconizedItem"]}]}, {
                RowBox[{
                  TagBox["\"Byte count: \"", "IconizedLabel"], 
                  "\[InvisibleSpace]", 
                  TagBox["104", "IconizedItem"]}]}}, 
              GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
              "Column", 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             Dynamic[Typeset`open]},
            "IconizedObject"]],
          Sequence[Alignment -> Center],
          SelectWithContents->True,
          Selectable->False]}], "]"}], ",", 
       InterpretationBox[
        DynamicModuleBox[{Typeset`open = False}, 
         TemplateBox[{"Expression", 
           StyleBox[
           "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
           GridBox[{{
              RowBox[{
                TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                TagBox["Sequence", "IconizedItem"]}]}, {
              RowBox[{
                TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                
                TagBox["2", "IconizedItem"]}]}, {
              RowBox[{
                TagBox["\"Byte count: \"", "IconizedLabel"], 
                "\[InvisibleSpace]", 
                TagBox["184", "IconizedItem"]}]}}, 
            GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
            "Column", 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
           Dynamic[Typeset`open]},
          "IconizedObject"]],
        Sequence[Alignment -> Center, ImageSize -> 400],
        SelectWithContents->True,
        Selectable->False]}], "]"}], ",", 
     InterpretationBox[
      DynamicModuleBox[{Typeset`open = False}, 
       TemplateBox[{"Expression", 
         StyleBox["\"styling\"", "IconizedCustomName", StripOnInput -> False], 
         GridBox[{{
            RowBox[{
              TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
              TagBox["Sequence", "IconizedItem"]}]}, {
            RowBox[{
              TagBox["\"Length: \"", "IconizedLabel"], "\[InvisibleSpace]", 
              TagBox["2", "IconizedItem"]}]}, {
            RowBox[{
              TagBox["\"Byte count: \"", "IconizedLabel"], 
              "\[InvisibleSpace]", 
              TagBox["184", "IconizedItem"]}]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
          "Column", 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
         Dynamic[Typeset`open]},
        "IconizedObject"]],
      Sequence[Alignment -> Center, ImageSize -> 400],
      SelectWithContents->True,
      Selectable->False]}], "\[IndentingNewLine]", "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.808138115605299*^9, 3.8081381466692333`*^9}, {
   3.808138179765728*^9, 3.8081381823009896`*^9}, {3.808138225507415*^9, 
   3.808138243909239*^9}, {3.808184979278655*^9, 3.8081849974467616`*^9}, 
   3.8081851393035593`*^9, {3.808185370334739*^9, 3.80818537325593*^9}, {
   3.810185627277652*^9, 3.8101857078078737`*^9}, 3.810186358306609*^9, {
   3.8101864828837547`*^9, 3.8101864874866915`*^9}, {3.8101867995708423`*^9, 
   3.810186800675556*^9}, {3.810187136746919*^9, 3.810187150646612*^9}, {
   3.8101871870406704`*^9, 3.810187187359976*^9}, 3.826346950251154*^9, {
   3.8264119995512033`*^9, 3.8264120035500536`*^9}, {3.8290379260896716`*^9, 
   3.8290379297639933`*^9}, 3.837579050154804*^9},
 CellLabel->"In[51]:=",ExpressionUUID->"6c83b917-c8a4-4460-8a59-debfd43fdd7f"]
}, Closed]],

Cell[BoxData[
 RowBox[{"DemoButton", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8290379372587347`*^9, 3.8290379396151595`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"4f32d220-29e7-4c43-88f4-538d20d4e757"],

Cell["\<\
1
The advantage of using a button is that it ensures that expensive dynamic \
updates do not occur while moving the sliders.
True
Correct
False
Incorrect\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.8383662686517143`*^9, 3.8383662840901732`*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"b4bb89b0-4444-47a4-8cf8-04f8cfc7aec0"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = False, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{
          StyleBox[
          "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
           StripOnInput -> False], 
          TemplateBox[{12}, "Spacer1"], 
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{
           StyleBox[
           "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
            StripOnInput -> False], 
           TemplateBox[{12}, "Spacer1"], 
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "The advantage of using a button is that it ensures that \
expensive dynamic updates do not occur while moving the sliders.", {{
                  "True", "Correct"}, {"False", "Incorrect"}}, 1}}]]), Method -> 
          "Preemptive", PassEventsDown -> Automatic, PassEventsUp -> True}]]},
        Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "True", 1 -> Column[{
                  Style[
                   TextCell["True", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 2 -> "True"}, {
              0 -> "False", 1 -> "False", 2 -> Column[{
                  Style[
                   TextCell["False", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Incorrect", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"The advantage of using a button is that it ensures that \
expensive dynamic updates do not occur while moving the sliders.\"\>"},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}], 
                   TemplateBox[{10}, "Spacer1"], 
                   PaneSelectorBox[{0 -> "\"True\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["True", TextAlignment -> Left], 
                    TextCell["True", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"True\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}], 
                   TemplateBox[{10}, "Spacer1"], 
                   
                   PaneSelectorBox[{
                    0 -> "\"False\"", 1 -> "\"False\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["False", TextAlignment -> Left], 
                    TextCell["False", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Incorrect", TextAlignment -> Left], 
                    TextCell["Incorrect", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 Deployed->True,
 CellTags->"answer",ExpressionUUID->"8896e115-ab10-435a-9eaf-f080c568dd46"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"e1fba801-eedd-4c4b-89a6-5e333fb7af35"],

Cell[CellGroupData[{

Cell["PaneSelector vs. If", "Section",
 CellChangeTimes->{{3.8245520612157917`*^9, 3.8245520655619335`*^9}},
 CellTags->
  "TOCTag-Section7",ExpressionUUID->"c91c1f10-585e-49d5-aaa1-c9ff60223c6d"],

Cell[TextData[{
 "While switching between two panes in an interface, ",
 StyleBox[ButtonBox["PaneSelector",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/PaneSelector"],
  FontWeight->"Bold"],
 " can be more efficient compared to ",
 StyleBox[ButtonBox["If",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/If"],
  FontWeight->"Bold"],
 " at times."
}], "Text",
 CellChangeTimes->{{3.8245520760093546`*^9, 3.8245521270913053`*^9}, {
  3.8245529631534224`*^9, 3.824552964313248*^9}, {3.838115318249551*^9, 
  3.8381153367332773`*^9}},ExpressionUUID->"3ff5a505-dfb5-4f17-a4c5-\
738e73cdf7e4"],

Cell[TextData[{
 "The ",
 StyleBox[ButtonBox["SetterBar",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SetterBar"],
  FontWeight->"Bold"],
 " is used for switching between two panes using If (",
 Cell[BoxData[
  RowBox[{"Pause", "[", "2", "]"}]], "Input",ExpressionUUID->
  "c44ac393-527a-4c15-a3cd-3522d1d3073e"],
 " simulates a long computation)."
}], "Text",
 CellChangeTimes->{{3.8245521563541803`*^9, 3.8245521790401163`*^9}, {
  3.824552992934471*^9, 3.8245529960395317`*^9}, {3.838115339186598*^9, 
  3.8381153626475153`*^9}, {3.838117821868149*^9, 
  3.838117823436133*^9}},ExpressionUUID->"6e9bfcf8-278a-419e-bba6-\
1fd60f7bd375"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Code",
 FontWeight->"Plain"]], "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.829038033631233*^9, 3.8290380345369015`*^9}, 
   3.8375790588847895`*^9},ExpressionUUID->"93bb5174-379c-4e51-a169-\
244b691575ce"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DemoIf", "[", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"var", "=", "\"\<Disk\>\""}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"SetterBar", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "var", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Disk\>\"", ",", "\"\<Rectangle\>\""}], "}"}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "@", 
         RowBox[{"If", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"var", "\[Equal]", "\"\<Disk\>\""}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Pause", "[", "2", "]"}], ";", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Lighter", "[", 
                 RowBox[{"Magenta", ",", "0.5"}], "]"}], ",", 
                RowBox[{"Disk", "[", "]"}]}], "}"}], "]"}]}], ")"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Pause", "[", "2", "]"}], ";", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Lighter", "[", 
                 RowBox[{"Green", ",", "0.5"}], "]"}], ",", 
                RowBox[{"Rectangle", "[", "]"}]}], "}"}], "]"}]}], ")"}]}], 
          "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.8290380010321093`*^9, 3.8290380047787323`*^9}, 
   3.837579058885785*^9},
 CellLabel->"In[52]:=",ExpressionUUID->"3eb90243-77db-4cab-96d4-aa1b3840ca57"]
}, Closed]],

Cell[BoxData[
 RowBox[{"DemoIf", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8290380113391504`*^9, 3.829038023655662*^9}, 
   3.838117803157559*^9},ExpressionUUID->"6534361a-e706-49b0-b5c2-\
64c847c7be0b"],

Cell[TextData[{
 "Here every time you switch between the panes using the SetterBar, the \
Dynamic forces the reevaluation of the contents, including ",
 Cell[BoxData[
  RowBox[{"Pause", "[", "2", "]"}]], "Input",ExpressionUUID->
  "52226e14-164f-4c3d-b001-c7e4564fb89c"],
 "."
}], "Text",
 CellChangeTimes->{{3.8245521892331567`*^9, 3.8245522402500196`*^9}, {
   3.8245530100471354`*^9, 3.82455302458237*^9}, {3.82634700251233*^9, 
   3.8263470321217966`*^9}, {3.8264120717410707`*^9, 3.826412076612687*^9}, 
   3.8290380464424486`*^9, 3.83764539171714*^9, {3.838115369154849*^9, 
   3.838115375231987*^9}},ExpressionUUID->"6b85e17b-e3dc-4b08-969e-\
e8940bbd4336"],

Cell["\<\
In contrast, PaneSelector does the work entirely on the front end and the \
contents are not reevaluated; thus, the switch is faster.\
\>", "Text",
 CellChangeTimes->{{3.8245521892331567`*^9, 3.8245522402500196`*^9}, {
   3.8245530100471354`*^9, 3.82455302458237*^9}, {3.82634700251233*^9, 
   3.8263470321217966`*^9}, {3.8264120717410707`*^9, 3.826412076612687*^9}, 
   3.8290380479032946`*^9, {3.838115378786503*^9, 3.838115394714315*^9}, {
   3.8381178177637043`*^9, 
   3.838117818178751*^9}},ExpressionUUID->"202b6ad9-e6d7-4384-827f-\
eb0febfc2154"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Code",
 FontWeight->"Plain"]], "Text",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.829038087894801*^9, 3.8290380888237658`*^9}, 
   3.8375790642473598`*^9},ExpressionUUID->"e5a0e394-ac7e-4bb1-9694-\
bd9b74bf46df"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DemoPaneSelector", "[", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"var", "=", "\"\<Disk\>\""}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"SetterBar", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "var", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Disk\>\"", ",", "\"\<Rectangle\>\""}], "}"}]}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"PaneSelector", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"\"\<Disk\>\"", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Pause", "[", "2", "]"}], ";", 
               RowBox[{"Graphics", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Magenta", ",", "0.5"}], "]"}], ",", 
                  RowBox[{"Disk", "[", "]"}]}], "}"}], "]"}]}], ")"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"\"\<Rectangle\>\"", "\[Rule]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Pause", "[", "2", "]"}], ";", 
               RowBox[{"Graphics", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Lighter", "[", 
                   RowBox[{"Green", ",", "0.5"}], "]"}], ",", 
                  RowBox[{"Rectangle", "[", "]"}]}], "}"}], "]"}]}], 
              ")"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Dynamic", "[", "var", "]"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.829038053414999*^9, 3.8290380586595306`*^9}, 
   3.837579064248357*^9},
 CellLabel->"In[53]:=",ExpressionUUID->"1776014c-5aaf-46f9-84f4-3e6c1a6aacbf"]
}, Closed]],

Cell[BoxData[
 RowBox[{"DemoPaneSelector", "[", "]"}]], "Input",
 CellChangeTimes->{{3.82903806605029*^9, 3.8290380773846874`*^9}, 
   3.8381178313642883`*^9},ExpressionUUID->"791ce762-e6ce-43f7-8894-\
7cef31fe5f7a"],

Cell["\<\
1
While switching between panes, PaneSelector does not evaluate its contents, \
it just switches the display.
True
Correct
False
Incorrect\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.838366338310835*^9, 3.838366362706813*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"fe5f2027-ab53-401c-916d-3832421aff4d"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = False, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{
          StyleBox[
          "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
           StripOnInput -> False], 
          TemplateBox[{12}, "Spacer1"], 
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{
           StyleBox[
           "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
            StripOnInput -> False], 
           TemplateBox[{12}, "Spacer1"], 
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "While switching between panes, PaneSelector does not \
evaluate its contents, it just switches the display.", {{"True", "Correct"}, {
                  "False", "Incorrect"}}, 1}}]]), Method -> "Preemptive", 
          PassEventsDown -> Automatic, PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "True", 1 -> Column[{
                  Style[
                   TextCell["True", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 2 -> "True"}, {
              0 -> "False", 1 -> "False", 2 -> Column[{
                  Style[
                   TextCell["False", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Incorrect", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"While switching between panes, PaneSelector does not \
evaluate its contents, it just switches the display.\"\>"},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}], 
                   TemplateBox[{10}, "Spacer1"], 
                   PaneSelectorBox[{0 -> "\"True\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["True", TextAlignment -> Left], 
                    TextCell["True", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"True\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}], 
                   TemplateBox[{10}, "Spacer1"], 
                   
                   PaneSelectorBox[{
                    0 -> "\"False\"", 1 -> "\"False\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["False", TextAlignment -> Left], 
                    TextCell["False", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Incorrect", TextAlignment -> Left], 
                    TextCell["Incorrect", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 Deployed->True,
 CellTags->"answer",ExpressionUUID->"51cc16b3-1816-4d4b-908d-1e36fd2317a9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"681c22ea-ecfd-4cc1-ad8e-181312fbda27"],

Cell[CellGroupData[{

Cell["Pre-computing the Values", "Section",
 CellChangeTimes->{{3.826347077802127*^9, 3.8263470840969*^9}, {
  3.838114882304832*^9, 3.838114883016781*^9}},
 CellTags->
  "TOCTag-Section8",ExpressionUUID->"150c62a1-a6d5-4f4f-8c51-0cad468d3420"],

Cell["\<\
When an expensive kernel computation is involved, you may pre-compute the \
values and store them in a table. Since accessing elements from a table is \
much less computationally expensive, the resulting performance can be better.\
\>", "Text",
 CellChangeTimes->{{3.826350532591958*^9, 3.8263506080730677`*^9}, {
   3.8263512457117276`*^9, 3.8263513246956415`*^9}, 3.837645396345439*^9, {
   3.838115426642993*^9, 
   3.838115431730308*^9}},ExpressionUUID->"919ab477-de3a-44bf-9d23-\
7ccd7862f02a"],

Cell[TextData[{
 "A function involving an expensive computation (as simulated by ",
 Cell[BoxData[
 "Pause"], "Input",ExpressionUUID->"38bf7c3f-b155-43e1-a052-18e93f4c5d0d"],
 "):"
}], "Text",
 CellChangeTimes->{{3.826351329111728*^9, 3.8263513819984446`*^9}, {
   3.826351538943022*^9, 3.8263515391756277`*^9}, 
   3.83811544044169*^9},ExpressionUUID->"b8ae5d3e-7cb3-41cf-9e52-\
aad2acf0eb3f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"myFun", "[", "n_", "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Pause", "[", "1", "]"}], ";", 
    RowBox[{"n", "^", "2"}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.826350333719655*^9, 3.8263503465386763`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"441a56e5-8c84-4c74-8b86-e5f0297b5301"],

Cell["\<\
The slider is sluggish since it takes at least one second to compute the \
value at a particular point:\
\>", "Text",
 CellChangeTimes->{{3.826351400079234*^9, 3.826351429223468*^9}, {
  3.8263515506476293`*^9, 3.8263515518082027`*^9}, {3.8264120988858967`*^9, 
  3.826412099445061*^9}},ExpressionUUID->"faad830f-347c-49b8-a6ff-\
a366c8e4205d"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "n", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Slider", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", "n", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "20", ",", "1"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Dynamic", "[", 
       RowBox[{"myFun", "[", "n", "]"}], "]"}]}], "\[IndentingNewLine]", 
     "}"}], "]"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.82635034790522*^9, 3.8263503750587254`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"426b8426-6d1e-4cc2-802c-e2f0c438c8a7"],

Cell[TextData[{
 "Pre-compute the values and store them in a ",
 StyleBox[ButtonBox["Table",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Table"],
  FontWeight->"Bold"],
 ":"
}], "Text",
 CellChangeTimes->{{3.826351443023436*^9, 3.826351463886932*^9}, {
  3.838115447622657*^9, 
  3.83811544951478*^9}},ExpressionUUID->"399266f9-8f2f-41a6-9a61-\
7a16f7bb002a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"myFunValues", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"myFun", "[", "n", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "20", ",", "1"}], "}"}]}], "]"}]}], ";"}], 
  "//", "Timing"}]], "Input",
 CellChangeTimes->{{3.826350399135262*^9, 3.8263504188575983`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"cca074ca-09ce-42df-a60a-64f9204bfc22"],

Cell["\<\
Now, just access the values from the table\[LongDash]the slider moves much \
faster now:\
\>", "Text",
 CellChangeTimes->{{3.8263514782719746`*^9, 3.8263515155846624`*^9}, 
   3.826351562519621*^9, {3.838115453619233*^9, 
   3.838115456525259*^9}},ExpressionUUID->"51cec658-2764-47b4-aafa-\
641fe93d89d4"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "k", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Slider", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", "k", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "20", ",", "1"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Dynamic", "[", 
       RowBox[{"myFunValues", "[", 
        RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}],
     "]"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellLabel->"In[7]:=",ExpressionUUID->"560221d0-e605-4469-9cd6-7ffb5eb4f4ce"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"0e21807b-7640-4166-ab68-b411c91041b6"],

Cell[CellGroupData[{

Cell["Making an Update Front End Friendly", "Section",
 CellChangeTimes->{{3.80934385894615*^9, 3.809343872003569*^9}, {
   3.8093440895294027`*^9, 3.8093440917621965`*^9}, {3.8093447143457813`*^9, 
   3.8093447488660975`*^9}, {3.8093448544975133`*^9, 3.809344857130219*^9}, {
   3.8093484932254534`*^9, 3.809348496767938*^9}, {3.8093987791588674`*^9, 
   3.809398783430841*^9}, {3.8101847604524045`*^9, 3.810184761538968*^9}, 
   3.8139932121301804`*^9, {3.838114889184927*^9, 3.8381149029123697`*^9}},
 CellTags->
  "TOCTag-Section9",ExpressionUUID->"a95fa645-91fe-41e3-93c2-5878c77b62f4"],

Cell["\<\
For a time-consuming Dynamic, asynchronous updating is preferred over \
synchronous updating whenever possible. In contrast to synchronous updating, \
with asynchronous updating, the front end remains responsive.\
\>", "Text",
 CellChangeTimes->{{3.818736284406946*^9, 3.8187363620761585`*^9}, {
  3.8245533703531175`*^9, 3.8245534459031844`*^9}, {3.8245534932084575`*^9, 
  3.8245535091286287`*^9}, {3.838115470253605*^9, 
  3.838115474180153*^9}},ExpressionUUID->"fa4c7c2f-f0dd-4667-a2fa-\
025da40d706d"],

Cell[CellGroupData[{

Cell["Example 1", "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.818736367778015*^9, 3.8187363694177375`*^9}},
 CellTags->
  "TOCTag-Subsubsection3",ExpressionUUID->"434bca0d-46da-461d-b356-\
717314b5ba9a"],

Cell["The front end is frozen until 10 is displayed:", "Text",
 CellChangeTimes->{{3.8187363903508005`*^9, 3.818736405112481*^9}, {
  3.838115477571888*^9, 
  3.838115479555244*^9}},ExpressionUUID->"bea87ff2-d9e6-4618-b971-\
6184a36237b0"],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{"Pause", "[", "5", "]"}], ";", "10"}], "]"}]], "Input",
 CellChangeTimes->{{3.8187363775251703`*^9, 3.8187363844303083`*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"18eb0208-76a3-4108-9f25-dc57a6c2d2df"],

Cell["The front end remains operable:", "Text",
 CellChangeTimes->{{3.8187363903508005`*^9, 3.8187364250612984`*^9}, {
  3.838115481396124*^9, 
  3.838115482723837*^9}},ExpressionUUID->"efefb261-659f-4b15-8392-\
4d6810d4c7a8"],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Pause", "[", "5", "]"}], ";", "10"}], ",", 
   RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.818736430747616*^9, 3.818736434949761*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"3c013489-0ec5-4820-94b0-03b2d9fe2dfc"]
}, Closed]],

Cell[CellGroupData[{

Cell["Example 2", "Subsubsection",
 ShowGroupOpener->{"Inline"},
 WholeCellGroupOpener->True,
 CellChangeTimes->{{3.818736462891275*^9, 3.818736465749976*^9}},
 CellTags->
  "TOCTag-Subsubsection4",ExpressionUUID->"4b79e702-704a-499b-9d8a-\
0db84a51010b"],

Cell["\<\
After releasing the slider, the front end remains unresponsive until the plot \
displays:\
\>", "Text",
 CellChangeTimes->{{3.8093439000734625`*^9, 3.8093439310586233`*^9}, {
  3.8093440179868917`*^9, 3.8093440469616795`*^9}, {3.838115488500081*^9, 
  3.838115491628249*^9}},ExpressionUUID->"45955793-c3de-463e-aac5-\
5fe93f7b3f1f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"range", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<range \>\"", ",", 
          RowBox[{"Slider", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", "range", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "10", ",", "1"}], "}"}], ",", 
            RowBox[{"ContinuousAction", "\[Rule]", "False"}]}], "]"}]}], 
         "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sin", "[", "x", "]"}], " ", 
           RowBox[{"Sin", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
          InterpretationBox[
           DynamicModuleBox[{Typeset`open = False}, 
            TemplateBox[{"Expression", 
              StyleBox[
              "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Head: \"", "IconizedLabel"], "\[InvisibleSpace]", 
                   TagBox["Sequence", "IconizedItem"]}]}, {
                 RowBox[{
                   TagBox["\"Length: \"", "IconizedLabel"], 
                   "\[InvisibleSpace]", 
                   TagBox["1", "IconizedItem"]}]}, {
                 RowBox[{
                   TagBox["\"Byte count: \"", "IconizedLabel"], 
                   "\[InvisibleSpace]", 
                   TagBox["120", "IconizedItem"]}]}}, 
               GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
               "Column", 
               GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
              Dynamic[Typeset`open]},
             "IconizedObject"]],
           Sequence[PlotPoints -> 300],
           SelectWithContents->True,
           Selectable->False]}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}],
      "]"}]}], "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]"}]], "Input",\

 CellChangeTimes->{{3.807595754206324*^9, 3.807595756736997*^9}, {
   3.8093439509689503`*^9, 3.809343953604169*^9}, {3.810112101383279*^9, 
   3.810112106225852*^9}, {3.810184484707738*^9, 3.8101845223348694`*^9}, 
   3.8263516717754526`*^9},ExpressionUUID->"b6e2f508-6087-4262-9151-\
4326a5a74efd"],

Cell["With asynchronous updating, the front end remains operable:", "Text",
 CellChangeTimes->{{3.8093440666664085`*^9, 3.8093440783547325`*^9}, 
   3.809344832025463*^9, {3.838115494596383*^9, 
   3.838115496436514*^9}},ExpressionUUID->"5927e1c4-1738-4266-a2c6-\
96d3237d79cd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"range", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<range \>\"", ",", 
          RowBox[{"Slider", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", "range", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "10", ",", "1"}], "}"}], ",", 
            RowBox[{"ContinuousAction", "\[Rule]", "False"}]}], "]"}]}], 
         "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{
         RowBox[{"Plot3D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Sin", "[", "x", "]"}], " ", 
            RowBox[{"Sin", "[", "y", "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", 
             RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
           InterpretationBox[
            DynamicModuleBox[{Typeset`open = False}, 
             TemplateBox[{"Expression", 
               StyleBox[
               "\"styling\"", "IconizedCustomName", StripOnInput -> False], 
               GridBox[{{
                  RowBox[{
                    TagBox["\"Head: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["Sequence", "IconizedItem"]}]}, {
                  RowBox[{
                    TagBox["\"Length: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["1", "IconizedItem"]}]}, {
                  RowBox[{
                    TagBox["\"Byte count: \"", "IconizedLabel"], 
                    "\[InvisibleSpace]", 
                    TagBox["120", "IconizedItem"]}]}}, 
                GridBoxAlignment -> {"Columns" -> {{Left}}}, DefaultBaseStyle -> 
                "Column", 
                GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
               Dynamic[Typeset`open]},
              "IconizedObject"]],
            Sequence[PlotPoints -> 300],
            SelectWithContents->True,
            Selectable->False]}], "]"}], ",", "\[IndentingNewLine]", 
         StyleBox[
          RowBox[{"SynchronousUpdating", "\[Rule]", "False"}],
          Background->RGBColor[1, 0.9, 0.8]]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8075916281845107`*^9, 3.8075917132827516`*^9}, {
   3.8075917491086836`*^9, 3.807591751777727*^9}, {3.8075918228887024`*^9, 
   3.807591825912122*^9}, {3.8101121269558506`*^9, 3.8101121327201223`*^9}, {
   3.8101845462231455`*^9, 3.810184582643647*^9}, 
   3.8263516752241306`*^9},ExpressionUUID->"1df9fe73-0db2-4752-84c8-\
8801847a194d"],

Cell["\<\
An even better approach is to show a progress indicator while the update is \
taking place. This topic will be discussed next.\
\>", "Text",
 CellChangeTimes->{{3.826351687374957*^9, 3.8263517164635897`*^9}, {
  3.8263699407861657`*^9, 3.826369942488733*^9}, {3.829036711576583*^9, 
  3.82903671451355*^9}},ExpressionUUID->"be45885a-3859-4b8c-bc76-\
0fad8f8420ff"],

Cell["\<\
2
Asynchronous updating is synonymous to using the Preemptive Link.
True
Incorrect. It is synonymous to using the Main Link.
False
Correct. It is synonymous to using the Main Link.\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.83836642302009*^9, 3.8383664791377687`*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"c53f191c-bc2c-4484-97b6-8e8664eab9a6"],

Cell["\<\
2
Asynchronous updating is synonymous to using the Preemptive Link.
True
Incorrect. It is synonymous to using the Main Link.
False
Correct. It is synonymous to using the Main Link.\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.83836642302009*^9, 3.8383664791377687`*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"50de418b-f585-4318-871d-62fa974daea7"]
}, Closed]],

Cell[CellGroupData[{

Cell["", "Subsubsection",
 CellTags->
  "TOCTag-Subsubsection5",ExpressionUUID->"b6c2627d-2cf6-452d-8c68-\
dcbc3b7e972b"],

Cell["\<\
2
Asynchronous updating is synonymous to using the Preemptive Link.
True
Incorrect. It is synonymous to using the Main Link.
False
Correct. It is synonymous to using the Main Link.\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.83836642302009*^9, 3.8383664791377687`*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"b4935c95-89bd-440c-896c-2227a3e59f86"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = False, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{
          StyleBox[
          "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
           StripOnInput -> False], 
          TemplateBox[{12}, "Spacer1"], 
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{
           StyleBox[
           "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
            StripOnInput -> False], 
           TemplateBox[{12}, "Spacer1"], 
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "Asynchronous updating is synonymous to using the Preemptive \
Link.", {{"True", "Incorrect. It is synonymous to using the Main Link."}, {
                  "False", 
                   "Correct. It is synonymous to using the Main Link."}}, 
                 2}}]]), Method -> "Preemptive", PassEventsDown -> Automatic, 
          PassEventsUp -> True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "True", 1 -> Column[{
                  Style[
                   TextCell["True", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Incorrect. It is synonymous to using the Main Link.", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "True"}, {
              0 -> "False", 1 -> "False", 2 -> Column[{
                  Style[
                   TextCell["False", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell[
                   "Correct. It is synonymous to using the Main Link.", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"Asynchronous updating is synonymous to using the \
Preemptive Link.\"\>"},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}], 
                   TemplateBox[{10}, "Spacer1"], 
                   PaneSelectorBox[{0 -> "\"True\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["True", TextAlignment -> Left], 
                    TextCell["True", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Incorrect. It is synonymous to using the Main Link.", 
                    TextAlignment -> Left], 
                    TextCell[
                    "Incorrect. It is synonymous to using the Main Link.", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"True\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}], 
                   TemplateBox[{10}, "Spacer1"], 
                   
                   PaneSelectorBox[{
                    0 -> "\"False\"", 1 -> "\"False\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["False", TextAlignment -> Left], 
                    TextCell["False", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Correct. It is synonymous to using the Main Link.", 
                    TextAlignment -> Left], 
                    TextCell[
                    "Correct. It is synonymous to using the Main Link.", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 Deployed->True,
 CellTags->"answer",ExpressionUUID->"6715bcfb-b7a3-4b14-8bd3-6dabfe3f22b2"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"768a905a-e672-4a7a-9a50-11729cd71cd0"],

Cell["\<\



Using Progress Panes






\
\>", "Chapter",
 CellFrame->{{2, 2}, {2, 8}},
 ShowCellBracket->False,
 CellMargins->{{10, 10}, {10, 10}},
 CellChangeTimes->{
  3.808911010045186*^9, {3.809401297023183*^9, 3.8094012990147753`*^9}, {
   3.8101897440494947`*^9, 3.8101897454268465`*^9}, {3.82435951640615*^9, 
   3.8243595211243043`*^9}, {3.8360240501129804`*^9, 3.836024053190384*^9}},
 TextAlignment->Center,
 Background->RGBColor[1, 0.9, 0.8],
 CellTags->
  "TOCTag-Chapter2",ExpressionUUID->"79bef3f0-adf0-4400-b2d7-db3eec51268b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"c661fa43-2b68-4946-9065-e0fd917e3d01"],

Cell[CellGroupData[{

Cell["Displaying a Progress Pane", "Section",
 CellChangeTimes->{{3.8075815763411984`*^9, 3.807581580017336*^9}, {
   3.8158259572379*^9, 3.815825964690983*^9}, {3.815899984494676*^9, 
   3.81589998906185*^9}, {3.8159000804467926`*^9, 3.815900081686184*^9}, {
   3.81614557425486*^9, 3.816145574645548*^9}, 3.818683832156142*^9, {
   3.8187382045076437`*^9, 3.8187382100221443`*^9}, {3.838114916009376*^9, 
   3.838114918737445*^9}},
 CellTags->
  "TOCTag-Section10",ExpressionUUID->"cfd627ad-5d78-4f92-bba7-a8a6531697e4"],

Cell["\<\
While various techniques were discussed in the previous session for making an \
interface more responsive, certain slow updates were unavoidable.\
\>", "Text",
 CellChangeTimes->{{3.826412232816043*^9, 3.826412393880746*^9}, 
   3.826412459253148*^9, {3.829968943310115*^9, 3.8299689443859997`*^9}, {
   3.8376454046454763`*^9, 
   3.8376454124777527`*^9}},ExpressionUUID->"98804221-9d60-4059-9431-\
a29c9f274398"],

Cell["\<\
For example, the following slider moves smoothly, but you still have to wait \
for the new value to appear after releasing the slider:\
\>", "Text",
 CellChangeTimes->{{3.826412232816043*^9, 3.826412393880746*^9}, 
   3.826412459253148*^9, {3.829968943310115*^9, 3.829968945294526*^9}, 
   3.8376454220578237`*^9, {3.838115556197373*^9, 
   3.838115564333404*^9}},ExpressionUUID->"79ec9797-f67a-4d8a-b628-\
3e36025e9a7b"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", "x", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Slider", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", "x", "]"}], ",", 
        RowBox[{"ContinuousAction", "\[Rule]", "False"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Dynamic", "[", 
       RowBox[{
        RowBox[{"Pause", "[", "1", "]"}], ";", "x"}], "]"}]}], "}"}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.826412475749937*^9, 3.8264124858181953`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"1c421b2b-a4cc-47f4-9d55-ddb630bd4f3c"],

Cell["\<\
A progress pane can be shown while an update is in progress, i.e. the result \
is not yet computed/displayed in the front end. \
\>", "Text",
 CellChangeTimes->{{3.815900028630648*^9, 3.815900122928483*^9}, {
   3.8159001638778906`*^9, 3.815900165248435*^9}, {3.816145064705799*^9, 
   3.816145065995956*^9}, {3.816145329431528*^9, 3.816145329837138*^9}, {
   3.816145391727034*^9, 3.816145400452588*^9}, {3.818675092988488*^9, 
   3.818675093317028*^9}, {3.8263600601245527`*^9, 3.8263602010267057`*^9}, {
   3.826360429987298*^9, 3.8263604579076347`*^9}, 3.829968937520994*^9, {
   3.838115569645673*^9, 
   3.838115574212915*^9}},ExpressionUUID->"5fc5a87e-ee3e-454c-8edd-\
84d0c7fa0075"],

Cell["\<\
As a general principle, an interface should never present a frozen appearance \
to the user while an update is taking place and instead should notify them \
with an appropriate progress message (e.g. \"Loading contents...\").\
\>", "Text",
 CellChangeTimes->{{3.815900028630648*^9, 3.815900122928483*^9}, {
   3.8159001638778906`*^9, 3.815900165248435*^9}, {3.816145064705799*^9, 
   3.816145065995956*^9}, {3.816145329431528*^9, 3.816145329837138*^9}, {
   3.816145391727034*^9, 3.816145400452588*^9}, {3.818675092988488*^9, 
   3.818675093317028*^9}, {3.8263600601245527`*^9, 3.8263602010267057`*^9}, {
   3.826360429987298*^9, 3.8263604579076347`*^9}, 3.829968938893893*^9, {
   3.8381155819890013`*^9, 3.838115582693347*^9}, 
   3.838117911614586*^9},ExpressionUUID->"651923c3-7d85-4342-b242-\
9dc989d11a5f"],

Cell["\t",
 ShowCellBracket->Automatic,
 CellMargins->{{66, 0}, {0, 0}},
 TabFilling->"\[LongDash]\[NegativeThickSpace]",
 TabSpacings->Scaled[0.15],
 FontColor->GrayLevel[
  0.6],ExpressionUUID->"272968f5-893e-4447-b3f2-ed0f4861b7f7"],

Cell[CellGroupData[{

Cell["\<\
As a rough guideline, if a computation takes less than eight seconds, an \
indefinite progress indicator can be shown:\
\>", "Item",
 CellChangeTimes->{{3.8187366952977448`*^9, 3.81873673781958*^9}, {
  3.8360239470739355`*^9, 3.8360239499482636`*^9}, {3.837579092088029*^9, 
  3.8375790956433005`*^9}, {3.838115590469998*^9, 
  3.8381155915335627`*^9}},ExpressionUUID->"90af6a8c-3317-4ff4-a59f-\
f6ada1b22ad5"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ProgressIndicator", "[", 
    RowBox[{"Appearance", "\[Rule]", "#"}], "]"}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{
   "\"\<Necklace\>\"", ",", "\"\<ArcUpFill\>\"", ",", "\"\<Percolate\>\"", 
    ",", "\"\<Ellipsis\>\"", ",", "\"\<Indeterminate\>\""}], "}"}]}]], "Input",
 CellChangeTimes->{{3.8187367421930404`*^9, 3.818736754252956*^9}, {
  3.8187367894481583`*^9, 3.8187368093653555`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"547538dd-7836-40d2-b4a3-4242107979bb"]
}, Open  ]],

Cell[TextData[{
 "The progress indicators are typically shown using ",
 StyleBox[ButtonBox["Monitor",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Monitor"],
  FontWeight->"Bold"],
 ":"
}], "Text",
 CellChangeTimes->{{3.826362183978598*^9, 3.8263622350274367`*^9}, {
  3.838115596254578*^9, 
  3.838115600228713*^9}},ExpressionUUID->"93b4acb8-2d3a-4519-922b-\
210aa0cb6c44"],

Cell[BoxData[
 RowBox[{"Monitor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Pause", "[", "5", "]"}], ";", "10"}], ",", 
   RowBox[{"ProgressIndicator", "[", 
    RowBox[{"Appearance", "\[Rule]", "\"\<Necklace\>\""}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.826362197244207*^9, 3.8263622058766193`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"cb4f2439-819d-4fc6-9666-9366aee777ce"],

Cell[CellGroupData[{

Cell["\<\
For more than eight seconds, it is good to show the extent of the progress:\
\>", "Item",
 CellChangeTimes->{{3.8187368400295534`*^9, 3.8187368645394526`*^9}, {
  3.826360256253621*^9, 3.8263603124996595`*^9}, {3.826412532301168*^9, 
  3.826412539838252*^9}, {3.838117924557472*^9, 
  3.838117926029997*^9}},ExpressionUUID->"bef84afb-d5e3-46ff-a678-\
4ce4fc8e71b0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"i", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DynamicWrapper", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", 
    RowBox[{"ProgressIndicator", "[", "i", "]"}], "]"}], ",", 
   RowBox[{"i", "=", 
    RowBox[{"i", "+", "0.002"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.818736878934161*^9, 3.818736944372079*^9}, {
   3.818736985815442*^9, 3.818737049706766*^9}, {3.8187371087242317`*^9, 
   3.818737108927307*^9}, 3.81873858200422*^9},
 CellLabel->
  "In[128]:=",ExpressionUUID->"171ba88b-2fc7-4b31-9f23-a3be6333404a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Note that showing the extent of the progress accurately may not always be \
possible, since it requires knowledge of the internal state of the \
computation, e.g. you may not know how long ",
 StyleBox[ButtonBox["Integrate",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Integrate"],
  FontWeight->"Bold"],
 " might take for a certain integration. In such cases, the \"Indeterminate\" \
progress indicator can be shown:"
}], "Item",
 CellChangeTimes->{{3.8187368400295534`*^9, 3.8187368645394526`*^9}, {
   3.826360256253621*^9, 3.8263604015656877`*^9}, {3.8263604822766137`*^9, 
   3.8263605347236094`*^9}, {3.82641254476643*^9, 3.826412567926217*^9}, {
   3.8299698393017592`*^9, 3.829969839543021*^9}, 3.837645423959847*^9, {
   3.8381156101113987`*^9, 
   3.838115627095223*^9}},ExpressionUUID->"3f70d261-da31-4dcd-b846-\
b09b87015eeb"],

Cell[BoxData[
 RowBox[{"ProgressIndicator", "[", 
  RowBox[{"Appearance", "\[Rule]", "\"\<Indeterminate\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.8263604080146227`*^9, 3.8263604113817587`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"628caf60-e339-4480-8f5b-09e171848114"]
}, Open  ]],

Cell["\<\
2
It is always possible to show an accurate extent of progress for a computation.
True
Incorrect. For complex functions (e.g. NIntegrate) it is impossible to \
determine the extent of progress at the top level.
False
Correct. For complex functions (e.g. NIntegrate) it is impossible to \
determine the extent of progress at the top level.\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.83836899672937*^9, 3.838369014140109*^9}, {
  3.838373965808683*^9, 3.838373969408964*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"1eed841c-d4ac-4082-8966-d99b7c53dcfb"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = False, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{
          StyleBox[
          "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
           StripOnInput -> False], 
          TemplateBox[{12}, "Spacer1"], 
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{
           StyleBox[
           "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
            StripOnInput -> False], 
           TemplateBox[{12}, "Spacer1"], 
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "It is always possible to show an accurate extent of progress \
for a computation.", {{
                  "True", 
                   "Incorrect. For complex functions (e.g. NIntegrate) it is \
impossible to determine the extent of progress at the top level."}, {
                  "False", 
                   "Correct. For complex functions (e.g. NIntegrate) it is \
impossible to determine the extent of progress at the top level."}}, 2}}]]), 
          Method -> "Preemptive", PassEventsDown -> Automatic, PassEventsUp -> 
          True}]]}, Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "True", 1 -> Column[{
                  Style[
                   TextCell["True", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell[
                   "Incorrect. For complex functions (e.g. NIntegrate) it is \
impossible to determine the extent of progress at the top level.", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}], 2 -> "True"}, {
              0 -> "False", 1 -> "False", 2 -> Column[{
                  Style[
                   TextCell["False", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell[
                   "Correct. For complex functions (e.g. NIntegrate) it is \
impossible to determine the extent of progress at the top level.", 
                    TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}]}}, $CellContext`incorrect$$ = 
             False}, 
             TagBox[GridBox[{
                {"\<\"It is always possible to show an accurate extent of \
progress for a computation.\"\>"},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}], 
                   TemplateBox[{10}, "Spacer1"], 
                   PaneSelectorBox[{0 -> "\"True\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["True", TextAlignment -> Left], 
                    TextCell["True", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Incorrect. For complex functions (e.g. NIntegrate) it is \
impossible to determine the extent of progress at the top level.", 
                    TextAlignment -> Left], 
                    TextCell[
                    "Incorrect. For complex functions (e.g. NIntegrate) it is \
impossible to determine the extent of progress at the top level.", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"True\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}], 
                   TemplateBox[{10}, "Spacer1"], 
                   
                   PaneSelectorBox[{
                    0 -> "\"False\"", 1 -> "\"False\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["False", TextAlignment -> Left], 
                    TextCell["False", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell[
                    "Correct. For complex functions (e.g. NIntegrate) it is \
impossible to determine the extent of progress at the top level.", 
                    TextAlignment -> Left], 
                    TextCell[
                    "Correct. For complex functions (e.g. NIntegrate) it is \
impossible to determine the extent of progress at the top level.", 
                    TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 Deployed->True,
 CellTags->"answer",ExpressionUUID->"3508816f-fc19-4b8d-98cd-f46c2ff3ffe5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"b7edf4d2-f993-4b7b-891e-d319cfbeedc5"],

Cell[CellGroupData[{

Cell["Limitations of Monitor", "Section",
 CellChangeTimes->{{3.8263618343797626`*^9, 3.8263618387396493`*^9}},
 CellTags->
  "TOCTag-Section11",ExpressionUUID->"b1a6f1d8-64a0-4e6e-aebe-cc8693b9dd98"],

Cell[TextData[{
 "Monitor or ",
 StyleBox[ButtonBox["ProgressReporting",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ProgressReporting"],
  FontWeight->"Bold"],
 " can be used for showing a progress indicator while doing computations in \
the notebook:"
}], "Text",
 CellChangeTimes->{{3.818737271141408*^9, 3.8187373048365784`*^9}, {
   3.818737745239561*^9, 3.818737746145647*^9}, 3.826361858379061*^9, 
   3.8263619313708205`*^9, {3.837579116941689*^9, 3.8375791452903085`*^9}, {
   3.838115652921796*^9, 3.8381156643414783`*^9}, {3.838115746256068*^9, 
   3.8381157821460857`*^9}},ExpressionUUID->"9f28f21d-891d-4c74-93ed-\
216823b20449"],

Cell[BoxData[
 RowBox[{"Monitor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Pause", "[", "5", "]"}], ";", "10"}], ",", 
   RowBox[{"ProgressIndicator", "[", 
    RowBox[{"Appearance", "\[Rule]", "\"\<Necklace\>\""}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8187373088667803`*^9, 3.8187373296275434`*^9}},
 CellLabel->
  "In[111]:=",ExpressionUUID->"05057714-d621-4f23-b2f1-48ea52486722"],

Cell["\<\
However, Monitor does not usually go well with user interfaces:\
\>", "Text",
 CellChangeTimes->{{3.818737367649414*^9, 3.818737417200864*^9}, {
  3.8187377382567916`*^9, 3.8187377562215643`*^9}, {3.818738171296649*^9, 
  3.8187381900423584`*^9}, {3.8263605646924243`*^9, 3.826360607236492*^9}, {
  3.8263606687236967`*^9, 3.8263607037148576`*^9}, {3.826361102642118*^9, 
  3.82636112362782*^9}, {3.8360239711493907`*^9, 3.836023973789299*^9}, {
  3.838115785162057*^9, 
  3.838115798337263*^9}},ExpressionUUID->"813fd1a8-ff9c-4e7f-af11-\
d55d472196ee"],

Cell[CellGroupData[{

Cell["\<\
Monitor does not show the progress indicator while the dynamic update is \
taking place:\
\>", "Item",
 CellChangeTimes->{
  3.8263612460695753`*^9, {3.838115802241987*^9, 
   3.83811580361788*^9}},ExpressionUUID->"9a64abf5-3c07-4620-a7c3-\
6b951bb58016"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Monitor", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"x", "^", "2"}]}], "]"}], ",", 
   RowBox[{"ProgressIndicator", "[", 
    RowBox[{"Appearance", "\[Rule]", "\"\<Necklace\>\""}], "]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.8187376755524683`*^9, 3.8187376820663204`*^9}, 
   3.8187377715297976`*^9, {3.826360559539605*^9, 3.8263605599035892`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"6a79777b-dff8-4e4e-890c-f0a00f3108c0"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Monitor works by creating a new cell. Thus you cannot use Monitor in a GUI to \
update only a particular component without disrupting the others. Although \
you have used Monitor on the second element only, a progress indicator is \
shown in the place of the entire list:\
\>", "Item",
 CellChangeTimes->{{3.8263612892033787`*^9, 3.826361291260589*^9}, {
   3.8263614751154227`*^9, 3.8263614810686893`*^9}, {3.826361682076857*^9, 
   3.8263617512352037`*^9}, {3.8376454259203076`*^9, 3.837645429075483*^9}, 
   3.838115813450327*^9},
 CellTags->
  "MonitorLimitation2",ExpressionUUID->"6e58f45f-19ab-428b-aa2f-cb37e0810e5f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10", ",", 
   RowBox[{"Monitor", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Pause", "[", "2", "]"}], ";", "20"}], ",", 
     RowBox[{"ProgressIndicator", "[", 
      RowBox[{"Appearance", "\[Rule]", "\"\<Necklace\>\""}], "]"}]}], "]"}]}],
   "}"}]], "Input",
 CellChangeTimes->{{3.826361332719246*^9, 3.826361378603798*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"1016cbc3-8c45-4d7b-93fe-bddef0a5781a"]
}, Open  ]],

Cell[TextData[{
 "You can create a functionality like Monitor that is suitable to use in \
GUIs, using Dynamic/",
 StyleBox[ButtonBox["DynamicModule",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/DynamicModule"],
  FontWeight->"Bold"],
 ". This will be discussed in the next slides."
}], "Text",
 CellChangeTimes->{{3.8187377910096207`*^9, 3.8187377919162645`*^9}, {
   3.8187381341490774`*^9, 3.818738159986794*^9}, {3.826360646389555*^9, 
   3.82636064803481*^9}, {3.826361907570138*^9, 3.8263619238027215`*^9}, {
   3.8263620167246904`*^9, 3.826362018350247*^9}, {3.8264126094133186`*^9, 
   3.8264126174388137`*^9}, 3.837645438245116*^9, {3.8381158210343847`*^9, 
   3.838115827217698*^9}, 3.838116094674294*^9, 
   3.838116134913191*^9},ExpressionUUID->"c3920888-bf29-4ad0-b201-\
a073326dba0c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"36e6e208-9f2d-4e68-b270-f759ee5b4222"],

Cell[CellGroupData[{

Cell["Functionality like Monitor for GUI", "Section",
 CellChangeTimes->{{3.8075815763411984`*^9, 3.807581580017336*^9}, {
   3.8158259572379*^9, 3.815825964690983*^9}, {3.815899984494676*^9, 
   3.81589998906185*^9}, {3.8159000804467926`*^9, 3.815900081686184*^9}, {
   3.81614557425486*^9, 3.816145574645548*^9}, 3.818683832156142*^9, {
   3.8187382045076437`*^9, 3.8187382100221443`*^9}, {3.818738340804*^9, 
   3.8187383452403865`*^9}, {3.826361889453155*^9, 3.8263618970031695`*^9}, {
   3.8263620418198943`*^9, 3.8263620433714056`*^9}, {3.838114939161847*^9, 
   3.8381149466012163`*^9}, {3.838115838530657*^9, 3.8381158400338097`*^9}, {
   3.838115893644699*^9, 3.8381158940836477`*^9}},
 CellTags->
  "TOCTag-Section12",ExpressionUUID->"5364bda7-e3ba-4f5d-932e-566fafccc180"],

Cell["\<\
A functionality like Monitor suitable for using in GUIs, using an \
asynchronously initialized DynamicModule:\
\>", "Text",
 CellChangeTimes->{{3.818674848757867*^9, 3.81867485135102*^9}, {
  3.8263653141966486`*^9, 3.826365374401614*^9}, {3.8381158982193413`*^9, 
  3.838115908179809*^9}},ExpressionUUID->"eebf353b-ec6a-499d-b5dc-\
c0711bee9e29"],

Cell[TextData[{
 StyleBox["\t\t\t\t\t\t\tDynamicModule[{loaded = False},\n\t\t\t\t\t\t\t\t\
Dynamic[\n\t\t\t\t\t\t\t\t\tIf[loaded \[Equal] False,\n\t\t\t\t\t\t\t\t\t\t\
ProgressIndicator[Appearance\[Rule]\"Necklace\"], \n\t\t\t\t\t\t\t\t\t\t(* or \
any other progress pane *)\n\t\t\t\t\t\t\t\t\t\t",
  FontSize->20],
 StyleBox["<object to be displayed>",
  FontSize->20,
  FontWeight->"Bold"],
 StyleBox["\n\t\t\t\t\t\t\t\t\t]\n\t\t\t\t\t\t\t\t],\n\t\t\t\t\t\t\t  \
Initialization \[RuleDelayed]\n\t\t\t\t\t\t\t\t(\n\t\t\t\t\t\t\t\t\t",
  FontSize->20],
 StyleBox["<time consuming code>",
  FontSize->20,
  FontWeight->"Bold"],
 StyleBox["\n\t\t\t\t\t\t\t\t\tloaded = True\n\t\t\t\t\t\t\t\t),\n\t\t\t\t\t\t\
\t  SynchronousInitialization \[Rule] False,\n\t\t\t\t\t\t\t  \
UnsavedVariables :> {loaded}\n\t\t\t\t\t\t\t]",
  FontSize->20]
}], "Program",
 CellChangeTimes->{{3.818738675966007*^9, 3.818738704631648*^9}, 
   3.836024085112542*^9, {3.8375791600829186`*^9, 
   3.8375791681782007`*^9}},ExpressionUUID->"86081697-ca3e-450d-a428-\
3326cfbc6931"],

Cell["A DynamicModule with asynchronous initialization is used.", "Item",
 CellChangeTimes->{{3.8186754199062786`*^9, 3.818675492811203*^9}, {
   3.818675531036378*^9, 3.818675584727151*^9}, {3.8186756251390867`*^9, 
   3.8186756255296307`*^9}, 
   3.838115914756109*^9},ExpressionUUID->"adb05188-cc0d-45c2-a0d9-\
40d26c381455"],

Cell[TextData[{
 "The main time-consuming code is sent to the ",
 StyleBox[ButtonBox["Initialization",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Initialization"],
  FontWeight->"Bold"],
 "."
}], "Item",
 CellChangeTimes->{{3.8186754199062786`*^9, 3.818675492811203*^9}, {
  3.818675531036378*^9, 3.8186756225147023`*^9}, {3.818675664599123*^9, 
  3.818675665270838*^9}, {3.8263653820854053`*^9, 3.826365385700206*^9}, {
  3.838115916796255*^9, 
  3.83811593578062*^9}},ExpressionUUID->"bca7cb8e-5996-42d1-af1f-\
7b5c020b2402"],

Cell[TextData[{
 "The flag ",
 StyleBox["loaded",
  FontSlant->"Italic"],
 " is set to False initially, and when the main computation is over, it is \
set to True."
}], "Item",
 CellChangeTimes->{{3.8186754199062786`*^9, 3.818675492811203*^9}, {
  3.818675531036378*^9, 3.818675685203821*^9}, {3.818683568910331*^9, 
  3.8186835704292917`*^9}, {3.826365394080473*^9, 3.8263654022774553`*^9}, {
  3.838115941133574*^9, 
  3.838115944516438*^9}},ExpressionUUID->"eb35ba40-182d-4c5e-9ec7-\
5df0ce5b3787"],

Cell[TextData[{
 "A progress pane is shown while ",
 StyleBox["loaded",
  FontSlant->"Italic"],
 " remains False; when ",
 StyleBox["loaded",
  FontSlant->"Italic"],
 " turns True, the final object to be displayed is shown in the place of the \
progress indicator."
}], "Item",
 CellChangeTimes->{{3.8186754199062786`*^9, 3.818675492811203*^9}, {
   3.818675531036378*^9, 3.818675731599698*^9}, {3.8263654173303723`*^9, 
   3.8263654910414305`*^9}, 
   3.8381159488440647`*^9},ExpressionUUID->"179ec9c8-8589-41ed-b7ce-\
398613dcf995"],

Cell["\<\
The use of the preceding idiom in showing progress panes for slow-to-update \
static and dynamic objects will be discussed in the subsequent slides.\
\>", "Text",
 CellChangeTimes->{{3.8186837116451993`*^9, 3.8186837221082287`*^9}, {
  3.8186837863479815`*^9, 3.818683788516056*^9}, {3.826365513993432*^9, 
  3.8263655181626616`*^9}, {3.82636555060948*^9, 3.826365551489585*^9}, {
  3.826365596381768*^9, 3.8263656036988106`*^9}, {3.826367639393403*^9, 
  3.826367715914305*^9}, {3.837645445880546*^9, 3.837645462792413*^9}, {
  3.838115954453556*^9, 
  3.83811596314753*^9}},ExpressionUUID->"52838272-aedc-4f5d-b332-\
ac9f09419376"],

Cell[TextData[{
 "The idiom is encapsulated in the superfunction ",
 ButtonBox["DisplayWithProgress",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://resources.wolframcloud.com/FunctionRepository/resources/\
DisplayWithProgress"], None},
  ButtonNote->
   "https://resources.wolframcloud.com/FunctionRepository/resources/\
DisplayWithProgress"],
 ", usage of which will be discussed in parallel."
}], "Text",
 CellChangeTimes->{{3.8186837116451993`*^9, 3.8186837221082287`*^9}, {
  3.8186837863479815`*^9, 3.818683788516056*^9}, {3.826365513993432*^9, 
  3.8263655181626616`*^9}, {3.82636555060948*^9, 3.826365551489585*^9}, {
  3.826365596381768*^9, 3.8263656036988106`*^9}, {3.826367639393403*^9, 
  3.826367715914305*^9}, {3.837645445880546*^9, 3.837645462792413*^9}, {
  3.838115954453556*^9, 3.838115974645296*^9}, {3.838116185706314*^9, 
  3.8381161940527973`*^9}},ExpressionUUID->"5a3a0718-d751-45e7-a479-\
9b07080c3783"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"ba968fa9-ebcd-436d-b0cd-229752e09c0e"],

Cell[CellGroupData[{

Cell["Static Objects", "Section",
 CellChangeTimes->{{3.8075815763411984`*^9, 3.807581580017336*^9}, {
   3.8158259572379*^9, 3.815825964690983*^9}, {3.815899984494676*^9, 
   3.81589998906185*^9}, {3.8159000804467926`*^9, 3.815900081686184*^9}, {
   3.81614557425486*^9, 3.816145574645548*^9}, 3.818683825197982*^9, {
   3.838114954273818*^9, 3.838114954697336*^9}},
 CellTags->
  "TOCTag-Section13",ExpressionUUID->"fe6e844a-8ea1-407b-ac2c-d0a90a7dfacb"],

Cell[CellGroupData[{

Cell["Example 1: Long Computation Time", "Subsection",
 CellChangeTimes->{{3.8159893611179123`*^9, 3.8159893643961678`*^9}, {
  3.8161452660390325`*^9, 3.816145268214123*^9}, {3.816145404102415*^9, 
  3.8161454067405934`*^9}, {3.838114956929167*^9, 3.8381149649375067`*^9}},
 CellTags->
  "TOCTag-Subsection5",ExpressionUUID->"08489663-4482-4c1f-afa0-72734cf7452e"],

Cell["An object involving a lengthy computation:", "Text",
 CellChangeTimes->{{3.8159001419680123`*^9, 
  3.815900171168375*^9}},ExpressionUUID->"1c07f6b0-ba4e-4921-bd0b-\
d7a4299ddc9e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"obj1", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "5", "]"}], ";", "\"\<Ready\>\""}], ")"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.8159001497033205`*^9, 3.815900158632112*^9}, {
  3.8159002006152835`*^9, 3.815900208521572*^9}, {3.826368158932609*^9, 
  3.826368159001549*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"f6e0b6cc-c0b3-4b86-932b-aa630dd29f49"],

Cell[TextData[{
 "Following the idiom discussed in the previous slide, you can push all the \
code before ",
 Cell[BoxData[
 "\"\<Ready\>\""], "Input",ExpressionUUID->
  "3854e3b3-0458-4dc8-80ff-bb85c2120ec4"],
 " to the Initialization section in a DynamicModule and set ",
 StyleBox[ButtonBox["SynchronousInitialization",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SynchronousInitialization"],
  FontWeight->"Bold"],
 "->False:"
}], "Text",
 CellChangeTimes->{{3.8159002276386614`*^9, 3.815900230503671*^9}, {
   3.815989241165434*^9, 3.815989256660039*^9}, {3.8161450737244873`*^9, 
   3.8161450743424864`*^9}, {3.816145828709689*^9, 3.8161458459511423`*^9}, {
   3.826365565450759*^9, 3.8263655687311373`*^9}, {3.826412666824489*^9, 
   3.8264126765100183`*^9}, 3.8376454735235605`*^9, {3.8381160299172783`*^9, 
   3.838116063035749*^9}, 
   3.8381161579919987`*^9},ExpressionUUID->"5c0bf83a-24b0-47a7-a10d-\
0c232eceddc9"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"loaded", "=", "False"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"loaded", "\[Equal]", "False"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ProgressIndicator", "[", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Necklace\>\""}], "]"}], ",", 
      "\[IndentingNewLine]", "\"\<Ready\>\""}], "\[IndentingNewLine]", "]"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", "\[IndentingNewLine]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Pause", "[", "5", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"loaded", "=", "True"}]}], "\[IndentingNewLine]", ")"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.81598928558375*^9, 3.8159893183631516`*^9}, {
  3.83757918738365*^9, 
  3.837579190735823*^9}},ExpressionUUID->"88e83933-c074-46f9-ac43-\
25e9682547ad"],

Cell["Using DisplayWithProgress:", "Text",
 CellChangeTimes->{{3.818738888766398*^9, 3.818738892468482*^9}, {
  3.8263655757373466`*^9, 3.8263655767202997`*^9}, {3.82636684648207*^9, 
  3.826366846875486*^9}, {3.838116251807753*^9, 
  3.838116257511786*^9}},ExpressionUUID->"48009c94-7554-4b6f-856e-\
4051d98b443f"],

Cell[BoxData[
 RowBox[{"DisplayWithProgress", "[", 
  RowBox[{"obj1", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.826365838432872*^9, 3.826365850127538*^9}, {
  3.826368169946079*^9, 3.826368171029328*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"02aa9b15-aa72-42d9-9ee9-19040b9c2dfc"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"565a8c77-8d60-4ac4-a7a8-3c7b1c058ab3"],

Cell[CellGroupData[{

Cell["Static Objects (contd.)", "Section",
 CellChangeTimes->{{3.8075815763411984`*^9, 3.807581580017336*^9}, {
   3.8158259572379*^9, 3.815825964690983*^9}, {3.815899984494676*^9, 
   3.81589998906185*^9}, {3.8159000804467926`*^9, 3.815900081686184*^9}, {
   3.8161453508367567`*^9, 3.81614535358962*^9}, {3.816145578359597*^9, 
   3.816145578790837*^9}, 3.8186839280122275`*^9, {3.838114969418376*^9, 
   3.838114969810441*^9}},
 CellTags->
  "TOCTag-Section14",ExpressionUUID->"1fdbeb53-5799-4e17-95fb-be9e2b1f3bf5"],

Cell[CellGroupData[{

Cell["Example 2: Long Rendering Time", "Subsection",
 CellChangeTimes->{{3.8159893611179123`*^9, 3.8159893643961678`*^9}, {
  3.8161452660390325`*^9, 3.816145268214123*^9}, {3.816145314700565*^9, 
  3.8161453267333465`*^9}, {3.838114972042377*^9, 3.838114979073825*^9}},
 CellTags->
  "TOCTag-Subsection6",ExpressionUUID->"7d97f2b8-8ad0-4378-8c16-240a1040a466"],

Cell["\<\
In addition to the computation time, the following graphic takes time to \
render in the front end:\
\>", "Text",
 CellChangeTimes->{{3.816145500886978*^9, 3.8161455200707483`*^9}, {
  3.826365632413489*^9, 3.8263656685691137`*^9}, {3.8381162643680143`*^9, 
  3.838116272015334*^9}},ExpressionUUID->"85ed1451-680c-4ae8-b091-\
71ce9d3f75ad"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"graphic", "[", "]"}], "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"RandomColor", "[", "]"}], ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"RandomReal", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "100"}], "}"}], ",", "2"}], "]"}], ",", 
            "0.3"}], "]"}]}], "}"}], ",", 
        RowBox[{"10", "^", "4"}]}], "]"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"300", ",", "300"}], "}"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.8161454920633006`*^9, 3.816145525113635*^9, 
  3.836024131673954*^9},
 CellLabel->"In[21]:=",ExpressionUUID->"082eda21-61fc-4f98-b39d-3916534c9938"],

Cell[BoxData[
 RowBox[{"graphic", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8161455268346443`*^9, 3.81614552854076*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"3871d180-192b-44e4-ade1-59addbf2ce8a"],

Cell["A progress pane can be shown:", "Text",
 CellChangeTimes->{{3.816145551181883*^9, 
  3.816145562349924*^9}},ExpressionUUID->"368c5362-18e9-4b04-ad28-\
e48804b61204"],

Cell[BoxData[
 RowBox[{
  RowBox[{"progressPane", "=", 
   RowBox[{"Pane", "[", 
    RowBox[{
     RowBox[{"Style", "[", 
      RowBox[{"\"\<Loading...\>\"", ",", "20"}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"300", ",", "300"}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"Background", "\[Rule]", "LightBlue"}]}], ",", 
     RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.8161454920633006`*^9, 3.816145525113635*^9, {3.8161455843602676`*^9, 
   3.816145588533331*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"f3de35cf-6c29-4dce-96f9-48bb3dad80a6"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"loaded", "=", "False"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"loaded", "\[Equal]", "False"}], ",", "\[IndentingNewLine]", 
      "progressPane", ",", "\[IndentingNewLine]", 
      RowBox[{"graphic", "[", "]"}]}], "\[IndentingNewLine]", "]"}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", "\[IndentingNewLine]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{"loaded", "=", "True"}], "\[IndentingNewLine]", ")"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.81598928558375*^9, 3.8159893183631516`*^9}, {
  3.816145604247612*^9, 3.8161456178714013`*^9}, {3.836024153389759*^9, 
  3.8360241632316875`*^9}, {3.83757919175745*^9, 
  3.8375791931737237`*^9}},ExpressionUUID->"c19e62a6-8612-4bbc-843a-\
cd32b2318cdb"],

Cell["Using DisplayWithProgress:", "Text",
 CellChangeTimes->{{3.8263668244335065`*^9, 3.826366850065008*^9}, {
  3.8381162798643208`*^9, 
  3.838116285719342*^9}},ExpressionUUID->"b7b3cf4a-6656-4a64-a843-\
ace463d21b04"],

Cell[BoxData[
 RowBox[{"DisplayWithProgress", "[", 
  RowBox[{
   RowBox[{"graphic", "[", "]"}], ",", "progressPane"}], "]"}]], "Input",
 CellChangeTimes->{{3.818825347661737*^9, 3.8188253618702836`*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"de4948aa-17fd-413d-9780-13bfc3499294"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"42f22332-691d-49c0-814d-78002fdd283b"],

Cell[CellGroupData[{

Cell["Dynamic Objects", "Section",
 CellChangeTimes->{{3.8075815763411984`*^9, 3.807581580017336*^9}, {
   3.8158259572379*^9, 3.815825964690983*^9}, {3.815899984494676*^9, 
   3.81589998906185*^9}, {3.8159000804467926`*^9, 3.815900081686184*^9}, {
   3.8161453508367567`*^9, 3.81614535358962*^9}, {3.816145578359597*^9, 
   3.816145578790837*^9}, {3.8161456848472247`*^9, 3.8161456856284595`*^9}, 
   3.816145797798394*^9, 3.8186839320474834`*^9, {3.838114983450665*^9, 
   3.838114983921681*^9}},
 CellTags->
  "TOCTag-Section15",ExpressionUUID->"e0bb81de-19ff-4ebe-8a7d-7fa1d28df209"],

Cell["\<\
A progress pane can be shown similarly, while loading a dynamic object. \
\>", "Text",
 CellChangeTimes->{{3.8161456983995123`*^9, 3.816145723894149*^9}, {
  3.8263668648116035`*^9, 3.826366866771886*^9}, {3.838116294544146*^9, 
  3.838116297368485*^9}},ExpressionUUID->"9ca45e24-938a-4a53-b983-\
ab526573f280"],

Cell["It takes some time to load:", "Text",
 CellChangeTimes->{{3.8161457284312215`*^9, 3.81614573246303*^9}, {
  3.838116303536462*^9, 
  3.838116304656536*^9}},ExpressionUUID->"e3286f56-50f7-41b2-94d6-\
e7da2a64694d"],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{"Pause", "[", "3", "]"}], ";", "\"\<Ready\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.816145733662255*^9, 3.81614574364025*^9}},
 CellLabel->"In[96]:=",ExpressionUUID->"24e0b489-3508-4c6c-9283-f09c7361d3d8"],

Cell["Show a progress indicator using the idiom discussed earlier:", "Text",
 CellChangeTimes->{{3.816145752438592*^9, 3.8161457577264833`*^9}, {
  3.826366881146455*^9, 
  3.8263668884200387`*^9}},ExpressionUUID->"404ab9fb-87e0-4e64-b6b7-\
b15a6a355d80"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"loaded", "=", "False"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"loaded", "\[Equal]", "False"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ProgressIndicator", "[", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Necklace\>\""}], "]"}], ",", 
      "\[IndentingNewLine]", "\"\<Ready\>\""}], "\[IndentingNewLine]", "]"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", "\[IndentingNewLine]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Pause", "[", "3", "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"loaded", "=", "True"}]}], "\[IndentingNewLine]", ")"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.81598928558375*^9, 3.8159893183631516`*^9}, {
  3.8161457693485117`*^9, 3.816145770073196*^9}, {3.83757919826375*^9, 
  3.837579200077715*^9}},ExpressionUUID->"0082775a-28ed-41be-8dc7-\
e4feb6d641b2"],

Cell["With DisplayWithProgress:", "Text",
 CellChangeTimes->{{3.8188253890824213`*^9, 3.818825393523518*^9}, 
   3.8263668965435543`*^9, {3.8381163153769093`*^9, 
   3.8381163200889397`*^9}},ExpressionUUID->"eb6ee978-9376-4f47-b69c-\
d3b8e01cc502"],

Cell[BoxData[
 RowBox[{"DisplayWithProgress", "[", 
  RowBox[{"Dynamic", "[", 
   RowBox[{
    RowBox[{"Pause", "[", "3", "]"}], ";", "\"\<Ready\>\""}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.818825373339183*^9, 3.8188253810091424`*^9}},
 CellLabel->"In[98]:=",ExpressionUUID->"62d90efb-76f9-4dcc-9186-2589c5998972"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"f5bb320d-c09b-4912-9c6b-46d121f73a2d"],

Cell[CellGroupData[{

Cell["Additional Examples", "Section",
 CellChangeTimes->{{3.8263669465616837`*^9, 3.8263669490417166`*^9}, {
  3.838114988322804*^9, 3.838114988794778*^9}},
 CellTags->
  "TOCTag-Section16",ExpressionUUID->"5676a9f5-a13d-47e7-8436-63a60187c4a0"],

Cell["\<\
The discussed idiom can be used additionally for displaying progress \
indicators for a wide range of instances, including:\
\>", "Text",
 CellChangeTimes->{{3.8263669786986*^9, 3.8263669993691387`*^9}, {
  3.8263675232938128`*^9, 3.826367524588951*^9}, {3.8264127200133295`*^9, 
  3.82641272733506*^9}},ExpressionUUID->"6412c00b-4095-49fe-96bb-\
08503aaacd8a"],

Cell[CellGroupData[{

Cell["for time-consuming DynamicModule", "ItemNumbered",
 CellChangeTimes->{{3.826367009952921*^9, 3.8263670168565197`*^9}, {
  3.826367556392821*^9, 3.826367556738307*^9}, {3.838118028758396*^9, 
  3.8381180290474463`*^9}},ExpressionUUID->"7455ddd2-370b-4739-9477-\
c57bad799436"],

Cell["\<\
for updates using control objects, e.g. buttons and checkboxes\
\>", "ItemNumbered",
 CellChangeTimes->{{3.826367009952921*^9, 3.8263670342495213`*^9}, {
   3.826367534962881*^9, 3.826367561762925*^9}, 
   3.83811636782837*^9},ExpressionUUID->"ecc8b49e-7f6a-4e9a-988b-\
dfffacabf48d"],

Cell["for updates with ContinuousAction/ControlActive", "ItemNumbered",
 CellChangeTimes->{{3.826367009952921*^9, 3.8263670529141855`*^9}, {
  3.8263675405133286`*^9, 3.826367566649932*^9}, {3.838116372324567*^9, 
  3.8381163744913282`*^9}, {3.838118035690071*^9, 3.838118046175324*^9}, {
  3.838118215621385*^9, 
  3.8381182237310534`*^9}},ExpressionUUID->"b5d2ae56-7847-4d00-a566-\
7b1f47f3e145"]
}, Open  ]],

Cell["\<\
Please refer to the documentation of DisplayWithProgress for such examples. \
\>", "Text",
 CellChangeTimes->{{3.8263670735709515`*^9, 3.8263670913792114`*^9}, 
   3.8263675717440825`*^9, {3.8381163816233597`*^9, 
   3.838116386266086*^9}},ExpressionUUID->"40af7b13-8fe5-4d76-b7ea-\
0580d85b161f"],

Cell["\t",
 ShowCellBracket->Automatic,
 CellMargins->{{66, 0}, {0, 0}},
 TabFilling->"\[LongDash]\[NegativeThickSpace]",
 TabSpacings->Scaled[0.15],
 FontColor->GrayLevel[
  0.6],ExpressionUUID->"0ba5af8c-44e4-4642-a91b-f595872dbdbc"],

Cell[TextData[{
 "Note that unlike Monitor, DisplayWithProgress can show a progress indicator \
for one component in the interface without disturbing the others (see example \
from ",
 ButtonBox["Slide 30",
  BaseStyle->"Hyperlink",
  ButtonData->"MonitorLimitation2"],
 ")."
}], "Text",
 CellChangeTimes->{{3.8263676046172743`*^9, 3.826367617722822*^9}, {
  3.8263677383533754`*^9, 3.826367795728631*^9}, {3.8264127945825105`*^9, 
  3.826412794585211*^9}, {3.8375794440199165`*^9, 3.837579453807569*^9}, {
  3.838118055943941*^9, 
  3.8381180561518106`*^9}},ExpressionUUID->"0384a39c-9b64-406c-9f88-\
c97872fce067"],

Cell["With Monitor:", "Text",
 CellChangeTimes->{{3.8375794562793255`*^9, 
  3.83757945898555*^9}},ExpressionUUID->"5887bc8f-571c-4c28-b8c7-\
bcff14d8a1fc"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"myFrame", "[", "s_", "]"}], ":=", 
  RowBox[{"Framed", "[", 
   RowBox[{"s", ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"200", ",", "200"}], "}"}]}], ",", 
    RowBox[{"Background", "\[Rule]", "LightOrange"}], ",", 
    RowBox[{"Alignment", "\[Rule]", "Center"}], ",", 
    RowBox[{"FrameStyle", "\[Rule]", "Orange"}]}], "]"}]}], "\n", 
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"myFrame", "[", 
       RowBox[{"Style", "[", 
        RowBox[{"1", ",", "70"}], "]"}], "]"}], ",", 
      RowBox[{"Monitor", "[", 
       RowBox[{
        RowBox[{"myFrame", "[", 
         RowBox[{
          RowBox[{"Pause", "[", "3", "]"}], ";", 
          RowBox[{"Style", "[", 
           RowBox[{"2", ",", "70"}], "]"}]}], "]"}], ",", 
        RowBox[{"ProgressIndicator", "[", 
         RowBox[{"Appearance", "\[Rule]", "\"\<Necklace\>\""}], "]"}]}], 
       "]"}], ",", 
      RowBox[{"myFrame", "[", 
       RowBox[{"Style", "[", 
        RowBox[{"3", ",", "70"}], "]"}], "]"}]}], "}"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Spacings", "->", 
    RowBox[{"-", "0.1"}]}], ",", 
   RowBox[{"Alignment", "->", "Center"}]}], "]"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.837579321327037*^9, 3.8375793497205067`*^9}, {
  3.837579464389125*^9, 3.8375794808533006`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"904a1c8c-fe0c-4260-ba30-caa3e89875d9"],

Cell["Using DisplayWithProgress:", "Text",
 CellChangeTimes->{{3.826367820908675*^9, 
  3.826367825897214*^9}},ExpressionUUID->"7fbf5458-1249-43ca-a855-\
b259b97c0cb9"],

Cell[BoxData[
 RowBox[{"Grid", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"myFrame", "[", 
       RowBox[{"Style", "[", 
        RowBox[{"1", ",", "70"}], "]"}], "]"}], ",", 
      RowBox[{"myFrame", "[", 
       RowBox[{"DisplayWithProgress", "[", 
        RowBox[{
         RowBox[{"Pause", "[", "3", "]"}], ";", 
         RowBox[{"Style", "[", 
          RowBox[{"2", ",", "70"}], "]"}]}], "]"}], "]"}], ",", 
      RowBox[{"myFrame", "[", 
       RowBox[{"Style", "[", 
        RowBox[{"3", ",", "70"}], "]"}], "]"}]}], "}"}], "}"}], ",", 
   RowBox[{"Spacings", "->", 
    RowBox[{"-", "0.1"}]}], ",", 
   RowBox[{"Alignment", "->", "Center"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.837579301828056*^9, 3.8375793018300495`*^9}, {
  3.8375793586578274`*^9, 3.8375793602897987`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"d73c8060-bc4e-43dc-a67e-8701c6bacd43"],

Cell["\t",
 ShowCellBracket->Automatic,
 CellMargins->{{66, 0}, {0, 0}},
 TabFilling->"\[LongDash]\[NegativeThickSpace]",
 TabSpacings->Scaled[0.15],
 FontColor->GrayLevel[
  0.6],ExpressionUUID->"ffd9287f-9b6c-4467-ac81-52702dff6ceb"],

Cell["\<\
DisplayWithProgress can be used in the loading stage. Example from Module 11, \
Slide 5:\
\>", "Text",
 CellChangeTimes->{{3.826367862584792*^9, 3.8263678929696355`*^9}, {
   3.8263679286034966`*^9, 3.8263679303786497`*^9}, {3.8264128348379064`*^9, 
   3.8264128368540697`*^9}, 
   3.836024327312519*^9},ExpressionUUID->"5fa5ab68-f0f1-470f-94b6-\
d7d16571d509"],

Cell[BoxData[
 RowBox[{"ClearAll", "[", 
  RowBox[{"tab1", ",", "tab2", ",", "tab3"}], "]"}]], "Input",
 CellChangeTimes->{{3.8263680997714853`*^9, 3.8263681061646214`*^9}},
 CellLabel->
  "In[109]:=",ExpressionUUID->"acd7fcc5-ecba-4a45-a0e3-7087c383d959"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tab1", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"stylize", "[", "\"\<Tab 1\>\"", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tab2", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"stylize", "[", "\"\<Tab 2\>\"", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tab3", "[", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Pause", "[", "2", "]"}], ";", 
     RowBox[{"stylize", "[", "\"\<Tab 3\>\"", "]"}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.816147458282216*^9, 3.816147524409033*^9}, {
   3.817008426775289*^9, 3.817008443412037*^9}, {3.8263679340357924`*^9, 
   3.826367939914754*^9}, {3.826368109380937*^9, 3.8263681128088527`*^9}, 
   3.826368832297671*^9},
 CellLabel->
  "In[132]:=",ExpressionUUID->"76b17d77-7419-4219-9e79-30373b8fcc25"],

Cell["\<\
By wrapping with DisplayWithProgress, progress indicators are shown while the \
tabs are loaded: \
\>", "Text",
 CellChangeTimes->{{3.826367952787694*^9, 3.8263679584611483`*^9}, {
  3.8263685304246798`*^9, 
  3.8263685612148128`*^9}},ExpressionUUID->"68c2b56c-ec7f-4900-b6d3-\
803b170fcdcb"],

Cell[BoxData[
 RowBox[{"TabView", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"DisplayWithProgress", "[", 
      RowBox[{"Dynamic", "[", 
       RowBox[{"tab1", "[", "]"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"DisplayWithProgress", "[", 
      RowBox[{"Dynamic", "[", 
       RowBox[{"tab2", "[", "]"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"DisplayWithProgress", "[", 
      RowBox[{"Dynamic", "[", 
       RowBox[{"tab3", "[", "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
    "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "Automatic"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.816146342942746*^9, 3.8161463537391477`*^9}, {
  3.8161463965208306`*^9, 3.8161464007362676`*^9}, {3.8161475816066194`*^9, 
  3.8161476046011133`*^9}, {3.82636797171558*^9, 3.8263680255366516`*^9}, {
  3.8263681160180354`*^9, 3.8263681197474527`*^9}},
 CellLabel->
  "In[135]:=",ExpressionUUID->"3631311e-04d8-4edd-92b2-c90811c1b2f3"],

Cell["\<\
1
The paradigm of DisplayWithProgress is based on sending a time-consuming \
computation to an asynchronous initialization.
True
Correct
False
Incorrect\
\>", "Text",
 ShowCellBracket->False,
 CellOpen->False,
 CellChangeTimes->{{3.8383740291139154`*^9, 3.838374049057584*^9}},
 CellTags->
  "CYUHiddenCell",ExpressionUUID->"f8b4ff7e-8d1c-489f-96fe-a8dafd92f6be"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xx$$ = False, $CellContext`size$$ = 
  400, $CellContext`neutral$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[1., 0.592156862745098, 0.10196078431372549`], FrameMargins -> 12, 
   FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`over$$ = Framed[
   Row[{
     Style["\[LightBulb]", FontSize -> 24, FontColor -> GrayLevel[1]], 
     Spacer[12], 
     Style[
     "Check Your Understanding", FontFamily -> "Source Sans Pro", FontSize -> 
      16, FontColor -> GrayLevel[1]]}], Background -> 
   RGBColor[0.09019607843137255, 0.1607843137254902, 0.25882352941176473`], 
   FrameMargins -> 12, FrameStyle -> None, RoundingRadius -> 5, 
   ImageSize -> {240, 65}], $CellContext`chosenAnswers$$ = {0}}, 
  TagBox[GridBox[{
     {
      PaneSelectorBox[{False->
       FrameBox[
        TemplateBox[{
          StyleBox[
          "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
           StripOnInput -> False], 
          TemplateBox[{12}, "Spacer1"], 
          StyleBox[
          "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
           FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
         
         "RowDefault"],
        Background->RGBColor[1., 0.592156862745098, 0.10196078431372549`],
        FrameMargins->12,
        FrameStyle->None,
        ImageSize->{240, 65},
        RoundingRadius->5,
        StripOnInput->False], True->
       TagBox[
        FrameBox[
         TemplateBox[{
           StyleBox[
           "\"\[LightBulb]\"", FontSize -> 24, FontColor -> GrayLevel[1], 
            StripOnInput -> False], 
           TemplateBox[{12}, "Spacer1"], 
           StyleBox[
           "\"Check Your Understanding\"", FontFamily -> "Source Sans Pro", 
            FontSize -> 16, FontColor -> GrayLevel[1], StripOnInput -> False]},
          "RowDefault"],
         Background->RGBColor[
          0.09019607843137255, 0.1607843137254902, 0.25882352941176473`],
         FrameMargins->12,
         FrameStyle->None,
         ImageSize->{240, 65},
         RoundingRadius->5,
         StripOnInput->False],
        EventHandlerTag[{
         "MouseClicked" :> (
           Switch[$CellContext`xx$$, True, $CellContext`xx$$ = False, 
             False, $CellContext`xx$$ = True]; $CellContext`chosenAnswers$$ = 
            Table[0, 
              
              Length[{{
                "The paradigm of DisplayWithProgress is based on sending a \
time-consuming computation to an asynchronous initialization.", {{
                  "True", "Correct"}, {"False", "Incorrect"}}, 1}}]]), Method -> 
          "Preemptive", PassEventsDown -> Automatic, PassEventsUp -> True}]]},
        Dynamic[
        CurrentValue["MouseOver"]],
       FrameMargins->0,
       ImageSize->Automatic]},
     {
      PaneSelectorBox[{True->
       FrameBox[
        TagBox[GridBox[{
           {
            
            DynamicModuleBox[{$CellContext`base$$ = {{
              0 -> "True", 1 -> Column[{
                  Style[
                   TextCell["True", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[0, 
                    Rational[4, 9], 0]], 
                  Style[
                   TextCell["Correct", TextAlignment -> Left], "Text", 
                   RGBColor[0, 
                    Rational[2, 3], 0]]}], 2 -> "True"}, {
              0 -> "False", 1 -> "False", 2 -> Column[{
                  Style[
                   TextCell["False", TextAlignment -> Left], "Text", Bold, 
                   RGBColor[
                    Rational[4, 9], 0, 0]], 
                  Style[
                   TextCell["Incorrect", TextAlignment -> Left], "Text", 
                   RGBColor[
                    Rational[2, 3], 0, 0]]}]}}, $CellContext`incorrect$$ = 
             True}, 
             TagBox[GridBox[{
                {"\<\"The paradigm of DisplayWithProgress is based on sending \
a time-consuming computation to an asynchronous initialization.\"\>"},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {1}], 
                   TemplateBox[{10}, "Spacer1"], 
                   PaneSelectorBox[{0 -> "\"True\"", 1 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["True", TextAlignment -> Left], 
                    TextCell["True", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[0, 
                    Rational[4, 9], 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Correct", TextAlignment -> Left], 
                    TextCell["Correct", TextAlignment -> Left]], "Text", 
                    RGBColor[0, 
                    Rational[2, 3], 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"], 2 -> "\"True\""}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 1, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]},
                {
                 TemplateBox[{
                   RadioButtonBox[
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], {2}], 
                   TemplateBox[{10}, "Spacer1"], 
                   
                   PaneSelectorBox[{
                    0 -> "\"False\"", 1 -> "\"False\"", 2 -> TagBox[
                    GridBox[{{
                    StyleBox[
                    InterpretationBox[
                    Cell["False", TextAlignment -> Left], 
                    TextCell["False", TextAlignment -> Left]], "Text", Bold, 
                    RGBColor[
                    Rational[4, 9], 0, 0], StripOnInput -> False]}, {
                    StyleBox[
                    InterpretationBox[
                    Cell["Incorrect", TextAlignment -> Left], 
                    TextCell["Incorrect", TextAlignment -> Left]], "Text", 
                    RGBColor[
                    Rational[2, 3], 0, 0], StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                    "Column"]}, 
                    Dynamic[
                    Part[$CellContext`chosenAnswers$$, 1]], ImageSize -> 
                    Automatic, BaselinePosition -> Dynamic[
                    If[Part[$CellContext`chosenAnswers$$, 1] == 2, 
                    Scaled[0.7], Automatic]]]},
                  "Row",
                  DisplayFunction->(PaneBox[
                    RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                    Top]& ),
                  InterpretationFunction->(RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}]& )]}
               },
               BaseStyle->"Text",
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"],
             DynamicModuleValues:>{}]}
          },
          AutoDelete->False,
          FrameStyle->Directive[
            GrayLevel[0.92], 
            Thickness[Large]],
          GridBoxAlignment->{"Columns" -> {{Left}}},
          GridBoxBackground->{"Columns" -> {{
               GrayLevel[0.97]}}},
          GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {False, False}},
          
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
          GridBoxSpacings->{"Columns" -> {{1}}}],
         "Grid"],
        Background->GrayLevel[0.97],
        FrameMargins->15,
        FrameStyle->Directive[
          GrayLevel[0.92], 
          Thickness[Large]],
        RoundingRadius->0,
        StripOnInput->False], False->
       TemplateBox[{0},
        "Spacer1"]}, Dynamic[$CellContext`xx$$],
       ImageSize->Automatic]}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}},
    GridBoxItemSize->{"Columns" -> {{
         Scaled[0.8]}}},
    GridBoxSpacings->{"Columns" -> {{2}}, "Rows" -> {{0}}}],
   "Grid"],
  DynamicModuleValues:>{}]], "Text",
 Deployed->True,
 CellTags->"answer",ExpressionUUID->"534f2b82-4f28-4602-bf79-a16f7b6507a5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"9b39debc-ced7-417d-9c63-deed295dcdf3"],

Cell[CellGroupData[{

Cell["Concluding Remarks", "Section",
 CellChangeTimes->{{3.8088114338663692`*^9, 3.8088114368553333`*^9}, {
  3.808811819416668*^9, 3.808811821759427*^9}, {3.809188306421482*^9, 
  3.809188307408337*^9}},
 CellTags->
  "TOCTag-Section17",ExpressionUUID->"b1a7f9fa-b934-432a-95c4-ca6b83a37d1c"],

Cell[CellGroupData[{

Cell["\<\
Various methods for avoiding unnecessary dynamics were discussed, including:\
\>", "ItemNumbered",
 CellChangeTimes->{{3.82783452882479*^9, 3.8278345311841755`*^9}, {
   3.8278345616660795`*^9, 3.827834594695334*^9}, {3.827834642618266*^9, 
   3.827834658334529*^9}, {3.8278351137969027`*^9, 3.827835302374543*^9}, 
   3.838116425156588*^9},ExpressionUUID->"f564b658-662f-4441-ae81-\
ef1312c7da05"],

Cell[CellGroupData[{

Cell["Using PaneSelector for avoiding reevaluation of the contents", \
"SubitemNumbered",
 CellChangeTimes->{{3.82783452882479*^9, 3.8278345311841755`*^9}, {
   3.8278345616660795`*^9, 3.827834594695334*^9}, {3.827834642618266*^9, 
   3.827834658334529*^9}, {3.8278351137969027`*^9, 3.8278352990587187`*^9}, {
   3.8375795152085667`*^9, 3.8375795237324705`*^9}, 3.838116429330641*^9},
 FontFamily->"Lucida Sans Unicode",
 FontSize->18,
 FontWeight->"Normal",ExpressionUUID->"33ce6f12-ef76-4e75-a691-5ed4cbe40d6f"],

Cell["Using pre-computed values", "SubitemNumbered",
 CellChangeTimes->{{3.82783452882479*^9, 3.8278345311841755`*^9}, {
  3.8278345616660795`*^9, 3.827834594695334*^9}, {3.827834642618266*^9, 
  3.827834658334529*^9}, {3.8278351137969027`*^9, 3.8278352999772468`*^9}},
 FontFamily->"Lucida Sans Unicode",
 FontSize->18,
 FontWeight->"Normal",ExpressionUUID->"dfbc3f9e-fa35-4f69-b5dc-7bfcce98e528"]
}, Open  ]],

Cell["\<\
Various types of progress indicators are supported in the Wolfram Language, \
including the default bar type, \"Necklace\", \"Ellipsis\", \
\"Indeterminate\", etc.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.827835822006873*^9, 3.827835886089776*^9}, 
   3.8278360385265493`*^9, {3.827836076205392*^9, 3.827836079606449*^9}, {
   3.8381164342266417`*^9, 
   3.838116441210264*^9}},ExpressionUUID->"19c2f74d-d7dd-4676-a703-\
c279f071f344"],

Cell["\<\
Monitor is not suitable for showing a progress indicator in an interface.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.827835822006873*^9, 3.8278359248183107`*^9}, 
   3.827836037695606*^9, {3.8381164452272778`*^9, 
   3.838116447523337*^9}},ExpressionUUID->"ed58060f-266d-4b75-b761-\
35bbe0fba7bc"],

Cell["\<\
A general idiom using Dynamic/DynamicModule for displaying a progress \
indicator in an interface was discussed.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.827835822006873*^9, 3.8278359623779182`*^9}, 
   3.8278360362070475`*^9, {3.8278360917605295`*^9, 3.8278360939348783`*^9}, {
   3.83811645110497*^9, 
   3.838116457962771*^9}},ExpressionUUID->"407f8cab-36f5-44f5-b794-\
d624ba123c91"],

Cell["\<\
The mentioned idiom can be used to display a progress indicator in a wide \
range of scenarios, including display of static objects, display of dynamic \
objects, updates with control objects and during the loading of an interface.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.827835822006873*^9, 3.827836041409025*^9}, {
   3.8278361047264442`*^9, 3.8278361050122676`*^9}, 
   3.8381164658917093`*^9},ExpressionUUID->"77be6793-b3d5-41bb-94a1-\
becc7bee8390"],

Cell["\<\
The use of the superfunction DisplayWithProgress was demonstrated.\
\>", "ItemNumbered",
 CellChangeTimes->{{3.827835822006873*^9, 3.827836060836663*^9}, {
  3.8278361225900326`*^9, 3.8278361225920267`*^9}, {3.838116473195641*^9, 
  3.838116480123437*^9}},ExpressionUUID->"b43822d2-b318-4e7a-892d-\
96f97eb23f22"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"cfd2ccca-1dfd-4b91-bb05-e95742a99204"],

Cell[CellGroupData[{

Cell["Exercises", "Section",
 CellChangeTimes->{{3.833854839814747*^9, 3.8338548419671783`*^9}},
 CellTags->
  "TOCTag-Section18",ExpressionUUID->"98de77f3-72c0-4bb3-9f13-628a4dcd6f42"],

Cell["\<\
For some of the problems, you may have to consult the documentation to obtain \
information on the syntax of certain constructs that are not directly covered \
in this training module.\
\>", "Text",
 CellChangeTimes->{{3.8338578562134104`*^9, 3.8338579262444544`*^9}, {
  3.838116485507124*^9, 
  3.8381164948438883`*^9}},ExpressionUUID->"189acb66-fc14-4fb1-a23f-\
0c0667b562de"],

Cell[CellGroupData[{

Cell["Exercise 1", "Subsubsection",
 CellChangeTimes->{{3.833856998555041*^9, 3.8338570004452314`*^9}, {
  3.8341414080127444`*^9, 3.8341414097937*^9}},
 CellTags->
  "TOCTag-Subsubsection6",ExpressionUUID->"c17c4881-bef9-4b58-9251-\
632b8269809a"],

Cell["\<\
Consider the example of the sluggish slider shown in Slide 3:\
\>", "Text",
 CellChangeTimes->{{3.836025682890935*^9, 
  3.8360257073120604`*^9}},ExpressionUUID->"8939eadb-c7e4-48a9-bf8b-\
ef49feb969b9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"range", "=", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<range \>\"", ",", 
          RowBox[{"Slider", "[", 
           RowBox[{
            RowBox[{"Dynamic", "[", "range", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "10", ",", "1"}], "}"}]}], "]"}]}], "}"}], 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", 
        RowBox[{"Plot3D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sin", "[", "x", "]"}], " ", 
           RowBox[{"Sin", "[", "y", "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "range"}], ",", "range"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", 
          RowBox[{"Axes", "\[Rule]", "True"}], ",", 
          RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
          RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
          RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", "Automatic"}]}], 
         "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}]}], 
      "\[IndentingNewLine]", "}"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.807595754206324*^9, 3.807595756736997*^9}, {
  3.8093439509689503`*^9, 3.809343953604169*^9}, {3.810112101383279*^9, 
  3.810112106225852*^9}, {3.810184484707738*^9, 3.8101845223348694`*^9}, {
  3.824359936151205*^9, 3.82436006472769*^9}, {3.824360168459882*^9, 
  3.8243601718189707`*^9}, {3.83602571309822*^9, 
  3.8360257187468543`*^9}},ExpressionUUID->"cae63fb7-8596-4f3d-94b4-\
050ef62e39ca"],

Cell["\<\
Modify the code using ContinuousAction and DisplayWithProgress so that the \
user experience with the interface can be improved.\
\>", "Text",
 CellChangeTimes->{{3.836025764455299*^9, 3.836025773998952*^9}, {
  3.836025863910436*^9, 
  3.8360259097840242`*^9}},ExpressionUUID->"f455ce52-e6fd-43a0-b9f5-\
ef43c47e94f5"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Supporting Files", "Session 12", 
      "SolutionsToExercises", "Solution-session12q1.nb"}]],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 CellChangeTimes->{3.834141912758901*^9},
 TextAlignment->Right,ExpressionUUID->"21c3279f-3bd7-4f29-b49b-1b7c42a73327"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 2", "Subsubsection",
 CellChangeTimes->{{3.833857658377606*^9, 3.833857661736499*^9}, {
  3.834141413399518*^9, 3.834141414823301*^9}},
 CellTags->
  "TOCTag-Subsubsection7",ExpressionUUID->"6d513d93-3024-4397-b981-\
8a79407ce69e"],

Cell["The following interface takes some time to load:", "Text",
 CellChangeTimes->{{3.8356916040931993`*^9, 
  3.8356916172284575`*^9}},ExpressionUUID->"3a693f87-c763-4831-a8d6-\
413d63447ed4"],

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"count", "=", "1000"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Column", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Slider", "[", 
       RowBox[{
        RowBox[{"Dynamic", "[", "count", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"data", "[", 
           RowBox[{"[", 
            RowBox[{"-", "1"}], "]"}], "]"}]}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Spacer", "[", "10", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"DiscretePlot", "[", 
       RowBox[{
        RowBox[{"data", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "data", "]"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Epilog", "->", "\[IndentingNewLine]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Directive", "[", 
            RowBox[{
             RowBox[{"AbsoluteThickness", "[", "1.5", "]"}], ",", "Orange"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"InfiniteLine", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"Dynamic", "[", "count", "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "0"}], "}"}]}], "]"}]}], 
          "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"Ticks", "\[Rule]", "None"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", 
     RowBox[{"data", "=", 
      RowBox[{"Range", "[", 
       RowBox[{"10", "^", "4"}], "]"}]}], ")"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.8360260593204947`*^9, {3.836026157815533*^9, 3.8360261599535704`*^9}, {
   3.8360262028283844`*^9, 3.8360262036094975`*^9}, {3.836026271270313*^9, 
   3.836026295311545*^9}, {3.836026337945078*^9, 3.8360263489274535`*^9}, {
   3.836026403228979*^9, 3.8360264033539486`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"038bb7c0-7f3e-4d9a-8e8f-0ba64f673556"],

Cell["\<\
Display a message \[OpenCurlyDoubleQuote]Loading...\[CloseCurlyDoubleQuote] \
until the interface/plot is shown:\
\>", "Text",
 CellChangeTimes->{{3.835691638261469*^9, 3.8356916607075834`*^9}, {
  3.8360274444899015`*^9, 
  3.8360274454130993`*^9}},ExpressionUUID->"95b2ebee-d698-4908-9d01-\
a3ca18cc8834"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Supporting Files", "Session 12", 
      "SolutionsToExercises", "Solution-session12q2.nb"}]],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 TextAlignment->Right,ExpressionUUID->"0996ce15-7f16-42b4-89ae-24293ac6fdbc"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 3", "Subsubsection",
 CellChangeTimes->{{3.83385776243046*^9, 3.833857764539317*^9}, {
  3.834141418525101*^9, 3.834141419900443*^9}},
 CellTags->
  "TOCTag-Subsubsection8",ExpressionUUID->"ae1433ec-9683-4ac2-af4a-\
3210de2eb09a"],

Cell["The following Dynamic takes some time to load:", "Text",
 CellChangeTimes->{{3.8360268126678934`*^9, 
  3.8360268249968767`*^9}},ExpressionUUID->"1fdd214c-fb44-460a-adec-\
ae6dc5a0dfda"],

Cell[BoxData[
 RowBox[{
  RowBox[{"obj", "[", "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Pause", "[", "4", "]"}], ";", "\"\<Ready\>\""}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.8360268267926817`*^9, 3.8360268430930834`*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"2ef6126b-3b12-435d-aec5-0058669cfd69"],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"obj", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8360268445299997`*^9, 3.8360268488741074`*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"ea3217a4-7503-4a0b-8202-ad0337f9d55a"],

Cell[TextData[{
 "The front end locks up while the Dynamic loads. You can avoid the freezing \
of the front end during loading by setting ",
 StyleBox[ButtonBox["SynchronousUpdating",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SynchronousUpdating"],
  FontWeight->"Bold"],
 " to False:"
}], "Text",
 CellChangeTimes->{{3.836026865007086*^9, 3.836026930548679*^9}, 
   3.8376454787122045`*^9, {3.838116508955316*^9, 3.838116514900599*^9}, 
   3.8381181473626423`*^9},ExpressionUUID->"69fac8b1-64a1-423b-83f0-\
ee09ff30d309"],

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{"obj", "[", "]"}], ",", 
   RowBox[{"SynchronousUpdating", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.836026892336027*^9, 3.8360268992692056`*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"d490a7c0-f42c-4f16-b63d-27294bb1af2b"],

Cell["\<\
You may also use DisplayWithProgress, which shows a progress indicator \
instead of a gray rectangle:\
\>", "Text",
 CellChangeTimes->{{3.8360269391406145`*^9, 3.836026963775463*^9}, 
   3.8376454806796827`*^9},ExpressionUUID->"b16bf9fb-c9a7-472d-a435-\
a25ba585507c"],

Cell[BoxData[
 RowBox[{"DisplayWithProgress", "[", 
  RowBox[{"obj", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8360269647596083`*^9, 3.836026970883529*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"ae6cd70e-ea93-4c5b-86b0-720bbbfcdb84"],

Cell["\<\
Explain which method is more advantageous (in general) and why.\
\>", "Text",
 CellChangeTimes->{{3.83602714211143*^9, 
  3.8360271612319236`*^9}},ExpressionUUID->"06ffb1d8-02c9-46a7-b271-\
4191cd6aad3e"],

Cell[BoxData[
 ButtonBox["Solution",
  BaseStyle->{
   FontFamily -> "Source Sans Pro", FontSize -> 14, FontColor -> GrayLevel[1],
     ButtonBoxOptions -> {
     Background -> 
      RGBColor[0.09019607843137255, 0.1607843137254902, 
        0.25882352941176473`]}},
  ButtonFunction:>NotebookOpen[
    FileNameJoin[{
      NotebookDirectory[], "Supporting Files", "Session 12", 
      "SolutionsToExercises", "Solution-session12q3.nb"}]],
  Evaluator->Automatic,
  ImageSize->{65, 25},
  Method->"Preemptive"]], "Text",
 TextAlignment->Right,ExpressionUUID->"bd4daccb-51a2-41f7-8b07-cb6c1a5577e1"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"a3603c97-4d45-4a13-b404-2df9aae48966"],

Cell[CellGroupData[{

Cell["Initializations", "Section",
 CellChangeTimes->{{3.8088126006967993`*^9, 3.808812602798172*^9}, 
   3.8088127474888926`*^9},
 CellTags->
  "TOCTag-Section19",ExpressionUUID->"59fc67fa-9a81-4ec9-b791-5a28ae2d2ee9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{
    RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
    RowBox[{"InitializationCellEvaluation", "->", "Automatic"}], ",", 
    RowBox[{"InitializationCellWarning", "->", "False"}], ",", 
    RowBox[{"CellContext", "->", "Notebook"}]}], "]"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.8385302128174205`*^9, 3.838530221378377*^9}, {
  3.839650836042573*^9, 3.83965083666787*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"98d6caf5-e135-40fd-8231-b2a1a2675438"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SetOptions", "[", 
    RowBox[{
     RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
     RowBox[{
     "WindowTitle", "\[Rule]", 
      "\"\<Designing responsive and fast interfaces II\>\""}]}], "]"}], ";"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"styling", " ", "functions"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"stylize", "[", "s_", "]"}], ":=", 
   RowBox[{"Style", "[", 
    RowBox[{"s", ",", "50", ",", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Cambria\>\""}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"stylize2", "[", "n_", "]"}], ":=", 
   RowBox[{"Style", "[", 
    RowBox[{"n", ",", "40"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"space", "=", 
    RowBox[{"Spacer", "[", "10", "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Package", " ", "for", " ", "DisplayWithProgress"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<Supporting Files\>\"", ",", "\"\<Session 12\>\"", ",", 
      "\"\<DynamicUtilities.wl\>\""}], "}"}], "]"}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Demo", " ", "for", " ", "ContinuousAction"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataListPlot3D", "=", "\[IndentingNewLine]", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y", ",", 
        RowBox[{"Clip", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"100", "*", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"x", "^", "2"}]}], "-", 
              RowBox[{"y", "^", "2"}]}], "]"}]}], "+", 
           RowBox[{"100", "*", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"x", "-", "7"}], ")"}], "^", "2"}]}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "-", "5"}], ")"}], "^", "2"}]}], "]"}]}], "+", 
           RowBox[{"100", "*", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"x", "-", "1"}], ")"}], "^", "2"}]}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"y", "+", "5"}], ")"}], "^", "2"}]}], "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "100"}], "}"}]}], "]"}]}], "}"}], 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "10"}], ",", "10", ",", "0.1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "10"}], ",", "10", ",", "0.1"}], "}"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"optionsListPlot3D", "=", " ", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"DataRange", "->", "All"}], ",", 
      RowBox[{"PlotRange", "->", "All"}], ",", 
      RowBox[{"ColorFunction", "->", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"ColorData", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<BrightBands\>\"", ",", "\"\<Reverse\>\""}], "}"}], 
           "]"}], "[", "#3", "]"}], "&"}], ")"}]}], ",", 
      RowBox[{"Mesh", "->", "None"}], ",", 
      RowBox[{"Boxed", "->", " ", "False"}], ",", 
      RowBox[{"Axes", "->", "False"}], ",", 
      RowBox[{"ImageSize", "->", "400"}], ",", 
      RowBox[{"PlotRange", "->", "All"}], ",", 
      RowBox[{"AxesLabel", "->", 
       RowBox[{"{", 
        RowBox[{"\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}], 
      ",", 
      RowBox[{"BoxRatios", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "0.5"}], "}"}]}]}], "\[IndentingNewLine]",
      "}"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Palette", " ", "for", " ", "deleting", " ", "output", " ", "cells"}], " ",
    "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<Supporting Files\>\"", ",", "\"\<OutputDeleteUtility.wl\>\""}], 
     "}"}], "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DeleteOutputPalette", "[", "]"}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.8166636914626727`*^9, 3.8166638347047253`*^9}, {
  3.8166655502307444`*^9, 3.8166655833706207`*^9}, {3.816665644649133*^9, 
  3.816665723474001*^9}, {3.816665763387046*^9, 3.8166658787229795`*^9}, {
  3.8166662834882517`*^9, 3.8166663026556473`*^9}, {3.8166663402874813`*^9, 
  3.816666356611331*^9}, {3.816666479660676*^9, 3.816666499453544*^9}, {
  3.8195267733656006`*^9, 3.8195267754462843`*^9}, {3.826368675128869*^9, 
  3.826368706105476*^9}, {3.8263689044607115`*^9, 3.8263689118803377`*^9}, {
  3.827836159028182*^9, 3.8278361743531046`*^9}, {3.8290383897445774`*^9, 
  3.8290383919435635`*^9}, {3.833872025084694*^9, 3.833872032161421*^9}, {
  3.83423189252172*^9, 3.8342318943181815`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"84ae9805-c96c-4483-bdcf-1b5488d38281"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Setup Tools\>\"", 
      ",", "\"\<WritingUtilities.wl\>\""}], "}"}], "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WritingUtilitiesPalette", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.824360128108447*^9, 3.8243601526031513`*^9}, {
   3.8263391597455883`*^9, 3.8263391602637787`*^9}, 3.834227997159393*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"b1c52cbf-3f1e-40f7-b8ba-8e9696d3baf7"]
}, Open  ]]
}, Open  ]]
},
EvaluatorNames->{"Kernel2" -> {"AutoStartOnLaunch" -> False}},
Saveable->True,
InitializationCellEvaluation->Automatic,
InitializationCellWarning->False,
WindowSize->{960., 478.5},
WindowMargins->{{Automatic, -4.875}, {-4.875, Automatic}},
WindowTitle->"Designing responsive and fast interfaces II",
Visible->True,
TaggingRules->{
 "WolframUNotebook" -> True, "TryRealOnly" -> False, 
  "SlideshowSettings" -> {"Toolbar" -> True}},
CellContext->Notebook,
ButtonBoxOptions->{BaseStyle->None},
FrontEndVersion->"12.3 for Microsoft Windows (64-bit) (July 9, 2021)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["WolframULogo"], CellGroupingRules -> "GraphicsGrouping", 
          PageBreakWithin -> False, GeneratedCell -> True, CellAutoOverwrite -> 
          True, ShowCellLabel -> False, DefaultFormatType -> 
          DefaultOutputFormatType, LanguageCategory -> "NaturalLanguage", 
          FormatType -> StandardForm, ShowStringCharacters -> False, 
          FrontFaceColor -> GrayLevel[0], FrontFaceOpacity -> 1, 
          GraphicsColor -> GrayLevel[0], PointSize -> Absolute[3], Thickness -> 
          Medium, Opacity -> 1, DrawEdges -> False, StyleMenuListing -> None, 
          FontFamily -> "Arial", FontSize -> 10, FontWeight -> "Plain", 
          FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`BackFaceColor -> 
          GrayLevel[0], $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["WolframULogo", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
            0.5, 0.12 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Working", StyleDefinitions -> 
           StyleData["WolframULogo", "SlideShow"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "WolframULogo", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["WolframULogo", "Slideshow Working"]], 
          CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Title", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], FontFamily -> "Source Sans Pro", FontSize -> 
             81, FontWeight -> "Regular", FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[
              0.09019607843137255, 0.1607843137254902, 0.25882352941176473`]], 
            Cell[
             StyleData["Title", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.11 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 81], 
            Cell[
             StyleData[
             "Title", "Slideshow Working", StyleDefinitions -> 
              StyleData["Title", "SlideShow"]]], 
            Cell[
             StyleData[
             "Title", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Title", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Title", "Slideshow Working"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], FontFamily -> "Source Sans Pro", FontSize -> 
             40, FontWeight -> "Regular", FontSlant -> "Plain", 
             FontVariations -> {"CapsType" -> "AllCaps"}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subtitle", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {50, 12}}, 
             LineSpacing -> {1, 2}, FontSize -> 48], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subtitle", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subtitle", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subtitle", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subtitle", "Slideshow Working"]]]}, Closed]]}, 
        Open]], 
      Cell[
       CellGroupData[{
         Cell["Section", "Subsection"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0, 0}}, FontFamily -> 
             "Source Sans Pro", FontSize -> 50, FontWeight -> "Plain", 
             FontSlant -> "Plain", FontTracking -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Section", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               26, 0.06 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 50], 
            Cell[
             StyleData[
             "Section", "Slideshow Working", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]]], 
            Cell[
             StyleData[
             "Section", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Section", "SlideShow"]], 
             CellFrameLabels -> {{None, None}, {None, None}}]}, Open]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], ShowGroupOpener -> "Inline", FontFamily -> 
             "Source Sans Pro", FontSize -> 32, FontWeight -> "Regular", 
             FontSlant -> "Plain", 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> 
             RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
            Cell[
             StyleData["Subsection", "SlideShow"], ShowGroupOpener -> 
             "Inline", 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 32], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsection", "Slideshow Working"]]]}, Open]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], FontFamily -> "Source Sans Pro", 
             FontSize -> 28, FontWeight -> "Plain", FontSlant -> "Plain", 
             FontTracking -> "Plain", 
             FontVariations -> {
              "StrikeThrough" -> False, "Underline" -> False}, 
             PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}, 
             FontColor -> RGBColor[1., 0.42745098039215684`, 0.]], 
            Cell[
             StyleData["Subsubsection", "SlideShow"], 
             CellMargins -> {{
               0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.04 
                FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {
               12, 0.04 FrontEnd`AbsoluteCurrentValue[{WindowSize, 2}]}}, 
             LineSpacing -> {1, 2}, FontSize -> 28], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Working", StyleDefinitions -> 
              StyleData["Subsubsection", "SlideShow"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Slideshow Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]], 
            Cell[
             StyleData[
             "Subsubsection", "Scrolling Presentation", StyleDefinitions -> 
              StyleData["Subsubsection", "Slideshow Working"]]]}, Open]]}, 
        Open]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Body Content", "Section", 
       CellChangeTimes -> {{3.727532504641029*^9, 3.727532505736285*^9}}], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], LineSpacing -> {1, 3}, TabSpacings -> {2.5}, 
          CounterIncrements -> "Text", MenuSortingValue -> 1400, 
          MenuCommandKey :> "7", FontFamily -> "Source Sans Pro", FontSize -> 
          22, FontWeight -> "Plain", FontSlant -> "Plain", FontTracking -> 
          "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}, 
          PrivateFontOptions -> {"FontPostScriptName" -> "Automatic"}], 
         Cell[
          StyleData["Text", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          FontFamily -> "Source Sans Pro", FontSize -> 22, FontWeight -> 
          "Normal"], 
         Cell[
          StyleData[
          "Text", "Slideshow Working", StyleDefinitions -> 
           StyleData["Text", "SlideShow"]], FontFamily -> "Times New Roman", 
          FontSize -> 22, FontWeight -> "Normal"], 
         Cell[
          StyleData[
          "Text", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]], FontFamily -> 
          "Times New Roman", FontSize -> 22, FontWeight -> "Normal"], 
         Cell[
          StyleData[
          "Text", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Text", "Slideshow Working"]], FontFamily -> 
          "Times New Roman", FontSize -> 22, FontWeight -> "Normal"]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Note"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
          "Note", MenuSortingValue -> 8, FontFamily -> "Source Sans Pro", 
          FontSize -> 12, FontSlant -> "Italic", Background -> 
          GrayLevel[0.85]], 
         Cell[
          StyleData["Note", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellOpen -> False, 
          HyphenationOptions -> {"HyphenationCharacter" -> "-"}, 
          ParagraphSpacing -> {0, 6}, ParagraphIndent -> -10, 
          StyleMenuListing -> None, FontSize -> 18], 
         Cell[
          StyleData[
          "Note", "Slideshow Working", StyleDefinitions -> 
           StyleData["Note"]]], 
         Cell[
          StyleData[
          "Note", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Note", "SlideShow"]]], 
         Cell[
          StyleData[
          "Note", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Note", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item"], CellDingbat -> 
          StyleBox[
           "\[FilledSmallCircle]", Alignment -> Baseline, FontSize -> 22, 
            RGBColor[1., 0.42745098039215684`, 0.]], MenuCommandKey :> "I", 
          FontFamily -> "Source Sans Pro", FontSize -> 22], 
         Cell[
          StyleData["Item", "SlideShow"], CellDingbat -> 
          StyleBox[
           "\[FilledSmallCircle]", Alignment -> Baseline, FontSize -> 22, 
            RGBColor[1., 0.42745098039215684`, 0.]], 
          CellMargins -> {{
            0.175 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontFamily -> "Source Sans Pro", 
          FontSize -> 22], 
         Cell[
          StyleData[
          "Item", "Slideshow Working", StyleDefinitions -> 
           StyleData["Item", "SlideShow"]]], 
         Cell[
          StyleData[
          "Item", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Item", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Item", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph"], CellMargins -> {{81, 10}, {4, 1}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          DefaultNewCellStyle -> "Item", MenuSortingValue -> 1600, FontFamily -> 
          Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 14, 
          FontColor -> Dynamic[
            FrontEnd`CurrentValue[{StyleHints, "ColorSet", "Text1"}], 
            None], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemParagraph", "SlideShow"], ShowGroupOpener -> False, 
          CellMargins -> {{
            0.18 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{65, Inherited}, {Inherited, 0.5 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subitem"], CellDingbat -> 
          StyleBox["\[FilledSmallCircle]", Alignment -> Baseline, 
            RGBColor[1., 0.592156862745098, 0.10196078431372549`]]], 
         Cell[
          StyleData["Subitem", "SlideShow"], 
          CellMargins -> {{
            0.185 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 8, FontSize -> 22], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Working", StyleDefinitions -> 
           StyleData["Subitem", "SlideShow"]]], 
         Cell[
          StyleData[
          "Subitem", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Subitem", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Subitem", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemParagraph"], CellMargins -> {{105, 12}, {4, 1}}, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemParagraph", "Backspace" -> 
            "ItemParagraph", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemParagraph"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Subitem", 
          MenuSortingValue -> 1610, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 13.5,
           FontColor -> Dynamic[
            
            CurrentValue[{
             StyleHints, "ColorSet", 
              "Text1"}]], $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemParagraph", "SlideShow"], 
          CellMargins -> {{
            0.2 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 2}}, 
          FontSize -> 22], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemParagraph", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemParagraph", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemParagraph", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, 0.1 Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{91, 10}, {4, 8}}, 
          StyleKeyMapping -> {"Tab" -> "SubitemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CellFrameLabelMargins -> 4, CounterIncrements -> "ItemNumbered", 
          CounterAssignments -> {{"SubitemNumbered", 0}, {
            "SubsubitemNumbered", 0}}, MenuSortingValue -> 1630, 
          MenuCommandKey :> "N", FontFamily -> "Source Sans Pro", FontSize -> 
          22, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["ItemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.18 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 22], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["ItemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ItemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["ItemNumbered", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SubitemNumbered"], CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], ".", 
              CounterBox["SubitemNumbered"], "."}], FontWeight -> "Bold"], 
          CellMargins -> {{120, 12}, {4, 4}}, 
          StyleKeyMapping -> {
           "Tab" -> "SubsubitemNumbered", "Backspace" -> 
            "ItemNumbered", $CellContext`KeyEvent[
             "Tab", $CellContext`Modifiers -> {$CellContext`Shift}] -> 
            "ItemNumbered"}, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CellFrameLabelMargins -> 4, DefaultNewCellStyle -> "Item", 
          CounterIncrements -> "SubitemNumbered", 
          CounterAssignments -> {{"SubsubitemNumbered", 0}}, MenuSortingValue -> 
          1640, FontFamily -> Dynamic[
            CurrentValue[{StyleHints, "FontSet", "Text1"}]], FontSize -> 
          19, $CellContext`ReturnCreatesNewCell -> True], 
         Cell[
          StyleData["SubitemNumbered", "SlideShow"], 
          CellMargins -> {{
            0.215 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameLabelMargins -> 6, FontSize -> 20], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Working", StyleDefinitions -> 
           StyleData["SubitemNumbered", "SlideShow"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "SubitemNumbered", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Slideshow Working"]]], 
         Cell[
          StyleData["SubitemNumbered", "Printout"], 
          CellMargins -> {{92, Inherited}, {Inherited, Inherited}}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubitem"], FontFamily -> "Source Sans Pro", FontSize -> 
          20, FontWeight -> "Plain", FontSlant -> "Plain", FontTracking -> 
          "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Working"], FontFamily -> "Source Sans Pro",
           FontSize -> 20, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Slideshow"], FontFamily -> 
          "Source Sans Pro", FontSize -> 20, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Slideshow Working"], FontFamily -> 
          "Source Sans Pro", FontSize -> 20, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Slideshow Presentation"], FontFamily -> 
          "Source Sans Pro", FontSize -> 20, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Subsubitem", "Scrolling Presentation"], FontFamily -> 
          "Source Sans Pro", FontSize -> 20, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontTracking -> "Plain", 
          FontVariations -> {
           "StrikeThrough" -> False, "Underline" -> False}]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics"], CellMargins -> {{27, Inherited}, {15, 15}}, 
          CellGroupingRules -> "GraphicsGrouping", PageBreakWithin -> False, 
          GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
          False, DefaultFormatType -> DefaultOutputFormatType, ContextMenu -> 
          FEPrivate`FrontEndResource["ContextMenus", "Graphics"], 
          AutoStyleOptions -> {"HighlightMisspelledWords" -> False}, 
          LanguageCategory -> "NaturalLanguage", FormatType -> StandardForm, 
          ShowStringCharacters -> False, NumberMarks -> False, 
          CounterIncrements -> "Graphics", 
          ImageMargins -> {{43, Inherited}, {Inherited, 0}}, Arrowheads -> 
          0.04, Dashing -> None, CapForm -> "Square", 
          JoinForm -> {"Miter", 3.25}, LineColor -> GrayLevel[0], LineOpacity -> 
          1, EdgeColor -> GrayLevel[0], EdgeOpacity -> 1, EdgeThickness -> 
          Medium, EdgeDashing -> None, EdgeCapForm -> "Square", 
          EdgeJoinForm -> {"Miter", 3.25}, FrontFaceColor -> GrayLevel[0], 
          FrontFaceOpacity -> 1, GraphicsColor -> GrayLevel[0], PointSize -> 
          Absolute[3], Thickness -> Medium, Opacity -> 1, DrawEdges -> False, 
          StyleMenuListing -> None, FontFamily -> "Arial", FontSize -> 10, 
          FontWeight -> "Plain", FontColor -> GrayLevel[0], FontOpacity -> 
          1, $CellContext`BackFaceColor -> 
          GrayLevel[0], $CellContext`StripStyleOnPaste -> 
          False, $CellContext`BackFaceOpacity -> 1], 
         Cell[
          StyleData["Graphics", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {12, 12}}], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Working", StyleDefinitions -> 
           StyleData["Graphics", "SlideShow"]]], 
         Cell[
          StyleData[
          "Graphics", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Graphics", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Graphics", "Slideshow Working"]]]}, Open]], 
      Cell[
       StyleData["Hyperlink"], FontColor -> 
       RGBColor[0.269993, 0.308507, 0.6]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["KeyEvent"], CellFrame -> {{1, 1}, {1, 1}}, 
          CellFrameMargins -> {{2, 2}, {2, 2}}, CellFrameColor -> 
          GrayLevel[0.8], FontFamily -> "Source Sans Pro", FontColor -> 
          GrayLevel[0.360784], Background -> GrayLevel[0.964706]], 
         Cell[
          StyleData["KeyEvent", "SlideShow"]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Working", StyleDefinitions -> 
           StyleData["KeyEvent", "SlideShow"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "KeyEvent", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["KeyEvent", "Slideshow Working"]]]}, Closed]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          FontFamily -> "Times New Roman", FontSize -> 18, FontWeight -> 
          "Bold", FontSlant -> "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Input", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 18, 
          FontWeight -> "Bold"], 
         Cell[
          StyleData[
          "Input", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]], FontSize -> 18, FontWeight -> 
          "Normal"], 
         Cell[
          StyleData[
          "Input", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]], FontSize -> 18, 
          FontWeight -> "Normal"], 
         Cell[
          StyleData[
          "Input", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]], FontSize -> 18]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "ExperimentalInput", StyleDefinitions -> StyleData["Input"]], 
          CellFrame -> True, CellMargins -> {{66, 10}, {5, 8}}, 
          StyleKeyMapping -> {"=" -> "WolframAlphaShort", "*" -> "Item"}, 
          CellFrameColor -> 
          RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               InterpretationBox[
                Cell[
                 BoxData[
                  RotationBox[
                  "Experimental", BoxRotation -> 1.5707963267948966`]], 
                 "Text", LineColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FrontFaceColor -> 
                 RGBColor[
                  1., 0.592156862745098, 
                   0.10196078431372549`], $CellContext`BackFaceColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 GraphicsColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`], 
                 FontSize -> 10, FontColor -> 
                 RGBColor[1., 0.592156862745098, 0.10196078431372549`]], 
                TextCell[
                 Rotate["Experimental", 90 Degree], "Text", 10, 
                 $CellContext`RGBColorRGBColor[
                 1., 0.592156862745098, 0.10196078431372549`]]]]], None}, {
            None, None}}, FontSize -> 13], 
         Cell[
          StyleData["ExperimentalInput", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Working", StyleDefinitions -> 
           StyleData["Input", "SlideShow"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "ExperimentalInput", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Input", "Slideshow Working"]]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], CellMargins -> {{66, 10}, {7, 8}}, FontSize -> 
          13], 
         Cell[
          StyleData["InputOnly", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Working", StyleDefinitions -> 
           StyleData["InputOnly", "SlideShow"]]], 
         Cell[
          StyleData[
          "InputOnly", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "InputOnly", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["InputOnly", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"]], 
         Cell[
          StyleData["Code", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {8, 15}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 20], 
         Cell[
          StyleData[
          "Code", "Slideshow Working", StyleDefinitions -> 
           StyleData["Code", "SlideShow"]]], 
         Cell[
          StyleData[
          "Code", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Code", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Code", "Slideshow Working"]]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], CellMargins -> {{66, 10}, {12, 5}}, FontFamily -> 
          "Times New Roman", FontSize -> 18, FontWeight -> "Normal", 
          FontSlant -> "Plain", FontTracking -> "Plain", 
          FontVariations -> {"StrikeThrough" -> False, "Underline" -> False}], 
         Cell[
          StyleData["Output", "SlideShow"], 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.01 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {15, 8}}, 
          LinebreakAdjustments -> {1, 2., 12., 1., 1.}, FontSize -> 18], 
         Cell[
          StyleData[
          "Output", "Slideshow Working", StyleDefinitions -> 
           StyleData["Output", "SlideShow"]]], 
         Cell[
          StyleData[
          "Output", "Slideshow Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]], 
         Cell[
          StyleData[
          "Output", "Scrolling Presentation", StyleDefinitions -> 
           StyleData["Output", "Slideshow Working"]]]}, Open]], 
      Cell[
       StyleData["Program"], FontSize -> 20], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Custom 1"], CellFrame -> {{3, 0}, {0, 0}}, 
          CellMargins -> {{66, 10}, {7, 8}}, CellFrameColor -> 
          RGBColor[0.593454, 0.888609, 0.918547], 
          CellFrameLabelMargins -> {{0, 10}, {0, 0}}, MenuCommandKey :> "C", 
          Background -> GrayLevel[0.95]], 
         Cell[
          StyleData["Custom 1", "SlideShow"], CellFrame -> {{3, 0}, {0, 0}}, 
          CellMargins -> {{
            0.15 FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}], 0.03 
             FrontEnd`AbsoluteCurrentValue[{WindowSize, 1}]}, {10, 10}}, 
          CellFrameColor -> RGBColor[0.593454, 0.888609, 0.918547], 
          CellFrameLabelMargins -> {{0, 10}, {0, 0}}, Background -> 
          GrayLevel[0.95]], 
         Cell[
          StyleData["Custom 1", "Slideshow Working"]], 
         Cell[
          StyleData["Custom 1", "Slideshow Presentation"]], 
         Cell[
          StyleData["Custom 1", "Scrolling Presentation"]]}, Open]]}, Open]]},
   Visible -> False, FrontEndVersion -> 
  "12.3 for Microsoft Windows (64-bit) (July 9, 2021)", StyleDefinitions -> 
  Notebook[{
     Cell[
      StyleData["Text", "SlideShow"]]}, Visible -> False, FrontEndVersion -> 
    "12.3 for Microsoft Windows (64-bit) (July 9, 2021)", StyleDefinitions -> 
    "Default.nb"]],
ExpressionUUID->"7d268b1f-6656-4b6b-9896-3d20df74f7e4"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[637, 23, 136, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
   CellTags->"SlideShowHeader"],
  Cell[17006, 306, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"3607ed0f-4d8f-45bb-b2a5-ffd7ec7e9099",
   CellTags->"SlideShowHeader"],
  Cell[208873, 4186, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"08e821b1-b4d4-4dd2-a5d7-d0f9607469bb",
   CellTags->"SlideShowHeader"],
  Cell[278843, 5415, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"1346eba1-b127-4694-83f9-990f9b87b242",
   CellTags->"SlideShowHeader"],
  Cell[279608, 5448, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"af6e7ecf-d69d-4067-ab52-641bf096314b",
   CellTags->"SlideShowHeader"],
  Cell[283203, 5547, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0591c14d-75f4-4006-b237-fa0a7f4a61a3",
   CellTags->"SlideShowHeader"],
  Cell[288708, 5686, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"833a1e27-38c7-4828-926e-f54059476015",
   CellTags->"SlideShowHeader"],
  Cell[312990, 6270, 190, 3, 74, "SlideShowNavigationBar",ExpressionUUID->"64b2a79e-92fc-4b81-8282-d073020bf31f",
   CellTags->"SlideShowHeader"],
  Cell[343588, 6988, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"e1fba801-eedd-4c4b-89a6-5e333fb7af35",
   CellTags->"SlideShowHeader"],
  Cell[361994, 7451, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"681c22ea-ecfd-4cc1-ad8e-181312fbda27",
   CellTags->"SlideShowHeader"],
  Cell[366567, 7581, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0e21807b-7640-4166-ab68-b411c91041b6",
   CellTags->"SlideShowHeader"],
  Cell[387965, 8115, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"768a905a-e672-4a7a-9a50-11729cd71cd0",
   CellTags->"SlideShowHeader"],
  Cell[388669, 8147, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"c661fa43-2b68-4946-9065-e0fd917e3d01",
   CellTags->"SlideShowHeader"],
  Cell[408206, 8618, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"b7edf4d2-f993-4b7b-891e-d319cfbeedc5",
   CellTags->"SlideShowHeader"],
  Cell[413050, 8748, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"36e6e208-9f2d-4e68-b270-f759ee5b4222",
   CellTags->"SlideShowHeader"],
  Cell[418939, 8891, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"ba968fa9-ebcd-436d-b0cd-229752e09c0e",
   CellTags->"SlideShowHeader"],
  Cell[423282, 9000, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"565a8c77-8d60-4ac4-a7a8-3c7b1c058ab3",
   CellTags->"SlideShowHeader"],
  Cell[428509, 9138, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"42f22332-691d-49c0-814d-78002fdd283b",
   CellTags->"SlideShowHeader"],
  Cell[432109, 9227, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"f5bb320d-c09b-4912-9c6b-46d121f73a2d",
   CellTags->"SlideShowHeader"],
  Cell[451305, 9720, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"9b39debc-ced7-417d-9c63-deed295dcdf3",
   CellTags->"SlideShowHeader"],
  Cell[455153, 9817, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"cfd2ccca-1dfd-4b91-bb05-e95742a99204",
   CellTags->"SlideShowHeader"],
  Cell[466389, 10123, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"a3603c97-4d45-4a13-b404-2df9aae48966",
   CellTags->"SlideShowHeader"]},
 "TOCTag-Title1"->{
  Cell[15771, 281, 472, 7, 357, "Title",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76",
   CellTags->"TOCTag-Title1"]},
 "TOCTag-Section1"->{
  Cell[17153, 312, 196, 3, 90, "Section",ExpressionUUID->"2b580683-0ed4-4955-bf49-2e2d45ff0df4",
   CellTags->"TOCTag-Section1"]},
 "TOCTag-Subsection1"->{
  Cell[18962, 358, 304, 6, 69, "Subsection",ExpressionUUID->"ea102e6d-15df-4c56-a7e3-44410c0ec51f",
   CellTags->"TOCTag-Subsection1"]},
 "TOCTag-Section2"->{
  Cell[209020, 4192, 406, 6, 90, "Section",ExpressionUUID->"4c726470-071d-4dbd-bf93-84a66cd5d85f",
   CellTags->"TOCTag-Section2"]},
 "TOCTag-Chapter1"->{
  Cell[278968, 5419, 603, 24, 570, "Chapter",ExpressionUUID->"e7c7e39a-086b-46b9-bc32-a4bcbc938ffb",
   CellTags->"TOCTag-Chapter1"]},
 "TOCTag-Section3"->{
  Cell[279755, 5454, 248, 4, 90, "Section",ExpressionUUID->"82353e67-d5c2-414b-ba98-a45fab0791a4",
   CellTags->"TOCTag-Section3"]},
 "TOCTag-Section4"->{
  Cell[283350, 5553, 308, 5, 90, "Section",ExpressionUUID->"35c98fc4-b07a-4e3b-a001-7731c6420874",
   CellTags->"TOCTag-Section4"]},
 "TOCTag-Subsubsection1"->{
  Cell[284259, 5573, 523, 12, 49, "Subsubsection",ExpressionUUID->"8a90ebc3-e50c-44fa-b568-a5a2961bfae1",
   CellGroupingRules->{"GroupTogetherGrouping", 10000.},
   CellTags->"TOCTag-Subsubsection1"]},
 "TOCTag-Subsubsection2"->{
  Cell[286513, 5627, 452, 11, 49, "Subsubsection",ExpressionUUID->"5a685d5e-d5fe-40e9-aafa-87fb84ea5ee4",
   CellGroupingRules->{"GroupTogetherGrouping", 10001.},
   CellTags->"TOCTag-Subsubsection2"]},
 "TOCTag-Section5"->{
  Cell[288855, 5692, 194, 3, 90, "Section",ExpressionUUID->"fad5ea25-368d-444a-bd9c-4ac08e75ef83",
   CellTags->"TOCTag-Section5"]},
 "TOCTag-Subsection2"->{
  Cell[289733, 5715, 249, 5, 69, "Subsection",ExpressionUUID->"b1a19d1a-1242-4650-b875-cd637034ed8a",
   CellTags->"TOCTag-Subsection2"]},
 "TOCTag-Subsection3"->{
  Cell[291119, 5751, 251, 5, 53, "Subsection",ExpressionUUID->"c73202fd-aa70-4dba-b8fc-a561574c52c0",
   CellTags->"TOCTag-Subsection3"]},
 "TOCTag-Subsection4"->{
  Cell[293304, 5809, 249, 5, 53, "Subsection",ExpressionUUID->"531b5cf0-8b2c-4dbf-98ee-0718882ccd44",
   CellTags->"TOCTag-Subsection4"]},
 "TOCTag-Section6"->{
  Cell[313205, 6277, 316, 5, 90, "Section",ExpressionUUID->"65409a8f-b567-4833-8930-5a309aafb518",
   CellTags->"TOCTag-Section6"]},
 "CYUHiddenCell"->{
  Cell[333370, 6739, 376, 13, 19, "Text",ExpressionUUID->"b4bb89b0-4444-47a4-8cf8-04f8cfc7aec0",
   CellOpen->False,
   CellTags->"CYUHiddenCell"],
  Cell[351833, 7203, 357, 13, 19, "Text",ExpressionUUID->"fe5f2027-ab53-401c-916d-3832421aff4d",
   CellOpen->False,
   CellTags->"CYUHiddenCell"],
  Cell[376240, 7817, 400, 12, 19, "Text",ExpressionUUID->"c53f191c-bc2c-4484-97b6-8e8664eab9a6",
   CellOpen->False,
   CellTags->"CYUHiddenCell"],
  Cell[376643, 7831, 400, 12, 19, "Text",ExpressionUUID->"50de418b-f585-4318-871d-62fa974daea7",
   CellOpen->False,
   CellTags->"CYUHiddenCell"],
  Cell[377204, 7853, 400, 12, 19, "Text",ExpressionUUID->"b4935c95-89bd-440c-896c-2227a3e59f86",
   CellOpen->False,
   CellTags->"CYUHiddenCell"],
  Cell[396616, 8344, 605, 15, 19, "Text",ExpressionUUID->"1eed841c-d4ac-4082-8966-d99b7c53dcfb",
   CellOpen->False,
   CellTags->"CYUHiddenCell"],
  Cell[441092, 9471, 373, 13, 19, "Text",ExpressionUUID->"f8b4ff7e-8d1c-489f-96fe-a8dafd92f6be",
   CellOpen->False,
   CellTags->"CYUHiddenCell"]},
 "answer"->{
  Cell[333749, 6754, 9790, 228, 103, "Text",ExpressionUUID->"8896e115-ab10-435a-9eaf-f080c568dd46",
   CellTags->"answer"],
  Cell[352193, 7218, 9752, 227, 103, "Text",ExpressionUUID->"51cc16b3-1816-4d4b-908d-1e36fd2317a9",
   CellTags->"answer"],
  Cell[377607, 7867, 10297, 241, 103, "Text",ExpressionUUID->"6715bcfb-b7a3-4b14-8bd3-6dabfe3f22b2",
   CellTags->"answer"],
  Cell[397224, 8361, 10933, 251, 103, "Text",ExpressionUUID->"3508816f-fc19-4b8d-98cd-f46c2ff3ffe5",
   CellTags->"answer"],
  Cell[441468, 9486, 9788, 228, 103, "Text",ExpressionUUID->"534f2b82-4f28-4602-bf79-a16f7b6507a5",
   CellTags->"answer"]},
 "TOCTag-Section7"->{
  Cell[343735, 6994, 196, 3, 90, "Section",ExpressionUUID->"c91c1f10-585e-49d5-aaa1-c9ff60223c6d",
   CellTags->"TOCTag-Section7"]},
 "TOCTag-Section8"->{
  Cell[362141, 7457, 244, 4, 90, "Section",ExpressionUUID->"150c62a1-a6d5-4f4f-8c51-0cad468d3420",
   CellTags->"TOCTag-Section8"]},
 "TOCTag-Section9"->{
  Cell[366714, 7587, 591, 8, 90, "Section",ExpressionUUID->"a95fa645-91fe-41e3-93c2-5878c77b62f4",
   CellTags->"TOCTag-Section9"]},
 "TOCTag-Subsubsection3"->{
  Cell[367849, 7610, 257, 6, 56, "Subsubsection",ExpressionUUID->"434bca0d-46da-461d-b356-717314b5ba9a",
   CellTags->"TOCTag-Subsubsection3"]},
 "TOCTag-Subsubsection4"->{
  Cell[369225, 7649, 255, 6, 48, "Subsubsection",ExpressionUUID->"4b79e702-704a-499b-9d8a-0db84a51010b",
   CellTags->"TOCTag-Subsubsection4"]},
 "TOCTag-Subsubsection5"->{
  Cell[377080, 7848, 121, 3, 48, "Subsubsection",ExpressionUUID->"b6c2627d-2cf6-452d-8c68-dcbc3b7e972b",
   CellTags->"TOCTag-Subsubsection5"]},
 "TOCTag-Chapter2"->{
  Cell[388090, 8119, 542, 23, 570, "Chapter",ExpressionUUID->"79bef3f0-adf0-4400-b2d7-db3eec51268b",
   CellTags->"TOCTag-Chapter2"]},
 "TOCTag-Section10"->{
  Cell[388816, 8153, 522, 8, 90, "Section",ExpressionUUID->"cfd627ad-5d78-4f92-bba7-a8a6531697e4",
   CellTags->"TOCTag-Section10"]},
 "TOCTag-Section11"->{
  Cell[408353, 8624, 200, 3, 90, "Section",ExpressionUUID->"b1a6f1d8-64a0-4e6e-aebe-cc8693b9dd98",
   CellTags->"TOCTag-Section11"]},
 "MonitorLimitation2"->{
  Cell[411100, 8699, 634, 11, 131, "Item",ExpressionUUID->"6e58f45f-19ab-428b-aa2f-cb37e0810e5f",
   CellTags->"MonitorLimitation2"]},
 "TOCTag-Section12"->{
  Cell[413197, 8754, 783, 11, 90, "Section",ExpressionUUID->"5364bda7-e3ba-4f5d-932e-566fafccc180",
   CellTags->"TOCTag-Section12"]},
 "TOCTag-Section13"->{
  Cell[419086, 8897, 456, 7, 90, "Section",ExpressionUUID->"fe6e844a-8ea1-407b-ac2c-d0a90a7dfacb",
   CellTags->"TOCTag-Section13"]},
 "TOCTag-Subsection5"->{
  Cell[419567, 8908, 365, 5, 69, "Subsection",ExpressionUUID->"08489663-4482-4c1f-afa0-72734cf7452e",
   CellTags->"TOCTag-Subsection5"]},
 "TOCTag-Section14"->{
  Cell[423429, 9006, 519, 8, 90, "Section",ExpressionUUID->"1fdbeb53-5799-4e17-95fb-be9e2b1f3bf5",
   CellTags->"TOCTag-Section14"]},
 "TOCTag-Subsection6"->{
  Cell[423973, 9018, 361, 5, 69, "Subsection",ExpressionUUID->"7d97f2b8-8ad0-4378-8c16-240a1040a466",
   CellTags->"TOCTag-Subsection6"]},
 "TOCTag-Section15"->{
  Cell[428656, 9144, 587, 9, 90, "Section",ExpressionUUID->"e0bb81de-19ff-4ebe-8a7d-7fa1d28df209",
   CellTags->"TOCTag-Section15"]},
 "TOCTag-Section16"->{
  Cell[432256, 9233, 246, 4, 90, "Section",ExpressionUUID->"5676a9f5-a13d-47e7-8436-63a60187c4a0",
   CellTags->"TOCTag-Section16"]},
 "TOCTag-Section17"->{
  Cell[451452, 9726, 294, 5, 90, "Section",ExpressionUUID->"b1a7f9fa-b934-432a-95c4-ca6b83a37d1c",
   CellTags->"TOCTag-Section17"]},
 "TOCTag-Section18"->{
  Cell[455300, 9823, 185, 3, 90, "Section",ExpressionUUID->"98de77f3-72c0-4bb3-9f13-628a4dcd6f42",
   CellTags->"TOCTag-Section18"]},
 "TOCTag-Subsubsection6"->{
  Cell[455902, 9840, 248, 5, 56, "Subsubsection",ExpressionUUID->"c17c4881-bef9-4b58-9251-632b8269809a",
   CellTags->"TOCTag-Subsubsection6"]},
 "TOCTag-Subsubsection7"->{
  Cell[459465, 9933, 246, 5, 56, "Subsubsection",ExpressionUUID->"6d513d93-3024-4397-b981-8a79407ce69e",
   CellTags->"TOCTag-Subsubsection7"]},
 "TOCTag-Subsubsection8"->{
  Cell[463139, 10030, 245, 5, 56, "Subsubsection",ExpressionUUID->"ae1433ec-9683-4ac2-af4a-3210de2eb09a",
   CellTags->"TOCTag-Subsubsection8"]},
 "TOCTag-Section19"->{
  Cell[466536, 10129, 219, 4, 90, "Section",ExpressionUUID->"59fc67fa-9a81-4ec9-b791-5a28ae2d2ee9",
   CellTags->"TOCTag-Section19"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 508722, 11078},
 {"TOCTag-Title1", 511971, 11123},
 {"TOCTag-Section1", 512121, 11126},
 {"TOCTag-Subsection1", 512277, 11129},
 {"TOCTag-Section2", 512436, 11132},
 {"TOCTag-Chapter1", 512591, 11135},
 {"TOCTag-Section3", 512748, 11138},
 {"TOCTag-Section4", 512903, 11141},
 {"TOCTag-Subsubsection1", 513064, 11144},
 {"TOCTag-Subsubsection2", 513295, 11148},
 {"TOCTag-Section5", 513520, 11152},
 {"TOCTag-Subsection2", 513678, 11155},
 {"TOCTag-Subsection3", 513842, 11158},
 {"TOCTag-Subsection4", 514006, 11161},
 {"TOCTag-Section6", 514167, 11164},
 {"CYUHiddenCell", 514320, 11167},
 {"answer", 515370, 11189},
 {"TOCTag-Section7", 516015, 11200},
 {"TOCTag-Section8", 516170, 11203},
 {"TOCTag-Section9", 516325, 11206},
 {"TOCTag-Subsubsection3", 516486, 11209},
 {"TOCTag-Subsubsection4", 516659, 11212},
 {"TOCTag-Subsubsection5", 516832, 11215},
 {"TOCTag-Chapter2", 516999, 11218},
 {"TOCTag-Section10", 517157, 11221},
 {"TOCTag-Section11", 517314, 11224},
 {"MonitorLimitation2", 517473, 11227},
 {"TOCTag-Section12", 517631, 11230},
 {"TOCTag-Section13", 517789, 11233},
 {"TOCTag-Subsection5", 517948, 11236},
 {"TOCTag-Section14", 518110, 11239},
 {"TOCTag-Subsection6", 518269, 11242},
 {"TOCTag-Section15", 518431, 11245},
 {"TOCTag-Section16", 518588, 11248},
 {"TOCTag-Section17", 518745, 11251},
 {"TOCTag-Section18", 518902, 11254},
 {"TOCTag-Subsubsection6", 519064, 11257},
 {"TOCTag-Subsubsection7", 519237, 11260},
 {"TOCTag-Subsubsection8", 519410, 11263},
 {"TOCTag-Section19", 519579, 11266}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[637, 23, 136, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"ae861ed8-5fa1-4088-84fd-2651cc7b368a",
 CellTags->"SlideShowHeader"],
Cell[776, 27, 14970, 250, 67, "WolframULogo",ExpressionUUID->"059f49ae-49fc-4f44-80e6-ab700841b96e"],
Cell[CellGroupData[{
Cell[15771, 281, 472, 7, 357, "Title",ExpressionUUID->"1243965a-40ce-482a-9c91-36878f955d76",
 CellTags->"TOCTag-Title1"],
Cell[16246, 290, 711, 10, 73, "Subtitle",ExpressionUUID->"abd2714b-c40b-491d-9b98-1f3d249655e3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17006, 306, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"3607ed0f-4d8f-45bb-b2a5-ffd7ec7e9099",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[17153, 312, 196, 3, 90, "Section",ExpressionUUID->"2b580683-0ed4-4955-bf49-2e2d45ff0df4",
 CellTags->"TOCTag-Section1"],
Cell[CellGroupData[{
Cell[17374, 319, 230, 4, 41, "ItemNumbered",ExpressionUUID->"6fd592c5-cdd2-4bd4-a193-31913f65466e"],
Cell[17607, 325, 198, 3, 41, "ItemNumbered",ExpressionUUID->"1ecc1b7c-0534-4359-a944-f6109c0c4c89"],
Cell[17808, 330, 248, 4, 41, "ItemNumbered",ExpressionUUID->"70fd1cb1-73ef-4bae-bf3f-812add6b7579"],
Cell[18059, 336, 274, 4, 41, "ItemNumbered",ExpressionUUID->"c8b400f0-8cee-4be9-93d5-6314377c0801"],
Cell[18336, 342, 255, 4, 41, "ItemNumbered",ExpressionUUID->"4266a7aa-1987-466a-ab6b-819b8f85e2b1"],
Cell[18594, 348, 331, 5, 41, "ItemNumbered",ExpressionUUID->"bfdf33e5-ee33-4a1d-819a-31106cdf9203"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18962, 358, 304, 6, 69, "Subsection",ExpressionUUID->"ea102e6d-15df-4c56-a7e3-44410c0ec51f",
 CellTags->"TOCTag-Subsection1"],
Cell[19269, 366, 189543, 3813, 1519, "Output",ExpressionUUID->"dc0d1153-b550-49df-8084-7cab7414609e"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[208873, 4186, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"08e821b1-b4d4-4dd2-a5d7-d0f9607469bb",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[209020, 4192, 406, 6, 90, "Section",ExpressionUUID->"4c726470-071d-4dbd-bf93-84a66cd5d85f",
 CellTags->"TOCTag-Section2"],
Cell[209429, 4200, 423, 8, 76, "Text",ExpressionUUID->"b8f0ae76-451b-434b-8b34-8017c92d4d52"],
Cell[209855, 4210, 2877, 65, 221, "Input",ExpressionUUID->"0b6dc94e-e89f-47f0-9710-6a9c05a77d44"],
Cell[212735, 4277, 328, 8, 76, "Text",ExpressionUUID->"d0cb831f-e499-4fc4-9847-bdcb85c05fbd"],
Cell[213066, 4287, 62191, 1035, 454, "Text",ExpressionUUID->"98535cf0-d742-459b-8d86-b6ca3f5c81fa"],
Cell[275260, 5324, 262, 7, 76, "Text",ExpressionUUID->"2314ede5-578d-476e-a50a-84d77f6644cc"],
Cell[CellGroupData[{
Cell[275547, 5335, 326, 6, 41, "ItemNumbered",ExpressionUUID->"109364eb-549b-4957-9aac-4727a9625f2c"],
Cell[275876, 5343, 457, 9, 71, "ItemNumbered",ExpressionUUID->"28e6a407-c71f-4765-a65f-f5dc3fbe8050"],
Cell[276336, 5354, 420, 8, 71, "ItemNumbered",ExpressionUUID->"8d64cd5e-db18-4667-9242-59519f562bd9"]
}, Open  ]],
Cell[276771, 5365, 320, 6, 44, "Text",ExpressionUUID->"4921f3aa-2931-414a-86b8-57d769621a8b"],
Cell[277094, 5373, 1700, 36, 162, "Text",ExpressionUUID->"baabbc8a-7da9-49b9-ae6c-b323a55e44ca"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[278843, 5415, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"1346eba1-b127-4694-83f9-990f9b87b242",
 CellTags->"SlideShowHeader"],
Cell[278968, 5419, 603, 24, 570, "Chapter",ExpressionUUID->"e7c7e39a-086b-46b9-bc32-a4bcbc938ffb",
 CellTags->"TOCTag-Chapter1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[279608, 5448, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"af6e7ecf-d69d-4067-ab52-641bf096314b",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[279755, 5454, 248, 4, 90, "Section",ExpressionUUID->"82353e67-d5c2-414b-ba98-a45fab0791a4",
 CellTags->"TOCTag-Section3"],
Cell[280006, 5460, 573, 13, 76, "Text",ExpressionUUID->"1b58b0f3-df23-4de3-9bd1-a37b2e08a2d1"],
Cell[280582, 5475, 426, 9, 44, "Text",ExpressionUUID->"c2df3ee8-9cb7-45af-b673-a3a2bd714b26"],
Cell[281011, 5486, 749, 17, 193, "Input",ExpressionUUID->"eaca7571-d29f-4d0e-8938-de2f26bc8536"],
Cell[281763, 5505, 428, 11, 44, "Text",ExpressionUUID->"975cff7f-2030-40d2-96a2-508b5d475fae"],
Cell[282194, 5518, 960, 23, 193, "Input",ExpressionUUID->"b0d2f35f-c903-45eb-8351-71c2443a2ab9"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[283203, 5547, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0591c14d-75f4-4006-b237-fa0a7f4a61a3",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[283350, 5553, 308, 5, 90, "Section",ExpressionUUID->"35c98fc4-b07a-4e3b-a001-7731c6420874",
 CellTags->"TOCTag-Section4"],
Cell[283661, 5560, 595, 11, 76, "Text",ExpressionUUID->"f6756f07-91a3-45a5-b7b7-2a7887907289"],
Cell[284259, 5573, 523, 12, 49, "Subsubsection",ExpressionUUID->"8a90ebc3-e50c-44fa-b568-a5a2961bfae1",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellTags->"TOCTag-Subsubsection1"],
Cell[284785, 5587, 214, 3, 44, "Text",ExpressionUUID->"e7f2454d-3d5e-4c45-be0e-16d3e59c836f"],
Cell[285002, 5592, 1508, 33, 299, "Input",ExpressionUUID->"13c2a8fc-fcf5-4963-8de5-1ea8e775c55a"],
Cell[286513, 5627, 452, 11, 49, "Subsubsection",ExpressionUUID->"5a685d5e-d5fe-40e9-aafa-87fb84ea5ee4",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellTags->"TOCTag-Subsubsection2"],
Cell[286968, 5640, 268, 6, 76, "Text",ExpressionUUID->"98786b76-165d-4205-87a1-b76d9e660b4f"],
Cell[287239, 5648, 1420, 32, 270, "Input",ExpressionUUID->"46a36b4d-5947-4e1a-87bc-ea7f232531ba"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[288708, 5686, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"833a1e27-38c7-4828-926e-f54059476015",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[288855, 5692, 194, 3, 90, "Section",ExpressionUUID->"fad5ea25-368d-444a-bd9c-4ac08e75ef83",
 CellTags->"TOCTag-Section5"],
Cell[289052, 5697, 656, 14, 76, "Text",ExpressionUUID->"0cb41556-614a-4f4d-82c8-5643389ce1e9"],
Cell[CellGroupData[{
Cell[289733, 5715, 249, 5, 69, "Subsection",ExpressionUUID->"b1a19d1a-1242-4650-b875-cd637034ed8a",
 CellTags->"TOCTag-Subsection2"],
Cell[289985, 5722, 191, 3, 44, "Text",ExpressionUUID->"d98f5596-b840-4e52-b847-e549726ae6fa"],
Cell[290179, 5727, 903, 19, 241, "Input",ExpressionUUID->"1b79b628-3723-4c38-9482-e03a33148f51"]
}, Closed]],
Cell[CellGroupData[{
Cell[291119, 5751, 251, 5, 53, "Subsection",ExpressionUUID->"c73202fd-aa70-4dba-b8fc-a561574c52c0",
 CellTags->"TOCTag-Subsection3"],
Cell[291373, 5758, 177, 3, 44, "Text",ExpressionUUID->"1a773599-9184-4786-be25-f82b5d9e0269"],
Cell[291553, 5763, 697, 15, 212, "Input",ExpressionUUID->"0f4f3662-1a0a-4b49-abd9-e46fb9eceea4"],
Cell[292253, 5780, 212, 5, 44, "Text",ExpressionUUID->"809e433a-35a9-421d-9f23-cb1291f0b5e6"],
Cell[292468, 5787, 799, 17, 241, "Input",ExpressionUUID->"715ab10d-02bb-4eb5-8855-75022b32e467"]
}, Closed]],
Cell[CellGroupData[{
Cell[293304, 5809, 249, 5, 53, "Subsection",ExpressionUUID->"531b5cf0-8b2c-4dbf-98ee-0718882ccd44",
 CellTags->"TOCTag-Subsection4"],
Cell[293556, 5816, 409, 11, 44, "Text",ExpressionUUID->"324c64f7-44e5-4f35-9c83-b9f577efc82f"],
Cell[CellGroupData[{
Cell[293990, 5831, 287, 6, 44, "Text",ExpressionUUID->"c1480c47-d21c-4d20-8f61-52cc369de679",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[294280, 5839, 7240, 164, 406, "Input",ExpressionUUID->"3c101ac3-8800-4ea2-ab0f-07a7bf2e165e",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Open  ]],
Cell[301535, 6006, 214, 3, 37, "Input",ExpressionUUID->"a3cced4d-cb20-4100-9441-e3a821246aae"],
Cell[301752, 6011, 298, 7, 76, "Text",ExpressionUUID->"0a6c4bfc-f8b4-444c-819f-3989b06bb558"],
Cell[CellGroupData[{
Cell[302075, 6022, 289, 6, 44, "Text",ExpressionUUID->"a8970802-e152-4828-9dcc-cefc392b7f0d",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[302367, 6030, 10335, 227, 523, "Input",ExpressionUUID->"fc3a8753-91c4-4425-93db-3151a3ff1497",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Open  ]],
Cell[312717, 6260, 212, 3, 37, "Input",ExpressionUUID->"aec3f1ec-9745-4aca-a11c-a7a507c7cfbb"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[312990, 6270, 190, 3, 74, "SlideShowNavigationBar",ExpressionUUID->"64b2a79e-92fc-4b81-8282-d073020bf31f",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[313205, 6277, 316, 5, 90, "Section",ExpressionUUID->"65409a8f-b567-4833-8930-5a309aafb518",
 CellTags->"TOCTag-Section6"],
Cell[313524, 6284, 424, 8, 76, "Text",ExpressionUUID->"da81d663-da56-4011-b923-15a8406aa11a"],
Cell[313951, 6294, 565, 13, 76, "Text",ExpressionUUID->"c13db911-cfa8-43d5-b71b-3bc807b876bc"],
Cell[CellGroupData[{
Cell[314541, 6311, 331, 7, 44, "Text",ExpressionUUID->"bdc3b295-9f4b-4692-ac44-bb9b6269f4d6",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[314875, 6320, 7519, 168, 433, "Input",ExpressionUUID->"9c6c0c5e-a210-45ac-b2f0-af91edd6b55b",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Closed]],
Cell[322409, 6491, 207, 3, 33, "Input",ExpressionUUID->"634b9021-e7b2-4c9d-a743-3c3a2ee3292d"],
Cell[322619, 6496, 449, 9, 76, "Text",ExpressionUUID->"795c30a2-248a-4c38-a1b2-6a8e461f15fd"],
Cell[CellGroupData[{
Cell[323093, 6509, 327, 7, 44, "Text",ExpressionUUID->"b1a88274-09f6-44fc-874d-b7107b230127",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[323423, 6518, 9722, 213, 550, "Input",ExpressionUUID->"6c83b917-c8a4-4460-8a59-debfd43fdd7f",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Closed]],
Cell[333160, 6734, 207, 3, 33, "Input",ExpressionUUID->"4f32d220-29e7-4c43-88f4-538d20d4e757"],
Cell[333370, 6739, 376, 13, 19, "Text",ExpressionUUID->"b4bb89b0-4444-47a4-8cf8-04f8cfc7aec0",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[333749, 6754, 9790, 228, 103, "Text",ExpressionUUID->"8896e115-ab10-435a-9eaf-f080c568dd46",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[343588, 6988, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"e1fba801-eedd-4c4b-89a6-5e333fb7af35",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[343735, 6994, 196, 3, 90, "Section",ExpressionUUID->"c91c1f10-585e-49d5-aaa1-c9ff60223c6d",
 CellTags->"TOCTag-Section7"],
Cell[343934, 6999, 590, 16, 76, "Text",ExpressionUUID->"3ff5a505-dfb5-4f17-a4c5-738e73cdf7e4"],
Cell[344527, 7017, 641, 16, 76, "Text",ExpressionUUID->"6e9bfcf8-278a-419e-bba6-1fd60f7bd375"],
Cell[CellGroupData[{
Cell[345193, 7037, 329, 7, 44, "Text",ExpressionUUID->"93bb5174-379c-4e51-a169-244b691575ce",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[345525, 7046, 1994, 48, 402, "Input",ExpressionUUID->"3eb90243-77db-4cab-96d4-aa1b3840ca57",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Closed]],
Cell[347534, 7097, 205, 4, 33, "Input",ExpressionUUID->"6534361a-e706-49b0-b5c2-64c847c7be0b"],
Cell[347742, 7103, 664, 13, 76, "Text",ExpressionUUID->"6b85e17b-e3dc-4b08-969e-e8940bbd4336"],
Cell[348409, 7118, 564, 10, 76, "Text",ExpressionUUID->"202b6ad9-e6d7-4384-827f-eb0febfc2154"],
Cell[CellGroupData[{
Cell[348998, 7132, 329, 7, 44, "Text",ExpressionUUID->"e5a0e394-ac7e-4bb1-9694-bd9b74bf46df",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[349330, 7141, 2269, 53, 460, "Input",ExpressionUUID->"1776014c-5aaf-46f9-84f4-3e6c1a6aacbf",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Closed]],
Cell[351614, 7197, 216, 4, 33, "Input",ExpressionUUID->"791ce762-e6ce-43f7-8894-7cef31fe5f7a"],
Cell[351833, 7203, 357, 13, 19, "Text",ExpressionUUID->"fe5f2027-ab53-401c-916d-3832421aff4d",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[352193, 7218, 9752, 227, 103, "Text",ExpressionUUID->"51cc16b3-1816-4d4b-908d-1e36fd2317a9",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[361994, 7451, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"681c22ea-ecfd-4cc1-ad8e-181312fbda27",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[362141, 7457, 244, 4, 90, "Section",ExpressionUUID->"150c62a1-a6d5-4f4f-8c51-0cad468d3420",
 CellTags->"TOCTag-Section8"],
Cell[362388, 7463, 509, 9, 108, "Text",ExpressionUUID->"919ab477-de3a-44bf-9d23-7ccd7862f02a"],
Cell[362900, 7474, 394, 9, 44, "Text",ExpressionUUID->"b8ae5d3e-7cb3-41cf-9e52-aad2acf0eb3f"],
Cell[363297, 7485, 335, 8, 37, "Input",ExpressionUUID->"441a56e5-8c84-4c74-8b86-e5f0297b5301"],
Cell[363635, 7495, 354, 7, 76, "Text",ExpressionUUID->"faad830f-347c-49b8-a6ff-a366c8e4205d"],
Cell[363992, 7504, 721, 17, 183, "Input",ExpressionUUID->"426b8426-6d1e-4cc2-802c-e2f0c438c8a7"],
Cell[364716, 7523, 362, 11, 44, "Text",ExpressionUUID->"399266f9-8f2f-41a6-9a61-7a16f7bb002a"],
Cell[365081, 7536, 428, 11, 37, "Input",ExpressionUUID->"cca074ca-09ce-42df-a60a-64f9204bfc22"],
Cell[365512, 7549, 315, 7, 44, "Text",ExpressionUUID->"51cec658-2764-47b4-aafa-641fe93d89d4"],
Cell[365830, 7558, 688, 17, 183, "Input",ExpressionUUID->"560221d0-e605-4469-9cd6-7ffb5eb4f4ce"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[366567, 7581, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"0e21807b-7640-4166-ab68-b411c91041b6",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[366714, 7587, 591, 8, 90, "Section",ExpressionUUID->"a95fa645-91fe-41e3-93c2-5878c77b62f4",
 CellTags->"TOCTag-Section9"],
Cell[367308, 7597, 516, 9, 108, "Text",ExpressionUUID->"fa4c7c2f-f0dd-4667-a2fa-025da40d706d"],
Cell[CellGroupData[{
Cell[367849, 7610, 257, 6, 56, "Subsubsection",ExpressionUUID->"434bca0d-46da-461d-b356-717314b5ba9a",
 CellTags->"TOCTag-Subsubsection3"],
Cell[368109, 7618, 239, 4, 44, "Text",ExpressionUUID->"bea87ff2-d9e6-4618-b971-6184a36237b0"],
Cell[368351, 7624, 266, 5, 37, "Input",ExpressionUUID->"18eb0208-76a3-4108-9f25-dc57a6c2d2df"],
Cell[368620, 7631, 226, 4, 44, "Text",ExpressionUUID->"efefb261-659f-4b15-8392-4d6810d4c7a8"],
Cell[368849, 7637, 339, 7, 37, "Input",ExpressionUUID->"3c013489-0ec5-4820-94b0-03b2d9fe2dfc"]
}, Closed]],
Cell[CellGroupData[{
Cell[369225, 7649, 255, 6, 48, "Subsubsection",ExpressionUUID->"4b79e702-704a-499b-9d8a-0db84a51010b",
 CellTags->"TOCTag-Subsubsection4"],
Cell[369483, 7657, 342, 7, 44, "Text",ExpressionUUID->"45955793-c3de-463e-aac5-5fe93f7b3f1f"],
Cell[369828, 7666, 2726, 63, 300, "Input",ExpressionUUID->"b6e2f508-6087-4262-9151-4326a5a74efd"],
Cell[372557, 7731, 278, 4, 44, "Text",ExpressionUUID->"5927e1c4-1738-4266-a2c6-96d3237d79cd"],
Cell[372838, 7737, 3022, 69, 329, "Input",ExpressionUUID->"1df9fe73-0db2-4752-84c8-8801847a194d"],
Cell[375863, 7808, 374, 7, 76, "Text",ExpressionUUID->"be45885a-3859-4b8c-bc76-0fad8f8420ff"],
Cell[376240, 7817, 400, 12, 19, "Text",ExpressionUUID->"c53f191c-bc2c-4484-97b6-8e8664eab9a6",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[376643, 7831, 400, 12, 19, "Text",ExpressionUUID->"50de418b-f585-4318-871d-62fa974daea7",
 CellOpen->False,
 CellTags->"CYUHiddenCell"]
}, Closed]],
Cell[CellGroupData[{
Cell[377080, 7848, 121, 3, 48, "Subsubsection",ExpressionUUID->"b6c2627d-2cf6-452d-8c68-dcbc3b7e972b",
 CellTags->"TOCTag-Subsubsection5"],
Cell[377204, 7853, 400, 12, 19, "Text",ExpressionUUID->"b4935c95-89bd-440c-896c-2227a3e59f86",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[377607, 7867, 10297, 241, 103, "Text",ExpressionUUID->"6715bcfb-b7a3-4b14-8bd3-6dabfe3f22b2",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[387965, 8115, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"768a905a-e672-4a7a-9a50-11729cd71cd0",
 CellTags->"SlideShowHeader"],
Cell[388090, 8119, 542, 23, 570, "Chapter",ExpressionUUID->"79bef3f0-adf0-4400-b2d7-db3eec51268b",
 CellTags->"TOCTag-Chapter2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[388669, 8147, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"c661fa43-2b68-4946-9065-e0fd917e3d01",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[388816, 8153, 522, 8, 90, "Section",ExpressionUUID->"cfd627ad-5d78-4f92-bba7-a8a6531697e4",
 CellTags->"TOCTag-Section10"],
Cell[389341, 8163, 424, 8, 76, "Text",ExpressionUUID->"98804221-9d60-4059-9431-a29c9f274398"],
Cell[389768, 8173, 431, 8, 76, "Text",ExpressionUUID->"79ec9797-f67a-4d8a-b628-3e36025e9a7b"],
Cell[390202, 8183, 734, 17, 183, "Input",ExpressionUUID->"1c421b2b-a4cc-47f4-9d55-ddb630bd4f3c"],
Cell[390939, 8202, 700, 12, 76, "Text",ExpressionUUID->"5fc5a87e-ee3e-454c-8edd-84d0c7fa0075"],
Cell[391642, 8216, 822, 13, 108, "Text",ExpressionUUID->"651923c3-7d85-4342-b242-9dc989d11a5f"],
Cell[392467, 8231, 235, 6, 12, InheritFromParent,ExpressionUUID->"272968f5-893e-4447-b3f2-ed0f4861b7f7"],
Cell[CellGroupData[{
Cell[392727, 8241, 421, 8, 71, "Item",ExpressionUUID->"90af6a8c-3317-4ff4-a59f-f6ada1b22ad5"],
Cell[393151, 8251, 520, 11, 67, "Input",ExpressionUUID->"547538dd-7836-40d2-b4a3-4242107979bb"]
}, Open  ]],
Cell[393686, 8265, 376, 11, 44, "Text",ExpressionUUID->"93b4acb8-2d3a-4519-922b-210aa0cb6c44"],
Cell[394065, 8278, 392, 9, 37, "Input",ExpressionUUID->"cb4f2439-819d-4fc6-9666-9366aee777ce"],
Cell[CellGroupData[{
Cell[394482, 8291, 375, 7, 41, "Item",ExpressionUUID->"bef84afb-d5e3-46ff-a678-4ce4fc8e71b0"],
Cell[394860, 8300, 566, 13, 67, "Input",ExpressionUUID->"171ba88b-2fc7-4b31-9f23-a3be6333404a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[395463, 8318, 859, 17, 131, "Item",ExpressionUUID->"3f70d261-da31-4dcd-b846-b09b87015eeb"],
Cell[396325, 8337, 276, 4, 37, "Input",ExpressionUUID->"628caf60-e339-4480-8f5b-09e171848114"]
}, Open  ]],
Cell[396616, 8344, 605, 15, 19, "Text",ExpressionUUID->"1eed841c-d4ac-4082-8966-d99b7c53dcfb",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[397224, 8361, 10933, 251, 103, "Text",ExpressionUUID->"3508816f-fc19-4b8d-98cd-f46c2ff3ffe5",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[408206, 8618, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"b7edf4d2-f993-4b7b-891e-d319cfbeedc5",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[408353, 8624, 200, 3, 90, "Section",ExpressionUUID->"b1a6f1d8-64a0-4e6e-aebe-cc8693b9dd98",
 CellTags->"TOCTag-Section11"],
Cell[408556, 8629, 645, 14, 76, "Text",ExpressionUUID->"9f28f21d-891d-4c74-93ed-216823b20449"],
Cell[409204, 8645, 398, 10, 37, "Input",ExpressionUUID->"05057714-d621-4f23-b2f1-48ea52486722"],
Cell[409605, 8657, 563, 10, 44, "Text",ExpressionUUID->"813fd1a8-ff9c-4e7f-af11-d55d472196ee"],
Cell[CellGroupData[{
Cell[410193, 8671, 265, 7, 71, "Item",ExpressionUUID->"9a64abf5-3c07-4620-a7c3-6b951bb58016"],
Cell[410461, 8680, 602, 14, 96, "Input",ExpressionUUID->"6a79777b-dff8-4e4e-890c-f0a00f3108c0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[411100, 8699, 634, 11, 131, "Item",ExpressionUUID->"6e58f45f-19ab-428b-aa2f-cb37e0810e5f",
 CellTags->"MonitorLimitation2"],
Cell[411737, 8712, 448, 11, 67, "Input",ExpressionUUID->"1016cbc3-8c45-4d7b-93fe-bddef0a5781a"]
}, Open  ]],
Cell[412200, 8726, 801, 16, 76, "Text",ExpressionUUID->"c3920888-bf29-4ad0-b201-a073326dba0c"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[413050, 8748, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"36e6e208-9f2d-4e68-b270-f759ee5b4222",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[413197, 8754, 783, 11, 90, "Section",ExpressionUUID->"5364bda7-e3ba-4f5d-932e-566fafccc180",
 CellTags->"TOCTag-Section12"],
Cell[413983, 8767, 357, 7, 76, "Text",ExpressionUUID->"eebf353b-ec6a-499d-b5dc-c0711bee9e29"],
Cell[414343, 8776, 1053, 23, 519, "Program",ExpressionUUID->"86081697-ca3e-450d-a428-3326cfbc6931"],
Cell[415399, 8801, 328, 5, 41, "Item",ExpressionUUID->"adb05188-cc0d-45c2-a0d9-40d26c381455"],
Cell[415730, 8808, 531, 13, 41, "Item",ExpressionUUID->"bca7cb8e-5996-42d1-af1f-7b5c020b2402"],
Cell[416264, 8823, 501, 12, 71, "Item",ExpressionUUID->"eb35ba40-182d-4c5e-9ec7-5df0ce5b3787"],
Cell[416768, 8837, 534, 14, 71, "Item",ExpressionUUID->"179ec9c8-8589-41ed-b7ce-398613dcf995"],
Cell[417305, 8853, 643, 11, 76, "Text",ExpressionUUID->"52838272-aedc-4f5d-b332-ac9f09419376"],
Cell[417951, 8866, 939, 19, 76, "Text",ExpressionUUID->"5a3a0718-d751-45e7-a479-9b07080c3783"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[418939, 8891, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"ba968fa9-ebcd-436d-b0cd-229752e09c0e",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[419086, 8897, 456, 7, 90, "Section",ExpressionUUID->"fe6e844a-8ea1-407b-ac2c-d0a90a7dfacb",
 CellTags->"TOCTag-Section13"],
Cell[CellGroupData[{
Cell[419567, 8908, 365, 5, 69, "Subsection",ExpressionUUID->"08489663-4482-4c1f-afa0-72734cf7452e",
 CellTags->"TOCTag-Subsection5"],
Cell[419935, 8915, 186, 3, 44, "Text",ExpressionUUID->"1c07f6b0-ba4e-4921-bd0b-d7a4299ddc9e"],
Cell[420124, 8920, 441, 11, 37, "Input",ExpressionUUID->"f6e0b6cc-c0b3-4b86-932b-aa630dd29f49"],
Cell[420568, 8933, 930, 20, 108, "Text",ExpressionUUID->"5c0bf83a-24b0-47a7-a10d-0c232eceddc9"],
Cell[421501, 8955, 1107, 24, 357, "Input",ExpressionUUID->"88e83933-c074-46f9-ac43-25e9682547ad"],
Cell[422611, 8981, 315, 5, 44, "Text",ExpressionUUID->"48009c94-7554-4b6f-856e-4051d98b443f"],
Cell[422929, 8988, 292, 5, 37, "Input",ExpressionUUID->"02aa9b15-aa72-42d9-9ee9-19040b9c2dfc"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[423282, 9000, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"565a8c77-8d60-4ac4-a7a8-3c7b1c058ab3",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[423429, 9006, 519, 8, 90, "Section",ExpressionUUID->"1fdbeb53-5799-4e17-95fb-be9e2b1f3bf5",
 CellTags->"TOCTag-Section14"],
Cell[CellGroupData[{
Cell[423973, 9018, 361, 5, 69, "Subsection",ExpressionUUID->"7d97f2b8-8ad0-4378-8c16-240a1040a466",
 CellTags->"TOCTag-Subsection6"],
Cell[424337, 9025, 350, 7, 76, "Text",ExpressionUUID->"85ed1451-680c-4ae8-b091-71ce9d3f75ad"],
Cell[424690, 9034, 1125, 32, 125, "Input",ExpressionUUID->"082eda21-61fc-4f98-b39d-3916534c9938"],
Cell[425818, 9068, 201, 3, 37, "Input",ExpressionUUID->"3871d180-192b-44e4-ade1-59addbf2ce8a"],
Cell[426022, 9073, 171, 3, 44, "Text",ExpressionUUID->"368c5362-18e9-4b04-ad28-e48804b61204"],
Cell[426196, 9078, 669, 16, 67, "Input",ExpressionUUID->"f3de35cf-6c29-4dce-96f9-48bb3dad80a6"],
Cell[426868, 9096, 1070, 22, 324, "Input",ExpressionUUID->"c19e62a6-8612-4bbc-843a-cd32b2318cdb"],
Cell[427941, 9120, 221, 4, 44, "Text",ExpressionUUID->"b7b3cf4a-6656-4a64-a843-ace463d21b04"],
Cell[428165, 9126, 283, 5, 34, "Input",ExpressionUUID->"de4948aa-17fd-413d-9780-13bfc3499294"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[428509, 9138, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"42f22332-691d-49c0-814d-78002fdd283b",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[428656, 9144, 587, 9, 90, "Section",ExpressionUUID->"e0bb81de-19ff-4ebe-8a7d-7fa1d28df209",
 CellTags->"TOCTag-Section15"],
Cell[429246, 9155, 321, 6, 44, "Text",ExpressionUUID->"9ca45e24-938a-4a53-b983-ab526573f280"],
Cell[429570, 9163, 219, 4, 44, "Text",ExpressionUUID->"e3286f56-50f7-41b2-94d6-e7da2a64694d"],
Cell[429792, 9169, 272, 5, 34, "Input",ExpressionUUID->"24e0b489-3508-4c6c-9283-f09c7361d3d8"],
Cell[430067, 9176, 255, 4, 44, "Text",ExpressionUUID->"404ab9fb-87e0-4e64-b6b7-b15a6a355d80"],
Cell[430325, 9182, 1155, 24, 324, "Input",ExpressionUUID->"0082775a-28ed-41be-8dc7-e4feb6d641b2"],
Cell[431483, 9208, 248, 4, 44, "Text",ExpressionUUID->"eb6ee978-9376-4f47-b69c-d3b8e01cc502"],
Cell[431734, 9214, 326, 7, 37, "Input",ExpressionUUID->"62d90efb-76f9-4dcc-9186-2589c5998972"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[432109, 9227, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"f5bb320d-c09b-4912-9c6b-46d121f73a2d",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[432256, 9233, 246, 4, 90, "Section",ExpressionUUID->"5676a9f5-a13d-47e7-8436-63a60187c4a0",
 CellTags->"TOCTag-Section16"],
Cell[432505, 9239, 371, 7, 76, "Text",ExpressionUUID->"6412c00b-4095-49fe-96bb-08503aaacd8a"],
Cell[CellGroupData[{
Cell[432901, 9250, 281, 4, 41, "ItemNumbered",ExpressionUUID->"7455ddd2-370b-4739-9477-c57bad799436"],
Cell[433185, 9256, 294, 6, 41, "ItemNumbered",ExpressionUUID->"ecc8b49e-7f6a-4e9a-988b-dfffacabf48d"],
Cell[433482, 9264, 398, 6, 41, "ItemNumbered",ExpressionUUID->"b5d2ae56-7847-4d00-a566-7b1f47f3e145"]
}, Open  ]],
Cell[433895, 9273, 307, 6, 44, "Text",ExpressionUUID->"40af7b13-8fe5-4d76-b7ea-0580d85b161f"],
Cell[434205, 9281, 235, 6, 12, InheritFromParent,ExpressionUUID->"0ba5af8c-44e4-4642-a91b-f595872dbdbc"],
Cell[434443, 9289, 616, 14, 76, "Text",ExpressionUUID->"0384a39c-9b64-406c-9f88-c97872fce067"],
Cell[435062, 9305, 156, 3, 44, "Text",ExpressionUUID->"5887bc8f-571c-4c28-b8c7-bcff14d8a1fc"],
Cell[435221, 9310, 1517, 39, 166, "Input",ExpressionUUID->"904a1c8c-fe0c-4260-ba30-caa3e89875d9",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[436741, 9351, 168, 3, 44, "Text",ExpressionUUID->"7fbf5458-1249-43ca-a855-b259b97c0cb9"],
Cell[436912, 9356, 905, 23, 61, "Input",ExpressionUUID->"d73c8060-bc4e-43dc-a67e-8701c6bacd43"],
Cell[437820, 9381, 235, 6, 14, InheritFromParent,ExpressionUUID->"ffd9287f-9b6c-4467-ac81-52702dff6ceb"],
Cell[438058, 9389, 371, 8, 44, "Text",ExpressionUUID->"5fa5ab68-f0f1-470f-94b6-d7d16571d509"],
Cell[438432, 9399, 256, 5, 34, "Input",ExpressionUUID->"acd7fcc5-ecba-4a45-a0e3-7087c383d959"],
Cell[438691, 9406, 1045, 30, 114, "Input",ExpressionUUID->"76b17d77-7419-4219-9e79-30373b8fcc25"],
Cell[439739, 9438, 302, 7, 76, "Text",ExpressionUUID->"68c2b56c-ec7f-4900-b6d3-803b170fcdcb"],
Cell[440044, 9447, 1045, 22, 193, "Input",ExpressionUUID->"3631311e-04d8-4edd-92b2-c90811c1b2f3"],
Cell[441092, 9471, 373, 13, 19, "Text",ExpressionUUID->"f8b4ff7e-8d1c-489f-96fe-a8dafd92f6be",
 CellOpen->False,
 CellTags->"CYUHiddenCell"],
Cell[441468, 9486, 9788, 228, 103, "Text",ExpressionUUID->"534f2b82-4f28-4602-bf79-a16f7b6507a5",
 CellTags->"answer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[451305, 9720, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"9b39debc-ced7-417d-9c63-deed295dcdf3",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[451452, 9726, 294, 5, 90, "Section",ExpressionUUID->"b1a7f9fa-b934-432a-95c4-ca6b83a37d1c",
 CellTags->"TOCTag-Section17"],
Cell[CellGroupData[{
Cell[451771, 9735, 408, 7, 41, "ItemNumbered",ExpressionUUID->"f564b658-662f-4441-ae81-ef1312c7da05"],
Cell[CellGroupData[{
Cell[452204, 9746, 513, 8, 36, "SubitemNumbered",ExpressionUUID->"33ce6f12-ef76-4e75-a691-5ed4cbe40d6f"],
Cell[452720, 9756, 398, 6, 36, "SubitemNumbered",ExpressionUUID->"dfbc3f9e-fa35-4f69-b5dc-7bfcce98e528"]
}, Open  ]],
Cell[453133, 9765, 448, 9, 71, "ItemNumbered",ExpressionUUID->"19c2f74d-d7dd-4676-a703-c279f071f344"],
Cell[453584, 9776, 308, 6, 41, "ItemNumbered",ExpressionUUID->"ed58060f-266d-4b75-b761-35bbe0fba7bc"],
Cell[453895, 9784, 400, 8, 71, "ItemNumbered",ExpressionUUID->"407f8cab-36f5-44f5-b794-d624ba123c91"],
Cell[454298, 9794, 468, 8, 101, "ItemNumbered",ExpressionUUID->"77be6793-b3d5-41bb-94a1-becc7bee8390"],
Cell[454769, 9804, 323, 6, 41, "ItemNumbered",ExpressionUUID->"b43822d2-b318-4e7a-892d-96f97eb23f22"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[455153, 9817, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"cfd2ccca-1dfd-4b91-bb05-e95742a99204",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[455300, 9823, 185, 3, 90, "Section",ExpressionUUID->"98de77f3-72c0-4bb3-9f13-628a4dcd6f42",
 CellTags->"TOCTag-Section18"],
Cell[455488, 9828, 389, 8, 108, "Text",ExpressionUUID->"189acb66-fc14-4fb1-a23f-0c0667b562de"],
Cell[CellGroupData[{
Cell[455902, 9840, 248, 5, 56, "Subsubsection",ExpressionUUID->"c17c4881-bef9-4b58-9251-632b8269809a",
 CellTags->"TOCTag-Subsubsection6"],
Cell[456153, 9847, 213, 5, 44, "Text",ExpressionUUID->"8939eadb-c7e4-48a9-bf8b-ef49feb969b9"],
Cell[456369, 9854, 2083, 47, 324, "Input",ExpressionUUID->"cae63fb7-8596-4f3d-94b4-050ef62e39ca"],
Cell[458455, 9903, 329, 7, 76, "Text",ExpressionUUID->"f455ce52-e6fd-43a0-b9f5-ef43c47e94f5"],
Cell[458787, 9912, 641, 16, 42, "Text",ExpressionUUID->"21c3279f-3bd7-4f29-b49b-1b7c42a73327"]
}, Open  ]],
Cell[CellGroupData[{
Cell[459465, 9933, 246, 5, 56, "Subsubsection",ExpressionUUID->"6d513d93-3024-4397-b981-8a79407ce69e",
 CellTags->"TOCTag-Subsubsection7"],
Cell[459714, 9940, 194, 3, 44, "Text",ExpressionUUID->"3a693f87-c763-4831-a8d6-413d63447ed4"],
Cell[459911, 9945, 2269, 54, 377, "Input",ExpressionUUID->"038bb7c0-7f3e-4d9a-8e8f-0ba64f673556"],
Cell[462183, 10001, 317, 7, 44, "Text",ExpressionUUID->"95b2ebee-d698-4908-9d01-a3ca18cc8834"],
Cell[462503, 10010, 599, 15, 42, "Text",ExpressionUUID->"0996ce15-7f16-42b4-89ae-24293ac6fdbc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[463139, 10030, 245, 5, 56, "Subsubsection",ExpressionUUID->"ae1433ec-9683-4ac2-af4a-3210de2eb09a",
 CellTags->"TOCTag-Subsubsection8"],
Cell[463387, 10037, 192, 3, 44, "Text",ExpressionUUID->"1fdd214c-fb44-460a-adec-ae6dc5a0dfda"],
Cell[463582, 10042, 321, 8, 34, "Input",ExpressionUUID->"2ef6126b-3b12-435d-aec5-0058669cfd69"],
Cell[463906, 10052, 234, 4, 34, "Input",ExpressionUUID->"ea3217a4-7503-4a0b-8202-ad0337f9d55a"],
Cell[464143, 10058, 527, 12, 76, "Text",ExpressionUUID->"69fac8b1-64a1-423b-83f0-ee09ff30d309"],
Cell[464673, 10072, 308, 6, 34, "Input",ExpressionUUID->"d490a7c0-f42c-4f16-b63d-27294bb1af2b"],
Cell[464984, 10080, 278, 6, 76, "Text",ExpressionUUID->"b16bf9fb-c9a7-472d-a435-a25ba585507c"],
Cell[465265, 10088, 244, 4, 34, "Input",ExpressionUUID->"ae6cd70e-ea93-4c5b-86b0-720bbbfcdb84"],
Cell[465512, 10094, 214, 5, 44, "Text",ExpressionUUID->"06ffb1d8-02c9-46a7-b271-4191cd6aad3e"],
Cell[465729, 10101, 599, 15, 42, "Text",ExpressionUUID->"bd4daccb-51a2-41f7-8b07-cb6c1a5577e1"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[466389, 10123, 122, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"a3603c97-4d45-4a13-b404-2df9aae48966",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[466536, 10129, 219, 4, 90, "Section",ExpressionUUID->"59fc67fa-9a81-4ec9-b791-5a28ae2d2ee9",
 CellTags->"TOCTag-Section19"],
Cell[466758, 10135, 546, 11, 77, "Input",ExpressionUUID->"98d6caf5-e135-40fd-8231-b2a1a2675438",
 InitializationCell->True],
Cell[467307, 10148, 5741, 145, 973, "Input",ExpressionUUID->"84ae9805-c96c-4483-bdcf-1b5488d38281",
 InitializationCell->True],
Cell[473051, 10295, 587, 13, 96, "Input",ExpressionUUID->"b1c52cbf-3f1e-40f7-b8ba-8e9696d3baf7"]
}, Open  ]]
}, Open  ]]
}
]
*)

